Routing and Remote Access

The Microsoft Windows 2000 Server Routing and Remote Access service provides:

  • Multiprotocol LAN-to-LAN, LAN-to-WAN, virtual private network (VPN), and network address translation (NAT) routing services. For more information, see Routing.
  • Dial-up and VPN remote access services. For more information, see Remote access.


Routing

Microsoft Windows 2000 Server routing provides multiprotocol LAN-to-LAN, LAN-to-WAN, virtual private network (VPN), and network address translation (NAT) routing services. Windows 2000 Server routing is intended for use by system administrators who are already familiar with routing protocols and services, and routable protocols such as TCP/IP, IPX, and AppleTalk.

  • Before installing the Windows 2000 router, see Checklist: Installing and configuring the router.

  • To find features that have been moved in Windows 2000 Server, see New ways to do familiar tasks.

  • For tips about using routing, see Best practices.

  • For help with specific tasks, see How to.

  • For general background information, see Concepts.

  • For problem-solving instructions, see Troubleshooting.


Checklist: Installing and configuring the router

Step | Reference
Review key concepts. | Routing overview
Verify the compatibility of all hardware to be installed in a computer running Windows 2000. | Microsoft Windows Hardware Compatibility List at the Microsoft Web site (http://www.microsoft.com/)
Install the hardware. | Manufacturer's documentation
For a new network, decide which protocols and routing features of the Windows 2000 router you want to use. For an existing network, determine which protocols and routing features of the Windows 2000 router you need to enable. | Routing overview and documentation about your network
Install and configure the protocols. | Network communications
Enable and configure the Routing and Remote Access service. | To enable the Routing and Remote Access service
(Optional) Design and deploy static IP routing. | Setting up a static routed IP internetwork
(Optional) Design and deploy the RIP-for-IP routing protocol. | Setting up a RIP-for-IP routed internetwork
(Optional) Design and deploy the OSPF routing protocol. | Setting up an OSPF routed internetwork
(Optional) Add and configure the DHCP Relay Agent. | Configure the DHCP Relay Agent
(Optional) Configure IP multicast support. | Configure IP multicast support
(Optional) Design and deploy network address translation. | Setting up network address translation
(Optional) Configure the appropriate IP or IPX packet filters. | Manage packet filters
(Optional) Design and deploy demand-dial routing. | Setting up demand-dial routing


New ways to do familiar tasks

The following table lists common tasks for configuring routing features in Windows 2000. The user interface for performing these tasks is different in Windows 2000 than it was in Windows NT version 4.0 and Windows NT version 4.0 with the Routing and Remote Access Service (RRAS).

If you want to | In Windows NT 4.0 use | In Windows NT 4.0 with RRAS use | In Windows 2000 use
Install, configure, and remove routing protocols | Services tab of Network in Control Panel | Routing and RAS Admin | Routing and Remote Access
View the IP routing table | The route print command at a Windows NT command prompt | Routing and RAS Admin | Routing and Remote Access


Best practices

For best practice information about design, security, and deployment for the Windows 2000 router, see the following:

  • Setting up a static routed IP internetwork
  • Setting up a RIP-for-IP routed internetwork
  • Setting up an OSPF routed internetwork
  • Setting up network address translation
  • Setting up an IPX internetwork
  • Setting up demand-dial routing
  • Setting up router-to-router VPNs


How to...

This section provides instructions for installing and configuring the Windows 2000 router.

  • Enable the Routing and Remote Access service
  • Enable LAN and WAN routing
  • Manage routing interfaces
  • Manage devices and ports
  • Manage routing protocols
  • Manage static routes
  • Manage routers
  • Manage packet filters
  • Configure RIP for IP
  • Configure OSPF
  • Configure network address translation
  • Enable ICMP router discovery
  • Configure the DHCP Relay Agent
  • Configure IP multicast support
  • Enable AppleTalk routing
  • Configure IPX routing
  • Connect your internal network to the Internet
  • Gather troubleshooting information


Enable the Routing and Remote Access service

To enable the Routing and Remote Access service

  1. If this server is a member of a Windows 2000 Active Directory domain and you are not a domain administrator, instruct your domain administrator to add the computer account of this server to the RAS and IAS Servers security group in the domain of which this server is a member. The domain administrator can add the computer account to the RAS and IAS Servers security group by using Active Directory Users and Computers or with the netsh ras add registeredserver command.
  2. Open Routing and Remote Access.
  3. By default, the local computer is listed as a server.

    4. To add another server, in the console tree, right-click Server Status, and then click Add Server.

    In the Add Server dialog box, click the applicable option, and then click OK.

  4. In the console tree, right-click the server you want to enable, and then click Configure and Enable Routing and Remote Access.
  5. Follow the instructions in the Routing and Remote Access wizard.

Note

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.

Related Topics


Enable LAN and WAN routing

To enable LAN and WAN routing

  1. Open Routing and Remote Access.
  2. Right-click the server name for which you want to enable routing, and then click Properties.
  3. On the General tab, select the Enable this server as a router check box, and then do one of the following:
    • For LAN routing, click Local routing only (LAN router).
    • For LAN and WAN routing, click Local and remote routing (LAN and WAN router).

Note

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.

Related Topics


Manage routing interfaces

  • Add a routing interface
  • Add a demand-dial interface
  • Configure demand-dial filters
  • Configure dial-out hours
  • Add an IP-in-IP tunnel
  • Delete an interface


Add a routing interface

To add a routing interface

  1. Open Routing and Remote Access.
  2. In the console tree, click General.

    Where?

    • Routing and Remote Access
    • server name
    • IP Routing
    • General
  3. Right-click General, and then click New Interface.
  4. In Interfaces, click the interface you want to add, and then click OK.
  5. If applicable, complete any configuration dialog boxes for the interface.

Notes

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.
  • All available IPX routing protocols are automatically added. To add a routing interface to IPX, in the console tree, under IPX Routing, right-click General, and then click New Interface. The interface is added to all the IPX protocols.

Related Topics


Add a demand-dial interface

To add a demand-dial interface

  1. Open Routing and Remote Access.
  2. In the console tree, click Routing Interfaces.

    Where?

    • Routing and Remote Access
    • server name
    • Routing Interfaces
  3. Right-click Routing Interfaces, and then click New Demand dial interface.
  4. Follow the instructions in the Demand-Dial Interface wizard.

Note

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.

Related Topics


Configure demand-dial filters

To configure demand-dial filters

  1. Open Routing and Remote Access.
  2. In the console tree, click Routing Interfaces.

    Where?

    • Routing and Remote Access
    • server name
    • Routing Interfaces
  3. In the details pane, right-click the demand-dial interface you want to configure, and then click Set IP Demand Dial filters.
  4. In the Set Demand-Dial Filters dialog box, click the appropriate action in Initiate connection, and then do one or more of the following:
    • To add a demand-dial filter, click Add.
    • To modify the settings for a demand-dial filter, click the filter, and then click Edit.
    • To delete a configured demand-dial filter, click the filter, and then click Remove.

Note

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.

Related Topics


Configure dial-out hours

To configure dial-out hours

  1. Open Routing and Remote Access.
  2. In the console tree, click Routing Interfaces.

    Where?

    • Routing and Remote Access
    • server name
    • Routing Interfaces
  3. In the details pane, right-click the demand-dial interface you want to configure, and then click Dial-out Hours.
  4. In the Dial-out Hours dialog box, click either Permitted or Denied, click the appropriate day and time boxes to either permit or deny dial-out access, and then click OK.

Note

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.

Related Topics


Add an IP-in-IP tunnel

To add an IP-in-IP tunnel

  1. Open Routing and Remote Access.
  2. In the console tree, click Routing Interfaces.

    Where?

    • Routing and Remote Access
    • server name
    • Routing Interfaces
  3. Right-click Routing Interfaces, and then click New IP Tunnel.
  4. In Interface name, type a name for the tunnel, and then click OK.
  5. In the console tree, click IP Routing, right-click General, and then click New Interface.
  6. In Interfaces, click the IP-in-IP tunnel you just created, and then click OK.
  7. On the Tunnel tab, in Local address, type the IP address of the router.
  8. In Remote address, type the IP address of the tunnel endpoint, and then click OK.

Note

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.

Related Topics


Delete an interface

  • Delete an interface from the router
  • Delete an interface from a routable protocol
  • Delete an interface from a routing protocol


Delete an interface from the router

To delete an interface from the router

  1. Open Routing and Remote Access.
  2. In the console tree, click Routing Interfaces.

    Where?

    • Routing and Remote Access
    • server name
    • Routing Interfaces
  3. In the details pane, right-click the interface you want to delete, and then click Delete.

Note

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.

Related Topics


Delete an interface from a routable protocol

To delete an interface from a routable protocol

  1. Open Routing and Remote Access.
  2. In the console tree, click General.

    Where?

    • Routing and Remote Access
    • server name
    • IP Routing or IPX Routing
    • General
  3. In the details pane, right-click the interface you want to delete, and then click Delete.

Note

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.

Related Topics


Delete an interface from a routing protocol

To delete an interface from a routing protocol

  1. Open Routing and Remote Access.
  2. In the console tree, click a routing protocol.

    Where?

    • Routing and Remote Access
    • server name
    • IP Routing
    • routing protocol
  3. In the details pane, right-click the interface you want to delete, and then click Delete.

Notes

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.
  • You cannot delete an interface from an IPX routing protocol.

Related Topics


Manage devices and ports

  • Enable routing on ports
  • Add PPTP or L2TP ports


Enable routing on ports

To enable routing on ports

  1. Open Routing and Remote Access.
  2. In the console tree, click Ports.

    Where?

    • Routing and Remote Access
    • server name
    • Ports
  3. Right-click Ports, and then click Properties.
  4. On the Devices tab, click the device you want to configure, and then click Configure.
  5. In the Configure Device dialog box, select the Demand-dial routing connections (inbound and outbound) check box, and then click OK.

Note

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.

Related Topics


Add PPTP or L2TP ports

To add PPTP or L2TP ports

  1. Open Routing and Remote Access.
  2. In the console tree, click Ports.

    Where?

    • Routing and Remote Access
    • server name
    • Ports
  3. Right-click Ports, and then click Properties.
  4. In the Ports Properties dialog box, click either WAN Miniport (PPTP) or WAN Miniport (L2TP), and then click Configure.
  5. In Maximum ports, type the number of ports, and then click OK.

Notes

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.
  • When you change the number of ports for WAN Miniport (PPTP) or WAN Miniport (L2TP), you must restart the computer to apply the change.
  • You can configure from 0 through 1,000 ports for the WAN Miniport (PPTP) and WAN Miniport (L2TP) devices.

Related Topics


Manage routing protocols

  • Add an IP routing protocol
  • Delete an IP routing protocol
  • Change preference levels


Add an IP routing protocol

To add an IP routing protocol

  1. Open Routing and Remote Access.
  2. In the console tree, click General.

    Where?

    • Routing and Remote Access
    • server name
    • IP Routing
    • General
  3. Right-click General, and then click New Routing Protocol.
  4. In Routing protocols, click the protocol you want to add, and then click OK.
  5. If applicable, complete any configuration dialog boxes for the protocol.

Note

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.

Related Topics


Delete an IP routing protocol

To delete an IP routing protocol

  1. Open Routing and Remote Access.
  2. In the console tree, click an IP routing protocol.

    Where?

    • Routing and Remote Access
    • server name
    • IP Routing
    • IP routing protocol
  3. Right-click the IP routing protocol you want to delete, and then click Delete.

Note

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.

Related Topics


Change preference levels

To change preference levels

  1. Open Routing and Remote Access.
  2. In the console tree, click General.

    Where?

    • Routing and Remote Access
    • server name
    • IP Routing
    • General
  3. Right-click General, and then click Properties.
  4. On the Preference Levels tab, click a route source, and then click either Move Up or Move Down to change the preference level of the protocol.

Note

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.

Related Topics


Manage static routes

  • Add a static route
  • Delete a static route
  • Add a default static IP route
  • Perform auto-static updates


Add a static route

To add a static route

  1. Open Routing and Remote Access.
  2. In the console tree, click Static Routes.

    Where?

    • Routing and Remote Access
    • server name
    • IP Routing or IPX Routing
    • Static Routes
  3. Right-click Static Routes, and then do one of the following:
    • For a static IP route, click New Static route.
    • For a static IPX route, click New route.
  4. In the Static Route dialog box, do one of the following:
    • For a static IP route, in Interface, Destination, Network mask, Gateway, and Metric, enter the interface, destination, network mask, gateway, and metric. If this is a demand-dial interface, Gateway is unavailable. You can also select the Use this route to initiate demand-dial connections check box to initiate a demand-dial connection for traffic that matches the route.
    • For a static IPX route, in Network number (hex), Next Hop MAC Address (hex), Tick count, Hop count, and Interface, enter the network number, next-hop media access control address, tick count, hop count, and interface.

Note

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.

Related Topics


Delete a static route

To delete a static route

  1. Open Routing and Remote Access.
  2. In the console tree, click Static Routes.

    Where?

    • Routing and Remote Access
    • server name
    • IP Routing or IPX Routing
    • Static Routes
  3. In the details pane, right-click the static route you want to delete, and then click Delete.

Note

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.

Related Topics


Add a default static IP route

To add a default static IP route

  1. Open Routing and Remote Access.
  2. In the console tree, click Static Routes.

    Where?

    • Routing and Remote Access
    • server name
    • IP Routing
    • Static Routes
  3. Right-click Static Routes, and then click New Static route.
  4. In Interface, click the interface you want to use for the default route.
  5. In Destination, type 0.0.0.0.
  6. In Network mask, type 0.0.0.0.
  7. In Gateway, do one of the following:
    • If the interface is a demand-dial interface, Gateway is unavailable. Select the Use this route to initiate demand-dial connections check box to initiate a demand-dial connection for traffic matching the route.
    • If the interface for this route is a LAN connection, such as Ethernet or Token Ring, type the IP address of the router interface that is on the same network segment as the LAN interface.
  8. In Metric, type 1.

Note

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.

Related Topics


Perform auto-static updates

  • Perform manual auto-static updates
  • Perform scheduled auto-static updates


Perform manual auto-static updates

To perform manual auto-static updates

  1. Open Routing and Remote Access.
  2. In the console tree, click General.

    Where?

    • Routing and Remote Access
    • server name
    • IP Routing or IPX Routing
    • General
  3. In the details pane, right-click the demand-dial interface you want to update, and then click Update Routes.

Notes

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.
  • When an auto-static update is performed, the existing auto-static routes for the interface are deleted before the update is requested from the other router. If there is no response to the request, then the router cannot replace the routes it has deleted. This may lead to a loss of connectivity to remote networks.

Related Topics


Perform scheduled auto-static updates

To perform scheduled auto-static updates

  1. Create a batch file that contains the netsh commands you need to perform an auto-static update.
  2. Open Task Scheduler, double-click Add Scheduled Task, and then follow the instructions in the Scheduled Task wizard to schedule the batch file to run.

Notes

  • To open Task Scheduler, click Start, point to Settings, click Control Panel, and then double-click Scheduled Tasks.
  • When an auto-static update is performed, the existing auto-static routes for the interface are deleted before the update is requested from the other router. If there is no response to the request, then the router cannot replace the routes it has deleted. This may lead to a loss of connectivity to remote networks.

Related Topics


Manage routers

  • Administer a remote router
  • View routing tables
  • Reset the Routing and Remote Access service


Administer a remote router

To administer a remote router

  1. Open Routing and Remote Access.
  2. In the console tree, right-click Server Status, and then click Add Server.
  3. In the Add Server dialog box, do one of the following:
    • Click The following computer, and type the computer name or IP address of the server.
    • Click All routing and remote access servers in the domain, and then type the domain containing the server you want to administer. Click OK, and then select the server.
    • Click Browse the Active Directory, click Next, and in the Find Routers or Remote Access Servers dialog box, select the check boxes next to the types of servers that you want to search for. Click OK, and then select the server.
  4. Once the remote server appears as an item in the console tree, you can administer it.

Note

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.

Related Topics


View routing tables

To view routing tables

  1. Open Routing and Remote Access.
  2. In the console tree, click Static Routes.

    Where?

    • Routing and Remote Access
    • server name
    • IP Routing or IPX Routing
    • Static Routes
  3. Right-click Static Routes, and then click Show IP routing table or Show IPX Routing Table.

Notes

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.
  • The following table shows the detail views that are available in Routing and Remote Access by right-clicking the component.
    Component | Views
    IP Routing/General | TCP/IP information
    Multicast forwarding table
    Multicast statistics
    IP Routing/General/Interface | TCP/IP information
    Address translations
    IP addresses
    IP routing table
    TCP connections
    UDP listener ports
    IP Routing/Static Routes | IP routing table
    IP Routing/OSPF | Areas
    Link state database
    Neighbors
    Virtual interfaces
    IP Routing/RIP | Neighbors
    IP Routing/NAT | DHCP Allocator information
    DNS Proxy information
    IP Routing/NAT/Interface | Mappings
    IP Routing/IGMP | Group table
    IP Routing/IGMP/Interface | Interface group table
    IPX Routing/General | IPX parameters
    IPX routing table
    IPX service table
    IPX Routing/Static Routes | IPX routing table
    IPX Routing/Static Services | IPX service table
    IPX Routing/RIP for IPX | RIP parameters
    IPX Routing/SAP for IPX | SAP parameters

Related Topics


Reset the Routing and Remote Access service

To reset the Routing and Remote Access service

  1. Open Routing and Remote Access.
  2. Right-click the computer name for which you want to reset the Routing and Remote Access service, and then click Disable Routing and Remote Access.
  3. Right-click the computer name for which you want to reset the Routing and Remote Access service, and then click Configure and Enable Routing and Remote Access.
  4. Follow the instructions in the Routing and Remote Access wizard.
  5. When prompted to start the Routing and Remote Access service, click Yes.

Note

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.
  • This procedure resets the current configuration back to the default values based on your selection of options in the Routing and Remote Access wizard. This includes removing all IP routing protocols and their configurations.

Related Topics


Manage packet filters

  • Add a packet filter
  • Modify a packet filter
  • Delete a packet filter
  • Add local host filters
  • Add PPTP filters
  • Add L2TP over IPSec filters


Add a packet filter

To add a packet filter

  1. Open Routing and Remote Access.
  2. In the console tree, click General.

    Where?

    • Routing and Remote Access
    • server name
    • IP Routing or IPX Routing
    • General
  3. In the details pane, right-click the interface on which you want to add a filter, and then click Properties.
  4. On the General tab, click either Input Filters or Output Filters.
  5. In the Input Filters or Output Filters dialog box, click Add.
  6. In the Add IP Filter dialog box, type the settings for the filter, and then click OK.
  7. In the Input Filters or Output Filters dialog box, select the appropriate filter action, and then click OK.

Note

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.

Related Topics


Modify a packet filter

To modify a packet filter

  1. Open Routing and Remote Access.
  2. In the console tree, click General.

    Where?

    • Routing and Remote Access
    • server name
    • IP Routing or IPX Routing
    • General
  3. In the details pane, right-click the interface on which you want to modify a filter, and then click Properties.
  4. On the General tab, click either Input Filters or Output Filters.
  5. In the Input Filters or Output Filters dialog box, click the filter you want to modify, and then click Edit.
  6. In the Edit IP Filter dialog box, change the appropriate settings for the filter, and then click OK.

Note

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.

Related Topics


Delete a packet filter

To delete a packet filter

  1. Open Routing and Remote Access.
  2. In the console tree, click General.

    Where?

    • Routing and Remote Access
    • server name
    • IP Routing or IPX Routing
    • General
  3. In the details pane, right-click the interface on which you want to delete a filter, and then click Properties.
  4. On the General tab, click either Input Filters or Output Filters.
  5. In the Input Filters or Output Filters dialog box, click the filter you want to delete, and then click Remove.

Note

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.

Related Topics


Add local host filters

To add local host filters

  1. Open Routing and Remote Access.
  2. In the console tree, click General.

    Where?

    • Routing and Remote Access
    • server name
    • IP Routing
    • General
  3. In the details pane, right-click the interface on which you want to set the filter, and then click Properties.
  4. On the General tab, click Input Filters.
  5. In the Input Filters dialog box, click Add, and create a set of five input filters.
  6. In the Input Filters dialog box, click Drop all packets except those that meet the criteria below, and then click OK.

The five filters are described in the following table.

Filter | Example
Accept packets sent directly to your computer. | Your router is configured with an IP address of 10.1.1.1 and a subnet mask of 255.255.0.0. To allow packets with a destination of your router, add a filter with a Destination IP address of 10.1.1.1, a Destination Subnet mask of 255.255.255.255, and select Any as the type of protocol.
Accept packets broadcast to the local subnet. | The second filter enables you to receive packets that are going to the 10.1.0.0 subnetted network. Add a filter with a Destination IP address of 10.1.255.255, a Destination Subnet mask of 255.255.255.255, and select Any as the type of protocol.
Accept packets broadcast to all subnets of a class-based network. | Set this filter to allow packets going to all subnets of the network 10.0.0.0. Add a filter with a Destination IP address of 10.255.255.255, a Destination Subnet mask of 255.255.255.255, and select Any as the type of protocol.
Accept packets sent to the limited broadcast (the all-1s address) | Add a filter with a Destination IP address of 255.255.255.255, a Destination Subnet mask of 255.255.255.255, and select Any as the type of protocol.
Accept all IP multicast packets | Add a filter with a Destination IP address of 224.0.0.0, a Destination Subnet mask of 240.0.0.0, and select Any as the type of protocol.

Note

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.

Related Topics


Add PPTP filters

  • Select the PPTP interface
  • Set PPTP input filters
  • Set PPTP output filters


Select the PPTP interface

To select the PPTP interface

  1. Open Routing and Remote Access.
  2. In the console tree, click General.

    Where?

    • Routing and Remote Access
    • server name
    • IP Routing
    • General
  3. In the details pane, right-click the interface on which you want to enable PPTP filtering, and then click Properties.

Notes

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.
  • All six filters work together to complete PPTP filtering. The PPTP filtering is not secure unless all six filters are set correctly.
  • If the six filters are the only filters configured, then the only traffic that is allowed in and out of the interface is PPTP traffic to and from the PPTP server and PPTP client on the computer running Windows 2000 Server.

Related Topics


Set PPTP input filters

To set PPTP input filters

To set PPTP input filters, you must configure up to three input filters and select the appropriate filter action.

To add the first input filter

  1. On the General tab, click Input Filters.
  2. In the Input Filters dialog box, click Add.
  3. In the Add IP Filter dialog box, select the Destination network check box.
  4. In IP Address, type the IP address of the interface, and in Subnet mask, type 255.255.255.255.
  5. In Protocol, click Other.
  6. In Protocol name, type 47, and then click OK.

To add the second input filter

  1. In the Input Filters dialog box, click Add.
  2. In the Add IP Filter dialog box, select the Destination network check box.
  3. In IP Address, type the IP address of the interface, and in Subnet mask, type 255.255.255.255.
  4. In Protocol, click TCP.
  5. In Source port, type 0.
  6. In Destination port, type 1723, and then click OK.

To add the third input filter (optional)

If the PPTP server computer is also used as a PPTP client, you need to configure an additional filter.

  1. In the Input Filters dialog box, click Add.
  2. In the Add IP Filter dialog box, select the Destination network check box.
  3. In IP Address, type the IP address of the interface, and in Subnet mask, type 255.255.255.255.
  4. In Protocol, click TCP [established].
  5. In Source port, type 1723.
  6. In Destination port, type 0, and then click OK.

To select the filter action for the input filters

  • In the Input Filters dialog box, click Drop all packets except those that meet the criteria below, and then click OK.

Related Topics


Set PPTP output filters

To set PPTP output filters

To set PPTP output filters, you must configure up to three output filters and select the appropriate filter action.

To add the first output filter

  1. On the General tab, click Output Filters.
  2. In the Output Filters dialog box, click Add.
  3. In the Add IP Filter dialog box, select the Source network check box.
  4. In IP Address, type the IP address of the interface, and in Subnet mask, type 255.255.255.255.
  5. In Protocol, click Other.
  6. In the Protocol box, type 47, and then click OK.

To add the second output filter

  1. In the Output Filters dialog box, click Add.
  2. In the Add IP Filter dialog box, select the Source network check box.
  3. In IP Address, type the IP address of the interface, and in Subnet mask, type 255.255.255.255.
  4. In Protocol, click TCP.
  5. In Source port, type 1723.
  6. In Destination port, type 0, and then click OK.

To add the third output filter (optional)

If the PPTP server computer is also used as a PPTP client, you need to configure an additional filter.

  1. In the Output Filters dialog box, click Add.
  2. In the Add IP Filter dialog box, select the Source network check box.
  3. In IP Address, type the IP address of the interface, and in Subnet mask, type 255.255.255.255.
  4. In Protocol, click TCP [established].
  5. In Source port, type 0.
  6. In Destination port, type 1723, and then click OK.

To select the filter action for the output filters

  • In the Output Filters dialog box, click Drop all packets except those that meet the criteria below, and then click OK.

Related Topics


Add L2TP over IPSec filters

  • Select the L2TP over IPSec interface
  • Set L2TP over IPSec input filters
  • Set L2TP over IPSec output filters


Select the L2TP over IPSec interface

To select the L2TP over IPSec interface

  1. Open Routing and Remote Access.
  2. In the console tree, click General.

    Where?

    • Routing and Remote Access
    • server name
    • IP Routing
    • General
  3. In the details pane, click the interface on which you want to enable L2TP over IPSec filtering, scroll to the IP Address column, and write down the IP address assigned to the interface.
  4. Right-click the interface, and then click Properties.

Notes

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.
  • All four L2TP over IPSec input and output filters work together to complete L2TP over IPSec filtering. The L2TP over IPSec filtering is not secure unless all four filters are set correctly.
  • If the four L2TP over IPSec filters are the only filters that are configured, then the only traffic that is allowed in and out of the interface is L2TP over IPSec traffic to and from the L2TP server and L2TP client on the computer running Windows 2000 Server.

Related Topics


Set L2TP over IPSec input filters

To set L2TP over IPSec input filters

To set L2TP over IPSec input filters, you must configure the filters and select the appropriate filter action.

To add the first L2TP over IPSec input filter

  1. On the General tab, click Input Filters.
  2. In the Input Filters dialog box, click Add.
  3. In the Add IP Filter dialog box, select the Destination network check box.
  4. In IP Address, type the IP address of the interface, and in Subnet mask, type 255.255.255.255.
  5. In Protocol, click UDP.
  6. In Source port, type 500.
  7. In Destination port, type 500, and then click OK.

To add the second L2TP over IPSec input filter

  1. On the General tab, click Input Filters.
  2. In the Input Filters dialog box, click Add.
  3. In the Add IP Filter dialog box, select the Destination network check box.
  4. In IP Address, type the IP address of the interface, and in Subnet mask, type 255.255.255.255.
  5. In Protocol, click UDP.
  6. In Source port, type 1701.
  7. In Destination port, type 1701, and then click OK.

To select the filter action for the input filter

  • In the Input Filters dialog box, click Drop all packets except those that meet the criteria below, and then click OK.

Related Topics


Set L2TP over IPSec output filters

To set L2TP over IPSec output filters

To set L2TP over IPSec output filters, you must configure the filters and select the appropriate filter action.

To add the first L2TP over IPSec output filter

  1. On the General tab, click Output Filters.
  2. In the Output Filters dialog box, click Add.
  3. In the Add IP Filter dialog box, select the Source network check box.
  4. In IP Address, type the IP address of the interface, and in Subnet mask, type 255.255.255.255.
  5. In Protocol, click UDP.
  6. In Source port, type 500.
  7. In Destination port, type 500, and then click OK.

To add the second over IPSec L2TP output filter

  1. On the General tab, click Output Filters.
  2. In the Output Filters dialog box, click Add.
  3. In the Add IP Filter dialog box, select the Source network check box.
  4. In IP Address type the IP address of the interface, and in Subnet mask, type 255.255.255.255.
  5. In Protocol, click UDP.
  6. In Source port, type 1701.
  7. In Destination port, type 1701, and then click OK.

To select the filter action for the output filter

  • In the Output Filters dialog box, click Drop all packets except those that meet the criteria below, and then click OK.

Related Topics


Configure RIP for IP

  • Configure RIP version 2
  • Enable authentication
  • Enable auto-static update mode
  • Add route filters
  • Add peer filters
  • Add a unicast neighbor
  • Enable silent RIP
  • Configure advanced RIP settings


Configure RIP version 2

To configure RIP version 2

  1. Open Routing and Remote Access.
  2. In the console tree, click RIP.

    Where?

    • Routing and Remote Access
    • server name
    • IP Routing
    • RIP
  3. In the details pane, right-click the interface you want to configure for RIP version 2, and then click Properties.
  4. On the General tab, in Outgoing packet protocol, do one of the following:
    • If there are RIP version 1 routers on the same network as this interface, click RIP version 2 broadcast.
    • If there are only RIP version 2 routers on the same network as this interface, or if the interface is a demand-dial interface, click RIP version 2 multicast.
  5. On the General tab, in Incoming packet protocol, do one of the following:
    • If there are RIP version 1 routers on the same network as this interface, click RIP version 1 and 2.
    • If there are only RIP version 2 routers on the same network as this interface, or if the interface is a demand-dial interface, click RIP version 2 only.

Note

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.

Related Topics


Enable authentication

To enable authentication

  1. Open Routing and Remote Access.
  2. In the console tree, click RIP.

    Where?

    • Routing and Remote Access
    • server name
    • IP Routing
    • RIP
  3. In the details pane, right-click the interface on which you want to set authentication, and then click Properties.
  4. On the General tab, select the Activate authentication check box, and in Password, type a password.

Notes

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.
  • Authentication is used only for RIP version 2.
  • All RIP version 2 routers on a network must use matching passwords or the routers cannot process each other's route announcements.

Related Topics


Enable auto-static update mode

To enable auto-static update mode

  1. Open Routing and Remote Access.
  2. In the console tree, click RIP.

    Where?

    • Routing and Remote Access
    • server name
    • IP Routing
    • RIP
  3. In the details pane, right-click the interface on which you want to set auto-static update mode, and then click Properties.
  4. On the General tab, in Operation mode, click Auto-static update mode.

Note

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.

Related Topics


Add route filters

To add route filters

  1. Open Routing and Remote Access.
  2. In the console tree, click RIP.

    Where?

    • Routing and Remote Access
    • server name
    • IP Routing
    • RIP
  3. In the details pane, right-click the interface on which you want to set route filters, and then click Properties.
  4. On the Security tab, in Action, do one of the following:
    • If you want filters to be applied to incoming RIP-for-IP announcement packets, click For incoming routes.
    • If you want filters to be applied to outgoing RIP-for-IP announcement packets, click For outgoing routes.
  5. In the Range from box, type the beginning IP address of the range for the route filter.
  6. In the To box, type the ending IP address of the range for the route filter.
  7. To add the route filter, click Add, and do one of the following:
    • To process all routes, click Accept all routes or Announce all routes.
    • To process only routes in the ranges listed, click Accept all routes in the ranges listed or Announce all routes in the ranges listed.
    • To discard all routes in the ranges listed, click Ignore all routes in the ranges listed or Do not accept all routes in the ranges listed.

Note

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.

Related Topics


Add peer filters

To add peer filters

  1. Open Routing and Remote Access.
  2. In the console tree, click RIP.

    Where?

    • Routing and Remote Access
    • server name
    • IP Routing
    • RIP
  3. Right-click RIP, and then click Properties.
  4. On the Security tab, in Router IP address, type the IP address of the router whose announcements you want to filter, and then click Add.
  5. For the routers listed under Routers, do one of the following:
    • To process all announcements from all routers, click Accept announcements from all routers.
    • To process announcements only from the listed routers, click Accept announcements from listed routers only.
    • To discard all announcements from the listed routers, click Ignore announcements from listed routers.

Notes

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.
  • The action you select applies to all the peer routers; you cannot set the action per router.

Related Topics


Add a unicast neighbor

To add a unicast neighbor

  1. Open Routing and Remote Access.
  2. In the console tree, click RIP.

    Where?

    • Routing and Remote Access
    • server name
    • IP Routing
    • RIP
  3. In the details pane, right-click the interface on which you want to set unicast neighbors, and then click Properties.
  4. On the Neighbors tab, in the IP address box, type the IP address of the unicast neighbor, and then click Add.
  5. For the neighbors listed, do one of the following:
    • To disable the use of neighboring routers, click Use broadcast or multicast only.
    • To use neighboring routers in addition to broadcast or multicast, click Use neighbors in addition to broadcast or multicast.
    • To use neighboring routers instead of broadcast or multicast, click Use neighbors instead of broadcast or multicast.

Notes

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.
  • The option you select applies to all of the unicast neighbors.

Related Topics


Enable silent RIP

To enable silent RIP

  1. Open Routing and Remote Access.
  2. In the console tree, click RIP.

    Where?

    • Routing and Remote Access
    • server name
    • IP Routing
    • RIP
  3. In the details pane, right-click the interface on which you want to set silent RIP mode, and then click Properties.
  4. On the General tab, in Outgoing packet protocol, click Silent RIP.

Note

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.

Related Topics


Configure advanced RIP settings

  • Set timers for periodic update mode
  • Set split-horizon processing
  • Set poison-reverse processing


Set timers for periodic update mode

To set timers for periodic update mode

  1. Open Routing and Remote Access.
  2. In the console tree, click RIP.

    Where?

    • Routing and Remote Access
    • server name
    • IP Routing
    • RIP
  3. In the details pane, right-click the interface on which you want to set timer values, and then click Properties.
  4. On the Advanced tab, in Periodic announcement interval (seconds), Time before routes expire (seconds), and Time before route is removed (seconds), type the appropriate time values in seconds.

Note

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.

Related Topics


Set split-horizon processing

To set split-horizon processing

  1. Open Routing and Remote Access.
  2. In the console tree, click RIP.

    Where?

    • Routing and Remote Access
    • server name
    • IP Routing
    • RIP
  3. In the details pane, right-click the interface on which you want to configure split-horizon processing, and then click Properties.
  4. On the Advanced tab, either select the Enable split-horizon processing check box to enable split-horizon processing or clear the Enable split-horizon processing check box to disable split-horizon processing, and then click OK.

Note

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.

Related Topics


Set poison-reverse processing

To set poison-reverse processing

  1. Open Routing and Remote Access.
  2. In the console tree, click RIP.

    Where?

    • Routing and Remote Access
    • server name
    • IP Routing
    • RIP
  3. In the details pane, right-click the interface on which you want to enable poison-reverse processing, and then click Properties.
  4. On the Advanced tab, select the Enable poison-reverse processing check box, and then click OK.

Note

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.

Related Topics


Configure OSPF

  • Add the OSPF routing protocol
  • Configure OSPF global settings
  • Configure OSPF interface settings


Add the OSPF routing protocol

To add the OSPF routing protocol

  1. Open Routing and Remote Access.
  2. In the console tree, click General.

    Where?

    • Routing and Remote Access
    • server name
    • IP Routing
    • General
  3. Right-click General, and then click New Routing Protocol.
  4. In the Select Routing Protocol dialog box, click Open Shortest Path First (OSPF), and then click OK.

Note

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.

Related Topics


Configure OSPF global settings

  • Create an OSPF area
  • Configure ranges for an OSPF area
  • Configure an ASBR
  • Add a virtual interface


Create an OSPF area

To create an OSPF area

  1. Open Routing and Remote Access.
  2. In the console tree, click OSPF.

    Where?

    • Routing and Remote Access
    • server name
    • IP Routing
    • OSPF
  3. Right-click OSPF, and then click Properties.
  4. On the Areas tab, click Add.
  5. On the General tab, in Area ID, type the dotted decimal number that identifies the area.
  6. To use a plaintext password, verify that the Enable plaintext password check box is selected.
  7. To mark the area as a stub, select the Stub area check box.
  8. In Stub metric, click the arrows to set the stub metric.
  9. To import routes of other areas into the stub area, select the Import summary advertisements check box.

Notes

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.
  • You cannot configure the backbone area (area ID 0.0.0.0) as a stub area, and you cannot configure virtual links through stub areas.

Related Topics


Configure ranges for an OSPF area

To configure ranges for an OSPF area

  1. Open Routing and Remote Access.
  2. In the console tree, click OSPF.

    Where?

    • Routing and Remote Access
    • server name
    • IP Routing
    • OSPF
  3. Right-click OSPF, and then click Properties.
  4. On the Areas tab, click Add.
  5. On the Ranges tab, in Destination, type the IP network ID for the range.
  6. In Network mask, type the associated mask for the range, and then click Add.
  7. To delete a range, click the range you want to delete, and then click Remove.

Note

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.

Related Topics


Configure an ASBR

To configure an ASBR

  1. Open Routing and Remote Access.
  2. In the console tree, click OSPF.

    Where?

    • Routing and Remote Access
    • server name
    • IP Routing
    • OSPF
  3. Right-click OSPF, and then click Properties.
  4. On the General tab, click Enable autonomous system boundary router.
  5. To configure external route sources, do the following:
    1. On the External Routing tab, click either Accept routes from all route sources except those selected or Ignore routes from all route sources except those selected
    2. Select or clear the appropriate check boxes next to the route sources.
  6. To configure external route filters, do the following:
    1. On the External Routing tab, click Route Filters.
    2. In Destination and in Network mask, type the route you want to filter, and then click Add.
    3. Repeat the preceding step for all the routes you want to filter.
    4. Click either Ignore listed routes or Accept listed routes depending on the appropriate filtering action, and then click OK.

Notes

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.

Related Topics


Add a virtual interface

To add a virtual interface

  1. Open Routing and Remote Access.
  2. In the console tree, click OSPF.

    Where?

    • Routing and Remote Access
    • server name
    • IP Routing
    • OSPF
  3. Right-click OSPF, and then click Properties.
  4. On the Virtual Interfaces tab, click Add.
  5. In Transit area ID, click the transit area over which you are connecting the virtual link.
  6. In Virtual neighbor router ID, type the OSPF router ID of the router at the other endpoint of the virtual link.
  7. In Transit delay (seconds), click the arrows to set the transit delay in seconds.
  8. In Re-transmit interval (seconds), click the arrows to set the retransmit interval in seconds.
  9. In Hello interval (seconds), click the arrows to set the hello interval in seconds.
  10. In Dead interval (seconds), click the arrows to set the dead interval in seconds.
  11. If the backbone area is configured to have a password, in Plaintext password, type a password.

Notes

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.
  • To configure a virtual link, each virtual link neighbor must add and configure a virtual interface.
  • The hello interval, dead interval, and password must match between the virtual link neighbors.

Related Topics


Configure OSPF interface settings

  • Add an interface to OSPF
  • Configure an OSPF interface
  • Set a password on an OSPF interface
  • Configure the hello and dead intervals
  • Add an OSPF neighbor


Add an interface to OSPF

To add an interface to OSPF

  1. Open Routing and Remote Access.
  2. In the console tree, click OSPF.

    Where?

    • Routing and Remote Access
    • server name
    • IP Routing
    • OSPF
  3. Right-click OSPF, and then click New Interface.
  4. In Interfaces, click the interface you want to add, and then click OK.

Note

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.

Related Topics


Configure an OSPF interface

To configure an OSPF interface

  1. Open Routing and Remote Access.
  2. In the console tree, click OSPF.

    Where?

    • Routing and Remote Access
    • server name
    • IP Routing
    • OSPF
  3. In the details pane, right-click the interface you want to configure, and then click Properties.
  4. On the General tab, select the Enable OSPF for this address check box.
  5. In Area ID, click the ID of the area to which the interface belongs.
  6. In Router priority, click the arrows to set the priority of the router over the interface.
  7. In Cost, click the scroll arrows to set the cost of sending a packet over the interface.
  8. If the area to which the interface belongs is enabled for passwords, in Password, type a password.
  9. Under Network type, click the type of OSPF interface.

Notes

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.
  • If the interface has multiple IP addresses configured on it, then the General tab displays an IP Address box. You need to configure OSPF settings for each IP address on the interface.
  • A router priority of 0 means that the router cannot become an OSPF-designated router.
  • A larger cost means the interface is not used as much as other interfaces with a lower cost.

Related Topics


Set a password on an OSPF interface

To set a password on an OSPF interface

  1. Open Routing and Remote Access.
  2. In the console tree, click OSPF.

    Where?

    • Routing and Remote Access
    • server name
    • IP Routing
    • OSPF
  3. In the details pane, right-click the interface on which you want to set a password, and then click Properties.
  4. On the General tab, in Password, type a password.

Notes

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.
  • All interfaces in the same area that are on the same network must use identical passwords.
  • Interfaces in the same area that are on different networks can have different passwords.

Related Topics


Configure the hello and dead intervals

To configure the hello and dead intervals

  1. Open Routing and Remote Access.
  2. In the console tree, click OSPF.

    Where?

    • Routing and Remote Access
    • server name
    • IP Routing
    • OSPF
  3. In the details pane, right-click the interface you want to configure, and then click Properties.
  4. On the Advanced tab, in Hello interval (seconds), type the number of seconds between transmissions of hello packets by the router on the interface.
  5. In Dead interval (seconds), type the number of seconds before a silent remote router is declared down.

Notes

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.
  • The dead interval should be a multiple of the hello interval (commonly 4).
  • The hello and dead intervals must be the same for all routers attached to a common network.

Related Topics


Add an OSPF neighbor

To add an OSPF neighbor

  1. Open Routing and Remote Access.
  2. In the console tree, click OSPF.

    Where?

    • Routing and Remote Access
    • server name
    • IP Routing
    • OSPF
  3. In the details pane, right-click the interface you want to configure, and then click Properties.
  4. On the NBMA Neighbors tab, in Neighbor IP address, type the IP interface address (not the router ID) of a router that is attached to the nonbroadcast network.
  5. In Router priority, click the arrows to set the priority for the neighbor, and then click Add.

Notes

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.
  • You need to repeat the preceding steps for all the routers that are attached to the nonbroadcast network.
  • The priority determines the neighbor's eligibility to become a designated router. When an interface to a nonbroadcast network comes up, the router sends hello packets only to those neighbors eligible to become a designated router, until the identity of the designated router is discovered.

Related Topics


Configure network address translation

  • Add network address translation
  • Add an interface to network address translation
  • Configure network address translation network applications
  • Enable network address translation addressing
  • Enable network address translation name resolution
  • Configure interface IP address ranges
  • Configure interface special ports


Add network address translation

To add network address translation

  1. Open Routing and Remote Access.
  2. In the console tree, click General.

    Where?

    • Routing and Remote Access
    • server name
    • IP Routing
    • General
  3. Right-click General, and then click New Routing Protocol.
  4. In the Select Routing Protocol dialog box, click Network Address Translation, and then click OK.

Note

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.

Related Topics


Add an interface to network address translation

To add an interface to network address translation

  1. Open Routing and Remote Access.
  2. In the console tree, click NAT.

    Where?

    • Routing and Remote Access
    • server name
    • IP Routing
    • NAT
  3. Right-click NAT, and then click New Interface.
  4. In Interfaces, click the interface you want to add, and then click OK.
  5. Do one of the following:
    • If this interface connects to the Internet, on the General tab, click Public interface connected to the Internet and select the Translate TCP/UDP headers (recommended) check box.
    • If this interface connects to the small-office or home network, on the General tab, click Private interface connected to private network.

Notes

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.
  • For a dial-up connection to the Internet, select the demand-dial interface that is configured to connect to your ISP.
  • For a permanent connection to the Internet, select the permanent interface that is connected to your ISP.
  • You should enable NAT translation only on interfaces that are connected to public IP internetworks, such as the Internet.

Related Topics


Configure network address translation network applications

To configure network address translation network applications

  1. Open Routing and Remote Access.
  2. In the console tree, click NAT.

    Where?

    • Routing and Remote Access
    • server name
    • IP Routing
    • NAT
  3. Right-click NAT, and then click Properties.
  4. On the Translation tab, click Applications.
  5. To add a network application, in the Applications dialog box, click Add.
  6. In the Add Application dialog box, type the settings for the network application, and then click OK.

Notes

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.
  • You can also edit or remove an existing NAT network application by clicking Edit or Remove in the Applications dialog box.

Related Topics


Enable network address translation addressing

To enable network address translation addressing

  1. Open Routing and Remote Access.
  2. In the console tree, click NAT.

    Where?

    • Routing and Remote Access
    • server name
    • IP Routing
    • NAT
  3. Right-click NAT, and then click Properties.
  4. On the Address Assignment tab, select the Automatically assign IP addresses by using DHCP check box.
  5. If applicable, in IP address and Mask, configure the range of IP addresses to allocate to DHCP clients on the private network.
  6. If applicable, click Exclude, configure the addresses to exclude from allocation to DHCP clients on the private network, and then click OK.

Note

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.

Related Topics


Enable network address translation name resolution

To enable network address translation name resolution

  1. Open Routing and Remote Access.
  2. In the console tree, click NAT.

    Where?

    • Routing and Remote Access
    • server name
    • IP Routing
    • NAT
  3. Right-click NAT, and then click Properties.
  4. For host name resolution to a DNS server, on the Name Resolution tab, select the Clients using Domain Name System (DNS) check box.
  5. If you want the connection to the Internet to be initiated when a host on the private network sends a DNS name query to the NAT computer, select the Connect to the public network when a name needs to be resolved check box, and then click the name of the appropriate demand-dial interface in Demand-dial interface.

Note

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.

Related Topics


Configure interface IP address ranges

To configure interface IP address ranges

  1. Open Routing and Remote Access.
  2. In the console tree, click NAT.

    Where?

    • Routing and Remote Access
    • server name
    • IP Routing
    • NAT
  3. In the details pane, right-click the interface you want to configure, and then click Properties.
  4. On the Address Pool tab, click Add, and do one of the following:
    • If you are using a range of IP addresses that can be expressed with an IP address and a subnet mask, in Start address, type the starting IP address, and in Mask, type the subnet mask.
    • If you are using a range of IP addresses that cannot be expressed with an IP address and a subnet mask, in Start address, type the starting IP address, and in End address, type the ending IP address.

Notes

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.
  • If you have multiple address ranges, you can use Add to add each one separately.

Related Topics


Configure interface special ports

To configure interface special ports

  1. Open Routing and Remote Access.
  2. In the console tree, click NAT.

    Where?

    • Routing and Remote Access
    • server name
    • IP Routing
    • NAT
  3. In the details pane, right-click the interface you want to configure, and then click Properties.
  4. On the Special Ports tab, in Protocol, click either TCP or UDP, and then click Add.
  5. In Incoming port, type the port number of the incoming public traffic.
  6. If a range of public IP addresses is configured, click On this address pool entry, and then type the public IP address of the incoming public traffic.
  7. In Outgoing port, type the port number of the private network resource.
  8. In Private address, type the private address of the private network resource.

Note

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.

Related Topics


Enable ICMP router discovery

To enable ICMP router discovery

  1. Open Routing and Remote Access.
  2. In the console tree, click General.

    Where?

    • Routing and Remote Access
    • server name
    • IP Routing
    • General
  3. In the details pane, right-click the interface you want to enable, and then click Properties.
  4. On the General tab, select the Enable router discovery advertisements check box.
  5. In Advertisement lifetime (minutes), click the arrows to set the time after which a router is considered down after hearing its last router advertisement.
  6. In Minimum time (minutes), click the arrows to set the minimum rate at which the router periodically sends ICMP router advertisements.
  7. In Maximum time (minutes), click the arrows to set the maximum rate at which the router periodically sends ICMP router advertisements.

    8. Based on the values of minimum time and maximum time, the router sends periodic ICMP router advertisements between the minimum and maximum times.

  8. In Level of preference, click the arrows to set the level of preference for this router to be a default gateway for hosts.

Note

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.

Related Topics


Configure the DHCP Relay Agent

  • Add the DHCP Relay Agent
  • Configure global DHCP Relay Agent properties
  • Enable the DHCP Relay Agent on a router interface


Add the DHCP Relay Agent

To add the DHCP Relay Agent

  1. Open Routing and Remote Access.
  2. In the console tree, click General.

    Where?

    • Routing and Remote Access
    • server name
    • IP Routing
    • General
  3. Right-click General, and then click New Routing Protocol.
  4. In the Select Routing Protocol dialog box, click DHCP Relay Agent, and then click OK.

Note

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.

Related Topics


Configure global DHCP Relay Agent properties

To configure global DHCP Relay Agent properties

  1. Open Routing and Remote Access.
  2. In the console tree, click DHCP Relay Agent.

    Where?

    • Routing and Remote Access
    • server name
    • IP Routing
    • DHCP Relay Agent
  3. Right-click DHCP Relay Agent, and then click Properties.
  4. On the General tab, in Server address, type the IP address of your DHCP server, and then click Add.
  5. Repeat step 4 for each DHCP server you need to add, and then click OK.

Note

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.

Related Topics


Enable the DHCP Relay Agent on a router interface

To enable the DHCP Relay Agent on a router interface

  1. Open Routing and Remote Access.
  2. In the console tree, click DHCP Relay Agent.

    Where?

    • Routing and Remote Access
    • server name
    • IP Routing
    • DHCP Relay Agent
  3. Right-click DHCP Relay Agent, and then click New Interface.
  4. Click the interface you want to add, and then click OK.
  5. In the DHCP Relay Properties dialog box, on the General tab, verify that the Relay DHCP packets check box is selected.
  6. If needed, in Hop-count threshold and Boot threshold (seconds), click the arrows to modify the thresholds.

Note

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.

Related Topics


Configure IP multicast support

  • Configure the IGMP routing protocol
  • Configure multicast scopes
  • Configure multicast boundaries
  • Configure multicast heartbeat


Configure the IGMP routing protocol

  • Add the IGMP routing protocol
  • Enable IGMP router and IGMP proxy mode
  • Configure IGMP router settings


Add the IGMP routing protocol

To add the IGMP routing protocol

  1. Open Routing and Remote Access.
  2. In the console tree, click General.

    Where?

    • Routing and Remote Access
    • server name
    • IP Routing
    • General
  3. Right-click General, and then click New Routing Protocol.
  4. In the Select Routing Protocol dialog box, click IGMP Version 2, Router and Proxy, and then click OK.

Note

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.

Related Topics


Enable IGMP router and IGMP proxy mode

To enable IGMP router and IGMP proxy mode

  1. Open Routing and Remote Access.
  2. In the console tree, click IGMP.

    Where?

    • Routing and Remote Access
    • server name
    • IP Routing
    • IGMP
  3. Right-click IGMP, and then click New Interface.
  4. In Interfaces, click the interface you want to enable, and then click OK.
  5. In the General dialog box, verify that the Enable IGMP check box is selected.
  6. Under Mode, do one of the following:
    • To enable IGMP router mode, click IGMP router.
    • To enable IGMP proxy mode, click IGMP proxy.

Notes

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.
  • You can only enable IGMP proxy mode on a single interface on the Windows 2000 router.

Related Topics


Configure IGMP router settings

To configure IGMP router settings

  1. Open Routing and Remote Access.
  2. In the console tree, click IGMP.

    Where?

    • Routing and Remote Access
    • server name
    • IP Routing
    • IGMP
  3. In the details pane, right-click the interface you want to configure, and then click Properties.
  4. Click the Router tab, and then configure the appropriate settings.

Notes

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.
  • Typically, you do not need to modify the default IGMP router settings. You should only modify these settings after you have made a careful analysis of your network.
  • Items on the Router tab are available only if IGMP router mode is enabled on the selected interface.

Related Topics


Configure multicast scopes

To configure multicast scopes

  1. Open Routing and Remote Access.
  2. In the console tree, click General.

    Where?

    • Routing and Remote Access
    • server name
    • IP Routing
    • General
  3. Right-click General, and then click Properties.
  4. On the Multicast Scopes tab, click Add.
  5. In the Scoped Boundary dialog box, do the following:
    • In Scope name, type the name of the multicast scope.
    • In IP address, type the base IP address of the range.
    • In Mask, type the mask of the range.

Notes

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.
  • You can also edit or remove an existing multicast scope by clicking Edit or Remove on the Multicast Scopes tab.

Related Topics


Configure multicast boundaries

To configure multicast boundaries

  1. Open Routing and Remote Access.
  2. In the console tree, click General.

    Where?

    • Routing and Remote Access
    • server name
    • IP Routing
    • General
  3. In the details pane, right-click the interface on which you want to configure multicast boundaries, and then click Properties.
  4. On the Multicast Boundaries tab, do the following:
    • To add a scope to the list of multicast scope boundaries, in Scope, click a configured scope, and then click Add.
    • To remove a scope from the list of multicast scope boundaries, in Scoped boundaries, click the scope, and then click Remove.
    • To enable TTL scoping, select the Activate TTL boundary check box, and in TTL value, click the arrows to set a TTL value.
    • To set a rate limit, in Rate limit (KBps), type the rate in kilobytes per second.

Notes

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.
  • Only scopes configured as multicast scopes are listed in Scope.

Related Topics


Configure multicast heartbeat

To configure multicast heartbeat

  1. Open Routing and Remote Access.
  2. In the console tree, click General.

    Where?

    • Routing and Remote Access
    • server name
    • IP Routing
    • General
  3. In the details pane, right-click the interface on which you want to configure multicast heartbeat, and then click Properties.
  4. On the Multicast Heartbeat tab, select the Enable multicast heartbeat detection check box, and do the following:
    • To add a multicast heartbeat group, in Multicast heartbeat group, type the IP address of the multicast heartbeat group.
    • To configure a quiet time before alerting, in Quiet time before alerting (minutes), click the arrows to set a quiet time in minutes.

Note

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.

Related Topics


Enable AppleTalk routing

To enable AppleTalk routing

  1. Open Routing and Remote Access.
  2. In the console tree, click AppleTalk Routing.

    Where?

    • Routing and Remote Access
    • server name
    • AppleTalk Routing
  3. Right-click AppleTalk Routing, and then click Enable AppleTalk Routing.

Note

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.

Related Topics


Configure IPX routing

  • Enable RIP on an interface
  • Enable SAP on an interface
  • Set the update interval
  • Set input and output filters


Enable RIP on an interface

To enable RIP on an interface

  1. Open Routing and Remote Access.
  2. In the console tree, click RIP for IPX.

    Where?

    • Routing and Remote Access
    • server name
    • IPX Routing
    • RIP for IPX
  3. In the details pane, right-click the interface on which you want to enable RIP, and then click Properties.
  4. On the General tab, select the Enable RIP on this interface check box.
  5. Select the Advertise routes and the Accept route advertisements check boxes.
  6. Under Update mode, click Standard, and then click OK.

    7. For demand-dial interfaces, click Autostatic, and then click OK.

Note

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.

Related Topics


Enable SAP on an interface

To enable SAP on an interface

  1. Open Routing and Remote Access.
  2. In the console tree, click SAP for IPX.

    Where?

    • Routing and Remote Access
    • server name
    • IPX Routing
    • SAP for IPX
  3. In the details pane, right-click the interface on which you want to enable SAP, and then click Properties.
  4. On the General tab, select the Enable SAP on this interface check box.
  5. Select the Advertise services and the Accept service advertisements check boxes.
  6. Under Update mode, click Standard, and then click OK.

    7. For demand-dial interfaces, click Autostatic, and then click OK.

Note

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.

Related Topics


Set the update interval

To set the update interval

  1. Open Routing and Remote Access.
  2. In the console tree, click RIP for IPX or SAP for IPX.

    Where?

    • Routing and Remote Access
    • server name
    • IPX Routing
    • RIP for IPX or SAP for IPX
  3. In the details pane, right-click the interface on which you want to set the update interval, and then click Properties.
  4. On the General tab, under Update mode, click Standard.
  5. Make sure that the values in Update interval (seconds) and Aging interval multiplier are the same for all the routers on the network.

Note

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.

Related Topics


Set input and output filters

To set input and output filters

  1. Open Routing and Remote Access.
  2. In the console tree, click RIP for IPX or SAP for IPX.

    Where?

    • Routing and Remote Access
    • server name
    • IPX Routing
    • RIP for IPX or SAP for IPX
  3. In the details pane, right-click the interface on which you want to set input and output filters, and then click Properties.
  4. On the General tab, click Input Filters or Output Filters.
  5. Configure filters to permit or deny routes or services that you specify.

Note

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.

Related Topics


Connect your internal network to the Internet

  • Connect to the Internet by using an ISDN device
  • Connect to the Internet by using a modem
  • Connect to the Internet by using a T1 line
  • Connect to the Internet by using Frame Relay


Connect to the Internet by using an ISDN device

To connect to the Internet by using an ISDN device

  1. Install the ISDN hardware in your computer.
  2. On your desktop, right-click My Computer, click Properties, and on the Hardware tab, click Hardware Wizard.
  3. After the ISDN adapter is added and Windows 2000 is restarted, verify that the ISDN adapter appears as a port under Ports in Routing and Remote Access.
  4. To configure the ISDN port, right-click the port, and then click Properties.
  5. In the Port Properties dialog box, click Configure, select the Demand-dial routing connections (inbound and outbound) check box, and then click OK.
  6. To create a demand-dial interface and configure it to use the ISDN device to dial in to the ISP, right-click Routing Interfaces, and then click New Demand dial interface.
  7. Add a default route that uses the newly created demand-dial interface.

Note

  • A default route has a Destination of 0.0.0.0, a Network mask of 0.0.0.0, and a Metric of 1. Because the dial-up connection to the ISP is a point-to-point link, the Gateway IP address is not configurable.

Related Topics


Connect to the Internet by using a modem

To connect to the Internet by using a modem

  1. Install the modem hardware on your computer.
  2. Add the modem to your computer. In Control Panel, double-click Phone and Modem Options.
  3. If you are prompted to provide dialing information, do so and then click OK. If the Phone And Modems Options dialog box appears, continue to step 4.
  4. On the Modems tab, click Add. Follow the steps in the Install New Modem wizard.
  5. After the modem is added, verify that the modem appears as a port under Ports in Routing and Remote Access.
  6. To configure the modem port, right-click the port, and then click Properties.
  7. In the Port Properties dialog box, click Configure, select the Demand-dial routing connections (inbound and outbound) check box, and then click OK.
  8. To create a demand-dial interface and configure it to use the modem to dial in to the ISP, right-click Routing Interfaces, and then click New Demand dial interface.
  9. Add a default network route that uses the newly created demand-dial interface.

Note

  • A default network route has a Destination of 0.0.0.0, a Network mask of 0.0.0.0, and a Metric of 1. Because the dial-up connection to the ISP is a point-to-point link, the Gateway IP address is not configurable.

Related Topics


Connect to the Internet by using a T1 line

To connect to the Internet by using a T1 line

  1. Install the T1 adapter in your computer.
  2. On your desktop, right-click My Computer, click Properties, and on the Hardware tab, click Hardware Wizard.
  3. Configure the T1 adapter with the IP address allocated by your ISP.
  4. After the T1 adapter is added and Windows 2000 is restarted, verify that the T1 adapter appears as a network adapter under Routing Interfaces in Routing and Remote Access.
  5. Add a default network route that uses the T1 interface.

Note

  • A default network route has a Destination of 0.0.0.0, a Network mask of 0.0.0.0, and a Metric of 1. Because the T1 connection to the ISP is a point-to-point link, the Gateway IP address is not configurable.

Related Topics


Connect to the Internet by using Frame Relay

To connect to the Internet by using Frame Relay

  1. Install the Frame Relay adapter in your computer.
  2. On your desktop, right-click My Computer, click Properties, and on the Hardware tab, click Hardware Wizard. Follow the prompts to configure the Frame Relay adapter.
  3. After the Frame Relay adapter is added and Windows 2000 is restarted, verify that the Frame Relay adapter appears as a routing interface under Routing Interfaces in Routing and Remote Access.
  4. Add a default network route that uses the Frame Relay adapter.

Note

  • A default network route has a Destination of 0.0.0.0, Network mask of 0.0.0.0, and Metric of 1. Because the Frame Relay connection to the ISP is a point-to-point link, the Gateway IP address is not configurable.

Related Topics


Gather troubleshooting information

  • Determine the status of the Routing and Remote Access service
  • Check the state of an interface
  • Verify that OSPF is enabled
  • Determine whether the router is receiving routes
  • View RIP neighbors
  • View OSPF neighbors
  • Gather demand-dial troubleshooting information


Determine the status of the Routing and Remote Access service

To determine the status of the Routing and Remote Access service

  1. Open Computer Management.
  2. In the console tree, click Services.

    Where?

    • Computer Management
    • Services and Applications
    • Services
  3. In the details pane, for Routing and Remote Access, verify that the Status column is Started.
  4. If the service is not started, right-click Routing and Remote Access, and then click Start.
  5. If the router does not start, check the system event log for error messages.

Note

  • To open Computer Management, click Start, point to Programs, point to Administrative Tools, and then click Computer Management.

Related Topics


Check the state of an interface

To check the state of an interface

  1. Open Routing and Remote Access.
  2. In the console tree, click General.

    Where?

    • Routing and Remote Access
    • server name
    • IP Routing or IPX Routing
    • General
  3. In the details pane, click the interface you want to check, and then verify the values under the Administrative Status and Operational Status columns.

Note

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.

Related Topics


Verify that OSPF is enabled

To verify that OSPF is enabled

  1. Open Routing and Remote Access.
  2. In the console tree, click OSPF.

    Where?

    • Routing and Remote Access
    • server name
    • IP Routing
    • OSPF
  3. In the details pane, right-click the OSPF interface you want to verify, and then click Properties.
  4. On the General tab, verify that the Enable OSPF for this address check box is selected.

Note

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.

Related Topics


Determine whether the router is receiving routes

To determine whether the router is receiving routes

  1. Open Routing and Remote Access.
  2. In the console tree, click Static Routes.

    Where?

    • Routing and Remote Access
    • server name
    • IP Routing or IPX Routing
    • Static Routes
  3. Right-click Static Routes, and then click Show IP routing table or Show IPX Routing Table.

Note

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.

Related Topics


View RIP neighbors

To view RIP neighbors

  1. Open Routing and Remote Access.
  2. In the console tree, click RIP.

    Where?

    • Routing and Remote Access
    • server name
    • IP Routing
    • RIP
  3. Right-click RIP, and then click Show neighbors.

Note

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.

Related Topics


View OSPF neighbors

To view OSPF neighbors

  1. Open Routing and Remote Access.
  2. In the console tree, click OSPF.

    Where?

    • Routing and Remote Access
    • server name
    • IP Routing
    • OSPF
  3. Right-click OSPF, and then click Show Neighbors.

Note

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.

Related Topics


Gather demand-dial troubleshooting information

  • Check the unreachability reason
  • Check the credentials being used by the calling router
  • Check the authentication provider being used by the answering router
  • Check the status of the port on the answering router
  • Check the status of the demand-dial interface


Check the unreachability reason

To check the unreachability reason

  1. Open Routing and Remote Access.
  2. In the console tree, click Routing Interfaces.

    Where?

    • Routing and Remote Access
    • server name
    • Routing Interfaces
  3. In the details pane, right-click the demand-dial interface you want to check, and then click Unreachability reason.

Note

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.

Related Topics


Check the credentials being used by the calling router

To check the credentials being used by the calling router

  1. Open Routing and Remote Access.
  2. In the console tree, click Routing Interfaces.

    Where?

    • Routing and Remote Access
    • server name
    • Routing Interfaces
  3. In the details pane, right-click the demand-dial interface you want to check, and then click Set Credentials.
  4. Verify the user name and domain name. If necessary, enter the credentials again.

Note

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.

Related Topics


Check the authentication provider being used by the answering router

To check the authentication provider being used by the answering router

  1. Open Routing and Remote Access.
  2. In the console tree, right-click the router on which you want to check authentication, and then click Properties.
  3. On the Security tab, verify that RADIUS authentication is selected in Authentication provider.
  4. Click Configure, and verify the RADIUS configuration.

Note

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.

Related Topics


Check the status of the port on the answering router

To check the status of the port on the answering router

  1. Open Routing and Remote Access.
  2. In the console tree, click Ports.

    Where?

    • Routing and Remote Access
    • server name
    • Ports
  3. In the details pane, click the port used to answer the calling router and verify that the Status column is Active.

Note

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.

Related Topics


Check the status of the demand-dial interface

To check the status of the demand-dial interface

  1. Open Routing and Remote Access.
  2. In the console tree, click Routing Interfaces.

    Where?

    • Routing and Remote Access
    • server name
    • Routing Interfaces
  3. In the details pane, in the Connection State column, verify that the demand-dial interface that matches the user name for the credentials of the calling router is Connected.

Note

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.

Related Topics


Concepts

This section covers:

  • Routing overview
  • Understanding routing
  • Using routing
  • Resources


Routing overview

The Routing and Remote Access service for Microsoft Windows 2000 Server is a full-featured software router and an open platform for routing and internetworking. It offers routing services to businesses in local area network (LAN) and wide area network (WAN) environments or over the Internet by using secure virtual private network (VPN) connections. The Routing and Remote Access service combines and integrates the separate routing and remote access services of Windows NT 4.0 and is an enhancement of the Routing and Remote Access Service (also known as RRAS) for Windows NT 4.0.

An advantage of the Routing and Remote Access service is integration with the Windows 2000 Server operating system. The Routing and Remote Access service delivers many cost-saving features and works with a wide variety of hardware platforms and hundreds of network adapters. The Routing and Remote Access service is extensible with application programming interfaces (APIs) that developers can use to create custom networking solutions and that new vendors can use to participate in the growing business of open internetworking.

Note

  • A computer running Windows 2000 and the Routing and Remote Access service that provides LAN and WAN routing services is hereafter referred to as the Windows 2000 router.

The Windows 2000 router is intended for use by system administrators who are already familiar with routing protocols and routing services. Through Routing and Remote Access, administrators can view and manage both routers and remote access servers on their networks.

The Windows 2000 router includes the following features:

  • Multiprotocol unicast routing for Internet Protocol (IP), Internetwork Packet Exchange (IPX), and AppleTalk. For more information, see Unicast routing overview.
  • Industry-standard unicast IP routing protocols: Open Shortest Path First (OSPF) and Routing Information Protocol (RIP) versions 1 and 2. For more information, see Unicast routing overview.
  • Industry-standard IPX routing protocols and services: Routing Information Protocol (RIP) for IPX and Service Advertising Protocol (SAP) for IPX. For more information, see Unicast routing overview.
  • IP multicast services (Internet Group Management Protocol (IGMP) router mode and IGMP proxy mode) to enable the forwarding of IP multicast traffic. For more information, see Multicast forwarding and routing overview.
  • IP network address translation (NAT) services to simplify home networking and the connection of small office or home office (SOHO) networks to the Internet. For more information, see Internet connection sharing and network address translation.
  • IP and IPX packet filtering for security and performance. For more information, see Packet filtering.
  • Demand-dial routing over dial-up WAN links. For more information, see Demand-dial routing.
  • Virtual private network (VPN) support with the Point-to-Point Tunneling Protocol (PPTP) and the Layer Two Tunneling Protocol (L2TP) over Internet Protocol security (IPSec). For more information, see Routing over VPN connections.
  • Industry standard support for a Dynamic Host Configuration Protocol (DHCP) Relay Agent for IP. For more information, see DHCP Relay Agent.
  • Industry standard support for router advertisement by using Internet Control Message Protocol (ICMP) router discovery. For more information, see ICMP router discovery.
  • Tunneling support by using IP-in-IP tunnels. For more information, see IP-in-IP interfaces.
  • A graphical user interface for remote monitoring and configuration. For more information, see Administration and management tools.
  • A command-line interface for running scripts and automating configuration and remote monitoring. For more information, see Administration and management tools.
  • Support for Windows 2000 power management capabilities. For more information, see Power management support.
  • Simple Network Management Protocol (SNMP) management capabilities with support for popular management information bases (MIBs). For more information, see SNMP support.
  • Extensive support for media, including Ethernet, Token Ring, Fiber Distributed Data Interface (FDDI), asynchronous transfer mode (ATM), Integrated Services Digital Network (ISDN), T-Carrier, Frame Relay, xDSL, cable modems, X.25, and analog modems.
  • APIs for routing protocols, administration, and the user interface to enable value-added development on the Windows 2000 router platform.


Unicast routing overview

Unicast routing is the forwarding of traffic destined to a single location on an internetwork from a source host to a destination host by using routers. An internetwork is at least two networks that are connected by routers. A router is a network layer intermediate system that is used to connect networks together based on a common network layer protocol such as TCP/IP or IPX. A network is a portion of the networking infrastructure (encompassing repeaters, hubs, and bridges/Layer 2 switches) that is bounded by routers and is associated with the same network layer address known as a network address or network ID.

A typical router is connected to two or more networks over LAN or WAN media. Computers on a network can send packets to computers on other networks by forwarding the packets to the router. The router examines the packet and uses the destination network address in the packet header to decide which interface to use to forward the packet. Through routing protocols (OSPF, RIP, and others), a router learns network information (such as network addresses) from neighboring routers, and then propagates this information to routers on other networks to enable connectivity between all computers on all networks.

The Windows 2000 router can route IP, IPX, and AppleTalk traffic.

IP routing

The IP network protocol is part of a suite of Internet protocols known as Transmission Control Protocol/Internet Protocol (TCP/IP). IP is used to communicate across any set of interconnected IP networks. IP routers are either static routers (routes are established by an administrator and do not change until the administrator changes them) or dynamic routers (routes are updated dynamically by using routing protocols).

IP routing is the forwarding of IP traffic from a source host to a destination host through IP routers. At each router, the next hop is determined by matching the destination IP address within the packet with the best route in the routing table.

The Windows 2000 router includes support for two IP unicast routing protocols:

  • Routing Information Protocol (RIP) for IP
  • Open Shortest Path First (OSPF)

The Windows 2000 router is not limited to supporting just RIP for IP and OSPF. The Windows 2000 router is an extensible platform; other vendors can create additional IP routing protocols, such as Interior Gateway Routing Protocol (IGRP) and Border Gateway Protocol (BGP).

For more information about the IP unicast routing protocols supported by the Windows 2000 router, see RIP for IP and OSPF.

IPX routing

Internetwork Packet Exchange (IPX) is used primarily in Novell NetWare environments, but it is also used for Microsoft Windows-based networking.

The Windows 2000 router includes support for two IPX routing protocols:

  • Routing Information Protocol (RIP) for IPX, which is used to propagate IPX routing information
  • Service Advertising Protocol (SAP) for IPX, which is used to propagate service location information

The implementation of IPX, RIP, and SAP on a computer running Windows 2000 Server (by using the NWLink IPX/SPX/NetBIOS Compatible Transport Protocol, also known as NWLink) is compliant with the Novell IPX Router Specification.

For more information about the IPX routing protocols supported by the Windows 2000 router, see IPX routing protocols.

The Windows 2000 router also includes the ability to forward IPX wide area network (WAN) broadcast packets, also known as IPX Type 20 broadcasts. IPX Type 20 broadcasts are used by NetBIOS over IPX applications and the Windows 2000 Client for Microsoft Networks and File and Printer Sharing for Microsoft Networks networking components for name resolution and advertising processes.

You can disable the forwarding of IPX Type 20 broadcasts either through the Routing and Remote Access wizard or from the properties of a NetBIOS Broadcasts interface in Routing and Remote Access. If you disable the forwarding of IPX Type 20 broadcasts, you may impair the ability for NetBIOS over IPX applications or the Windows 2000 Client for Microsoft Networks and File and Printer Sharing for Microsoft Networks networking components to function properly in an IPX internetwork.

For more information about IPX WAN broadcast packets, see the Windows 2000 Resource Kit.

AppleTalk routing

AppleTalk is used primarily in Apple Macintosh environments.

The Windows 2000 router includes support for the Routing Table Maintenance Protocol (RTMP) routing protocol.

For more detailed information about unicast routing, see Understanding unicast routing.


Multicast forwarding and routing overview

Unicasting is the sending of network traffic to a specific endpoint. Multicasting is the sending of network traffic to a group of endpoints. Only those members in the group of endpoints that are listening for the multicast traffic (the multicast group) process the multicast traffic. All other nodes ignore the multicast traffic.

You can use multicast traffic to:

  • Discover resources on the internetwork.
  • Support datacasting applications such as file distribution or database synchronization.
  • Support multicasting multimedia applications such as digitized audio and video.

Multicast forwarding is the intelligent forwarding of multicast traffic. Multicast routing is the propagation of multicast group listening information. Windows 2000 Server supports multicast forwarding and limited multicast routing.

This section covers:

  • Multicast forwarding
  • Multicast routing

For more detailed information about multicasting, see Understanding multicasting.


Multicast forwarding

With multicast forwarding, a router forwards multicast traffic to networks where nodes are listening or in directions where nodes are listening. Multicast forwarding prevents the forwarding of multicast traffic to networks where there are no nodes listening.

For multicast forwarding to work across an internetwork, nodes and routers must be multicast-capable.

Multicast-capable nodes

A multicast-capable node must be able to:

  • Send and receive multicast packets.
  • Register the multicast addresses being listened to by the node with local routers, so that multicast packets can be forwarded to the network of the node.

All computers running Windows 2000 are IP multicast-capable and can both send and receive IP multicast traffic. IP multicasting applications on a computer running Windows 2000 that send multicast traffic must construct IP packets with the appropriate IP multicast address as the destination IP address. IP multicasting applications on a computer running Windows 2000 that receive multicast traffic must inform the TCP/IP protocol that they are listening for all traffic to a specified IP multicast address.

IP nodes use the Internet Group Management Protocol (IGMP) to register their interest in receiving IP multicast traffic from IP routers. IP nodes that use IGMP send out an IGMP Membership Report packet to notify their local routers that they are listening on a specific IP multicast address.

Multicast-capable routers

A multicast-capable router must be able to:

  • Listen for all multicast traffic on all attached networks. Upon receiving multicast traffic, forward the multicast packet to attached networks where nodes are listening or where downstream routers have nodes that are listening.

    • In Windows 2000 Server, the ability to listen for all multicast traffic and forward multicast packets is provided by the TCP/IP protocol. The TCP/IP protocol uses a multicast forwarding table to make decisions on where to forward incoming multicast traffic.

  • Listen for IGMP Membership Report packets and update the TCP/IP multicast forwarding table.

    • In Windows 2000 Server, the ability to listen for IGMP Membership Report packets and update the TCP/IP multicast forwarding table is provided by the IGMP routing protocol on an interface operating in IGMP router mode.

  • Use a multicast routing protocol to propagate multicast group listening information to other multicast-capable routers.

    • Windows 2000 Server does not provide any multicast routing protocols. However, the Routing and Remote Access service is an extensible platform and can support multicast routing protocols.

Note

  • The IGMP routing protocol provided with the Routing and Remote Access service is not a multicast routing protocol.

The Windows 2000 IGMP routing protocol

Maintaining entries in the TCP/IP multicast forwarding table is implemented through the IGMP routing protocol, a component that is added as an IP routing protocol by using Routing and Remote Access. Once the IGMP routing protocol is added, router interfaces are added to IGMP. You can configure each interface added to the IGMP routing protocol in one of two operating modes:

  1. IGMP router mode
  2. IGMP proxy mode

IGMP router mode

In Windows 2000 Server, the ability to listen for IGMP Membership Report packets and track group membership is provided by an interface running in IGMP router mode. You must enable IGMP router mode on the interfaces where listening multicast hosts are located.

For more information about the Windows 2000 IGMP router, see Multicast forwarding.

IGMP proxy mode

An interface running in IGMP proxy mode acts as a proxy multicast host that sends IGMP Membership Report packets on one interface for IGMP Membership Report packets received on all other interfaces running in IGMP router mode. The upstream router attached to the network of the IGMP proxy mode interface receives the IGMP proxy mode Membership Report packets and adds them to its own multicast tables. In this way, the upstream router knows to forward multicast packets to the network segment of the IGMP proxy mode interface for multicast groups that were registered by hosts attached to the IGMP proxy mode router.

When the upstream router forwards multicast traffic to the IGMP proxy mode interface network, it is forwarded to the appropriate hosts on the IGMP router mode interface networks by the TCP/IP protocol.

All nonlocal multicast traffic received on all interfaces running IGMP router mode is forwarded using the IGMP proxy mode interface. The upstream router that receives the forwarded multicast traffic can elect to forward the multicast traffic or discard it. Using IGMP proxy mode, multicast sources on networks attached to the Windows 2000 router can send multicast traffic to multicast hosts attached to upstream multicast routers.

IGMP proxy mode is designed to pass IGMP Membership Report packets from a single router intranet to a multicast-capable portion of the Internet. The multicast-capable portion of the Internet is known as the Internet multicast backbone, or MBone. With IGMP proxy mode enabled on the Internet interface, hosts on the single router intranet can receive multicast traffic from multicast sources on the Internet and send multicast traffic to hosts on the Internet.

For more information about using IGMP proxy mode interfaces, see Multicast routing.


Multicast routing

With multicast routing, multicast-capable routers communicate multicast group membership information to each other so that intelligent multicast forwarding decisions are made across the internetwork. Multicast routers use multicast routing protocols to communicate multicast group information with each other.

Examples of multicast routing protocols include Distance Vector Multicast Routing Protocol (DVMRP), Multicast Extensions to OSPF (MOSPF), Protocol-Independent Multicast-Sparse Mode (PIM-SM), and Protocol Independent Multicast-Dense Mode (PIM-DM). Windows 2000 Server does not include any multicast routing protocols. However, the Windows 2000 router is an extensible platform; other vendors can create multicast routing protocols.


Internet connection sharing and network address translation

To connect a small office or home office (SOHO) network to the Internet, you can use one of two methods:

  1. Routed connection

    2. For a routed connection, the computer running Windows 2000 Server acts as an IP router that forwards packets between SOHO hosts and Internet hosts. While conceptually simple, a routed connection requires knowledge of IP address and routing configuration for SOHO hosts and the Windows 2000 router. However, routed connections allow all IP traffic between SOHO hosts and Internet hosts. For more information, see SOHO network to the Internet.

  2. Translated connection

    3. For a translated connection, the computer running Windows 2000 Server acts as an network address translator; an IP router that translates addresses for packets being forwarded between SOHO hosts and Internet hosts. Translated connections that use computers running Windows 2000 Server require less knowledge of IP addressing and routing and provide a simplified configuration for SOHO hosts and the Windows 2000 router. However, translated connections may not allow all IP traffic between SOHO hosts and Internet hosts.

In Windows 2000 Server, you can configure a translated connection to the Internet by using either the Internet connection sharing feature of Network and Dial-up Connections or the Network Address Translation (NAT) routing protocol provided with the Routing and Remote Access service. Both Internet connection sharing and network address translation provide translation, addressing, and name resolution services to SOHO hosts.

Internet connection sharing is designed to provide a single step of configuration (a single check box) on the computer running Windows 2000 to provide a translated connection to Internet for all of the hosts on the SOHO network. However, once enabled, Internet connection sharing does not allow further configuration beyond the configuration of applications and services on the SOHO network. For example, Internet connection sharing is designed for a single IP address obtained from an Internet service provider (ISP) and does not allow you to change the range of IP addresses allocated to SOHO hosts. For more information, see Internet connection sharing.

The Network Address Translation (NAT) routing protocol is designed to provide maximum flexibility in the configuration of the computer running Windows 2000 Server to provide a translated connection to Internet. Network address translation requires more configuration steps; however, each step of the configuration is customizable. The NAT protocol allows for ranges of IP addresses from ISP and the configuration of the range of IP addresses allocated to SOHO hosts. For more information, see Understanding network address translation.

The following table summarizes the features and capabilities of Internet connection sharing and network address translation.

Internet connection sharing | Network address translation
Single check box configuration | Manual configuration
Single public IP address | Multiple public IP addresses
Fixed address range for SOHO hosts | Configurable address range for SOHO hosts
Single SOHO interface | Multiple SOHO interfaces

Note

  • Internet connection sharing and network address translation are features of Windows 2000 Server that are designed to connect SOHO networks to the Internet. Internet connection sharing and network address translation are not designed to:
    • Directly connect separate SOHO networks together.
    • Connect networks within an intranet.
    • Directly connect branch office networks to a corporate network.
    • Connect branch office networks to a corporate network over the Internet.


Packet filtering

The Windows 2000 router supports both IP and IPX packet filtering, which specifies what type of traffic is allowed into and out of the router. The packet filtering feature of the Windows 2000 router is based on exceptions. You can set packet filters per interface and configure them to:

  • Pass through all traffic except packets prohibited by filters.
  • Discard all traffic except packets allowed by filters.

For more information about packet filtering, see Manage packet filters.

For detailed information about IP and IPX packet filtering, including examples of filtering configurations, see the Windows 2000 Resource Kit.


Demand-dial routing

The Windows 2000 router also includes support for demand-dial routing (also known as dial-on-demand routing). By using a demand-dial interface, the router can initiate a connection to a remote site when the packet to be routed is received by the router. The connection becomes active only when data is sent to the remote site. When no data has been sent over the link for a specified amount of time, the link is disconnected. By making a demand-dial connection, you can use existing dial-up telephone lines instead of leased lines for low-traffic situations. Demand-dial routing can significantly reduce your connection costs.

The Windows 2000 router also includes support for demand-dial filters and dial-out hours.

You can use demand-dial filters to specify what types of traffic are allowed to create the connection. Demand-dial filters are separate from IP packet filters, which you configure to specify what traffic is allowed into and out of an interface once the connection is made. For more information about configuring demand-dial filters, see To configure demand-dial filters.

You can set dial-out hours to specify the hours that a router is allowed to dial out to make demand-dial connections. For more information about configuring dial-out hours, see To configure dial-out hours.

You can configure when the router accepts incoming connections through remote access policies. For more information, see Introduction to remote access policies.

For more information about demand-dial routing and an example, see Understanding demand-dial routing.


Routing over VPN connections

Conventional routing occurs between routers over either LAN-based shared access technologies, such as Ethernet or Token Ring, or WAN-based point-to-point technologies, such as T1 or Frame Relay. With conventional WAN technologies, IP packets are forwarded between two routers over a physical or logical point-to-point connection. This connection is dedicated to the customer across a private data network that is provided by the WAN service provider.

With the advent of the Internet, you can now route packets between routers that are connected to the Internet across a virtual connection that emulates the properties of a dedicated, private, point-to-point connection. This type of connection is known as a router-to-router virtual private network (VPN) connection. With router-to-router VPN connections, you can replace expensive long-haul WAN links with short-haul WAN links to your local Internet service provider (ISP).

To emulate a private, point-to-point connection, a packet that is forwarded between routers is encapsulated, or wrapped, with an additional header that provides routing information that is needed to reach the endpoint. The endpoints of the connection are the routers. The portion of the virtual private networking connection in which your data is encapsulated is called the tunnel.

For secure VPN connections, your packets are encrypted before encapsulation. Intercepted packets are undecipherable without the encryption keys. The portion of the virtual private networking connection in which your data is encrypted is called the virtual private network (VPN) connection. In router-to-router VPN connections, the tunnel and the VPN connection are the same.

For general information about VPN technology in Windows 2000, see Virtual private networks.

For more information about router-to-router VPNs, see Understanding router-to-router VPNs.

For information about designing and deploying a router-to-router VPN connection, see Setting up router-to-router VPNs.

For an example of a router-to-router VPN connection, see Branch office over the Internet.


DHCP Relay Agent

The DHCP Relay Agent component provided with the Windows 2000 router is a Bootstrap Protocol (BOOTP) relay agent that relays Dynamic Host Configuration Protocol (DHCP) messages between DHCP clients and DHCP servers on different IP networks. The DHCP Relay Agent is compliant with RFC 1542, "Clarifications and Extensions for the Bootstrap Protocol." For each IP network segment that contains DHCP clients, either a DHCP server or a computer acting as a DHCP Relay Agent is required.

For information about installing and configuring the DHCP Relay Agent component of the Windows 2000 router, see Configure the DHCP Relay Agent.

Note

  • You cannot use the DHCP Relay Agent component on a Windows 2000 Server computer running the DHCP service or the Network Address Translation (NAT) routing protocol with automatic addressing enabled.


ICMP router discovery

To configure IP hosts with the IP addresses of local routers and provide a way for hosts to sense routers that are down, you can use Internet Control Message Protocol (ICMP) messages for router solicitation and advertisement (as described in RFC 1256, "ICMP Router Discovery Messages"):

  • Router solicitations are sent by hosts to discover routers on their networks.
  • Router advertisements are sent by routers in response to a router solicitation and periodically to notify hosts on the network that the router is still available.

The TCP/IP protocol for Windows 2000 supports ICMP router solicitations. The Windows 2000 router supports ICMP router advertisements. For more information about enabling ICMP router solicitation, see To enable ICMP router discovery.


IP-in-IP interfaces

An IP-in-IP interface is a logical interface that sends IP packets in a tunneled mode. IP packets that normally do not traverse an intranet or the Internet are encapsulated with an additional IP header. The encapsulated IP packets can traverse an intranet or the Internet.

A typical use for IP-in-IP interfaces is the forwarding of IP multicast traffic from one area of the intranet to another area of the intranet across a portion of the intranet that does not support multicast forwarding or routing.

Once IP-in-IP interfaces are created, you can configure them just as you would any other IP interface, including the setting of packet filters to confine the traffic that is allowed into and out of the interface.

For more information about creating an IP-in-IP interface, see To add an IP-in-IP tunnel.

Note

  • You can also create and configure IP-in-IP tunnels with the Netsh command-line utility. For more information, see IP routing commands.


Administration and management tools

The Windows 2000 router includes the following administration and management tools:

  • Routing and Remote Access

    • The primary administration and management tool for configuring the Windows 2000 remote access router is Routing and Remote Access (available in the Administrative Tools folder in Control Panel).

    With Routing and Remote Access, you can:

    • Configure and enable, disable, start, and stop the Routing and Remote Access service.
    • Manage local and remote routers.
    • Configure routing behavior and routing protocols.
    • Configure demand-dial routing behavior.
    • Configure remote access policies.
    • Monitor active connections.
    • Save the current routing configuration to a file and load previous configurations from a file.

    Local administrator and server operator accounts can use Routing and Remote Access. If the computer is a member of a domain, domain administrator and server operator accounts can use Routing and Remote Access.

  • The Netsh command-line utility

    • You can use the Netsh command-line utility to locally configure Windows 2000 remote access routers from a Windows 2000 command prompt. The Netsh utility can use script files to automate configuration tasks.

    For more information about the Netsh utility, see The Netsh command-line utility.

Notes

  • Not all the capabilities of the Windows 2000 administration tools will work when administering a Windows NT 4.0 Routing and Remote Access (RRAS) router or a Windows NT 4.0 Remote Access Service (RAS) server. For more information, see Administration tools in mixed environments.
  • You cannot remotely configure AppleTalk routing properties with Routing and Remote Access.


Power management support

Power management support for Windows 2000 Routing and Remote Access is listed in the following table. The first column indicates the configuration of the Windows 2000 remote access router, the second column indicates whether the computer goes into sleep mode based on an Advanced Configuration and Power Interface (ACPI) or Advanced Power Management (APM)–initiated sleep mode request, and the last column indicates whether the computer goes into sleep mode based on a user-initiated sleep mode request.

Remote access router configuration | ACPI/APM-initiated sleep mode | User-initiated sleep mode
LAN and WAN router | No | Yes
LAN only router | No | No
Router with an active VPN connection | No | Yes
Router with active network address translation | No | Yes
Remote access server | No | Yes
Remote access server with an active dial-up connection | No | Yes
Remote access server with an active VPN connection | No | Yes

Note

  • If there are active connections when a user-initiated sleep mode request is made, you are not informed. The active connections are terminated.


SNMP support

If you want the Windows 2000 router to participate in a Simple Network Management Protocol (SNMP) environment as an SNMP agent, you need to install the SNMP service. For more information, see To install the SNMP service.

The Windows 2000 router supports the following management information bases (MIBs):

  • Internet MIB II

    • Objects in the Internet MIB II are documented in RFC 1213, "Management Information Base for Network Management of TCP/IP-based internets: MIB-II."

  • IP Forwarding Table MIB

    • Objects in the IP Forwarding Table MIB are documented in RFC 1354, "IP Forwarding Table MIB."

  • Microsoft RIP Version 2 for Internet Protocol MIB
  • Wellfleet-Series7-MIB for OSPF
  • Microsoft BOOTP for Internet Protocol MIB
  • Microsoft IPX MIB
  • Microsoft RIP and SAP for IPX MIB
  • Internet Group Management Protocol MIB

    • Objects in the Internet Group Management Protocol MIB are documented in the Internet draft titled draft-ietf-idmr-igmp-mib-0x.txt where x is the current version number.

  • IP Multicast Routing MIB

    • Objects in the IP Multicast Routing MIB are documented in the Internet draft titled draft-ietf-idmr-multicast-routmib-0x.txt where x is the current version number.

For more information about the Windows 2000 SNMP service, see SNMP.


Understanding routing

The routing services included with Windows NT Server 4.0, MultiProtocol Routing (MPR) version 1.0, provided a limited set of LAN-based routing services suitable for smaller organizations and branch offices. In June 1996, Microsoft offered the Routing and Remote Access Service as a free download component from the Microsoft Web site. The Routing and Remote Access Service for Windows NT 4.0, also known as RRAS, integrated routing and remote access services, extended the internetworking and routing capabilities available in MPR 1.0, and enabled routing over WANs and dial-up links. The Routing and Remote Access service included with Windows 2000 Server extends the capabilities of the Windows 4.0 Routing and Remote Access Service by adding IP multicast, network address translation (NAT), and additional virtual private network (VPN) services.

This section covers:

  • Understanding unicast routing
  • Understanding multicasting
  • Understanding network address translation
  • Understanding demand-dial routing
  • Understanding router-to-router VPNs


Understanding unicast routing

Unicast routing, the forwarding of traffic to a specific destination address, is facilitated by knowing where traffic can be delivered in the internetwork. At each hop in the path from the source to the destination, a routing decision is made.

This section covers:

  • Routing tables
  • Routing configurations
  • IP routing protocols
  • IPX routing protocols
  • Routing interfaces, devices, and ports


Routing tables

The routing decision is aided by knowing which network addresses (or network IDs) are available in the internetwork. This knowledge is obtained from a database called the routing table. The routing table is a series of entries called routes that contain information on where the network IDs of the internetwork are located. The routing table is not exclusive to a router. Hosts (non-routers) may also have a routing table that is used to determine the optimal route.

Types of routing table entries

Each entry in the routing table is considered a route and is one of the following types:

  • Network route

    A network route provides a route to a specific network ID in the internetwork.

  • Host route

    A host route provides a route to an internetwork address (network ID and node ID). Host routes are typically used to create custom routes to specific hosts to control or optimize network traffic.

  • Default route

    A default route is used when no other routes in the routing table are found. For example, if a router or host cannot find a network route or host route for the destination, the default route is used. The default route simplifies the configuration of hosts. Rather than configuring hosts with routes for all the network IDs in the internetwork, a single default route is used to forward all packets with a destination network or internetwork address that was not found in the routing table.

Routing table structure

The following illustration shows the structure of the routing table.

Routing table structure

Each entry in the routing table consists of the following information fields:

  • Network ID

    The network ID or an internetwork address for a host route. On IP routers, there is an additional subnet mask field that determines the IP network ID from a destination IP address.

  • Forwarding address

    The address to which the packet is forwarded. The forwarding address is a hardware address or an internetwork address. For networks to which the host or router is directly attached, the forwarding address field may be the address of the interface that is attached to the network.

  • Interface

    The network interface that is used when packets are forwarded to the network ID. This is a port number or other type of logical identifier.

  • Metric

    A measurement of the preference of a route. Typically, the lowest metric is the most preferred route. If multiple routes exist to a given destination network, the route with the lowest metric is used. Some routing algorithms only store a single route to any network ID in the routing table, even when multiple routes exist. In this case, the metric is used by the router to determine which route to store in the routing table.

Note

  • The preceding list is intended to be a representative list of fields in the routing tables used by routers. Actual fields in the routing tables for different routable protocols may vary.


Routing configurations

You can use routers in many different topologies and network configurations. When you add a Windows 2000 router to your network, you must select:

  • The protocols to be routed (IP, IPX, or AppleTalk) by the router.
  • Routing protocols (RIP for IP or IPX, OSPF, or SAP for IPX) for each protocol to be routed.
  • LAN or WAN media (network adapters, modems, or other dial-up equipment).

This section describes three typical scenarios for using the Windows 2000 router:

  • A simple routing scenario
  • A multiple-router scenario
  • A demand-dial routing scenario

For more detailed routing configurations, see Routing scenarios.


A simple routing scenario

The following illustration shows a simple network configuration with the Windows 2000 router that connects two LAN segments (Networks A and B). In this configuration, routing protocols are not necessary because the router is connected to all the networks to which it needs to route packets.

Simple routing scenario


A multiple-router scenario

The following illustration shows a more complex router configuration.

Multiple-router scenario

In this configuration, there are three networks (Networks A, B, and C) and two routers (Routers 1 and 2). Router 1 is on Networks A and B, and Router 2 is on Networks B and C. Router 1 must notify Router 2 that Network A can be reached through Router 1, and Router 2 must notify Router 1 that Network C can be reached through Router 2. This information is automatically communicated through the use of routing protocols, such as RIP or OSPF. When a user on Network A wants to communicate with a user on Network C, the user's computer on Network A forwards the packet to Router 1. Router 1 then forwards the packet to Router 2. Router 2 then forwards the packet to the user's computer on Network C.

Without the use of routing protocols, a network administrator has to enter static routes into the routing tables of Router 1 and Router 2. While static routes work, they do not scale well to larger internetworks or recover from changes in the internetwork topology.


A demand-dial routing scenario

The following illustration shows a router configuration that uses demand-dialing.

Demand-dial routing scenario

Networks A and B are geographically separated and, for the amount of traffic that is transferred between the networks, a leased WAN link is not economical. Router 1 and Router 2 can connect over an analog phone line by using modems on both ends (or another type of connectivity, such as ISDN). When a computer on Network A initiates communication with a computer on Network B, Router 1 establishes a phone connection with Router 2. The modem connection is maintained as long as there are packets going back and forth. When the connection is idle, Router 1 hangs up to reduce connection costs.

For a detailed explanation of what happens during a demand-dial connection, see Understanding demand-dial routing.


IP routing protocols

In dynamic IP routing environments, IP routing information is propagated by using IP routing protocols. The two most common IP routing protocols that are used on intranets are Routing Information Protocol (RIP) and Open Shortest Path First (OSPF).

You can run multiple routing protocols on the same intranet. In this case, you must configure which routing protocol is the most preferred source of learned routes by configuring preference levels. The preferred routing protocol is the source of the route that is added to the routing table, regardless of the metric of the learned route. For example, if metric of an OSPF learned route is 5 and the metric of the corresponding RIP learned route is 3 and OSPF is the preferred routing protocol, then the OSPF route is added to the IP routing table and the RIP route is ignored. For more information, see To change preference levels.

This section provides information about:

  • RIP for IP
  • OSPF

Note

  • If you are using multiple IP routing protocols, configure only a single routing protocol per interface.


RIP for IP

The Routing Information Protocol (RIP) is designed for exchanging routing information within a small to medium-size internetwork.

The biggest advantage of RIP is that it is extremely simple to configure and deploy. The biggest disadvantage of RIP is its inability to scale to large or very large internetworks. The maximum hop count used by RIP routers is 15. Networks that are 16 hops or more away are considered unreachable. As internetworks grow larger in size, the periodic announcements by each RIP router can cause excessive traffic. Another disadvantage of RIP is its high recovery time. When the internetwork topology changes, it may take several minutes before the RIP routers reconfigure themselves to the new internetwork topology. While the internetwork reconfigures itself, routing loops may form that result in lost or undeliverable data.

Initially, the routing table for each router includes only the networks that are physically connected. A RIP router periodically sends announcements that contain its routing table entries to inform other local RIP routers of the networks it can reach. RIP version 1 uses IP broadcast packets for its announcements. RIP version 2 uses multicast or broadcast packets for its announcements.

RIP routers can also communicate routing information through triggered updates. Triggered updates occur when the network topology changes and updated routing information is sent that reflects those changes. With triggered updates, the update is sent immediately rather than waiting for the next periodic announcement. For example, when a router detects a link or router failure, it updates its own routing table and sends updated routes. Each router that receives the triggered update modifies its own routing table and propagates the change.

The Windows 2000 router supports RIP versions 1 and 2. RIP version 2 supports multicast announcements, simple password authentication, and more flexibility in subnetted and Classless InterDomain Routing (CIDR) environments.

The Windows 2000 router implementation of RIP has the following features:

  • Selection of which RIP version to run on each interface for incoming and outgoing packets.
  • Split-horizon, poison-reverse, and triggered-update algorithms that are used to avoid routing loops and speed recovery of the internetwork when topology changes occur.
  • Route filters for choosing which networks to announce or accept.
  • Peer filters for choosing which router's announcements are accepted.
  • Configurable announcement and route aging timers.
  • Simple password authentication support.
  • The ability to disable subnet summarization.

For information about designing and deploying a RIP-for-IP internetwork, see Setting up a RIP-for-IP routed internetwork.

For detailed information about the operation of RIP for IP, see the Windows 2000 Resource Kit.

Note

  • If you are using multiple IP routing protocols, configure only a single routing protocol per interface.


OSPF

Open Shortest Path First (OSPF) is designed for exchanging routing information within a large or very large internetwork.

The biggest advantage of OSPF is that it is efficient; OSPF requires very little network overhead even in very large internetworks. The biggest disadvantage of OSPF is its complexity; OSPF requires proper planning and is more difficult to configure and administer.

OSPF uses a Shortest Path First (SPF) algorithm to compute routes in the routing table. The SPF algorithm computes the shortest (least cost) path between the router and all the networks of the internetwork. SPF-calculated routes are always loop-free.

Instead of exchanging routing table entries like RIP routers, OSPF routers maintain a map of the internetwork that is updated after any change to the network topology. This map, called the link state database, is synchronized between all the OSPF routers and is used to compute the routes in the routing table. Neighboring OSPF routers form an adjacency, which is a logical relationship between routers to synchronize the link state database.

Changes to internetwork topology are efficiently flooded across the entire internetwork to ensure that the link state database on each router is synchronized and accurate at all times. Upon receiving changes to the link state database, the routing table is recalculated.

As the size of the link state database increases, memory requirements and route computation times increase. To address this scaling problem, OSPF divides the internetwork into areas (collections of contiguous networks) that are connected to each other through a backbone area. Each router only keeps a link state database for those areas that are connected to the router. Area border routers (ABRs) connect the backbone area to other areas.

The following illustration shows a diagram of an OSPF internetwork.

OSPF internetwork with two areas and the backbone area

OSPF has the following advantages over RIP:

  • OSPF-calculated routes are always loop-free.
  • OSPF can scale to large or very large internetworks.
  • Reconfiguration for network topology changes is faster.

The Windows 2000 router implementation of OSPF has the following features:

  • Route filters for controlling interaction with other routing protocols.
  • Dynamic reconfiguration of all OSPF settings.
  • Coexistence with RIP.
  • Dynamic addition and deletion of interfaces.

For information about designing and deploying an OSPF internetwork, see Setting up an OSPF routed internetwork.

For detailed information about the operation of OSPF, see the Windows 2000 Resource Kit.

Notes

  • The Windows 2000 router does not support the use of OSPF in a demand-dial configuration that uses nonpermanent, dial-up links.
  • If you are using multiple IP routing protocols, configure only a single routing protocol per interface.


IPX routing protocols

In IPX internetworks, IPX routing information is propagated by using the Routing Information Protocol (RIP) for IPX routing protocol. The Service Advertising Protocol (SAP) is used to propagate server service addressing information. Although SAP is not a true routing protocol, it is a vital component of an IPX internetwork if you want Novell NetWare connectivity.

RIP for IPX

The Routing Information Protocol (RIP) for IPX is a periodic broadcast routing protocol that is used to exchange IPX network routes. RIP for IPX works in a manner very similar to the RIP-for-IP routing protocol described in RIP for IP.

The Windows 2000 router supports IPX route filters that enable selective announcement and acceptance of IPX network routes. You can also configure route announcement and aging timers.

SAP for IPX

The Service Advertising Protocol (SAP) allows nodes that provide services, such as file servers and print servers, to advertise their service names and the IPX internetwork addresses where the services are located. This information is collected and propagated by IPX routers and SAP servers (such as NetWare servers). NetWare clients that want to connect to a service consult a SAP server to obtain the IPX internetwork address for the service.

Servers that host services send periodic SAP broadcasts. IPX routers and SAP servers receive the server SAP broadcasts and propagate the service information through periodic SAP announcements to keep all routers and SAP servers on the internetwork synchronized. By default, SAP announcements are sent every 60 seconds. Routers and SAP servers also send SAP updates whenever a change in the status of a service is detected.

SAP capabilities of the Windows 2000 router also include:

  • The ability to respond to SAP GetNearestServer requests. When NetWare clients initialize on the network, they send out a broadcast SAP GetNearestServer request, which attempts to find the nearest server of a specified type. You can configure the Windows 2000 router to respond to this request.
  • The ability to set SAP filters to selectively announce or accept specific services.


Routing interfaces, devices, and ports

The Windows 2000 remote access router views the installed networking equipment as a series of routing interfaces, devices, and ports.

  • A routing interface is a physical or logical interface over which unicast or multicast packets are forwarded.
  • A device represents hardware or software that creates physical or logical point-to-point connections.
  • A port is a communication channel that supports a single point-to-point connection.

Routing interface

The Windows 2000 router uses a routing interface to forward unicast IP, IPX, or AppleTalk packets and multicast IP packets. There are three types of routing interfaces:

  • LAN interfaces

    • A LAN interface is a physical interface that typically represents a local area connection that uses local area networking technology such as Ethernet or Token Ring. A LAN interface reflects an installed network adapter. An installed WAN adapter is sometimes represented as a LAN interface. For example, some Frame Relay adapters create a separate logical LAN interface for each configured virtual circuit. LAN interfaces are always active and typically do not require an authentication process to become active.

  • Demand-dial interfaces

    • A demand-dial interface is a logical interface that represents a point-to-point connection. The point-to-point connection is based on either a physical connection, such as two routers connected over an analog phone line that uses modems, or a logical connection, such as two routers connected over a virtual private network connection that uses the Internet. Demand-dial connections are either on-demand (the point-to-point connection is only established when needed) or persistent (the point-to-point connection is established and then remains in a connected state). Demand-dial interfaces typically require an authentication process to become connected. The equipment needed by a demand-dial interface is a port on a device.

  • IP-in-IP tunnel interfaces

    • An IP-in-IP tunnel interface is a logical interface that represents a tunneled point-to-point connection. IP-in-IP tunnel interfaces do not require an authentication process to become connected. For more information, see IP-in-IP interfaces.

You can view the installed and configured routing interfaces by clicking Routing Interfaces in Routing and Remote Access.

Device

A device is the hardware or software that provide ports that demand-dial and remote access connections use to establish point-to-point connections. Devices can be physical, such as a modem, or virtual, such as virtual private network (VPN) protocols. Devices can support a single port, such as a modem, or multiple ports, such as modem bank hardware that can terminate 64 different incoming analog phone calls. An example of a virtual multiport device is the Point-to-Point Tunneling Protocol (PPTP) or Layer Two Tunneling Protocol (L2TP). Each of these tunneling protocols supports multiple VPN connections.

You can view the installed devices by viewing the properties of Ports in Routing and Remote Access.

Port

A port is a channel of a device that supports a single point-to-point connection. For single-port devices such as modems, the device and the port are indistinguishable. For multiport devices, the port is the subdivision of the device over which a separate point-to-point communication is possible. For example, Primary Rate Interface (PRI) ISDN adapters support two separate channels called B channels. The ISDN adapter is a device. Each B channel is a port because a separate point-to-point connection occurs over each B channel.

You can view the installed ports by clicking Ports in Routing and Remote Access.


Understanding multicasting

Multicasting is useful for the point-to-multipoint delivery of information on an internetwork. You can use three mechanisms for point-to-multipoint delivery:

  1. Send the information to each endpoint individually by using unicast addresses. The disadvantages of this method are the duplication of network traffic and the overhead of maintaining a list of unicast endpoints.
  2. Send the information in a single packet by using a broadcast address. The advantages of this method are the use of a single packet and no overhead for keeping lists of recipients. The disadvantages are the use of broadcast packets (which disturbs all nodes on the network) and the fact that broadcasts are not forwarded by routers. A broadcast packet reaches everyone on a network, but not everyone on the internetwork.
  3. Send the information in a single packet by using a multicast address. The advantages of this method are the use of a single packet and no overhead for keeping lists of recipients. Unlike broadcast packets, multicast traffic does not disturb those nodes who are not listening for it. Routers can be multicast-capable and forward the multicast packet to all networks where there is at least one node listening.

Multicasting is the best choice for point-to-multipoint delivery.

This section covers:

  • Multicast forwarding
  • Multicast routing
  • Multicast boundaries and heartbeat


Multicast forwarding

Multicast forwarding, the intelligent forwarding of multicast traffic, is provided by the Windows 2000 TCP/IP protocol and the Windows 2000 IGMP routing protocol for interfaces running in IGMP router mode.

The Windows 2000 TCP/IP protocol performs the following multicast forwarding functions:

  • Receives and processes all multicast traffic

    The TCP/IP protocol receives and processes all multicast traffic on interfaces that are configured for IGMP router mode. All IP multicast traffic is either forwarded to a process running on the router or intelligently forwarded to network segments that contain either multicast group members or routers connected to downstream network segments that contain multicast group members.

  • Forwards multicast packets to appropriate interfaces

    Upon receipt of a multicast packet, the TCP/IP consults a multicast forwarding table to decide whether to forward the packet to any of its other attached interfaces.

Interfaces running in IGMP router mode perform the following multicast forwarding functions:

  • Places the network adapter in multicast-promiscuous mode

    IGMP router mode sets the network adapter to multicast-promiscuous mode. In multicast-promiscuous mode, all multicast packets received by the network adapter are passed to the Windows 2000 networking layers for processing. Not all network adapters are capable of multicast-promiscuous mode.

  • Tracks multicast group membership

    The IGMP router mode interface listens for IGMP Membership Report messages on locally attached networks and compiles a list of multicast accounting information as a series of {receiver network, multicast group} pairs. The receiver network is the IP network ID of a listening node. The multicast group is the specific multicast address that is registered by a listening node. The multicast-capable router does not track the IP addresses of the hosts that are listening, only the IP network ID where at least one host is listening.

    To ensure that hosts are still listening on their registered multicast addresses, the IGMP router periodically queries each network. The response to the query is an IGMP Membership Report. If there are multiple IGMP routers on a single network, one IGMP router is elected the querier and performs all periodic queries.

  • Updates to the TCP/IP multicast forwarding table

    • Based on the current state of listening hosts on IGMP router mode interfaces, the TCP/IP multicast forwarding table is updated with the appropriate entries.


Multicast routing

Multicast routing, the propagation of multicast listening information, is provided by multicast routing protocols such as Distance Vector Multicast Routing Protocol (DVMRP). Windows 2000 does not provide any multicast routing protocols. However, you can use the Windows 2000 IGMP routing protocol and IGMP router mode and IGMP proxy mode to provide multicast forwarding in a single router intranet or when connecting a single router intranet to the Internet.

Single-router intranets

For an intranet that connects multiple networks by using a single router, you can enable IGMP router mode on all router interfaces to provide multicast forwarding support between multicast sources and multicast listening hosts on any network.

For more information, see To add the IGMP routing protocol and To enable IGMP router and IGMP proxy mode.

Single-router intranets and the Internet

If the Windows 2000 router is attached to the MBone (the multicast-capable portion of the Internet) through an Internet service provider (ISP), you can use IGMP proxy mode to send and receive multicast traffic to and from the Internet.

In the following illustration, IGMP proxy mode is enabled on the Internet interface and IGMP router mode is enabled on the intranet interface. Multicast hosts register themselves locally and the IGMP proxy mode interface registers their memberships to the multicast-capable router at the ISP. Multicast traffic from the Internet is forwarded to the ISP router. The ISP router forwards the multicast traffic to the Windows 2000 router, which then forwards the traffic to listening hosts on your intranet.

IGMP proxy mode and the Internet

When multicast traffic is sent by an intranet host, it is forwarded over the IGMP proxy mode interface to the ISP router. The ISP router then forwards it the the appropriate downstream router. In this way, Internet hosts can receive multicast traffic sent by intranet hosts.

For more information, see To add the IGMP routing protocol and To enable IGMP router and IGMP proxy mode.

Note

  • The Windows 2000 IGMP routing protocol that uses IGMP router mode and IGMP proxy mode is not the equivalent of a multicast routing protocol. A multicast routing protocol is required for multicast forwarding and routing support in a multiple-router intranet. You may configure the IGMP router mode and IGMP proxy mode interfaces to provide multicast forwarding support in multiple-router intranets. However, it is not recommended or supported.


Multicast boundaries and heartbeat

Windows 2000 also provides multicast boundary and multicast heartbeat support.

Multicast boundaries

Multicast boundaries are administrative barriers to the forwarding of IP multicast traffic. Without boundaries, an IP multicast router forwards all appropriate IP multicast traffic. You can create multicast boundaries by specifying a range of IP addresses, known as a multicast scope, or by the value of the Time to Live (TTL) field in the IP header.

Scope-based boundaries

Scope-based boundaries prevents the forwarding of IP multicast traffic with a specified group IP address or range of IP addresses.

TTL-based boundaries

TTL-based boundaries prevents the forwarding of IP multicast traffic with a TTL less than a specified value. TTL-based boundaries applies to all multicast packets regardless of the multicast group. TTL-based boundaries are less effective than scope-based boundaries.

For more information, see To configure multicast boundaries.

Multicast heartbeat

Multicast heartbeat is the ability of the Windows 2000 router to listen for a regular multicast notification to a specified group address to verify that IP multicast connectivity is available on the network. If the heartbeat is not received within a configured amount of time, the Windows 2000 router sets a flag on the configured interface. The status of this flag can be polled by a program to provide notification that the multicast heartbeat is no longer present. For more information, see the Windows 2000 Software Development Kit.

For more information, see To configure multicast heartbeat.


Understanding network address translation

With network address translation in Windows 2000, you can configure your home network or small office network to share a single connection to the Internet. Network address translation consists of the following components:

  • Translation component

    The Windows 2000 router on which network address translation is enabled, hereafter called the network address translation computer, acts as a network address translator (NAT), translating the IP addresses and TCP/UDP port numbers of packets that are forwarded between the private network and the Internet.

  • Addressing component

    The network address translation computer provides IP address configuration information to the other computers on the home network. The addressing component is a simplified DHCP server that allocates an IP address, a subnet mask, a default gateway, and the IP address of a DNS server. You must configure computers on the home network as DHCP clients in order to receive the IP configuration automatically. The default TCP/IP configuration for computers running Windows 2000, Windows NT, Windows 95, and Windows 98 is as a DHCP client.

  • Name-resolution component

    The network address translation computer becomes the DNS server for the other computers on the home network. When name resolution requests are received by the network address translation computer, it forwards the name-resolution requests to the Internet-based DNS server for which it is configured and returns the responses to the home network computer.

For more information about network address translation, see:

  • Internet private addresses
  • A NAT example
  • NAT editors

For more information about configuring network address translation, see Setting up network address translation.

For an example of using network address translation, see SOHO network to the Internet.

Note

  • Because network address translation includes addressing and name resolution components that provide DHCP and DNS services for hosts on the private network, you cannot run:
    • The DHCP service or the DHCP Relay Agent if network address translation addressing is enabled.
    • The DNS service if network address translation TCP/IP networking name resolution is enabled.


Internet private addresses

To communicate on the Internet, you must use addresses that have been allocated by the Internet Network Information Center (InterNIC). Addresses allocated by InterNIC can receive traffic from Internet locations and are known as public addresses. A typical small business or home office is allocated a public address (or addresses) from its Internet service provider (ISP), who has received a range of public addresses.

To allow multiple computers in the small office or home office to communicate on the Internet, each computer must have its own public address. This requirement places great stress on the available pool of public addresses.

To relieve this stress, the InterNIC has provided for an address reuse scheme by reserving network IDs for private internetworks. The private network IDs include:

  • 10.0.0.0 with the subnet mask 255.0.0.0
  • 172.16.0.0 with the subnet mask 255.240.0.0
  • 192.168.0.0 with the subnet mask 255.255.0.0

For more information about portions of the IP address space that is reserved for private intranets, see RFC 1597, "Address Allocation for Private Internets." All addresses in these ranges are known as private addresses.

Private addresses cannot receive traffic from Internet locations. Therefore, if an intranet is using private addresses and communicating with Internet locations, the private address must be translated to a public address. A network address translator (NAT) is placed between an intranet that uses private addresses and the Internet, which uses public addresses. Outgoing packets from the intranet have their private addresses translated by the NAT into public addresses. Incoming packets from the Internet have their public addresses translated by the NAT into private addresses. For more information, see A NAT example.

For more information about configuring Windows 2000 network address translation for the home office and small business, see SOHO network to the Internet.


A NAT example

If a small business is using the 192.168.0.0 network ID for its intranet and has been granted the public address of w1.x1.y1.z1 by its Internet service provider (ISP), then network address translation (NAT) maps all private addresses on 192.168.0.0 to the IP address of w1.x1.y1.z1. If multiple private addresses are mapped to a single public address, NAT uses dynamically chosen TCP and UDP ports to distinguish one intranet location from another.

Note

  • The use of w1.x1.y1.z1 and w2.x2.y2.z2 is intended to represent valid public IP addresses as allocated by the Internet Network Information Center (InterNIC) or an ISP.

The following illustration shows an example of using NAT to transparently connect an intranet to the Internet.

Example of NAT use

If a private user at 192.168.0.10 uses a Web browser to connect to the Web server at w2.x2.y2.z2, the user's computer creates an IP packet with the following information:

  • Destination IP address: w2.x2.y2.z2
  • Source IP address: 192.168.0.10
  • Destination port: TCP port 80
  • Source port: TCP port 1025

This IP packet is then forwarded to the NAT protocol, which translates the addresses of the outgoing packet to the following:

  • Destination IP address: w2.x2.y2.z2
  • Source IP address: w1.x1.y1.z1
  • Destination port: TCP port 80
  • Source port: TCP port 5000

The NAT protocol keeps the mapping of {192.168.0.10, TCP 1025} to {w1.x1.y1.z1, TCP 5000} in a table.

The translated IP packet is sent over the Internet. The response is sent back and received by the NAT protocol. When received, the packet contains the following public address information:

  • Destination IP address: w1.x1.y1.z1
  • Source IP address: w2.x2.y2.z2
  • Destination port: TCP port 5000
  • Source port: TCP port 80

The NAT protocol checks its translation table and maps the public addresses to private addresses and forwards the packet to the computer at 192.168.0.10. The forwarded packet contains the following address information:

  • Destination IP address: 192.168.0.10
  • Source IP address: w2.x2.y2.z2
  • Destination port: TCP port 1025
  • Source port: TCP port 80

For outgoing packets from the NAT protocol, the source IP address (a private address) is mapped to the ISP allocated address (a public address), and the TCP/UDP port numbers are mapped to a different TCP/UDP port number.

For incoming packets to the NAT protocol, the destination IP address (a public address) is mapped to the original intranet address (a private address), and the TCP/UDP port numbers are mapped back to their original TCP/UDP port numbers.

Note

  • Packets that contain the IP address only in the IP header are properly translated by the NAT protocol. Packets that contain the IP address within the IP payload may not be properly translated by NAT. For a list of protocols that contain the IP address in the IP payload that are properly translated by the Windows 2000 NAT protocol, see NAT editors.


NAT editors

Normal network address translation relies on the translation of:

  1. The IP addresses in the IP header.
  2. The TCP port numbers in the TCP header.
  3. The UDP port numbers in the UDP header.

Any translation beyond these three items requires additional processing and additional software components called NAT editors. A NAT editor makes modifications to the IP packet beyond the translation of the IP address in the IP header, the TCP port in the TCP header, and the UDP port in the UDP header.

For example, HyperText Transfer Protocol (HTTP) traffic on the World Wide Web does not require a NAT editor because all HTTP traffic only requires the translation of the IP address in the IP header and the TCP port in the TCP header.

The following lists two situations where NAT editors are required:

  • The IP address, TCP port, or UDP port is stored in the payload.

    • For example, File Transfer Protocol (FTP) stores the dotted decimal representation of IP addresses in the FTP header for the FTP PORT command. If the NAT does not properly translate the IP address within the FTP header and adjust the data stream, then connectivity problems may occur.

  • TCP or UDP is not being used to identify the data stream.

    • For example, Point-to-Point Protocol (PPTP) tunneled data does not use a TCP or UDP header. Instead, a Generic Routing Encapsulation (GRE) header is used and the Tunnel ID stored in the GRE header identifies the data stream. If the NAT does not properly translate the Tunnel ID within the GRE header, then connectivity problems may occur.

Windows 2000 includes built-in NAT editors for the following protocols:

  • FTP
  • ICMP
  • PPTP
  • NetBIOS over TCP/IP

Additionally, the NAT routing protocol includes proxy software for the following protocols:

  • H.323
  • Direct Play
  • LDAP-based ILS registration
  • RPC

Note

  • Translation of IPSec traffic is not possible even with a NAT editor.


Understanding demand-dial routing

While the concept of demand-dial routing is fairly simple, configuration of demand-dial routing is relatively complex. This complexity is due to the following factors:

  • Connection endpoint addressing

    The connection must be made over public data networks, such as the analog phone system. The endpoint of the connection must be identified by a phone number or other endpoint identifier.

  • Authentication and authorization of the caller

    Anyone calling the router must be authenticated and authorized. Authentication is based on the caller's set of credentials that are passed during the connection establishment process. The credentials that are passed must correspond to a Windows 2000 account. Authorization is granted based on the dial-in permission of the Windows 2000 account and remote access policies. For more information, see Introduction to remote access policies.

  • Differentiation between remote access clients and routers

    Both routing and remote access services coexist on the same computer running Windows 2000 Server. Both remote access clients and routers can call the same phone number. The computer running Windows 2000 Server that answers the call must be able to distinguish a remote access client from a router that is calling to create a demand-dial connection. To differentiate a remote access client from a demand-dial router, the user name in the authentication credentials sent by the calling router must exactly match the name of a demand-dial interface on the answering router. Otherwise, the incoming connection is assumed to be a remote access connection.

  • Configuration of both ends of the connection

    Both ends of the connection must be configured even if only one end of the connection is initiating a demand-dial connection. Configuring only one side of the connection means that packets are successfully routed only in one direction. Normal communication requires that information travel in both directions.

  • Configuration of static routes

    You should not use dynamic routing protocols over temporary dial-up demand-dial connections. Therefore, routes for network IDs that are available across the demand-dial interface must be added to the routing table as static routes. You can accomplish this manually or by using auto-static updates.

For more information, see:

  • Demand-dial routing example
  • The demand-dial connection process
  • Demand-dial routing updates
  • Unnumbered connections
  • One-way initiated demand-dial connections

For information about designing and deploying demand-dial routing, see Setting up demand-dial routing.


Demand-dial routing example

This section gives an example of the complexity (and elegance) of demand-dial routing. The following illustration shows the configuration between two offices that want to use demand-dial IP routing.

Demand-dial example

The Seattle office has a computer running Windows 2000 Server that acts as a remote access server and demand-dial router. All computers in the Seattle office are connected to the 172.16.1.0 network (subnet mask 255.255.255.0). The Seattle router (hereafter referred to as Router 1) has a modem connected to its COM1 port and the phone number of the modem is 555-0111.

The New York office has a computer running Windows 2000 Server that acts as a remote access server and demand-dial router. All computers in the New York office are connected to the 172.16.2.0 network (subnet mask 255.255.255.0). The New York router (hereafter referred to as Router 2) has a modem connected to its COM2 port and the phone number of the modem is 555-0122.

The user on the computer with the IP address of 172.16.1.10 needs to be able to connect to the user on the computer with the IP address of 172.16.2.20 and vice versa.

Note

  • This example describes a manual configuration of demand-dial routing to explain how demand-dial routing works. It is highly recommended that you use the Demand-Dial Interface wizard to automate the configuration process. The Demand-Dial Interface wizard performs all the configuration steps listed below except for creation of the static route. For more information about adding a demand-dial interface, see To add a demand-dial interface.

Configuring Router 1

The configuration for demand-dial routing on Router 1 consists of the following three steps:

  1. Create a demand-dial interface.
  2. Create a static route.
  3. Create a Windows 2000 account that Router 2 uses when calling Router 1.

Creating a demand-dial interface

By using Routing and Remote Access, the administrator at Router 1 creates a demand-dial interface called DD_NewYork with the following configuration:

  • Equipment: Modem on COM1
  • Phone number: 555-0122
  • Protocols: TCP/IP
  • Authentication credentials: DD_Seattle with a password

Creating a static route

By using Routing and Remote Access, the administrator at Router 1 creates a static IP route with the following configuration:

  • Interface: DD_NewYork
  • Destination: 172.16.2.0
  • Network mask: 255.255.255.0
  • Metric: 1

Note

  • Because the demand-dial connection is a point-to-point connection, the Gateway IP address is not configurable.

Creating a Windows 2000 account with dial-in permissions

By using Active Directory Users and Computers or Local Users and Groups, the administrator at Router 1 creates a Windows 2000 user account with the following settings:

  • Account name: DD_NewYork with a password.
  • Account settings: Clear the User must change password at next logon check box and select the Password never expires check box.

The DD_NewYork account is granted dial-in permissions either through the dial-in properties of the user account or through remote access policies. For more information, see Introduction to remote access policies.

Configuring Router 2

The configuration for demand-dial routing on Router 2 consists of the following three steps:

  1. Create a demand-dial interface.
  2. Create a static route.
  3. Create a Windows 2000 account that Router 1 uses when calling Router 2.

Creating a demand-dial interface

By using Routing and Remote Access, the administrator at Router 2 creates a demand-dial interface called DD_Seattle with the following configuration:

  • Equipment: Modem on COM2
  • Phone number: 555-0111
  • Protocols: TCP/IP
  • Authentication credentials: DD_NewYork with a password

Creating a static route

By using Routing and Remote Access, the administrator at Router 2 creates a static IP route with the following configuration:

  • Interface: DD_Seattle
  • Destination: 172.16.1.0
  • Network mask: 255.255.255.0
  • Metric: 1

Note

  • Because the demand-dial connection is a point-to-point connection, the Gateway IP address is not configurable.

Creating a Windows 2000 account with dial-in permissions

By using Active Directory Users and Computers or Local Users and Groups, the administrator at Router 2 creates a Windows 2000 user account with the following settings:

  • Account name: DD_Seattle with a password.
  • Account settings: Clear the User must change password at next logon check box and select the Password never expires check box.

The DD_Seattle account is granted dial-in permissions either through the dial-in properties of the user account or through remote access policies. For more information, see Introduction to remote access policies.

The resulting configuration

The following illustration shows the demand-dial routing configuration in terms of the demand-dial interfaces, static routes, and Windows 2000 accounts for the Seattle and New York offices.

Demand-dial routing configuration

Note

  • In order for two-way initiated demand-dial routing to work properly, the user name of the calling router must exactly match the name of a demand-dial interface on both sides of the connection. This example shows a proper configuration and is summarized in the following table.
    Router | Demand-dial interface name | User account name
    Router 1 | DD_NewYork | DD_Seattle
    Router 2 | DD_Seattle | DD_NewYork

For more information about how the demand-dial connection process works for this example configuration, see The demand-dial connection process.


The demand-dial connection process

When the user at 172.16.1.10 tries to connect to a resource at 172.16.2.20, the following events occur:

  1. Packets from 172.16.1.10 destined for 172.16.2.20 are forwarded to Router 1.
  2. Router 1 receives the packet from 172.16.1.10 and checks its routing table. A route to 172.16.2.20 is found that uses the DD_NewYork interface.
  3. Router 1 checks the state of the DD_NewYork interface and finds it is in a disconnected state.
  4. Router 1 retrieves the configuration of the DD_NewYork demand-dial interface.
  5. Based on the DD_NewYork configuration, Router 1 uses the modem on COM1 to dial the number 555-0122.
  6. Router 2 answers the incoming call.
  7. Router 2 requests authentication credentials from the incoming caller.
  8. Router 1 sends the user name DD_Seattle with its associated password.
  9. Upon receipt of the authentication credentials, Router 2 checks the user name and password against Windows 2000 security and verifies that Router 1 has dial-in permission through the dial-in properties of the DD_Seattle user account and the configured remote access policies.
  10. Router 2 must now determine whether the incoming caller is a dial-up networking client or a router that is creating a demand-dial connection. Router 2 looks in its list of demand-dial interfaces to find one that matches the user name sent by Router 1 as part of the authentication credentials. Router 2 finds a demand-dial interface DD_Seattle that matches the user name credential.
  11. Router 2 changes the state of the DD_Seattle demand-dial interface to a connected state.
  12. Router 1 forwards the packet from the computer at 172.16.1.10 across the demand-dial connection to Router 2.
  13. Router 2 receives the packet and forwards it to the computer at 172.16.2.20.
  14. The response to the connection request by the computer at 172.16.1.10 is forwarded to Router 2 by the computer at 172.16.2.20.
  15. Router 2 receives the packet destined for 172.16.1.10 and checks its routing table. A route to 172.16.1.10 is found by using the DD_Seattle interface.
  16. Router 2 checks the state of the DD_Seattle interface and finds it is in a connected state.
  17. Router 2 forwards the packet to Router 1.
  18. Router 1 forwards the packet to the computer at 172.16.1.10.

If the user name credential does not match the name of an appropriate demand-dial interface, the calling entity is identified as a remote access client, which can result in routing problems.

For example, if Router 1 uses DialUpRouter1 as its user name credential, then Router 1 is identified as a remote access client rather than a router (assuming DialUpRouter1 is a valid account with dial-in permissions). Packets are routed from the user at 172.16.1.10 to the user at 172.16.2.20 as described in the preceding process.

However, response packets from 172.16.2.20 to 172.16.1.10 are forwarded to Router 2 which, upon inspecting its routing table, determines that the interface to use is DD_Seattle. DD_Seattle is in a disconnected state. Based on the configuration for DD_Seattle, COM2 is to be used. However, COM2 is currently being used for a remote access client (Router 2). Router 2 then tries to locate another modem that is not being used. If found, Router 2 dials Router 1 and forwards the packet after the connection has been established. If another modem cannot be found, the response packets from 172.16.2.20 to 172.16.1.10 are dropped.


Demand-dial routing updates

While demand-dial routing can save connection costs, typical routing protocols rely on a periodic advertising process to communicate routing information. For example, RIP for IP advertises the contents of its routing table every 30 seconds on all interfaces. This behavior is not a problem for permanently connected LAN or WAN lines. For usage-sensitive dial-up WAN lines, this type of periodic behavior could cause the router to call another router every 30 seconds, which may result in an undesirable phone bill. Therefore, you should not run routing protocols across temporary dial-up WAN lines.

If you do not use routing protocols to update the routing tables, then you must enter the routes as static routes. The static routes that correspond to the network IDs available across the interface are entered manually or automatically. The automatic entering of static routes for demand-dial interfaces is known as auto-static updates and is supported by the Windows 2000 router. Auto-static updates are supported when you use RIP for IP, RIP for IPX, and SAP for IPX, but not OSPF.

When instructed, a demand-dial interface that is configured for auto-static updates sends a request across an active connection to request all of the routes of the router on the other side of the connection. In response to the request, all of the routes of the requested router are automatically entered as static routes in the routing table of the requesting router. The static routes are persistent; they are kept in the routing table even if the interface becomes disconnected or the router is restarted. An auto-static update is a one-time, one-way exchange of routing information.

You can automate and schedule auto-static updates by executing the update as a Windows 2000 scheduled task. For more information, see Scheduling auto-static updates.

Notes

  • The "auto" in auto-static refers to the automatic adding of the requested routes as static routes in the routing table. The sending of the request for routes is performed through an explicit action: either through Routing and Remote Access or the Netsh utility while the demand-dial interface is in a connected state. Auto-static updates are not automatically performed every time a demand-dial connection is made.
  • When an auto-static update is requested, the existing auto-static routes are deleted before the update is requested from other routers. If there is no response to the request, then the router cannot replace the routes it has deleted. This may lead to a loss of connectivity to remote networks.


Unnumbered connections

Demand-dial connections use the Point-to-Point Protocol (PPP) during the connection establishment process. For a TCP/IP-based connection, TCP/IP connection settings are negotiated. An important element of a TCP/IP-based PPP connection is the allocation of an IP address.

For Windows 2000 and Windows NT 4.0 Routing and Remote Access Service (RRAS) demand-dial routers, the calling router requests an IP address from the answering router. Additionally, the answering router requests an IP address from the calling router. If both routers have an IP address to give each other, the logical interface on the PPP connection for each router is assigned an IP address from the other router. This is known as a numbered connection.

Windows NT 4.0 RRAS demand-dial connections require a numbered connection. If either the calling or the answering router does not have an IP address to assign to the other router, the connection establishment process fails. In order for both routers to assign IP addresses to each other, you must configure both routers for the proper IP address assignment behavior through the properties of RRAS. A common configuration problem with RRAS is that the default configuration for IP address assignment is to obtain an IP address through DHCP, and no DHCP server is available on the network. Because no IP address is allocated to the other router, the connection establishment process fails.

This configuration issue is no longer a problem with the Windows 2000 Routing and Remote Access service for two reasons:

  1. Use of Automatic Private IP Addressing (APIPA) addresses

    2. In Windows 2000, the default IP address assignment configuration is still to obtain an IP address from a DHCP server. However, if a DHCP server is not available, APIPA addresses in the range from 169.254.0.1 through 169.254.255.254 are used. Therefore, the default configuration does not prevent two Windows 2000 routers from establishing a numbered connection. For more information about APIPA, see New TCP/IP features for Windows 2000.

  2. Support for unnumbered connections

    3. By default, demand-dial connections do not require a numbered connection. The calling and answering routers still request an IP address from each other during the connection establishment process. But if one of the routers rejects the request, both routers continue with the connection establishment process. The logical interface on the point-to-point connection does not have an assigned IP address. This is known as an unnumbered connection.

When you use an unnumbered connection, on the router that requests an IP address but is rejected, a warning is logged in the system event log with the following characteristics:

  • Source: RemoteAccess
  • Event ID: 20165
  • Message text: A connection has been established on port [number] using interface [name of demand-dial interface], but no IP address was obtained.

On the router from which an IP address is requested but is not given, a warning is logged in the system event log with the following characteristics:

  • Source: RemoteAccess
  • Event ID: 20166
  • Message text: A connection has been established on port [number] using interface [name of demand-dial interface], but the remote side got no IP address.

With unnumbered connections, Windows 2000 routers can connect to other routers that do not assign an IP address during the connection establishment process. For example, some Internet service providers (ISPs) prefer to use an unnumbered connection to conserve IP addresses.

Important

  • The routing protocols provided with the Windows 2000 Routing and Remote Access service cannot operate over unnumbered connections. If you use unnumbered connections, you must employ static routing. This limitation is not an issue when you are using a Windows 2000 router to connect to the Internet and you configure a default static IP route, rather than run a routing protocol.


One-way initiated demand-dial connections

If a demand-dial connection is always initiated by one router, a one-way initiated demand-dial connection, then you can simplify the configuration of the answering router by configuring static routes on the user account of the calling router.

Using the example scenario described in Demand-dial routing example, the Seattle router (Router 1) always calls the New York router (Router 2).

Configuring Router 1

The configuration of Router 1 is the same as described in Demand-dial routing example.

Configuring Router 2

The configuration for demand-dial routing on Router 2 consists of just two steps:

  1. Create a Windows 2000 account that Router 1 uses when calling Router 2.
  2. Configure static routes on the Windows 2000 account used by Router 1 for the network IDs of the Seattle office.

Creating a Windows 2000 account with dial-in permissions

By using Active Directory Users and Computers or Local Users and Groups, the administrator at Router 2 creates a Windows 2000 user account with the following settings:

  • Account name: DD_Seattle with a password.
  • Account settings: Clear the User must change password at next logon check box and select the Password never expires check box.

The DD_Seattle account is granted dial-in permissions either through the dial-in properties of the user account or through remote access policies. For more information, see Introduction to remote access policies.

Configuring the Windows 2000 account with static routes

By using Active Directory Users and Computers or Local Users and Groups, the administrator at Router 2 obtains dial-in properties on the DD_Seattle Windows 2000 user account and then adds the static routes of the Seattle office.

For more information, see To configure static routes for a dial-in user.

For this example, the network administrator adds the following route:

  • Destination: 172.16.1.0
  • Network mask: 255.255.255.0
  • Hops: 1

Note

  • You can only add static routes to the dial-in properties of a user account on a Windows 2000 stand-alone router (not a member of a domain) or a Windows 2000 router that is a member of a Windows 2000 native-mode domain.

Connection process for a one-way initiated demand-dial connection

When the user at 172.16.1.10 tries to connect to a resource at 172.16.2.20, the following events occur:

  1. Packets from 172.16.1.10 destined for 172.16.2.20 are forwarded to Router 1.
  2. Router 1 receives the packet from 172.16.1.10 and checks its routing table. A route to 172.16.2.20 is found by using the DD_NewYork interface.
  3. Router 1 checks the state of the DD_NewYork interface and finds it is in a disconnected state.
  4. Router 1 retrieves the configuration of the DD_NewYork demand-dial interface.
  5. Based on the DD_NewYork configuration, Router 1 uses the modem on COM1 to dial the number 555-0122.
  6. Router 2 answers the incoming call.
  7. Router 2 requests authentication credentials from the incoming caller.
  8. Router 1 sends the user name DD_Seattle with its associated password.
  9. Upon receipt of the authentication credentials, Router 2 checks the user name and password against Windows 2000 security and verifies that Router 1 has dial-in permission through the dial-in properties of the DD_Seattle user account and the configured remote access policies.
  10. Router 2 retrieves the static route (172.16.1.0 with the subnet mask of 255.255.255.0) that is configured on the DD_Seattle user account and creates a corresponding static route in its routing table. If Router 2 is configured with routing protocols, Router 2 uses routing protocols to communicate with neighboring routers so that the route to the Seattle network is propagated to all of the routers in the New York office.
  11. Router 2 must now determine whether the incoming caller is a dial-up networking client or a router creating a demand-dial connection. Router 2 looks in its list of demand-dial interfaces and does not find one called DD_Seattle. Therefore, Router 2 considers the connection to the Seattle office to be a remote access connection.
  12. Router 1 forwards the packet from the computer at 172.16.1.10 across the demand-dial connection to Router 2.
  13. Router 2 receives the packet and forwards it to the computer at 172.16.2.20.
  14. The response to the connection request by the computer at 172.16.1.10 is forwarded to Router 2 by the computer at 172.16.2.20.
  15. Router 2 receives the packet destined for 172.16.1.10 and checks its routing table. A route to 172.16.1.10 is found by using the connection to Router 1.
  16. Router 2 forwards the packet to Router 1.
  17. Router 1 forwards the packet to the computer at 172.16.1.10.

Note

  • When the connection is made, the static routes on the user account of the calling router are added to the routing table of the answering router. If routing protocols are used to propagate the new static route, then there is a delay between the time the connection is made and the time when all of the routers on the intranet of the answering router are aware of the new route. Therefore, hosts on the intranet of the calling router may experience a delay between the time that the connection is made and the time when they begin to receive traffic back from hosts on the intranet of the answering router.


Understanding router-to-router VPNs

This section covers:

  • Components of a router-to-router VPN connection
  • Tunneling protocols
  • An on-demand router-to-router VPN


Components of a router-to-router VPN connection

A Windows 2000 router-to-router VPN connection includes the following components:

  • Virtual private network (VPN) clients

    The VPN client is the router that initiates the VPN connection, also known as the calling router. For router-to-router VPN connections, you can configure computers running Windows 2000 Server and computers running Windows NT Server 4.0 and the Routing and Remote Access Service (RRAS) as VPN clients.

  • VPN servers

    The VPN server is the router that accepts the connection from the calling router, also known as the answering router. For router-to-router VPN connections, you can configure computers running Windows 2000 Server and computers running Windows NT Server 4.0 and RRAS as VPN servers.

  • LAN and remote access protocols

    LAN protocols are used to transport information. Remote access protocols are used to negotiate connections and provide framing for LAN protocol data. Windows 2000 Server supports the routing of TCP/IP and IPX LAN protocol packets by using the PPP remote access protocol across a router-to router VPN connection.

  • Tunneling protocols

    Tunneling protocols are used by VPN clients and VPN servers to manage tunnels and send tunneled data. Windows 2000 includes the Point-to-Point Tunneling Protocol (PPTP) and Layer Two Tunneling Protocol (L2TP) tunneling protocols. Windows NT Server 4.0 with RRAS only includes the PPTP tunneling protocol.

  • WAN options

    VPN servers are typically connected to the Internet by using permanent WAN connections such as T1 or Frame Relay. VPN clients are connected to the Internet by using permanent WAN connections or by dialing in to a local Internet service provider (ISP) that uses standard telephone lines or ISDN. Once connected to the Internet, the VPN client can connect to the VPN server.

  • Demand-dial interfaces

    The VPN client (the calling router) must have a demand-dial interface configured for:

    • The host name or IP address of the interface of the VPN server on the Internet.
    • A PPTP port (for a PPTP-based VPN connection) or an L2TP port (for an L2TP-based connection).
    • The user account credentials (user name, domain, password) for a user account that can be validated by the VPN server.

    The VPN server (the answering router) must have a demand-dial interface with the same name as the user account that is used by the VPN client (the calling router) and configured for a PPTP port (for a PPTP-based VPN connection) or an L2TP port (for an L2TP-based connection).

  • User accounts

    A user account must be created for the calling router. This account must have dial-in permissions either through the dial-in properties of the user account or through remote access policies. For more information, see Introduction to remote access policies.

  • Static routes or routing protocols

    In order for each router to forward packets across the router-to-router VPN connection, each router must contain the appropriate routes in the routing tables. Routes are added to the routing tables of both routers either as static routes or by enabling a routing protocol to operate across a persistent router-to-router VPN connection.

  • Security options

    Because the router-to-router VPN connection is validated by a Windows 2000 remote access router, you can utilize all of the security features of Windows 2000 remote access including Windows 2000 domain security, support for security hosts, data encryption, Remote Authentication Dial-In User Service (RADIUS), smart cards, and callback. For more information, see Remote access security.

The following illustration shows the components of a router-to-router VPN connection.

Components of Windows 2000 router-to-router VPN connection


Tunneling protocols

Windows 2000 provides two tunneling protocols for creating router-to-router VPN connections:

  • Point-to-Point Tunneling Protocol (PPTP)
  • Layer Two Tunneling Protocol (L2TP)

PPTP

PPTP is a de facto industry standard tunneling protocol that was first supported in Windows NT 4.0. PPTP is an extension of the Point-to-Point Protocol (PPP) and leverages the authentication, compression, and encryption mechanisms of PPP.

PPTP is installed with the Routing and Remote Access service and by default is configured for five PPTP ports. To increase the number of PPTP ports, see To add PPTP or L2TP ports. You can enable PPTP ports for inbound remote access and demand-dial routing connections by using the Routing and Remote Access wizard. To enable PPTP ports for routing after the wizard is run, see To enable routing on ports.

Two primary services of virtual private networking are encapsulation and encryption.

Encapsulation

A PPP frame (containing an IP datagram or an IPX datagram) is wrapped with a Generic Routing Encapsulation (GRE) header and an IP header. In the IP header is the source and destination IP address that correspond to the VPN client and VPN server.

The following illustration shows PPTP encapsulation for a PPP frame.

PPTP encapsulation

Encryption

The PPP frame is encrypted with Microsoft Point-to-Point Encryption (MPPE) by using encryption keys generated from the MS-CHAP or EAP-TLS authentication process. Virtual private networking clients must use either the MS-CHAP or EAP-TLS authentication protocol in order to encrypt PPP payloads. PPTP does not provide encryption services. PPTP encapsulates a previously encrypted PPP frame.

Note

  • It is possible to have a nonencrypted PPTP connection where the PPP payload is sent in plaintext. However, a nonencrypted PPTP connection is not recommended for virtual private network connections over the Internet because communications of this type are not secure.

L2TP

L2TP is a draft RFC-based tunneling protocol that is destined to become the industry standard. Like PPTP, L2TP leverages the authentication and compression mechanisms of PPP. Unlike PPTP, L2TP in Windows 2000 does not utilize Microsoft Point-to-Point Encryption (MPPE) to encrypt PPP frames. L2TP relies on Internet Protocol security (IPSec) for encryption services.

The result is that L2TP-based virtual private networking connections are a combination of L2TP and IPSec. Both L2TP and IPSec must be supported by both routers. For more information about IPSec, see IP Security overview.

L2TP is installed with the Routing and Remote Access service and by default is configured for five L2TP ports. To increase the number of L2TP ports, see To add PPTP or L2TP ports. You can enable L2TP ports for inbound remote access and demand-dial routing connections by using the Routing and Remote Access wizard. To enable L2TP ports for routing after the wizard is run, see To enable routing on ports.

Two primary services of virtual private networking are encapsulation and encryption.

Encapsulation

Encapsulation for L2TP over IPSec packets consists of two layers of encapsulation.

  1. L2TP encapsulation

    2. A PPP frame (containing an IP datagram or an IPX datagram) is wrapped with a L2TP header and a UDP header.

  2. IPSec encapsulation

    3. The resulting L2TP message is then wrapped with an IPSec Encapsulating Security Payload (ESP) header and trailer, an IPSec Authentication trailer that provides message integrity and authentication, and a final IP header. In the IP header is the source and destination IP address that correspond to the VPN client and VPN server.

The following illustration shows L2TP and IPSec encapsulation for a PPP frame.

L2TP and IPSec encapsulation

Encryption

The L2TP message is encrypted with IPSec encryption mechanisms by using encryption keys generated from the IPSec authentication process.

Note

  • It is possible to have a non-IPSec-based (nonencrypted) L2TP connection where the PPP payload is sent in plaintext. However, a nonencrypted L2TP connection is not recommended for virtual private network connections over the Internet because communications of this type are not secure.


An on-demand router-to-router VPN

A router-to-router VPN connection is typically used to connect remote offices together when both routers are connected to the Internet through permanent WAN links, such as T1 or Frame Relay. In this configuration, the VPN connection is persistent (available 24 hours a day). However, when a permanent WAN link is not possible or practical, you can configure an on-demand router-to-router VPN connection.

The following illustration shows an on-demand router-to-router VPN connection.

An on-demand router-to-router VPN connection

An on-demand router-to-router VPN connection consists of two demand-dial interfaces and two static routes that are configured on the VPN client (the calling router):

  1. A demand-dial interface to dial in to a local Internet service provider (ISP).
  2. A demand-dial interface for the router-to-router VPN connection.
  3. A static host route to dynamically connect to the Internet.
  4. A static route to reach the locations of the corporate office.

An on-demand router-to-router VPN connection is automatically established when you route traffic to a specific location. For example, in a branch office configuration, when a packet is received to be routed to the corporate office, the branch office router uses a dial-up link to connect to a local Internet service provider (ISP) and then creates a router-to-router VPN connection with the corporate office router located on the Internet.

Note

  • This discussion assumes that the corporate office router (the answering router) is connected to the Internet by using a permanent WAN link. It is possible to have both routers connected to the Internet by using a dial-up WAN link. However, this is only feasible if the ISP supports demand-dialing routing to customers; the ISP calls the customer router when an IP datagram is to be delivered to the customer. Demand-dial routing to customers is not widely supported by ISPs.

To configure an on-demand router-to-router VPN connection at the branch office router, do the following:

  1. Create a demand-dial interface for the Internet connection that is configured for the appropriate equipment (a modem or ISDN device), the phone number of the local ISP, and the user name and password to gain Internet access.
  2. Create a demand-dial interface for the VPN connection with the corporate office router that is configured for a VPN port (a PPTP or L2TP port), the IP address of the interface on the Internet for the corporate office router, and a user name and password that can be verified by the VPN server. The user name must match the name of a demand-dial interface on the corporate office router.
  3. Create a static host route to the corporate office router that uses the ISP demand-dial interface.
  4. Create a static route (or routes) for the IP network IDs of the corporate intranet that uses the VPN demand-dial interface.

To configure the corporate office router, do the following:

  1. Create a demand-dial interface for the VPN connection with the branch office that is configured for a VPN device (a PPTP or L2TP port). The demand-dial interface must have the same name as the user name in the authentication credential that is used by the branch office router to create the VPN connection.
  2. Create a static route (or routes) for the IP network IDs of the branch office that uses the VPN demand-dial interface.

The router-to-router VPN connection is automatically initiated by the branch office router through the following process:

  1. Packets sent to a corporate hub network location from a computer in the branch office are forwarded to the branch office router.
  2. The branch office router checks its routing table and finds a route to the corporate intranet network ID, which uses the VPN demand-dial interface.
  3. The branch office router checks the state of the VPN demand-dial interface and finds it is in a disconnected state.
  4. The branch office router retrieves the configuration of the VPN demand-dial interface.
  5. Based on the VPN demand-dial interface configuration, the branch office router attempts to initialize a router-to-router VPN connection at the IP address of the corporate office router on the Internet.
  6. To establish a VPN, either a TCP (by using PPTP) or UDP (by using L2TP over IPSec) packet must be sent to corporate office router that acts as the VPN server. The VPN establishment packet is created.
  7. To forward the VPN establishment packet to the corporate office router, the branch office router checks its routing table and finds the host route is using the ISP demand-dial interface.
  8. The branch office router checks the state of the ISP demand-dial interface and finds it is in a disconnected state.
  9. The branch office router retrieves the configuration of the ISP demand-dial interface.
  10. Based on the ISP demand-dial interface configuration, the branch office router uses its modem to dial and establish a connection with its local ISP.
  11. Once the ISP connection is made, the VPN establishment packet is sent to the corporate office router.
  12. A router-to-router VPN connection is negotiated between the branch office router and the corporate office router. As part of the negotiation, the branch office router sends authentication credentials that are verified by the corporate office router.
  13. The corporate office router checks its demand-dial interfaces and finds one that matches the user name sent during authentication and changes the interface to a connected state.
  14. The branch office router forwards the routed packet across the VPN and the corporate office router forwards the packet to the appropriate intranet location.
  15. When the intranet location responds to the packet sent to it by the user in the branch office, the packet is forwarded to the corporate office router.
  16. The corporate office router checks its routing table and finds a route to the branch office network that uses the VPN demand-dial interface.
  17. The corporate office router checks the state of the VPN demand-dial interface and finds it is in a connected state.
  18. The response packet is forwarded across the Internet by using the VPN connection.
  19. The response packet is received by the branch office router and is forwarded to the original user.


Using routing

This section covers:

  • Installing the Windows 2000 router
  • Deploying routing
  • Routing scenarios


Installing the Windows 2000 router

To install and configure the Windows 2000 router, you must be logged on as a member of the Administrators group.

Hardware requirements

Before you install the Windows 2000 router, all hardware needs to be installed and working. Depending on your network and requirements, you might need the following hardware:

  • A LAN or WAN adapter with a certified Network Driver Interface Specification (NDIS) driver.
  • One or more compatible modems and an available COM port.
  • A multiport adapter for acceptable performance with multiple remote connections.
  • An X.25 smart card (if you are using an X.25 network).
  • An ISDN adapter (if you are using an ISDN line).

To verify the compatibility of all hardware in a computer running Windows 2000 Server, see the Microsoft Windows Hardware Compatibility List at the Microsoft Web site (http://www.microsoft.com/).

Installation

When you install Windows 2000 Server, the routing component is automatically installed. However, the Routing and Remote Access service is installed in a disabled state. For more information, see To enable the Routing and Remote Access service.


Deploying routing

This section covers:

  • Setting up a static routed IP internetwork
  • Setting up a RIP-for-IP routed internetwork
  • Setting up an OSPF routed internetwork
  • Setting up network address translation
  • Setting up an IPX internetwork
  • Setting up demand-dial routing
  • Setting up router-to-router VPNs


Setting up a static routed IP internetwork

A static routed IP internetwork does not use routing protocols such as RIP for IP or OSPF to communicate routing information between routers. All of the routing information is stored in a static routing table on each router. You need to ensure that each router has the appropriate routes in its routing table so that traffic can be exchanged between any two endpoints on the IP internetwork.

This section covers:

  • The static routed environment
  • Static routing design considerations
  • Static routing security
  • Deploying static routing


The static routed environment

A static routed IP environment is best suited to a small, single-path, static IP internetwork:

  • A small internetwork is defined as 2 to 10 networks.
  • Single-path means that there is only a single path for packets to travel between any two endpoints on the internetwork.
  • Static means that the topology of the internetwork does not change over time.

Candidates for a static routed environment include:

  • A small business.
  • A home office IP internetwork.
  • A branch office with a single network.

    • Rather than running a routing protocol across a typically low-bandwidth WAN link, a single default route at the branch office router ensures that all traffic not destined for a computer on the branch office network is routed to the main office.

The disadvantages of static routing are:

  • No fault tolerance

    If a router or link goes down, static routers do not sense the fault and inform other routers of the fault. While this is a concern on large, corporate internetworks, a small office (with two routers and three networks based on LAN links) does not go down often enough to justify deploying a multipath topology and a routing protocol.

  • Administrative overhead

    If a new network is added or removed from the internetwork, routes to the new network must be manually added or removed. If a new router is added, it must be properly configured for the routes of the internetwork.


Static routing design considerations

To prevent problems, you should consider the following design issues before you implement static routing.

Peripheral router configuration

To simplify configuration, you can configure peripheral routers with a default route that points to the neighboring router. A peripheral router is a router attached to multiple networks, only one of which has a neighboring router.

Default routes and routing loops

It is recommended that you do not configure two neighboring routers with default routes that are pointing to each other. A default route passes all traffic that is not on a directly connected network to the configured router. Two routers that have default routes pointing to each other may produce routing loops for traffic with an unreachable destination.

Demand-dial environments

You can implement static routing across demand-dial links in one of two ways:

  • Default route

    You can configure a default route on the branch office router that uses the demand-dial interface. The advantage of a default route is that a single route only needs to be added once. The disadvantage of a default route is that any traffic, including traffic for unreachable destinations, that is not on the branch office network causes the branch office router to call the main office.

  • Auto-static routes

    Auto-static routes are static routes that are automatically added to the routing table for a router after routes are requested across a demand-dial connection by using the RIP-for-IP routing protocol. The advantage of auto-static routes is that unreachable destinations do not cause the router to call the main office. The disadvantage of auto-static routes is that they must be periodically updated to reflect the networks that are reachable at the main office. If a new network is added to the main office and the branch office has not performed an auto-static update, all destinations on the new main office network are unreachable from the branch office.


Static routing security

To prevent the intentional or unintentional modification of static routes on the routers, you should:

  • Employ physical security so that the routers cannot be accessed by users.
  • Assign administrator rights only to those users who will be running Routing and Remote Access.


Deploying static routing

If static routing is appropriate for your IP internetwork, you can perform the following steps to deploy static routing:

  1. Draw a map of the topology of your IP internetwork that shows the separate networks and the placement of routers and hosts (nonrouter computers that run TCP/IP).
  2. For each IP network (a cabling system bounded by one or more routers), assign a unique IP network ID (also known as an IP network address).
  3. Assign IP addresses to each router interface. It is a common industry practice to assign the first IP addresses of a given IP network to router interfaces. For example, for an IP network ID of 192.168.100.0 with a subnet mask of 255.255.255.0, the router interface is assigned the IP address of 192.168.100.1.
  4. For peripheral routers, configure a default route on the interface that has a neighboring router. The use of default routes on peripheral routers is optional.
  5. For each nonperipheral router, compile a list of routes that need to be added as static routes to the routing table for that router. Each route consists of a destination network ID, a subnet mask, a gateway (or forwarding) IP address, a metric (number of router hops to reach the network), and the interface to be used to reach the network.
  6. For nonperipheral routers, add the static routes compiled in step 5 to each router. You can add static routes by using Routing and Remote Access or the route command. If you use the route command, use the -p option to make the static routes persistent.
  7. When your configuration is complete, use the ping and tracert commands to test connectivity between host computers so that all routing paths are checked. For more information about the ping and tracert commands, see Using the ping command and Using the tracert command.

For information about troubleshooting static routing, see Common routing problems and Understanding the IP routing table.


Setting up a RIP-for-IP routed internetwork

A RIP-for-IP routed internetwork uses the RIP-for-IP routing protocol to dynamically communicate routing information between routers. Deployed properly, a RIP-for-IP environment automatically adds and removes routes as networks are added and removed from the internetwork. You need to ensure that each router is properly configured so that the RIP-based route announcements are sent and received by all RIP routers on the internetwork.

This section covers:

  • The RIP-for-IP environment
  • RIP-for-IP design considerations
  • RIP-for-IP security
  • Deploying RIP for IP


The RIP-for-IP environment

A RIP-for-IP routed environment is best suited to a small-to-medium-sized, multipath, dynamic IP internetwork:

  • A small-to-medium-sized internetwork is defined as 10 to 50 networks.
  • Multipath means that there are multiple paths for packets to travel between any two endpoints on the internetwork.
  • Dynamic means that the topology of the internetwork changes over time because networks are added and removed and links occasionally go down and come back up.

Candidates for a RIP-for-IP routed environment include:

  • A medium-sized business.
  • A large branch office or satellite office with multiple networks.


RIP-for-IP design considerations

To prevent problems, you should consider the following design issues before you implement RIP for IP.

Decreased diameter of 14 routers

The maximum diameter of RIP internetworks is 15 routers. The diameter is a measure of the size of an internetwork in terms of hops or other metrics. However, the Windows 2000 router considers all non-RIP learned routes to be at a fixed hop count of 2. Static routes, even static routes for directly connected networks, are considered non-RIP learned routes. When a Windows 2000 RIP router advertises its directly connected networks, it advertises them at a hop count of 2 even though there is only one physical router to cross. Therefore, a RIP-based internetwork that uses Windows 2000 RIP routers has a maximum physical diameter of 14 routers.

RIP costs

RIP uses the hop count as a metric to determine the best route. Using the number of routers to cross as the basis for selecting the best route may lead to undesired routing behavior. For example, if two sites were connected together by using a T1 link and a lower-speed satellite link as a backup, both links are considered the same metric. When the router is given a choice between two routes of the same lowest metric (hop count), the router is free to choose between them.

If the router chooses the satellite link, then the slower backup link is used rather than the higher bandwidth link. To prevent the satellite link from being chosen, you can assign a custom cost to the satellite interface. For example, if you assign a cost of 2 to the satellite interface (rather than the default of 1), then the best route is always the T1 link. If the T1 link goes down, the satellite link is chosen as the next best route.

If you are using custom costs to indicate link speed, delay, or reliability factors, ensure that the accumulated costs (hop counts) between any two endpoints on the internetwork do not exceed 15.

Mixed RIP version 1 and RIP version 2 environments

For maximum flexibility, you should use RIP version 2 in your RIP-for-IP internetwork. If there are routers in your internetwork that do not support RIP version 2, you can use a mixed environment of RIP v1 and RIP v2. However, RIP v1 does not support classless interdomain routing (CIDR) or variable-length subnet masks (VLSM) implementations. If you have support for CIDR and VLSM in one part of your internetwork but not another, you may experience routing problems.

If a network is using a mixture of RIP v1 and RIP v2 routers, then you must configure the Windows 2000 router interfaces to advertise by using either RIP v1 broadcasts or RIP v2 broadcasts and accept either RIP v1 or RIP v2 announcements.

RIP version 2 authentication

If you use RIP version 2 simple password authentication, then you must configure all of the RIP v2 interfaces on the same network with the same case-sensitive password. You can use the same password for all the networks of your internetwork or you can vary the password for each network.

RIP version 2 across demand-dial links

If you use RIP to perform auto-static updates across demand-dial links, then you must configure each demand-dial interface to use RIP v2 multicast announcements and to accept RIP v2 announcements. Otherwise, the RIP request for routes sent by the requesting router is not responded to by the router on the other side of the demand-dial link.

RIP over Frame Relay

Since RIP is primarily a broadcast and multicast-based protocol, you need a special configuration for proper RIP operation over a nonbroadcast technology such as Frame Relay. How RIP is configured for Frame Relay depends on how the Frame Relay virtual circuits appear as network interfaces on computers running Windows 2000. Either the Frame Relay adapter appears as a single adapter for all the virtual circuits (single adapter model), or each virtual circuit appears as a separate adapter (multiple adapter model).

Single-adapter model

With the single adapter model, also known as the nonbroadcast multiple access (NBMA) model, the network of the Frame Relay service provider (also known as the Frame Relay cloud) is treated as an IP network and the endpoints are assigned IP addresses from a designated IP network ID. To ensure that RIP traffic is received by all of the appropriate endpoints on the cloud, you must configure the Frame Relay interface to unicast its RIP announcements to all of the appropriate endpoints. You do this by configuring RIP neighbors. For more information about configuring RIP neighbors, see To add a unicast neighbor.

Also, in a spoke and hub Frame Relay topology, the Frame Relay interface for the hub router must have split-horizon processing disabled. Otherwise, the spoke routers never receive each other's routes. For more information, see To set split-horizon processing.

Multiple-adapter model

With the multiple adapter model, each Frame Relay virtual circuit appears as a point-to-point link with its own network ID, and the endpoints are assigned IP addresses from a designated IP network ID. Because each virtual circuit is its own point-to-point connection, you can either broadcast (assuming both endpoints are on the same IP network ID) or multicast RIP announcements.

Note

  • The preceding discussion also applies to other nonbroadcast technologies such as X.25 and ATM.

Silent RIP hosts

A silent RIP host (a nonrouter) processes received RIP announcements but does not make RIP announcements. The processed RIP announcements are used to build the routing table for the host. You do not need to configure silent RIP hosts with a default gateway. Silent RIP is commonly used in UNIX environments. If there are silent RIP hosts on a network, you must determine which version of RIP they support. If the silent RIP hosts only support RIP v1, then you must use RIP v1 on the network for that host.

Windows 2000 Professional provides a RIP version 1 silent RIP component called the RIP Listener, which you can install as an optional networking component.


RIP-for-IP security

In addition to the security steps listed in Static routing security, you can enhance RIP-for-IP security through:

  • RIP version 2 authentication
  • Peer security
  • Route filters
  • Neighbors

RIP version 2 authentication

To prevent the corruption of RIP routes by an unauthorized RIP router in a RIP version 2 environment, you can configure RIP v2 router interfaces to use simple password authentication. Received RIP announcements that do not match the configured password are discarded. Note that the password is sent in plaintext. Any user with a network sniffer, such as Microsoft Network Monitor, can capture the RIP v2 announcements and view the password. For more information, see To enable authentication.

Peer security

You can configure each RIP router with a list of routers (by IP address) from which RIP announcements are accepted. By default, RIP announcements from all sources are accepted. By configuring a list of RIP peers, RIP announcements from unauthorized RIP routers are discarded. For more information about configuring peer security, see To add peer filters.

Route filters

You can configure route filters on each RIP interface so that the only routes considered for addition to the routing table are those that reflect reachable network IDs within the internetwork. For example, if an organization is using subnets of the private network ID 10.0.0.0, route filtering can be used so that the RIP routers discard all routes except those within the 10.0.0.0 network ID. For more information about configuring RIP route filters, see To add route filters.

Neighbors

By default, RIP either broadcasts (RIP version 1 or RIP version 2) or multicasts (RIP v2 only) announcements. To prevent RIP traffic from being received by any node except neighboring RIP routers, the Windows 2000 router can unicast RIP announcements. While originally intended for use by nonbroadcast multiaccess (NBMA) network technologies such as Frame Relay, the configuration of RIP neighbors ensures that RIP announcements are directed to neighboring RIP routers. For more information about configuring RIP neighbors, see To add a unicast neighbor.

Note

  • When you configure RIP routers to unicast to neighboring RIP routers, the ability of silent RIP hosts to receive RIP traffic is impaired. Therefore, you need to either add the silent RIP hosts as neighbors or configure the Windows 2000 router to broadcast or multicast (in addition to unicasting to RIP neighbors).


Deploying RIP for IP

While basic RIP version 1 functionality is easy to configure and deploy, RIP version 2 and advanced RIP capabilities, such as peer security and route filtering, require additional configuration and testing. To make troubleshooting and problem isolation easier, it is recommended that you deploy your RIP-based internetwork in the following stages:

  1. Set up basic RIP and make sure it is working.
  2. Add advanced capabilities one at a time, testing after each feature is added.

Deploying RIP

To deploy RIP, you can perform the following steps:

  1. Draw a map of the topology of your IP internetwork that shows the separate networks and the placement of routers and hosts (nonrouter computers running TCP/IP).
  2. For each IP network (a cabling system bounded by one or more routers), assign a unique IP network ID (also known as an IP network address).
  3. Assign IP addresses to each router interface. It is a common industry practice to assign the first IP addresses of an IP network to router interfaces. For example, for an IP network ID of 192.168.100.0 with a subnet mask of 255.255.255.0, the router interface is assigned an IP address of 192.168.100.1.
  4. For each Windows 2000 router interface, designate whether that interface will be configured for RIP v1 or RIP v2. If an interface is configured for RIP v2, designate whether the RIP v2 announcements will be broadcast or multicast.
  5. By using Routing and Remote Access, add the RIP routing protocol and configure the appropriate interfaces for RIP v1 or RIP v2 for each Windows 2000 router.
  6. When your configuration is complete, allow a few minutes for the routers to update each other's routing tables and then test the internetwork.

For more information, see Configure RIP for IP.

Testing a RIP internetwork

To test your RIP internetwork, you can perform the following steps:

  1. To verify that a Windows 2000 RIP router is receiving RIP announcements from all of its neighboring RIP routers, view the RIP neighbors for the router. For more information about viewing RIP neighbors, see To view RIP neighbors.
  2. For each RIP router, view the IP routing table and verify that all of the routes that should be learned from RIP are present. For more information about viewing the IP routing table, see To view routing tables.
  3. Use the ping and tracert commands to test connectivity between host computers so that all routing paths are checked. For more information about the ping and tracert commands, see Using the ping command and Using the tracert command.

For information about troubleshooting RIP for IP, see Troubleshooting RIP for IP.


Setting up an OSPF routed internetwork

An Open Shortest Path First (OSPF) routed internetwork uses the OSPF routing protocol to dynamically communicate routing information between routers. Deployed properly, an OSPF environment automatically adds and removes routes as networks are added and removed from the internetwork. You need to ensure that each router is properly configured so that the OSPF-based route advertisements are propagated to OSPF routers on the internetwork.

This section covers:

  • The OSPF environment
  • OSPF design considerations
  • OSPF security
  • Deploying OSPF
  • Deploying a single-area OSPF internetwork


The OSPF environment

An Open Shortest Path First (OSPF) routed environment is best suited to a large-to-very-large, multipath, dynamic IP internetwork.

  • A large-to-very-large internetwork contains more than 50 networks.
  • Multipath means that there are multiple paths for packets to travel between any two endpoints on the internetwork.
  • Dynamic means that the topology of the internetwork changes over time because networks are added and removed and links occasionally go down and come back up.

Candidates for an OSPF routed environment include:

  • A corporate or institutional campus.
  • A worldwide corporate or institutional internetwork.


OSPF design considerations

To prevent problems, you should consider the following design issues before you implement Open Shortest Path First (OSPF).

OSPF design

There are three levels of OSPF design:

  • Autonomous system design
  • Area design
  • Network design

To aid in configuration and to prevent problems, you should consider the following elements for each level of OSPF design.

Autonomous system design

The following guidelines are recommended when designing an OSPF autonomous system:

  • Subdivide the OSPF autonomous system into areas that can be summarized.
  • If possible, subdivide your IP address space into a network/area/subnet/host hierarchy.
  • Make the backbone area a single high-bandwidth network.
  • Create stub areas whenever possible.
  • Avoid virtual links whenever possible.

Area design

The following guidelines are recommended when designing each OSPF area:

  • Ensure that all areas are assigned network IDs that can be expressed as a small number of summary routes.
  • If an area can be summarized with a single route, make the area ID the single route being advertised.
  • Ensure that multiple area border routers (ABRs) for the same area are summarizing the same routes.
  • Ensure that there are no back doors between areas and that all inter-area traffic crosses the backbone area.
  • Keep areas under 100 networks.

Network design

The following guidelines are recommended when designing each network:

  • Assign router priorities so that the least busy routers are the designated router and backup designated router.
  • Designate link costs to reflect bit rate, delay, or reliability characteristics.
  • Assign a password.

OSPF over Frame Relay

Although OSPF packets are typically multicast, OSPF was designed to operate over a nonbroadcast technology such as Frame Relay. How OSPF is configured for Frame Relay depends on how the Frame Relay virtual circuits appear as network interfaces on computers running Windows 2000. Either the Frame Relay adapter appears as a single adapter for all the virtual circuits (single adapter model) or each virtual circuit appears as a separate adapter (multiple adapter model).

Single-adapter model

With the single adapter model, also known as the nonbroadcast multiple access (NBMA) model, the network for the Frame Relay service provider (also known as the Frame Relay cloud) is treated as an IP network and the endpoints on the cloud are assigned IP addresses from a designated IP network ID. To ensure that OSPF traffic is received by all of the appropriate endpoints on the cloud, you must configure the Frame Relay interface to unicast its OSPF announcements to all of the appropriate endpoints. For the Windows 2000 router, this is done by designating the interface as a nonbroadcast multiple access (NBMA) network and adding OSPF neighbors. To add OSPF neighbors, see To add an OSPF neighbor.

Also, in a spoke and hub Frame Relay topology, the Frame Relay interface for the hub router must have a router priority set to 1 or greater and the Frame Relay interfaces for the spoke routers must have a router priority set to 0. Otherwise, the hub router, which is the only router that can communicate with all of the spoke routers, cannot become the designated router and adjacencies cannot form across the Frame Relay network.

Multiple-adapter model

With the multiple adapter model, each Frame Relay virtual circuit appears as a point-to-point link with its own network ID, and the endpoints are assigned IP addresses from a designated IP network ID. Since each virtual circuit is its own point-to-point connection, you can configure the interface for the point-to-point network type.

Note

  • The preceding discussion also applies to other NBMA technologies such as X.25 and ATM.

Using virtual links

An OSPF routed internetwork can be subdivided into areas, which are collections of contiguous networks. All areas are connected together through a common area called the backbone area. A router that connects an area to the backbone area is called an area border router (ABR). Normally, ABRs have a physical connection to the backbone area. When it is not possible or practical to have an ABR of an area physically connected to the backbone area, you can use a virtual link to connect the ABR to the backbone.

A virtual link is a logical point-to-point connection between an ABR of an area and an ABR that is physically connected to the backbone area. For example, a virtual link is configured between the ABR of Area 2 and the ABR of Area 1. The ABR of Area 1 is physically connected to the backbone area. Area 1 is known as the transit area, the area across which the virtual link is created in order to logically connect Area 2 to the backbone.

To create a virtual link, both routers, called virtual link neighbors, are configured with the transit area, the router ID of the virtual link neighbor, matching hello and dead intervals, and a matching password.

For more information, see To add a virtual interface.

To troubleshoot a virtual link, see Troubleshooting OSPF.

External routes and ASBRs

The set of OSPF routers in an organization defines an OSPF autonomous system (AS). By default, only OSPF routes corresponding to directly connected network segments are propagated within the AS. An external route is any route that is not within the OSPF AS. External routes can come from many sources:

  • Other routing protocols such as RIP for IP (v1 and v2).
  • Static routes.
  • Routes set on the router through SNMP.

External routes are propagated throughout the OSPF AS through one or more autonomous system boundary routers (ASBRs). An ASBR advertises external routes within the OSPF AS. For example, if you need to advertise the static routes of a Windows 2000 router, you need to enable that router as an ASBR.

For more information, see To configure an ASBR.

External route filters

By default, OSPF routers acting as ASBRs import and advertise all external routes. You may want to filter out external routes to keep the ASBR from advertising improper routes. External routes can be filtered on the ASBR by:

  • External route source

    • You can configure the ASBR to accept or ignore the routes of certain external sources such as routing protocols (RIP v2) or other sources (static routes or SNMP).

  • Individual route

    • You can configure the ASBR to accept or discard specific routes by configuring one or multiple {Destination, Network mask} pairs.

OSPF on a remote access server

If you configure a Windows 2000 router using OSPF to also act as a remote access server and the static IP address pool address ranges are for a separate subnet, in order to properly advertise the route that represents all remote access clients:

  1. Enable the Windows 2000 router as an autonomous system boundary router (ASBR).
  2. Configure OSPF route filters to Accept listed routes and then add the routes that correspond to the address ranges of your static IP address pool.

For more information, see To configure an ASBR.

For more information on the TCP/IP configuration of a remote access server, see TCP/IP and remote access.

OSPF on an answering demand-dial router

If you configure a Windows 2000 router by using OSPF to act as the answering router in a one-way initiated connection, in order to properly advertise the routes that represent the network segments of your calling routers:

  1. Enable the Windows 2000 router as an autonomous system boundary router (ASBR).
  2. If the Windows 2000 router is also configured with static IP address pool address ranges that are for a separate subnet, add the routes that correspond to the static routes on the user accounts being used by the calling routers.

For more information, see To configure an ASBR.

For more information about using static routes for one-way initiated demand-dial connections, see One-way initiated demand-dial connections.


OSPF security

In addition to the security steps listed in Static routing security, you can enhance Open Shortest Path First (OSPF) security through:

  • Authentication
  • External route filters on ASBRs

Authentication

By default, OSPF interfaces on the Windows 2000 router are configured to send the simple password of "12345678" in their OSPF Hello messages. The simple password helps prevent the corruption of OSPF data from an unauthorized OSPF router on a network. The password is sent in plaintext. Any user with a network sniffer, such as Microsoft Network Monitor, can capture the OSPF Hello messages and view the password.

External route filters on ASBRs

To prevent the propagation of invalid routes into the OSPF autonomous system (AS) from external sources such as RIP or static routes, you can configure autonomous system boundary routers (ASBRs) with route filters. You can configure ASBR route filters so that any route that matches a configured list is discarded, or any route that does not match a configured list is discarded.

For more information, see To configure an ASBR.

Note

  • You can only use external route filters to filter routes from non-OSPF sources. There is no capability to filter OSPF routes within the OSPF autonomous system.


Deploying OSPF

Deploying Open Shortest Path First (OSPF) requires careful planning and configuration at three levels:

  • The autonomous system
  • The area
  • The network

Planning the autonomous system

For the OSPF autonomous system (AS), you need to:

  1. Subdivide the OSPF AS into areas that can be easily summarized by using summary routes.
  2. Designate the backbone area.
  3. Assign area IDs.
  4. Identify virtual links.
  5. Identify area border routers (ABRs).
  6. Identify stub areas.
  7. Identify autonomous system boundary routers (ASBRs).

Planning each area

For each router, you need to:

  1. Add the areas to which the router is connected.
  2. If the area is a stub area, enable the area as a stub area.
  3. If the router is an ABR, optionally configure the ranges that summarize the IP networks within the area.
  4. If the router is an ABR that uses a virtual link, add the virtual interface.
  5. If the router is an ASBR, enable ASBR and configure optional external route filters.

Planning each network

For each IP address for each router interface that uses OSPF, you need to:

  1. Add the interface to the OSPF routing protocol.
  2. Enable OSPF on the interface.
  3. Configure the interface for the appropriate area ID.
  4. Configure the interface for the appropriate router priority.
  5. Configure the interface for the appropriate link cost.
  6. Configure the interface for the appropriate password.
  7. Configure the interface for the appropriate network type.
  8. If the interface is a single-adapter Frame Relay (or X.25 or ATM) interface, configure the nonbroadcast multiple access (NBMA) neighbors.

For more information, see Configure OSPF.

Testing OSPF

To test your OSPF internetwork, you can perform the following steps:

  1. To verify that a Windows 2000 router is receiving OSPF announcements from all of its adjacent OSPF routers, view the OSPF neighbors for the router. For more information, see To view OSPF neighbors.
  2. For each router, view the IP routing table and verify that all of the routes that should be learned from OSPF are present. For more information, see To view routing tables.
  3. Use the ping and tracert commands to test connectivity between host computers so that all routing paths are checked. For more information about the ping and tracert commands, see Using the ping command and Using the tracert command.

For information about troubleshooting OSPF, see Troubleshooting OSPF.


Deploying a single-area OSPF internetwork

While Open Shortest Path First (OSPF) is a routing protocol designed to scale to very large internetworks, the planning and implementation of a large scale OSPF internetwork is complex and time-consuming. However, you do not need a large or very large internetwork to take advantage of the advanced features of OSPF.

In the Windows 2000 implementation of OSPF, the default values of global and interface settings make it very easy to create a single-area OSPF internetwork with minimal configuration. The single area is the backbone area (0.0.0.0).

OSPF default global settings

The OSPF default global settings are as follows:

  • The router identification is set to the IP address of the first IP binding at the time of the installation of the OSPF routing protocol.
  • The router is not configured as an OSPF autonomous system boundary router.
  • A single area, the backbone area, is configured and enabled for a plaintext password. It is not configured as a stub area and there are no address ranges.
  • There are no configured virtual interfaces, and external routes are not filtered.

For a single-area OSPF internetwork, no changes to the OSPF default global settings are required.

OSPF default interface settings

The OSPF default interface settings for LAN interfaces are as follows:

  • By default, OSPF is not enabled to run over the interface.
  • The area ID is set to the backbone area (0.0.0.0).
  • The router priority is set to 1. With multiple OSPF routers on the same network with the same router priority, the OSPF designated router and backup designated router are elected based on the router with the highest router ID.
  • The cost is set to 2.
  • The password is set to 12345678.
  • The network type is set to broadcast for LAN interfaces.
  • There are no configured neighbors.
  • The hello interval is set to 10 seconds.
  • The dead interval is set to 40 seconds.

For a single-area OSPF internetwork, the only required change to the OSPF default interface settings is to enable OSPF to run over the interface.

Deploying OSPF

To deploy an OSPF single-area internetwork that consists of LAN interfaces, perform the following steps on each Windows 2000 router:

  1. Enable the Routing and Remote Access service. For more information, see To enable the Routing and Remote Access service.
  2. Add the OSPF routing protocol. For more information, see To add the OSPF routing protocol.
  3. Add the routing interfaces of the router to the OSPF routing protocol, enabling OSPF for each interface. For more information, see To add an interface to OSPF.

Testing OSPF

To test your single-area OSPF internetwork, you can perform the following steps:

  1. To verify that a Windows 2000 router is receiving OSPF announcements from all of its adjacent OSPF routers, view the OSPF neighbors for the router. For more information, see To view OSPF neighbors.
  2. For each router, view the IP routing table and verify that all of the routes that should be learned from OSPF are present. For more information, see To view routing tables.
  3. Use the ping and tracert commands to test connectivity between host computers so that all routing paths are checked. For more information about the ping and tracert commands, see Using the ping command and Using the tracert command.

For information about troubleshooting OSPF, see Troubleshooting OSPF.


Setting up network address translation

This section covers:

  • Network address translation design considerations
  • Deploying network address translation


Network address translation design considerations

To prevent problems, you should consider the following design issues before you implement network address translation.

Private network addressing

You should use the following IP addresses from the InterNIC private IP network IDs: 10.0.0.0 with a subnet mask of 255.0.0.0, 172.16.0.0 with a subnet mask of 255.240.0.0, and 192.168.0.0 with a subnet mask of 255.255.0.0. By default, network address translation uses the private network ID 192.168.0.0 with the subnet mask of 255.255.255.0 for the private network.

For more information, see To enable network address translation addressing.

If you are using public IP networks that have not been allocated by the InterNIC or your ISP, then you may be using the IP network ID of another organization on the Internet. This is known as illegal or overlapping IP addressing. If you are using overlapping public addresses, then you cannot reach the Internet resources of the overlapping addresses. For example, if you use 1.0.0.0 with the subnet mask of 255.0.0.0, then you cannot reach any Internet resources of the organization that is using the 1.0.0.0 network.

You can also exclude specific IP addresses from the configured range. Excluded addresses are not allocated to private network hosts.

Single or multiple public addresses

If you are using a single public IP address allocated by your ISP, no other IP address configuration is necessary. If you are using multiple IP addresses allocated by your ISP, then you must configure the network address translation (NAT) interface with your range of public IP addresses. For the range of IP addresses given to you by your ISP, you must determine whether the range of public IP addresses can be expressed by using an IP address and a mask.

If you are allocated a number of addresses that is a power of 2 (2, 4, 8, 16, and so on), you can express the range by using a single IP address and mask. For example, if you are given the four public IP addresses 200.100.100.212, 200.100.100.213, 200.100.100.214, and 200.100.100.215 by your ISP, then you can express these four addresses as 200.100.100.212 with a mask of 255.255.255.252.

If your IP addresses are not expressible as an IP address and a subnet mask, you can enter them as a range or series of ranges by indicating the starting and ending IP addresses.

For more information, see To configure interface IP address ranges.

Allowing inbound connections

Normal network address translation (NAT) usage from a home or small business allows outbound connections from the private network to the public network. Programs such as Web browsers that run from the private network create connections to Internet resources. The return traffic from the Internet can cross the NAT because the connection was initiated from the private network.

To allow Internet users to access resources on your private network, you must do the following:

  • Configure a static IP address configuration on the resource server including IP address (from the range of IP addresses allocated by the NAT computer), subnet mask (from the range of IP addresses allocated by the NAT computer), default gateway (the private IP address of the NAT computer), and DNS server (the private IP address of the NAT computer).
  • Exclude the IP address being used by the resource computer from the range of IP addresses being allocated by the NAT computer.
  • Configure a special port. A special port is a static mapping of a public address and port number to a private address and port number. A special port maps an inbound connection from an Internet user to a specific address on your private network. By using a special port, you can create a Web server on your private network that is accessible from the Internet.

For more information, see To configure interface special ports.

Configuring applications and services

You may need to configure applications and services to work properly across the Internet. For example, if users on your small office or home office (SOHO) network want to play the Diablo game with other users on the Internet, network address translation must be configured for the Diablo application.

For more information, see To configure network address translation network applications.

VPN connections from a translated SOHO network

To access a private intranet using a virtual private network (VPN) connection from a translated SOHO network, you can use the Point-to-Point Tunneling Protocol (PPTP) and create a VPN connection from a host on the SOHO network to the VPN server of the private intranet on the Internet. The NAT routing protocol has a NAT editor for PPTP traffic. Layer Two Tunneling Protocol (L2TP) over Internet Protocol security (IPSec) connections do not work across the NAT computer. For more information, see NAT editors.


Deploying network address translation

To deploy network address translation for a small office or home office network, you need to configure:

  • The network address translation computer.
  • Other computers on the small office or home network.

Configuring the network address translation computer

To configure the network address translation (NAT) computer, you can complete the following steps:

  1. Install and enable the Routing and Remote Access service.

    In the Routing and Remote Access Server Setup wizard, choose the options for Internet connection server and to set up a router with the Network Address Translation (NAT) routing protocol. After the wizard is finished, all of the configuration for Network Address Translation (NAT) is complete. You do not need to complete steps 2 through 8.

    If you have already enabled the Routing and Remote Access service, then complete steps 2 through 8 as needed.

    For information about installing and enabling the Routing and Remote Access service, see To enable the Routing and Remote Access service.

  2. Configure the IP address of the home network interface.

    For the IP address of the LAN adapter that connects to the home network, you need to configure the following:

    • IP address: 192.168.0.1
    • Subnet mask: 255.255.255.0
    • No default gateway

    Note

    • The IP address in the preceding configuration for the home network interface is based on the default address range of 192.168.0.0 with a subnet mask of 255.255.255.0, which is configured for the addressing component of network address translation. If you change this default address range, you should change the IP address of the private interface for the network address translation computer to be the first IP address in the configured range. Using the first IP address in the range is a recommended practice, not a requirement of the network address translation components.
  3. Enable routing on your dial-up port.

    If your connection to the Internet is a permanent connection that appears in Windows 2000 as a LAN interface (such as DDS, T-Carrier, Frame Relay, permanent ISDN, xDSL, or cable modem) or if you are connecting your computer running Windows 2000 to another router before the connection to the Internet, and the LAN interface is configured with an IP address, subnet mask, and default gateway either statically or through DHCP, skip to step 6.

    For information about enabling routing on your dial-up port, see To enable routing on ports.

  4. Create a demand-dial interface to connect to your Internet service provider.

    You need to create a demand-dial interface that is enabled for IP routing and uses your dial-up equipment and the credentials that you use to dial your Internet service provider (ISP). For more information about creating demand-dial interfaces, see To add a demand-dial interface.

  5. Create a default static route that uses the Internet interface.

    For a default static route, you need to select the demand-dial interface (for dial-up connections) or LAN interface (for permanent or intermediate router connections) that is used to connect to the Internet. The destination is 0.0.0.0 and the network mask is 0.0.0.0. For a demand-dial interface, the gateway IP address is not configurable.

    For more information about configuring a default static route, see To add a default static IP route.

  6. Add the NAT routing protocol.

    For information about adding the NAT IP routing protocol, see To add network address translation.

  7. Add your Internet and home network interfaces to the NAT routing protocol.

    For information about adding interfaces to the NAT IP routing protocol, see To add an interface to network address translation.

  8. Enable network address translation addressing and name resolution.

    For information about enabling network address translation addressing, see To enable network address translation addressing.

    For information about enabling network address translation name resolution, see To enable network address translation name resolution.

    Note

    • The network address translation addressing feature only assigns addresses from a single range that corresponds to a single subnet. If multiple home network LAN interfaces are added to the NAT routing protocol, a single subnet configuration (where all LAN interfaces are connected to the same network) is assumed. If the LAN interfaces correspond to different networks, connectivity between clients on different networks who receive addresses from the network address translation computer may not be possible.

Configuring other computers on the small office or home network

You need to configure the TCP/IP protocol on the other computers on the small office or home network to obtain an IP address automatically, and then restart them. When the computers on the home network receive their IP address configuration from the network address translation computer, they are configured with:

  • IP address (from the address range of 192.168.0.0 with a subnet mask of 255.255.255.0).
  • Subnet mask (255.255.255.0).
  • Default gateway (the IP address of the interface for the network address translation computer on the small office or home network).
  • DNS server (the IP address of the interface for the network address translation computer on the small office or home network).

Advanced network address translation translation settings

To configure advanced network address translation translation settings, you can do the following:

  • If you have been given a range of IP addresses from your ISP, configure the range of IP addresses on your Internet interface.
  • If there are services running on the private network that need to be accessed by users from the Internet, add a special port that maps the public IP address and port number to a private IP address and port number.

For more information, see Configure network address translation.

For information about troubleshooting network address translation, see Troubleshooting network address translation.


Setting up an IPX internetwork

This section covers:

  • IPX internetwork design considerations
  • Deploying IPX


IPX internetwork design considerations

To prevent problems, you should consider the following design issues before you implement an IPX internetwork.

IPX network addressing scheme

The IPX network ID is a 4-byte identifier expressed as an 8-digit hexadecimal number. The 8-digit IPX network ID is an address space that you can use to group IPX networks based on the following:

  • LANs versus WANs

    • A LAN is a cabling system bounded by one or multiple IPX routers that uses a LAN-based networking technology such as Ethernet or Token Ring. A WAN is a point-to-point connection between two routers that uses a WAN link such as T1 or Frame Relay.

  • Internal versus external networks

    • Internal networks are virtual networks inside Novell NetWare servers, Windows 2000 routers, and other IPX routers that are also hosting services. The designation of an internal network ensures proper routing to services running on the NetWare server, the Windows 2000 router, or the other IPX router that is hosting services.

    External networks are networks that consist of physical cabling systems (LANs) or point-to-point WAN links (WANs).

  • Networks for various Ethernet frame types

    • For IPX environments that must support multiple Ethernet frame types, you must configure each Ethernet frame type with its own IPX network ID.

  • Remote access networks

    • When you use the computer running Windows 2000 as a remote access server, remote access clients are assigned an IPX network ID. By default, the remote access server automatically chooses a unique IPX network ID. You can specify an IPX network ID or range of IPX network IDs so that remote access IPX traffic is identified by its source IPX network address.

  • Geographic location or departmental

    • You can allocate portions of the IPX address space on a geographic (by building or site) or departmental (sales or research) basis. For example, in a large campus environment, all of the IPX networks in building 5 start with 5 as their first digit.

Maximum diameter of 16 routers

The maximum diameter of RIP and SAP for IPX is 16 routers. The diameter is a measure of the size of an internetwork in terms of hops or other metrics. Networks and services that are 17 hops and greater away are considered unreachable.

Confining and directing NetBIOS over IPX traffic

You can control NetBIOS over IPX traffic by disabling the propagation of NetBIOS over IPX broadcasts on specific interfaces and by configuring static NetBIOS names. For example, if a specific IPX network does not contain any nodes that are using NetBIOS over IPX, then you can disable NetBIOS over IPX broadcast propagation on all of the router interfaces connected to that network.

Preventing the propagation of SAP services

If there are SAP services that do not need to propagate throughout the entire internetwork, you can use SAP filtering to prevent the services from being advertised outside of a group of IPX networks. For example, if you want to hide the existence of the file servers in the human resources department, configure the routers that are connected to the human resources network to filter the SAP services that correspond to the file and print sharing services of the human resources file servers.

RIP and SAP over Frame Relay

Because RIP and SAP are primarily broadcast protocols, you need a special configuration for proper operation over a nonbroadcast technology such as Frame Relay. How RIP and SAP are configured for Frame Relay depends on how the Frame Relay virtual circuits appear as network interfaces on computers running Windows 2000. Either the Frame Relay adapter appears as a single adapter for all the virtual circuits (single adapter model) or each virtual circuit appears as a separate adapter (multiple adapter model).

Single-adapter model

With the single adapter model (also known as the nonbroadcast multiple access (NBMA) model) the network for the Frame Relay service provider (also known as the Frame Relay cloud) is treated as a single IPX network. This configuration does not work for RIP or SAP for two reasons:

  1. You cannot reconfigure RIP and SAP to unicast to specific endpoints.
  2. In a spoke-and-hub Frame Relay topology, the Frame Relay interfaces for the hub router must have split-horizon processing disabled. Otherwise, the spoke routers never receive each other's routes and services. You cannot disable split-horizon processing for RIP or SAP. Therefore, RIP routes and SAP services are not properly propagated across the Frame Relay cloud.

Multiple-adapter model

With the multiple adapter model, each Frame Relay virtual circuit appears as a point-to-point link with its own IPX network ID. Because each virtual circuit is its own point-to-point connection and defines its own IPX network, split-horizon processing does not prevent the propagation of routes and services between spoke routers in a spoke and hub configuration.

Note

  • The preceding discussion also applies to other nonbroadcast technologies such as X.25 and ATM.


Deploying IPX

While RIP for IPX and SAP for IPX are easy to deploy, advanced RIP and SAP capabilities, such as RIP route filtering and SAP service filtering, require additional configuration and testing. To make troubleshooting and problem isolation easier, it is recommended that you deploy your IPX internetwork in the following stages:

  1. Set up default RIP and SAP for IPX and make sure they are working.
  2. Add advanced capabilities one at a time, testing after each feature is added.

Deploying an IPX internetwork

To deploy an IPX internetwork, you can perform the following steps:

  1. Draw a map of the topology of your IPX internetwork that shows the separate networks and the placement of routers and hosts.
  2. For each IPX network (a cabling system bounded by one or more routers), assign a unique IPX network ID (also known as an IPX network address) according to your IPX network addressing scheme.
  3. For each NetWare server, Windows 2000 router, or other IPX router that is hosting services, assign a unique internal IPX network ID according to your IPX network addressing scheme.
  4. By using Routing and Remote Access, verify that each router interface has been added to the RIP-for-IPX and SAP-for-IPX routing protocols. When the Routing and Remote Access service is installed, by default all LAN interfaces are added to both the RIP-for-IPX and SAP-for-IPX routing protocols.
  5. When your configuration is complete, allow a few minutes for the routers to update each other's routing and service tables and then test the internetwork.

For more information, see Configure IPX routing.

Testing an IPX internetwork

To test your IPX internetwork, you can perform the following steps:

  1. For each IPX router, view the IPX routing table and verify that all of the routes that should be learned from RIP are present (keeping in mind that RIP route filtering may prevent the propagation of some routes). For more information about viewing the IPX routing table, see To view routing tables.
  2. For each IPX router, view the SAP service table and verify that all of the services that should be learned from SAP are present (keeping in mind that SAP filtering may prevent the propagation of some services). For more information about viewing the SAP service table, see To view routing tables.

For information about troubleshooting IPX routing, see Troubleshooting RIP and SAP for IPX.


Setting up demand-dial routing

This section covers:

  • Demand-dial routing design considerations
  • Demand-dial routing security
  • Deploying demand-dial routing
  • Deploying certificate-based authentication for demand-dial routing


Demand-dial routing design considerations

To prevent problems, you should consider the following design issues before you implement demand-dial routing.

On-demand or persistent connections

You must decide whether your demand-dial connections will be on-demand or persistent:

  • On-demand demand-dial connections are used when the cost of using the communications link is time-sensitive. For example, long distance analog phone calls are charged on a per-minute basis. With on-demand connections, the connection is made when traffic is forwarded, and the connection is terminated when the link is not used. You can configure idle disconnect behavior for the answering router by setting an idle disconnect through the profile properties of the remote access policy that is used for the demand-dial connection. You can configure idle disconnect behavior for the calling router on the Options tab on the properties of the demand-dial interface.
  • Persistent demand-dial connections use a dial-up link but can be left in a connected state 24 hours a day without incurring additional usage charges. Examples of persistent demand-dial connections include local calls that use analog phone lines and flat-rate ISDN.

One-way or two-way initiated connections

You must decide whether your demand-dial connections will be initiated by one router or by both routers:

  • With one-way initiated connections, one router is always the answering router and one router is always the calling router. The answering router accepts the connection and the calling router initiates the connection. One-way initiated connections are well suited to an on-demand spoke and hub topology where the branch office router is the only router that initiates the connection. One-way initiated connections require the following:
    • The answering router is configured as a LAN and WAN router.
    • A user account is added for the authentication credentials of the calling router that is accessed and validated by the answering router.
    • A demand-dial interface is configured at the answering router with the same name as the user account that is used by the calling router. The demand-dial interface is not used to dial out, therefore it is not configured with the phone number of the calling router or with valid user credentials.

    • For an alternate configuration that does not require a demand-dial interface on the answering router, see One-way initiated demand-dial connections.

  • With two-way initiated connections, either router can be the answering router or the calling router depending on who is initiating the connection. Both routers must be configured to initiate and accept a demand-dial connection. You can use two-way initiated connections when traffic from either router can create the demand-dial connection. Two-way initiated demand-dial connections require the following:
    • Both routers are configured as LAN and WAN routers.
    • User accounts are added for both routers so that the authentication credentials of the calling router are accessed and validated by the answering router.
    • Demand-dial interfaces, with the same name as the user account that is used by the calling router, are fully configured at both routers, including the phone number of the answering router and user account credentials to authenticate the calling router.

Restricting the initiation of an on-demand connection

To prevent the calling router from making unnecessary on-demand dial-up connections, which may result in excessive phone charges, you can restrict the calling router from making connections in two ways:

  • Demand-dial filtering

    • You can use demand-dial filtering to configure either the types of IP traffic that do not cause a connection to be made or the types of IP traffic that cause a connection to be made. For more information, see To configure demand-dial filters.

  • Dial-out hours

    • You can use dial-out hours to configure the hours that a calling router is either permitted or denied to make a demand-dial connection. For more information, see To configure dial-out hours.

IP packet filters and demand-dial filters

Demand-dial filters are applied before the connection is made. IP packet filters are applied after the connection is made. To prevent the demand-dial connection from being established for traffic that is discarded by the IP packet filters:

  • If you have configured a set of output IP packet filters with the Receive all packets except those that meet the criteria listed below option, then configure the same set of filters as demand-dial filters with Initiate connection set to For all traffic except.
  • If you have configured a set of output IP packet filters with the Drop all packets except those that meet the criteria listed below option, then configure the same set of filters as demand-dial filters with Initiate connection set to Only for the following traffic.

Routing

Both routers on a demand-dial connection must have the appropriate routes in their routing tables to forward traffic across the connection. Additionally, routes in the routers of the intranets of both demand-dial routers must be present that support the two-way forwarding of traffic between any two destinations. Routes can be static or dynamic.

Static routing is recommended for on-demand connections. You can add static routes to the routing table either manually or through an auto-static update. For more information, see To add a static route or Demand-dial routing updates.

Dynamic routing is recommended for persistent connections by adding the demand-dial interface to an IP or IPX routing protocol.

Creating a remote access policy for demand-dial connections

By using remote access policies, you can create a policy that requires demand-dial connections to use a specific authentication method and encryption strength.

For example, you can create a Windows 2000 group called Demand-Dial Routers whose members are the user accounts that are used by calling routers when a demand-dial connection is created. Then, you create a policy with one condition: the Windows-Group is set to Demand-Dial Routers. Finally, you configure the profile for the policy to select a specific authentication method and encryption strength.

For more information, see Introduction to remote access policies.

User accounts for demand-dial connections

When you create a user account by using the Demand-Dial Interface wizard, the remote access permission is set to Allow access even though for a new account in a Windows 2000 native-mode domain or a stand-alone router, the default remote access permission for newly created accounts is set to Control access through Remote Access Policy. This behavior may cause some confusion if you are using the access-by-policy administrative model. In the access-by-policy administrative model, the remote access permission of all user accounts is set to Control access through Remote Access Policy and the remote access permission of individual policies are set to either Grant remote access permission or Deny remote access permission. For more information, see Remote access policy administrative models.

When the user account is created, it is created with the current default password settings and policies set for your domain. Verify that the user accounts that are used by calling routers have the following settings on the General tab on the properties of the user account:

  • The User must change password at next logon check box is cleared.

    • If the check box is selected, then you must manually clear this setting for accounts created with the Demand-Dial Interface wizard. If you do not clear this setting, then a demand-dial router cannot connect by using this account. When the calling router sends its credentials, the calling router is prompted to change the password. Because the initiation of a demand-dial connection is not an interactive process involving a user, the calling router is unable to change the password and aborts the connection attempt.

  • The Password never expires check box is selected

    • Because the demand-dial connection process is not interactive, if the password expires, the calling router is prompted to change the expired password and the connection attempt is ended.

Monitoring demand-dial connections

The current connection status of a demand-dial interface can be viewed from Routing and Remote Access. However, details of the demand-dial connection such as the line speed, device statistics, connection statistics, and device errors cannot be viewed. To view this information for demand-dial connections initiated by the router, run the Rasmon utility on the demand-dial router. The Rasmon utility is included in the Windows 2000 Resource Kit.


Demand-dial routing security

Security is less of a concern for demand-dial connections than for router-to-router VPN connections because data is not traveling across a public network like the Internet. However, data may be intercepted as it travels through the infrastructure of your telecommunications provider.

In addition to the security steps listed in Static routing security, you can enhance demand-dial routing security through:

  • Strong authentication
  • Data encryption

Strong authentication

For authentication, use the strongest authentication scheme that is possible for your demand-dial configuration. The strongest authentication scheme is the use of EAP-TLS with certificates. For more information, see Deploying certificate-based authentication for demand-dial routing.

Otherwise, use MS-CHAP v2 authentication and enforce the use of strong passwords on your network. For more information, see To enable authentication protocols.

Data encryption

For encryption, you can use either link encryption or end-to-end encryption:

  • Link encryption encrypts the data only on the link between the two routers. You can use 128-bit Microsoft Point-to-Point Encryption (MPPE) if your locations are within North America. Otherwise, you can use 56-bit or 40-bit MPPE. 40-bit MPPE is used with older versions of Microsoft operating systems. You must use MPPE in conjunction with either MS-CHAP or EAP-TLS authentication.
  • End-to-end encryption encrypts the data between the source host and its final destination. You can use Internet Protocol security (IPSec) to encrypt data from the source host to the destination host across the demand-dial link.

To require encryption, clear the No encryption option and select the appropriate encryption strengths on the Encryption tab of the remote access policy profile that is used by your calling routers. For more information, see To configure encryption.


Deploying demand-dial routing

In order to create a two-way, initiated demand-dial routing connection from a branch office router to a corporate office router, you must perform the following:

  1. Configure the corporate office router to initiate and receive demand-dial connections with the branch office router.
  2. Configure the branch office router to initiate and receive demand-dial connections with the corporate office router.
  3. Initiate the demand-dial connection from either the branch office router or the corporate office router.

Notes

  • This deployment assumes a demand-dial connection between a branch office router and a corporate office router. You can also apply this deployment to the demand-dial connections between two corporate offices.
  • For maximum flexibility, the demand-dial connection is a two-way initiated connection that is initiated by either the branch office router or the corporate office router.

The following illustration shows elements of Windows 2000 routing that provides demand-dial routed connections.

Windows 2000 routing and demand-dial connections

Configuring the corporate office router

If you want your corporate office router to support two-way initiated demand-dial connections, complete the following steps:

  • Configure the connection to the corporate office intranet.
  • Configure the LAN and WAN router.
  • Configure ports to allow demand-dial connections.
  • Configure demand-dial interfaces.
  • Configure static routes.
  • Configure remote access policies.

Configuring the connection to the intranet

The connection to the intranet is a LAN adapter that is installed in the computer. You need to verify that the LAN adapter is on the Microsoft Windows Hardware Compatibility List at the Microsoft Web site (http://www.microsoft.com/).

You need to configure the following TCP/IP settings on the LAN adapter:

  • IP address and subnet mask assigned from the network administrator.
  • DNS and WINS name servers of corporate intranet name servers.

Because the corporate office router will act as a router between the corporate office and the branch office, it must be configured with either static routes or with routing protocols so that all of the destinations on the corporate network are reachable from the corporate office router.

Configuring the LAN and WAN router

You can enable LAN and WAN routing by installing the Routing and Remote Access service. For more information, see To enable the Routing and Remote Access service.

You can configure LAN and WAN routing through the properties on the remote access router in Routing and Remote Access. For more information, see To view properties of the remote access server.

To allow demand-dial connections, you need to configure the following settings:

  • General

    • Verify that the Router check box and LAN and demand-dial routing are selected.

  • Security
    • Authentication Methods

      Select the authentication methods that are supported by the router to authenticate the credentials of demand-dial routers. For Windows 2000 demand-dial routers, select either MS-CHAP v2 or EAP (if smart cards or machine certificates are available) authentication.

    • Authentication Provider

      You can verify the credentials of demand-dial routers by using Windows 2000 security or a RADIUS server. If RADIUS is selected, you need to configure RADIUS server settings for your RADIUS server or RADIUS proxy.

    • Accounting Provider

      You can record demand-dial router activity for analysis or accounting purposes by selecting and configuring an accounting provider.

  • IP

    • Click Static address pool and configure the ranges of IP addresses that are dynamically allocated to demand-dial routers.

  • PPP

    • Select the Link control protocol (LCP) extensions check box.

    Select the Software compression check box.

Configuring ports to allow demand-dial connections

After dial-up equipment is installed, in Routing and Remote Access, each separate dial-up port appears under Ports. For each dial-up port, you need to select the Demand-dial routing connections (inbound and outbound) check box.

For more information about configuring ports for demand-dial routing connections, see To configure ports for remote access.

Configuring demand-dial interfaces

For each branch office router, you can create a demand-dial interface by using the Demand-Dial Interface wizard. In the wizard, enter the following:

  • Interface name

    The name of the interface that represents the connection to the branch office. For example, for a router in the New York branch office, enter NewYorkRouter.

  • Connection type

    Click Connect using a modem, ISDN adapter, or other physical device.

  • Select a device

    Click the device being used to create the connection.

  • Phone number or address

    Because the corporate router can also initiate a demand-dial connection, the phone number of the branch office router is required.

  • Protocols and security

    Select the protocols to route and the Add a user account so a remote router can dial in check boxes.

  • Dial-in credentials

    Type the domain and password for the account that will be used to authenticate the branch office router. The Demand-Dial Interface wizard automatically creates the account and sets its remote access permission to Allow access. The name of the account is the same as the name of the demand-dial interface. For example, for the New York branch office router, the name of the account is NewYorkRouter.

  • Dial-out credentials

    Because the corporate router can also initiate a demand-dial connection, the name, domain, and password are required. The user credentials that you enter are used to authenticate the corporate office router when it initiates a connection with the branch office router. For example, for the corporate office router, the name of the account is CorpHub.

Configuring static routes

You need to add static routes so that traffic to the branch office is forwarded by using the appropriate demand-dial interface. For each route of each branch office, configure the interface, destination, network mask, and metric. For interface, you need to select the demand-dial interface that corresponds to the branch office.

For example, the route that corresponds to the New York branch office is 192.168.25.0 with a subnet mask of 255.255.255.0. This route becomes the static route with the following configuration:

  • Interface: NewYorkRouter
  • Destination: 192.168.25.0
  • Network mask: 255.255.255.0
  • Metric: 1

Note

  • Because the demand-dial connection is a point-to-point connection, the Gateway IP address is not configurable.

For more information, see To add a static route.

Configuring remote access policies

By using the Demand-Dial Interface wizard, the dial-in properties of user accounts that are used by branch office routers are already configured to allow remote access.

If you want to grant remote access to the demand-dial-based branch office routers based on group membership, do the following:

  1. For a stand-alone router, use Local Users and Groups and set dial-in properties to Allow access for all users.
  2. For a directory services-based router, use Active Directory Users and Computers and set dial-in properties to Control access through Remote Access Policy for all users.
  3. Create a Windows 2000 group whose members can create demand-dial connections with the corporate office router. For example, BranchOfficeRouters.
  4. Add the appropriate user accounts that correspond to the accounts that are used by the branch office routers to the Windows 2000 group.
  5. Delete the default remote access policy named Allow access if dial-in permission is enabled.
  6. Create a new remote access policy with the following properties:
    • Set Policy name to Demand-dial connection if member of BranchOfficeRouters (example).
    • Set the Windows-Groups attribute to BranchOfficeRouters (example).
    • Set the NAS-Port-Type condition to all except Virtual (VPN).

The default settings for encryption on the Encryption tab on the properties of a remote access policy profile are to allow no encryption and all levels of encryption strength. To require encryption for demand-dial connections, clear the No Encryption option and select the encryption strength you want to use.

For more information, see To configure encryption.

Configuring the branch office router

If you want your branch office router to support two-way initiated demand-dial connections, complete the following steps:

  • Configure the connection to the branch office intranet.
  • Configure the LAN and WAN router.
  • Configure ports to allow demand-dial connections.
  • Configure a demand-dial interface.
  • Configure static routes.
  • Configure remote access policies.

Configuring the connection to the branch office intranet

The connection to the branch office network is a LAN adapter installed in the computer. You need to verify that the LAN adapter is on the Microsoft Windows Hardware Compatibility List at the Microsoft Web site (http://www.microsoft.com/).

You need to configure the following TCP/IP settings on the LAN adapter:

  • IP address and subnet mask assigned from the network administrator.
  • DNS and WINS name servers of branch office name servers.

Because the branch office router will act as a router between the corporate office and the branch office, it must be configured with either static routes or with routing protocols so that all of the destinations on the branch office network are reachable from the branch office router.

Configuring the LAN and WAN router

You can enable the LAN and WAN router by installing the Routing and Remote Access service. For more information, see To enable the Routing and Remote Access service.

You can configure the LAN and WAN router through the properties on a remote access router in Routing and Remote Access. For more information, see To view properties of the remote access server.

To allow demand-dial connections, you need to configure the following settings:

  • General

    • Verify that the Router check box and LAN and demand-dial routing are selected.

  • Security
    • Authentication Methods

      Select the authentication methods that are supported by the router to authenticate the credentials of demand-dial routers. For Windows 2000 demand-dial routers, select either MS-CHAP v2 or EAP (if smart cards or machine certificates are available) authentication.

    • Authentication Provider

      You can verify the credentials of demand-dial routers by using Windows 2000 security or a RADIUS server. If RADIUS is selected, you need to configure RADIUS server settings for your RADIUS server or RADIUS proxy.

    • Accounting Provider

      You can record demand-dial router activity for analysis or accounting purposes by selecting and configuring an accounting provider.

  • IP

    • Click Static address pool and configure the ranges of IP addresses that are dynamically allocated to demand-dial routers.

  • PPP

    • Select the Link control protocol (LCP) extensions check box.

    Select the Software compression check box.

Configure ports to allow demand-dial connections

After dial-up equipment is installed, in Routing and Remote Access, each separate dial-up port appears under Ports. For each dial-up port, you need to select the Demand-dial routing connections (inbound and outbound) check box.

For more information about configuring ports for demand-dial routing connections, see To configure ports for remote access.

Configuring a demand-dial interface

You can create a demand-dial interface by using the Demand-Dial Interface wizard. In the wizard, enter the following:

  • Interface name

    The name of the interface that represents the connection to the corporate office. For example, enter CorpHub.

  • Connection type

    Click Connect using a modem, ISDN adapter, or other physical device.

  • Select a device

    Click the device being used to create the connection.

  • Phone number or address

    Because the branch office router can also initiate a demand-dial connection, the phone number of the corporate office router is required.

  • Protocols and security

    Select the protocols to route and the Add a user account so a remote router can dial in check boxes.

  • Dial-in credentials

    Type the domain and password for the account that will be used to authenticate the corporate office router. The Demand-Dial Interface wizard automatically creates the account and sets its remote access permission to Allow access. The name of the account is the same as the name of the demand-dial interface. For example, for the corporate office router, the name of the account is CorpHub.

  • Dial-out credentials

    Because the branch office router can also initiate a demand-dial connection, the name, domain, and password are required. The user credentials that you enter are used to authenticate the branch office router when it initiates a connection with the corporate office router. For example, for the branch office router in the New York branch office, the name of the account is NewYorkRouter.

Note

  • In order for two-way initiated demand-dial routing to work properly, the user name of the calling router must match the name of a demand-dial interface on both sides of the connection. The following table shows an example.
    Router | Demand-dial interface name | User account name
    Corporate office router | NewYorkRouter | CorpHub
    Branch office router | CorpHub | NewYorkRouter

Configuring static routes

You need to add static routes so that traffic to the corporate office is forwarded by using the appropriate demand-dial interface. For each route of the corporate office, configure the interface, destination, network mask, and metric. For interface, you need to select the demand-dial interface that corresponds to the corporate office previously created.

For example, the route that corresponds to the corporate office is 10.0.00 with a subnet mask of 255.0.0.0. To configure this route as a static route, set the following:

  • Interface: CorpHub
  • Destination: 10.0.0.0
  • Network mask: 255.0.0.0
  • Metric: 1

Note

  • Because the demand-dial connection is a point-to-point connection, the Gateway IP address is not configurable.

For more information, see To add a static route.

Configuring remote access policies

By using the Demand-Dial Interface wizard, the dial-in properties of user accounts that are used by branch office routers are already configured to allow remote access.

If you want to grant remote access to the demand-dial-based branch office routers based on group membership, do the following:

  1. For a stand-alone router, use Local Users and Groups and set dial-in properties to Allow access for all users.
  2. For a directory services-based router, use Active Directory Users and Computers and set dial-in properties to Control access through Remote Access Policy for all users.
  3. Create a Windows 2000 group whose members can create demand-dial connections with the branch office router. For example, DemandDialRouters.
  4. Add the appropriate user accounts that corresponds to the accounts that are used by the corporate office router or other branch office routers to the Windows 2000 group.
  5. Delete the default remote access policy named Allow access if dial-in permission is enabled.
  6. Create a new remote access policy with the following properties:
    • Set Policy name to Demand-dial connection if member of DemandDialRouters (example).
    • Set the Windows-Groups attribute to DemandDialRouters (example).
    • Set the NAS-Port-Type condition to all except Virtual (VPN).

The default settings for encryption on the Encryption tab on the properties of a remote access policy profile are to allow no encryption and all levels of encryption strength. To require encryption for demand-dial connections, clear the No Encryption option and select the encryption strength you want to use.

For more information, see To configure encryption.

Initiating the demand-dial connection

To connect the branch office router to the corporate office router, do one of the following:

  • From the branch office router

    In Routing and Remote Access, right-click the demand-dial interface that connects to the corporate office (in this example, the CorpHub demand-dial interface), and then click Connect.

  • From the corporate office router

    In Routing and Remote Access, right-click the demand-dial interface that connects to the branch office (in this example, the NewYorkRouter demand-dial interface), and then click Connect.

For information about troubleshooting demand-dial routing, see Troubleshooting demand-dial routing.


Deploying certificate-based authentication for demand-dial routing

The use of certificates for authentication of calling routers is the strongest form of authentication in Windows 2000. For certificate-based authentication of demand-dial connections, you must use the Extensible Authentication Protocol (EAP) with the Smart card or other certificate (TLS) EAP type, also known as EAP-Transport Level Security (EAP-TLS). EAP-TLS requires the use of user certificates for the calling router and machine certificates (also known as computer certificates) for the answering router.

The deployment of certificate-based authentication for demand-dial routing typically occurs in the following situations:

  • Business partner demand-dial connection
  • Branch office demand-dial connection


Business partner demand-dial connection

To use certificates for a two-way initiated, mutually authenticated, demand-dial configuration between two business partners (in this example, Company A and Company B), you must perform the following:

  • Configure the calling and answering routers for demand-dial routing.
  • Install computer certificates on the calling router and answering router computers.
  • Configure the domain for Web-based certificate enrollment.
  • At Company A, create a user account for the Company B router and export a certificate for the user account.
  • At Company B, create a user account for the Company A router and export a certificate for the user account.
  • At Company A, import the certificate from Company B.
  • Configure the Company A router to support certificate-based authentication as a calling router and as an answering router.
  • At Company B, import the certificate from Company A.
  • Configure the Company B router to support certificate-based authentication as a calling router and as an answering router.

Configuring the calling and answering routers for demand-dial routing

Configure the Windows 2000 calling and answering routers as described in Deploying demand-dial routing for dial-in demand-dial routing or Deploying router-to-router VPNs for VPN demand-dial routing.

Installing computer certificates on the calling router and answering router computers

In order to configure EAP-TLS on the answering router computer, you must install a computer certificate (also known as a machine certificate). In order to install a computer certificate, a certificate authority must be present to issue certificates. Once the certificate authority is configured, you can install a certificate two different ways:

  • By configuring the automatic allocation of computer certificates to computers in a Windows 2000 domain.
  • By using Certificate Manager to obtain a computer certificate.

Based on the certificate policies in your organization, you only need to perform one of these two allocations.

To configure a certificate authority and install the computer certificate, perform the following steps:

  1. Install the Windows 2000 Certificate Services component as an enterprise root certificate authority (CA). This step is only necessary if you do not already have an enterprise root CA.
    1. If necessary, promote the computer that will be a CA to a domain controller (DC). For more information, see To install a domain controller.
    2. Install the Windows 2000 Certificate Services component as an enterprise root CA. For more information, see To install an enterprise root certification authority.
  2. Configure the CA to issue router (offline request) certificates. For more information, see To establish the certificate types that an enterprise certification authority can issue.
  3. To auto-enroll machine certificates, configure the Windows 2000 domain. For more information, see To configure automatic certificate allocation from an enterprise CA.

    4. To create a computer certificate for the calling or answering router that is a member of the domain for which auto-enrollment is configured (as well as other computers that are members of the domain), restart the computer or type secedit /refreshpolicy machine_policy from a Windows 2000 command prompt.

  4. To manually enroll machine certificates, use Certificate Manager to install the CA root certificate. For more information, see To manage certificates for a computer and To request a certificate.

Configuring the domain for Web-based certificate enrollment

In order for the CA to issue certificates for the calling router, you must configure the Windows 2000 domain for Web-based enrollment. For more information, see To set up certification authority Web enrollment support.

Creating a user account and exporting its certificate for the Company B router

To create a dial-in user account for the Company B router and export the user certificate of the user account, do the following:

  1. Log on as a domain administrator.
  2. Create a user account that the Company B router will use when it dials the Company A router. For more information, see To add a user account.
  3. Obtain a router (offline request) certificate from the certificate authority through Web-based enrollment. For more information, see To install a router (offline request) certificate.
  4. Export the router (offline request) certificate to a .cer file. For more information, see To export a certificate. Within the Certificate Manager Export wizard, do not export the private key.
  5. Map the newly created router (offline request) certificate (the .cer file) to the user account that was created for the Company B router. For more information, see To map a certificate to a user account.
  6. Export the router (offline request) certificate to a .pfx file. For more information, see To export a certificate. Within the Certificate Manager Export wizard, export the private key, select the Delete the private key if the import is successful check box, and click Include all certificates in the certification path if possible. Save this file to a floppy disk to send to the network administrator at Company B.
  7. Send the floppy disk that contains the Company B dial-in account user certificate file to the network administrator at Company B.

Creating a user account and exporting its certificate for the Company A router

To create a dial-in user account for the Company A router and export the user certificate of the user account, do the following:

  1. Log on as a domain administrator.
  2. Create a user account that the Company A router will use when it dials the Company B router. For more information, see To add a user account.
  3. Obtain a router (offline request) certificate from the certificate authority through Web-based enrollment. For more information, see To install a router (offline request) certificate.
  4. Export the router (offline request) certificate to a .cer file. For more information, see To export a certificate. Within the Certificate Manager Export wizard, do not export the private key.
  5. Map the newly created router (offline request) certificate (the .cer file) to the user account created for the Company A router. For more information, see To map a certificate to a user account.
  6. Export the router (offline request) certificate to a .pfx file. For more information, see To export a certificate. Within the Certificate Manager Export wizard, export the private key, select the Delete the private key if the import is successful check box, and click Include all certificates in the certification path if possible. Save this file to a floppy disk to send to the network administrator at Company A.
  7. Send the floppy disk that contains the Company A dial-in account user certificate file to the network administrator at Company A.

Importing the certificates from Company B

Upon receipt at Company A of the floppy disk that contains the certificate file from Company B, on the Company A router, import the user certificate. For more information, see To import a certificate.

Configuring the Company A router to support certificate-based authentication

To configure the Company A router for certificate-based authentication as an answering router, see To configure the answering router for certificate-based EAP.

To configure the Company A router for certificate-based authentication as a calling router, see To configure the calling router for certificate-based EAP.

Importing the certificates from Company A

Upon receipt at Company B of the floppy disk that contains the certificate files from Company A, on the Company B router, import the user certificate. For more information, see To import a certificate.

Configuring the Company B router to support certificate-based authentication

To configure the Company B router for certificate-based authentication as an answering router, see To configure the answering router for certificate-based EAP.

To configure the Company B router for certificate-based authentication as a calling router, see To configure the calling router for certificate-based EAP.


Branch office demand-dial connection

To use certificates for a two-way initiated, mutually authenticated, demand-dial configuration between two routers in the same organization (in this example, a branch office router and a corporate office router), you must perform the following:

  • Configure the calling and answering routers for demand-dial routing.
  • Install a computer certificate on the corporate office router.
  • Configure the domain for Web-based certificate enrollment.
  • Create user accounts and export certificates.
  • Import the dial-out user certificate on the corporate office router.
  • Configure the corporate office router to support certificate-based authentication as a calling router and as an answering router.
  • Import the dial-in certificate on the branch office router.
  • Configure the branch office router to support certificate-based authentication as a calling router.
  • Connect to the corporate office and join the organization domain.

Configuring the calling and answering routers for demand-dial routing

Configure the Windows 2000 calling and answering routers as described in Deploying demand-dial routing for dial-up demand-dial routing or Deploying router-to-router VPNs for VPN demand-dial routing.

Installing a computer certificate on the corporate office router

In order to configure EAP-TLS on the corporate office router, you must install a computer certificate (also known as a machine certificate). In order to install a computer certificate, a certificate authority must be present to issue certificates. Once the certificate authority is configured, you can install a certificate two different ways:

  • By configuring the automatic allocation of computer certificates to computers in a Windows 2000 domain.
  • By using Certificate Manager to obtain a computer certificate.

Based on the certificate policies in your organization, you only need to perform one of these two allocations.

To configure a certificate authority and install the computer certificate, perform the following steps:

  1. Install the Windows 2000 Certificate Services component as an enterprise root certificate authority. This step is only necessary if you do not already have an enterprise root certificate authority (CA).
    1. If necessary, promote the computer that will be a CA to a domain controller (DC). For more information, see To install a domain controller.
    2. Install the Windows 2000 Certificate Services component as an enterprise root CA. For more information, see To install an enterprise root certification authority.
  2. Configure the CA to issue router (offline request) certificates. For more information, see To establish the certificate types that an enterprise certification authority can issue.
  3. To auto-enroll machine certificates, configure the Windows 2000 domain. For more information, see To configure automatic certificate allocation from an enterprise CA.

    4. To create a computer certificate for the calling or answering router that is a member of the domain for which auto-enrollment has been configured (as well as other computers that are members of the domain), restart the computer or type secedit /refreshpolicy machine_policy from a Windows 2000 command prompt.

  4. To manually enroll machine certificates, use Certificate Manager to install the CA root certificate. For more information, see To manage certificates for a computer and To request a certificate.

Configuring the domain for Web-based certificate enrollment

In order for the CA to issue certificates for the calling router, you must configure the Windows 2000 domain for Web-based enrollment. For more information, see To set up certification authority Web enrollment support.

Creating user accounts and exporting certificates

To create dial-in and dial-out user accounts and export certificates, do the following:

  1. Log on as a domain administrator.
  2. Create a user account that the corporate office router will use when it dials the branch office router (the dial-out account). For more information, see To add a user account.
  3. Obtain a router (offline request) certificate for the dial-out account from the certificate authority through Web-based enrollment. For more information, see To install a router (offline request) certificate.
  4. Export the router (offline request) certificate for the dial-out account to a .cer file. For more information, see To export a certificate. Within the Certificate Manager Export wizard, do not export the private key.
  5. Map the newly created router (offline request) certificate (the .cer file) to the dial-out user account. For more information, see To map a certificate to a user account.
  6. Export the router (offline request) certificate of the dial-out account to a .pfx file. For more information, see To export a certificate. Within the Certificate Manager Export wizard, export the private key and click Delete the private key if the import is successful and select the option to Include all certificates in the certification path if possible.
  7. Create a user account that the branch office router will use when it dials the corporate office router (the dial-in account). For more information, see To add a user account.
  8. Obtain a router (offline request) certificate for the dial-in account from the certificate authority through Web-based enrollment. For more information, see To install a router (offline request) certificate.
  9. Export the router (offline request) certificate for the dial-in account to a .cer file. For more information, see To export a certificate. Within the Certificate Manager Export wizard, do not export the private key.
  10. Map the newly created router (offline request) certificate (the .cer file) to the dial-in user account. For more information, see To map a certificate to a user account.
  11. Export the router (offline request) certificate of the dial-in account to a .pfx file. For more information, see To export a certificate. Within the Certificate Manager Export wizard, export the private key and click Delete the private key if the import is successful. Save this file to a floppy disk to send to the network administrator at the branch office.
  12. Send the floppy disk that contains the dial-in account user certificate file to the network administrator at the branch office.

Importing the dial-out certificate on the corporate office router

On the corporate office router, import the user certificate for the dial-out account. For more information, see To import a certificate.

Configuring the corporate office router to support certificate-based authentication

To configure the corporate office router for certificate-based authentication as an answering router, see To configure the answering router for certificate-based EAP.

To configure the corporate office router for certificate-based authentication as a calling router, see To configure the calling router for certificate-based EAP.

Importing the certificate on the branch office router

Upon receipt at the branch office of the floppy disk that contains the certificate file from the corporate office, import the user certificate for the dial-in account. For more information, see To import a certificate.

Configuring the branch office router to support certificate-based authentication

To configure the branch office router for certificate-based authentication as a calling router, see To configure the calling router for certificate-based EAP.

Connecting to the corporate office and joining the organization domain

To connect to the corporate office and join the organization domain, do the following:

  1. From the branch office, connect to the corporate office by right-clicking the demand-dial interface, and then clicking Connect.
  2. Once connected, the branch office router joins the domain through the Network Identification tab (in the properties of My Computer).
  3. After joining the domain, restart the branch office router.
  4. After restarting the branch office router, connect to the corporate office router again.
  5. Once connected, the branch office router receives domain policy and a machine certificate (if auto-enrollment of machine certificates is configured). If auto-enrollment of machine certificates is not configured, obtain a machine certificate through Certificate Manager. For more information, see To manage certificates for a computer and To request a certificate.
  6. Once a machine certificate is obtained, configure the branch office router for certificate-based authentication as an answering router. For more information, see To configure the answering router for certificate-based EAP.

At this point, you can install a domain controller in the branch office by using the demand-dial connection to the corporate office. For more information on installing a Windows 2000 domain controller, see Checklist: Installing a domain controller.

Notes

  • The ability of the branch office router to join the domain and the installation of a domain controller depends on DNS name resolution. Ensure that both the router and the domain controller computer are configured with the proper DNS server IP addresses.
  • By default, an answering router checks the certificate revocation list when authenticating the calling router. Because the root CA computer is always reachable by the corporate office router, the certificate revocation list can always be checked. However, the root CA computer is not reachable by the branch office router until after the connection is made. If the root CA computer cannot be reached, then Active Directory is checked. In this case, the branch office router accesses its local domain controller for the revocation list. If the certificate revocation list is not published in Active Directory, then the branch office router acting as the answering router rejects the connection attempt. To prevent this problem, do one of the following:
    • Publish the certificate revocation list in Active Directory. For more information, see Schedule the publication of the certificate revocation list or To manually publish the certificate revocation list.
    • On the branch office router, set the following registry value to 1:

      HKEY_LOCAL_MACHINE\System\CurrentControlSet\Services\RasMan
      \PPP\EAP\13\IgnoreRevocationOffline

Caution

  • Incorrectly editing the registry may severely damage your system. Before making changes to the registry, you should back up any valued data on the computer.


Setting up router-to-router VPNs

This section covers:

  • Router-to-router VPN design considerations
  • Router-to-router VPN security
  • Deploying router-to-router VPNs


Router-to-router VPN design considerations

To prevent problems, you should consider the following design issues before you implement router-to-router VPN connections.

On-demand or persistent connections

You must decide whether your router-to-router VPN connections will be on-demand or persistent:

  • On-demand demand-dial connections require that the answering router is permanently connected to the Internet. The calling router connects to the Internet by using a dial-up link such as an analog phone line or ISDN. You need to configure a single demand-dial interface at the answering router. You need to configure two demand-dial interfaces at the calling router: one to connect to a local Internet service provider (ISP) and one for the router-to-router VPN connection. Demand-dial router-to-router VPN connections also require an additional host route in the IP routing table of the calling router. For more information, see An on-demand router-to-router VPN.
  • Persistent connections require that both routers are connected to the Internet by using permanent WAN connections. You only need to configure a single demand-dial interface at each router. Permanent connections can be initiated and left in a connected state 24 hours a day.

Restricting the initiation of an on-demand connection

To prevent the calling router from making unnecessary connections, you can restrict the calling router from making on-demand router-to-router VPN connections in two ways:

  • Demand-dial filtering

    • You can use demand-dial filtering to configure either the types of IP traffic that do not cause a demand-dial connection to be made or the types of IP traffic that cause a connection to be made. For more information, see To configure demand-dial filters.

  • Dial-out hours

    • You can use dial-out hours to configure the hours that a calling router is either permitted or denied to make a router-to-router VPN connection. For more information, see To configure dial-out hours.

One-way or two-way initiated connections

You must decide whether your router-to-router VPN connections will be initiated by one router or by both routers:

  • With one-way initiated connections, one router is the VPN server and one router is the VPN client. The VPN server accepts the connection and the VPN client initiates the connection. One-way initiated connections are well suited to a permanent connection spoke-and-hub topology where the branch office router is the only router that initiates the connection. One-way initiated connections require that:
    • The VPN server (the answering router) is configured as a LAN and WAN router.
    • A user account is added for the authentication credentials of the calling router that is accessed and validated by the answering router.
    • A demand-dial interface is configured at the answering router with the same name as the user account that is used by the calling router. This demand-dial interface is not used to dial out, therefore it does is not configured with the host name or IP address of the calling router or with valid user credentials.

    • For more information, see One-way initiated demand-dial connections.

  • With two-way initiated connections, either router can be the VPN server or the VPN client depending on who is initiating the connection. Both routers must be configured to initiate and accept a VPN connection. You can use two-way initiated connections when the router-to-router VPN connection is not up 24 hours a day and traffic from either router is used to create the on-demand connection. Two-way initiated router-to-router VPN connections require that:
    • Both routers are connected to the Internet by using a permanent WAN link.
    • Both routers are configured as LAN and WAN routers.
    • User accounts are added for both routers so that the authentication credentials for the calling router are accessed and validated by the answering router.
    • Demand-dial interfaces, with the same name as the user account that is used by the calling router, must be fully configured at both routers, including settings for the host name or IP address of the answering router and user account credentials to authenticate the calling router.

Number of PPTP or L2TP ports needed

The default number of PPTP and L2TP ports is five. For a corporate router in a spoke-and-hub configuration, five ports may not be enough. To increase the number of PPTP and L2TP ports, see To add PPTP or L2TP ports.

Routing

Both routers on a router-to-router VPN connection must have the appropriate routes in their routing tables to forward traffic across the connection. Routes can be static or dynamic. You can add static routes to the routing table either manually or through an auto-static update. You can add dynamic routes to the routing table by adding the VPN connection demand-dial interface to a routing protocol. However, enabling a routing protocol on the VPN connection demand-dial interface is only recommended when the demand-dial interface is permanently connected.

Note

  • Unlike demand-dial routing by using direct links, you cannot use a default IP route for the VPN demand-dial interface to summarize all the routes of the corporate office. Because the branch office router is connected to the Internet, the default route must be used to summarize all the routes of the Internet and configured to use the interface that connects the router to the Internet.

Single hop across VPN connection

For the purposes of designing a routed infrastructure, you can consider the router-to-router VPN connection as a single hop regardless of how many routers are crossed when the encapsulated data is sent across the Internet.

Creating a remote access policy for router-to-router VPN connections

By using remote access policies, you can create a policy that requires router-to-router VPN connections to use a specific authentication method and encryption strength.

For example, you can create a Windows 2000 group called VPN Routers whose members are the user accounts that are used by calling routers when a router-to-router VPN connection is created. Then, you create a policy with two conditions on the policy: the NAS-Port-Type is set to Virtual (VPN) and the Windows-Group is set to VPN Routers. Finally, you configure the profile for the policy to select a specific authentication method and encryption strength.

You can also use the Tunnel-Type condition to create separate remote access policies for PPTP and L2TP connections. For example, to require a specific authentication method and encryption strength for PPTP connections, set the Tunnel-Type condition to Point-to-Point Tunneling Protocol.

L2TP over IPSec connections

To create L2TP over IPSec router-to-router VPN connections, you must install machine certificates on the VPN client and the VPN server. For more information, see Machine certificates for L2TP over IPSec VPN connections.

For information about creating a preshared key L2TP over IPSec router-to-router VPN connection, see the Windows 2000 Resource Kit.


Router-to-router VPN security

In addition to the security steps listed in Static routing security, you can enhance router-to-router VPN security through:

  • Strong authentication
  • Data encryption
  • PPTP or L2TP over IPSec packet filtering

Strong authentication

For authentication, use the strongest authentication scheme that is possible for your router-to-router VPN configuration. The strongest authentication scheme is the use of EAP-TLS with certificates. For more information, see Deploying certificate-based authentication for demand-dial routing.

Otherwise, use MS-CHAP version 2 authentication and enforce the use of strong passwords on your network. For more information, see MS-CHAP version 2.

Data encryption

For encryption, you can use either link encryption or end-to-end encryption:

  • Link encryption encrypts the data only on the link between the two routers. You can use 128-bit Microsoft Point-to-Point Encryption (MPPE) if your locations are within North America. Otherwise, you can use either 56-bit or 40-bit MPPE. 40-bit MPPE is used with older versions of Microsoft operating systems. You must use MPPE in conjunction with either MS-CHAP or EAP-TLS authentication.
  • End-to-end encryption encrypts the data between the source host and its final destination. You can use IPSec to encrypt data from the source host to the destination host across the demand-dial link.

To require encryption, clear the No Encryption option and select the appropriate encryption strengths on the Encryption tab of the remote access policy profile that is used by your calling routers. For more information, see To configure encryption.

PPTP or L2TP over IPSec filtering

To secure the calling or answering corporate router from sending or receiving any traffic on its Internet interface except router-to-router VPN traffic, you need to configure PPTP or L2TP over IPSec input and output filters on the router interface that corresponds to the connection to the Internet. For more information about PPTP filters, see Add PPTP filters. For more information about L2TP over IPSec filters, see Add L2TP over IPSec filters.

Because IP routing is enabled on the Internet interface, if PPTP or L2TP over IPSec filters are not configured on the Internet interface, then any traffic received on the Internet interface is routed, which may forward unwanted Internet traffic to your intranet.


Deploying router-to-router VPNs

This section covers:

  • PPTP-based router-to-router VPN
  • L2TP-based router-to-router VPN


PPTP-based router-to-router VPN

To create a PPTP-based router-to-router VPN connection to send private data across the Internet, you must perform the following:

  1. Configure the Windows 2000 router at the corporate office to receive PPTP connections from a branch office router.
  2. Configure the Windows 2000 router at the branch office to initiate a PPTP connection with the corporate office router.
  3. Initiate the PPTP connection from the branch office router.

Note

  • These steps assume that the PPTP-based router-to-router VPN connection is between a corporate office and a branch office. However, you can also apply these steps to the VPN connection between two corporate offices.

Configuring the corporate office router

If you want your Windows 2000 router in the corporate to support multiple branch office PPTP connections, complete the following steps:

  • Configure the connection to the Internet.
  • Configure the connection to the intranet.
  • Configure the corporate router.
  • Configure the PPTP ports.
  • Configure demand-dial interfaces.
  • Configure static routes.
  • Configure PPTP filters.
  • Configure remote access policies.

The following illustration shows the elements of a Windows 2000 PPTP-based router-to-router VPN connection.

A Windows 2000 PPTP-based router-to-router VPN connection

Note

  • To simplify configuration, the branch office router always initiates the PPTP connection.

Configuring the connection to the Internet

The connection to the Internet is a dedicated connection—a WAN adapter that is installed in the computer. The WAN adapter is typically a DDS, T1, Fractional T1, or Frame Relay adapter. You must contract with a local telephone company to run the appropriate physical wiring to your premises. You need to verify that the WAN adapter is on the Microsoft Windows Hardware Compatibility List at the Microsoft Web site (http://www.microsoft.com/).

The WAN adapter includes drivers that are installed in the Windows 2000 operating system so that the adapter appears as a network adapter.

You need to configure the following TCP/IP settings on the WAN adapter:

  • IP address and subnet mask assigned from the InterNIC or an Internet service provider (ISP).
  • Default gateway of the ISP router.

Configuring the connection to the intranet

The connection to the intranet is a LAN adapter that is installed in the computer. You need to verify that the LAN adapter is on the Microsoft Windows Hardware Compatibility List at the Microsoft Web site (http://www.microsoft.com/).

You need to configure the following TCP/IP settings on the LAN adapter:

  • IP address and subnet mask assigned from the network administrator.
  • DNS and WINS name servers of corporate intranet name servers.

Because the corporate router will route traffic between the corporate office and the branch office, you must configure the corporate router with either static routes or with routing protocols so that all of the destinations on the corporate network are reachable from the corporate router.

Configuring the corporate router

You need to enable the corporate router by installing the Routing and Remote Access service. For more information, see To enable the Routing and Remote Access service.

You can configure the corporate router through the properties on the remote access router in Routing and Remote Access. For more information, see To view properties of the remote access server.

To allow multiple branch office routers access to the corporate intranet, you need to configure the following settings:

  • General

    Verify that the Router check box and LAN and demand-dial routing are selected.

  • Security
    • Authentication Methods

      Select the authentication methods that are supported by the corporate router to authenticate the credentials of demand-dial routers. You can select either MS-CHAP or EAP-TLS (if smart cards or computer certificates are available) authentication.

    • Authentication Provider

      You can verify the credentials of dial-up clients by using Windows 2000 security or a RADIUS server. If RADIUS is selected, you need to configure RADIUS server settings for your RADIUS server or RADIUS proxy.

    • Accounting Provider

      You can record dial-up client activity for analysis or accounting purposes by selecting and configuring an accounting provider.

  • IP

    • Verify that the Enable IP routing and Allow IP-based remote access and demand-dial connections check boxes are selected.

    Click Static address pool and configure the ranges of IP addresses that are dynamically allocated to PPTP-based VPN clients.

  • PPP

    • Select the Link control protocol (LCP) extensions check box.

    Select the Software compression check box.

Configuring the PPTP ports

All the PPTP ports appear as a single device under Ports in Routing and Remote Access. By default, all ports on a Windows 2000 router are configured for Demand-dial routing connections (inbound and outbound), so additional configuration is not necessary.

For more information about configuring ports for demand-dial routing connections, see To configure ports for remote access.

By default, five PPTP ports are enabled. If you need to add additional PPTP ports, see To add PPTP or L2TP ports.

Configuring demand-dial interfaces

For each branch office router, you can create a demand-dial interface by using the Demand-Dial Interface wizard. In the wizard, configure the following:

  • Interface Name

    The name of the interface that represents the connection to the branch office. For example, for a router in the New York branch office, type NewYorkRouter.

  • Connection Type

    Click Connect using virtual private networking (VPN).

  • VPN Type

    Click Point-to-Point Tunneling Protocol (PPTP).

  • Destination Address

    Because the corporate router will not initiate the VPN connection, no phone number or address is required.

  • Protocols and Security

    Select the Add a user account so a remote router can dial in check box.

  • Dial-out Credentials

    Because the corporate router will not initiate the VPN connection, type in any name, domain, and password.

  • Dial-in Credentials

    Type the domain and password for the account that will be used to authenticate the branch office router. The Demand-Dial Interface wizard automatically creates the account and sets its remote access permission to Allow access. The name of the account is the same as the name of the demand-dial interface. For example, for the New York branch office router, the name of the account is NewYorkRouter.

Configuring static routes

You need to add static routes so that traffic to the branch office is forwarded by using the appropriate demand-dial interface. For each route of each branch office, configure the interface, destination, network mask, and metric. For the interface, you need to select the demand-dial interface that corresponds to the branch office.

For example, the route that corresponds to the New York branch office is 192.168.25.0 with a subnet mask of 255.255.255.0. This route becomes the static route with the following configuration:

  • Interface: NewYorkRouter
  • Destination: 192.168.25.0
  • Network mask: 255.255.255.0
  • Metric: 1

Note

  • Because the PPTP connection is a point-to-point connection, the Gateway IP address is not configurable.

For more information, see To add a static route.

Configuring PPTP filters

To secure the corporate router from sending or receiving any traffic on its Internet interface except PPTP traffic from branch office routers, you need to configure PPTP input and output filters on the interface on the corporate router that corresponds to the Internet connection. For more information, see Add PPTP filters.

Because IP routing is enabled on the Internet interface, if you do not configure PPTP filters on the Internet interface of the corporate router, then any traffic received on the Internet interface is routed, which may forward unwanted Internet traffic to your intranet.

Configuring remote access policies

By using the Demand-Dial Interface wizard, the dial-in properties of user accounts that are used by branch office routers are already configured to allow remote access.

If you want to grant remote access to the PPTP-based branch office routers based on group membership, do the following:

  1. For a stand-alone router that is not a member of a domain, use Local Users and Groups and set dial-in properties to Allow access for all users.
  2. For a directory services-based router, use Active Directory Users and Computers and set dial-in properties to Control access through Remote Access Policy for all users.
  3. Create a Windows 2000 group whose members can create virtual private networking connections with the VPN server. For example, BranchOfficeRouters.
  4. Add the appropriate user accounts that corresponds to the accounts that are used by the branch office routers to the Windows 2000 group.
  5. Create a new remote access policy with the following properties:
    • Set Policy name to VPN Access if member of BranchOfficeRouters (example).
    • Set the Windows-Groups condition to BranchOfficeRouters (example).
    • Set the NAS-Port-Type condition to Virtual (VPN).
    • Set the Tunnel-Type condition to Point-to-Point Tunneling Protocol.
    • Select the Grant remote access permission option.
  6. If this computer is only used to provide router-to-router VPN connections, you need to delete the default remote access policy named Allow access if dial-in permission is enabled. Otherwise, move the default remote access policy so that it is evaluated last.

For encryption, the default setting allows no encryption and all levels of encryption strength. To require encryption, clear the No Encryption option and select the appropriate encryption strengths on the Encryption tab of the remote access policy profile that is used by your calling routers.

For more information, see To configure encryption.

Configuring the branch office router

If you want your Windows 2000 router in the branch office to initiate a PPTP connection with the corporate office router, complete the following steps:

  • Configure the connection to the Internet.
  • Configure the connection to the branch office network.
  • Configure a demand-dial interface.
  • Configure static routes.
  • Configure PPTP filters.

Note

  • To simplify this configuration, the branch office router always initiates the PPTP connection.

Configuring the connection to the Internet

The connection to the Internet is a dedicated connection—a WAN adapter that is installed in the computer. The WAN adapter is typically a DDS, T1, Fractional T1, or Frame Relay adapter. You must contract with a local telephone company to run the appropriate physical wiring to your premises. You need to verify that the WAN adapter is on the Microsoft Windows Hardware Compatibility List at the Microsoft Web site (http://www.microsoft.com/).

The WAN adapter includes drivers that are installed in the Windows 2000 operating system so that the adapter appears as a network adapter.

You need to configure the following TCP/IP settings on the WAN adapter:

  • IP address and subnet mask assigned from the InterNIC or an Internet service provider (ISP).
  • Default gateway of the ISP router.

Configuring the connection to the branch office network

The connection to the branch office network is a LAN adapter that is installed in the computer. You need to verify that the LAN adapter is on the Microsoft Windows Hardware Compatibility List at the Microsoft Web site (http://www.microsoft.com/).

You need to configure the following TCP/IP settings on the LAN adapter:

  • IP address and subnet mask assigned from the network administrator.
  • DNS and WINS name servers of branch office name servers.

Configuring a demand-dial interface

You can create a demand-dial interface by using the Demand-Dial Interface wizard. In the wizard, configure the following:

  • Interface Name

    The name of the interface that represents the connection to the corporate office. For example, type CorpOffice.

  • Connection Type

    Click Connect using virtual private networking (VPN).

  • VPN Type

    Click Point-to-Point Tunneling Protocol (PPTP).

  • Destination Address

    Type the IP address or host name that is assigned to the Internet interface of the router at the corporate office. If you enter a host name, verify that the host name resolves to the proper IP address.

  • Dial-out Credentials

    Type the name, domain name, and password of the user account that corresponds to this branch office router. The credentials are the same as those entered in the Dial-Out Credentials page of the Demand-Dial Interface wizard when the demand-dial interface for this branch office was created on the corporate router.

Configuring static routes

You need to add static routes so that traffic to the corporate office is forwarded by using the appropriate demand-dial interface. For each route of the corporate office, configure the interface, destination, network mask, and metric. For the interface, select the demand-dial interface that corresponds to the corporate office previously created.

For example, the route that corresponds to the corporate office is 10.0.00 with a subnet mask of 255.0.0.0. This route becomes a static route with the following configuration:

  • Interface: CorpOffice
  • Destination: 10.0.0.0
  • Network mask: 255.0.0.0
  • Metric: 1

Note

  • Because the PPTP connection is a point-to-point connection, the Gateway IP address is not configurable.

For more information, see To add a static route.

Configuring PPTP filters

To secure the branch office router from sending or receiving any traffic on its Internet interface except PPTP traffic from the corporate router, you need to configure PPTP input and output filters on the interface on the branch office router that corresponds to the Internet connection. For more information, see Add PPTP filters.

Because IP routing is enabled on the Internet interface, if you do not configure PPTP filters on the Internet interface of the branch office router, then any traffic received on the Internet interface is routed, which may forward unwanted Internet traffic to your intranet.

Initiating the PPTP router-to-router VPN connection

To connect the branch office router to the corporate router, in Routing and Remote Access, right-click the demand-dial interface that connects to the corporate office, and then click Connect.

For information about troubleshooting a router-to-router VPN, see Troubleshooting router-to-router VPNs.


L2TP-based router-to-router VPN

To create a L2TP-based router-to-router VPN connection to send private data across the Internet, you must perform the following:

  1. Configure the Windows 2000 router at the corporate office to receive L2TP connections from a branch office router.
  2. Configure the Windows 2000 router at the branch office to initiate a L2TP connection with the corporate office router.
  3. Initiate the L2TP connection from the branch office router.

Note

  • These steps assume that the L2TP-based router-to-router VPN connection is between a corporate office and a branch office. However, you can also apply these steps to a VPN connection between two corporate offices.

Configuring the corporate office router

If you want your Windows 2000 router in the corporate to support multiple branch office L2TP connections, complete the following steps:

  • Configure the connection to the Internet.
  • Configure the connection to the intranet.
  • Install a computer certificate.
  • Configure the corporate router.
  • Configure the L2TP ports.
  • Configure demand-dial interfaces.
  • Configure static routes.
  • Configure L2TP over IPSec filters.
  • Configure remote access policies.

The following illustration shows the elements of a Windows 2000 L2TP-based router-to-router VPN connection.

A Windows 2000 L2TP-based router-to-router VPN connection

Note

  • To simplify this configuration, the branch office router always initiates the L2TP connection.

Configuring the connection to the Internet

The connection to the Internet is a dedicated connection—a WAN adapter that is installed in the computer. The WAN adapter is typically a DDS, T1, Fractional T1, or Frame Relay adapter. You must contract with a local telephone company to run the appropriate physical wiring to your premises. You need to verify that the WAN adapter is on the Microsoft Windows Hardware Compatibility List at the Microsoft Web site (http://www.microsoft.com/).

The WAN adapter includes drivers that are installed in the Windows 2000 operating system so that the adapter appears as a network adapter.

You need to configure the following TCP/IP settings on the WAN adapter:

  • IP address and subnet mask assigned from the InterNIC or an Internet service provider (ISP).
  • Default gateway of the ISP router.

Configuring the connection to the intranet

The connection to the intranet is a LAN adapter that is installed in the computer. You need to verify that the LAN adapter is on the Microsoft Windows Hardware Compatibility List at the Microsoft Web site (http://www.microsoft.com/).

You need to configure the following TCP/IP settings on the LAN adapter:

  • IP address and subnet mask assigned from the network administrator.
  • DNS and WINS name servers of corporate intranet name servers.

Because the corporate router will route traffic between the corporate office and the branch office, you must configure the corporate router with either static routes or with routing protocols so that all of the destinations on the corporate network are reachable from the corporate router.

Installing a computer certificate

You must install a computer certificate on the corporate router in order for an L2TP over IPSec connection to be successfully established.

For more information about installing a computer certificate on the corporate router, see Machine certificates for L2TP over IPSec VPN connections.

Configuring the corporate router

You need to enable the corporate router by installing the Routing and Remote Access service. For more information, see To enable the Routing and Remote Access service.

You can configure the corporate router through the properties on the remote access router in Routing and Remote Access. For more information, see To view properties of the remote access server.

To allow multiple branch office routers access to the corporate intranet, you need to configure the following settings:

  • General

    Verify that the Router check box and LAN and demand-dial routing are selected.

  • Security
    • Authentication Methods

      Select the authentication methods that are supported by the corporate router to authenticate the credentials of dial-up clients. For Windows 2000 demand-dial routers, you can select either MS-CHAP or EAP-TLS (if smart cards or computer certificates are available) authentication.

    • Authentication Provider

      You can verify the credentials of dial-up clients by using Windows 2000 security or a RADIUS server. If RADIUS is selected, you need to configure RADIUS server settings for your RADIUS server or RADIUS proxy.

    • Accounting Provider

      You can record dial-up client activity for analysis or accounting purposes by selecting and configuring an accounting provider.

  • IP

    • Verify that the Enable IP routing and Allow IP-based remote access and demand-dial connections check boxes are selected.

    Click Static address pool and configure the ranges of IP addresses that are dynamically allocated to L2TP-based VPN clients.

  • PPP

    • Select the Link control protocol (LCP) extensions check box.

    Select the Software compression check box.

Configuring the L2TP ports

All the L2TP ports appear as a single device under Ports in Routing and Remote Access. By default, all ports on a Windows 2000 router are configured for Demand-dial routing connections (inbound and outbound), so additional configuration is not necessary.

For more information about configuring ports for demand-dial routing connections, see To configure ports for remote access.

By default, five L2TP ports are enabled. If you need to add additional L2TP ports, see To add PPTP or L2TP ports.

Configuring demand-dial interfaces

For each branch office router, you can create a demand-dial interface by using the Demand-Dial Interface wizard. In the wizard, configure the following:

  • Interface Name

    The name of the interface that represents the connection to the branch office. For example, for a router in the New York branch office, type NewYorkRouter.

  • Connection Type

    Click Connect using virtual private networking (VPN).

  • VPN Type

    Click Layer 2 Tunneling Protocol (L2TP).

  • Destination Address

    Because the corporate router will not initiate the VPN connection, no address is required.

  • Protocols and Security

    Select the protocols you want to route, and then select the Add a user account so a remote router can dial in check box.

  • Dial-out Credentials

    Because the corporate router will not initiate the VPN connection, type in any name, domain, and password.

  • Dial-in Credentials

    Type the domain and password for the account that will be used to authenticate the branch office router. The Demand-Dial Interface wizard automatically creates the account and sets its remote access permission to Allow access. The name of the account is the same as the name of the demand-dial interface. For example, for the New York branch office router, the name of the account is NewYorkRouter.

Configuring static routes

You need to add static routes so that traffic to the branch office is forwarded by using the appropriate demand-dial interface. For each route of each branch office, configure the interface, destination, network mask, and metric. For interface, you need to select the demand-dial interface that corresponds to the branch office.

For example, the route that corresponds to the New York branch office is 192.168.25.0 with a subnet mask of 255.255.255.0. This route becomes the static route with the following configuration:

  • Interface: NewYorkRouter
  • Destination: 192.168.25.0
  • Network mask: 255.255.255.0
  • Metric: 1

Note

  • Because the L2TP connection is a point-to-point connection, the Gateway IP address is not configurable.

For more information, see To add a static route.

Configuring L2TP over IPSec filters

To secure the corporate router from sending or receiving any traffic on its Internet interface except L2TP over IPSec traffic from branch office routers, you need to configure L2TP over IPSec input and output filters on the interface on the corporate router that corresponds to the Internet connection. For more information, see Add L2TP over IPSec filters.

Because IP routing is enabled on the Internet interface, if you do not configure L2TP over IPSec filters on the Internet interface of the corporate router, then any traffic received on the Internet interface is routed, which may forward unwanted Internet traffic to your intranet.

Configuring remote access policies

By using the Demand-Dial Interface wizard, the dial-in properties of user accounts that are used by branch office routers are already configured to allow remote access.

If you want to grant remote access to the L2TP-based branch office routers based on group membership, do the following:

  1. For a stand-alone router that is not a member of a domain, use Local Users and Groups and set dial-in properties to Allow access for all users.
  2. For a directory services-based router, use Active Directory Users and Computers and set dial-in properties to Control access through Remote Access Policy for all users.
  3. Create a Windows 2000 group whose members can create virtual private networking connections with the VPN server. For example, BranchOfficeRouters.
  4. Add the appropriate user accounts that corresponds to the accounts that are used by the branch office routers to the Windows 2000 group.
  5. Create a new remote access policy with the following properties:
    • Set Policy name to VPN Access if member of BranchOfficeRouters (example).
    • Set the Windows-Groups condition to BranchOfficeRouters (example).
    • Set the NAS-Port-Type condition to Virtual (VPN).
    • Set the Tunnel-Type condition to Layer Two Tunneling Protocol.
    • Select the Grant remote access permission option.
  6. If this computer is only used to provide router-to-router VPN connections, you need to delete the default remote access policy named Allow access if dial-in permission is enabled. Otherwise, move the default remote access policy so that it is evaluated last.

For encryption, the default setting allows no encryption and all levels of encryption strength. To require encryption, clear the No Encryption option and select the appropriate encryption strengths on the Encryption tab of the remote access policy profile that is used by your calling routers.

For more information, see To configure encryption.

Configuring the branch office router

If you want your Windows 2000 router in the branch office to initiate a L2TP connection with the corporate office router, complete the following steps:

  • Configure the connection to the Internet.
  • Configure the connection to the branch office network.
  • Install a computer certificate.
  • Configure a demand-dial interface.
  • Configure static routes.
  • Configure L2TP over IPSec filters.

Note

  • To simplify configuration, the branch office router always initiates the L2TP connection.

Configuring the connection to the Internet

The connection to the Internet is a dedicated connection—a WAN adapter that is installed in the computer. The WAN adapter is typically a DDS, T1, Fractional T1, or Frame Relay adapter. You must contract with a local telephone company to run the appropriate physical wiring to your premises. You need to verify that the WAN adapter is on the Microsoft Windows Hardware Compatibility List at the Microsoft Web site (http://www.microsoft.com/).

The WAN adapter includes drivers that are installed in the Windows 2000 operating system so that the adapter appears as a network adapter.

You need to configure the following TCP/IP settings on the WAN adapter:

  • IP address and subnet mask assigned from the InterNIC or an Internet service provider (ISP).
  • Default gateway of the ISP router.

Configuring the connection to the branch office network

The connection to the branch office network is a LAN adapter that is installed in the computer. You need to verify that the LAN adapter is on the Microsoft Windows Hardware Compatibility List at the Microsoft Web site (http://www.microsoft.com/).

You need to configure the following TCP/IP settings on the LAN adapter:

  • IP address and subnet mask assigned from the network administrator.
  • DNS and WINS name servers of branch office name servers.

Because the branch office router will act as a router between the corporate office and the branch office, you must configure the branch office router with either static routes or with routing protocols so that all of the destinations on the branch office network are reachable from the branch office router.

Installing a computer certificate

You must install a computer certificate on the branch office router in order for an L2TP over IPSec connection to be successfully established.

For more information about installing a computer certificate on the branch office router, see Machine certificates for L2TP over IPSec VPN connections.

Configuring a demand-dial interface

You can create a demand-dial interface by using the Demand-Dial Interface wizard. In the wizard, configure the following:

  • Interface Name

    The name of the interface that represents the connection to the corporate office. For example, type CorpOffice.

  • Connection Type

    Click Connect using virtual private networking (VPN).

  • VPN Type

    Click Layer 2 Tunneling Protocol (L2TP).

  • Destination Address

    Type the IP address or host name that is assigned to the Internet interface of the router at the corporate office. If you enter a host name, verify that the host name resolves to the proper IP address.

  • Protocols and Security

    Select the protocols you want to route.

  • Dial-out Credentials

    Type the name, domain name, and password of the user account that corresponds to this branch office router. The credentials are the same as those entered in the Dial-Out Credentials page of the Demand-Dial Interface wizard when the demand-dial interface for this branch office was created on the corporate router.

Configuring static routes

You need to add static routes so that traffic to the corporate office is forwarded by using the appropriate demand-dial interface. For each route of the corporate office, configure the interface, destination, network mask, and metric. For the interface, select the demand-dial interface that corresponds to the corporate office previously created.

For example, the route that corresponds to the corporate office is 10.0.00 with a subnet mask of 255.0.0.0. This route becomes a static route with the following configuration:

  • Interface: CorpOffice
  • Destination: 10.0.0.0
  • Network mask: 255.0.0.0
  • Metric: 1

Note

  • Because the L2TP connection is a point-to-point connection, the Gateway IP address is not configurable.

For more information, see To add a static route.

Configuring L2TP over IPSec filters

To secure the branch office router from sending or receiving any traffic on its Internet interface except L2TP over IPSec traffic from the corporate router, you need to configure L2TP over IPSec input and output filters on the interface on the branch office router that corresponds to the Internet connection. For more information, see Add L2TP over IPSec filters.

Because IP routing is enabled on the Internet interface, if you do not configure L2TP over IPSec filters on the Internet interface of the branch office router, then any traffic received on the Internet interface is routed, which may forward unwanted Internet traffic to your intranet.

Initiating the L2TP router-to-router VPN connection

To connect the branch office router to the corporate router, in Routing and Remote Access, right-click the demand-dial interface that connects to the corporate office, and then click Connect.

For information about troubleshooting a router-to-router VPN, see Troubleshooting router-to-router VPNs.


Routing scenarios

This section describes typical network configurations that use the Windows 2000 router. Each scenario reviews the configuration of network media, addresses, routing protocols, and other services. While your network configuration may be different than those described here, the basic concepts apply.

The network addresses in these scenarios use private address ranges as specified by RFC 1597, "Address Allocation for Private Internets." If your network is connected to the Internet, you can contact an Internet service provider (ISP) to receive network addresses acquired from the Internet Network Information Center (InterNIC).

Notes

  • A computer running Windows 2000 Server and the Routing and Remote Access service is referred to as the Windows 2000 router.
  • The example companies, organizations, products, people and events depicted herein are fictitious. No association with any real company, organization, product, person or event is intended or should be inferred.

The following routing scenarios are described:

  • SOHO network to the Internet
  • Small office network
  • Medium-size office network
  • Corporate network
  • Dial-up branch office network
  • Branch office over the Internet


SOHO network to the Internet

To connect a small office or home office (SOHO) network to the Internet, you can use one of two methods:

  1. Routed connection

    2. For a routed connection, the computer running Windows 2000 Server acts as an IP router that forwards packets between SOHO hosts and Internet hosts. For more information, see Routed connection to the Internet.

  2. Translated connection

    3. For a translated connection, the computer running Windows 2000 Server acts as a network address translator (NAT), an IP router that translates addresses for packets that are forwarded between SOHO hosts and Internet hosts. For more information, see Translated connection to the Internet.

Note

  • The example companies, organizations, products, people and events depicted herein are fictitious. No association with any real company, organization, product, person or event is intended or should be inferred.


Routed connection to the Internet

This scenario describes a small office or home office (SOHO) network that connects to the Internet by using a routed connection.

A SOHO network has the following characteristics:

  • One network segment.
  • A single protocol: TCP/IP.
  • Demand-dial or dedicated-link connections to the Internet service provider (ISP).
The following illustration shows an example of a SOHO network. SOHO network

The Windows 2000 router is configured with a network adapter for the media that is used in the home network (for example, Ethernet) and an ISDN adapter or an analog modem. You can use a leased line or other permanent connection technologies, such as xDSL and cable modems, but this scenario describes the more typical configuration that uses a dial-up link to a local ISP.

This section covers:

  • Planning for a routed connection
  • Configuring a routed connection
  • Testing a routed connection

Note

  • The example companies, organizations, products, people and events depicted herein are fictitious. No association with any real company, organization, product, person or event is intended or should be inferred.


Planning for a routed connection

While offering maximum flexibility in the types of traffic that can be sent and received, a routed connection requires more configuration. The Windows 2000 router must be manually configured with an IP address configuration and, if DHCP is not being used, all the SOHO hosts must also be manually configured with an IP address configuration. If DHCP is being used, a DHCP server on the SOHO network must be configured with the proper scope and scope options. For more information about DHCP, see Dynamic Host Configuration Protocol (DHCP)

For this scenario, an Internet service provider (ISP) supplies a range of IP addresses to use for the SOHO hosts and the IP address of a DNS server for host name resolution.

Routing protocols are not needed to propagate IP routing information on the SOHO network. The computers on the SOHO network are either manually configured with the default gateway IP address of the Windows 2000 router or receive a default gateway IP address through DHCP. The Windows 2000 router is not configured with a default gateway but with a default route. For an example adding the default route on the Windows 2000 router, see To add a default static IP route.

If the ISP is on the MBone, the multicast backbone of the Internet, it can forward IP multicast traffic from the Internet. To receive the multicast traffic, the interfaces on the Windows 2000 router are configured for the IGMP router mode and IGMP proxy mode. For more information, see Configuring a routed connection.

A routed connection to the Internet means that communication can occur with any host on the Internet. It also means that the SOHO hosts are exposed to possible malicious users on the Internet. To provide security, packet filters are configured on the Windows 2000 router to prevent unwanted Internet traffic on the SOHO network. For more information, see Packet filtering.

Computers on the home network are configured to use any services provided by an ISP, such as Network News Transfer Protocol (NNTP) servers and mail servers.

Note

  • The example companies, organizations, products, people and events depicted herein are fictitious. No association with any real company, organization, product, person or event is intended or should be inferred.


Configuring a routed connection

To configure a routed connection to the Internet for a small office or home office (SOHO) network, the following are configured:

  • The Windows 2000 router.
  • Other computers on the SOHO network.

Configuring the Windows 2000 router

To configure the Windows 2000 router, the following steps are completed:

  1. The TCP/IP protocol on the Windows 2000 router for the SOHO network interface is configured with:
    • IP address (from the address range obtained from the ISP).
    • Subnet mask (from the address range obtained from the ISP).
    • DNS server (from the IP address received from the ISP).

    TCP/IP is configured through the properties of the TCP/IP protocol for the local area connection in Network and Dial-up Connections.

    2. Note

    • Do not configure a default gateway.
  2. The Routing and Remote Access service is installed and enabled.

    For information on installing and enabling the Routing and Remote Access service, see To enable the Routing and Remote Access service.

  3. Routing on the dial-up port is enabled.

    If the connection to the Internet is a permanent connection that appears inside of Windows 2000 as a LAN interface (such as DDS, T-Carrier, Frame Relay, permanent ISDN, xDSL, or cable modem), or if you are connecting your computer running Windows 2000 to another router before the connection to the Internet, skip to step 5.

    For information about enabling routing on the dial-up port, see To enable routing on ports.

  4. A demand-dial interface is created to connect to the ISP.

    A demand-dial interface is created that is enabled for IP routing and uses the dial-up equipment and credentials that are used to dial the ISP. For more information about creating demand-dial interfaces, see To add a demand-dial interface.

  5. A default static route is created that uses the Internet interface.

    For a default static route, the demand-dial interface (for dial-up connections) or LAN interface (for permanent or intermediate router connections) that is used to connect to the Internet is selected. The destination is 0.0.0.0 and the network mask is 0.0.0.0. For a demand-dial interface, the Gateway IP address is not configurable. For a LAN interface that is a point-to-point connection to your ISP, the Gateway address is 0.0.0.0.

    For more information about configuring a default static route, see To add a default static IP route.

  6. Multicast support is configured (optional).

    To add multicast support to the SOHO network:

    • The IGMP routing protocol is added. For more information, see To add the IGMP routing protocol.
    • IGMP router mode is enabled on the interface that is connected to the home network. For more information, see To enable IGMP router and IGMP proxy mode.
    • IGMP proxy mode is enabled on the interface that is connected to the ISP. For more information, see To enable IGMP router and IGMP proxy mode.

Configuring other computers on the SOHO network

The TCP/IP protocol on the SOHO hosts is configured with:

  • IP address (from the address range obtained from the ISP).
  • Subnet mask (from the address range obtained from the ISP).
  • Default gateway (the IP address assigned to the Windows 2000 router SOHO network adapter).
  • DNS server (from the IP address received from the ISP).

TCP/IP is configured through the properties of the TCP/IP protocol for the local area connection in Network and Dial-up Connections.

Note

  • The previous configuration of SOHO hosts assumes that TCP/IP is configured manually. To automatically configure TCP/IP for SOHO hosts, you must install and configure a DHCP server. For more information, see DHCP overview.
  • The example companies, organizations, products, people and events depicted herein are fictitious. No association with any real company, organization, product, person or event is intended or should be inferred.


Testing a routed connection

From a computer in the home network, the ping command is used to ping a computer on the Internet and activate the demand-dial connection to the ISP. Once connected, the ping command is used again. If a reply is received, the packets are being routed correctly. For more information, see Using the ping command.

Note

  • The example companies, organizations, products, people and events depicted herein are fictitious. No association with any real company, organization, product, person or event is intended or should be inferred.


Translated connection to the Internet

This scenario describes a small office or home office (SOHO) network that connects to the Internet by using a translated connection.

The network configuration is simplified through the use of the Network Address Translation (NAT) routing protocol, which provides network address translation, addressing, and name resolution services for SOHO network computers.

A SOHO network has the following characteristics:

  • One network segment.
  • A single protocol: TCP/IP.
  • Demand-dial or dedicated-link connections to the Internet service provider (ISP).
The following illustration shows an example of a SOHO network. SOHO network

The Windows 2000 router is configured with a network adapter for the media that is used in the home network (for example, Ethernet) and an ISDN adapter or an analog modem. You can use a leased line or other permanent connection technologies, such as xDSL and cable modems, but this scenario describes the more typical configuration that uses a dial-up link to a local ISP.

This section covers:

  • Planning for a translated connection
  • Configuring a translated connection
  • Testing a translated connection

Note

  • The example companies, organizations, products, people and events depicted herein are fictitious. No association with any real company, organization, product, person or event is intended or should be inferred.


Planning for a translated connection

For this scenario, the network address translation addressing component on the network address translation computer automatically assigns unique addresses from the InterNIC private network IP of 192.168.0.0 with a subnet mask of 255.255.255.0 to all the other computers on the home network.

Traditional routing protocols such as RIP and OSPF are not needed to propagate IP routing information on the home network. The computers on the home network receive the default gateway IP address of the network address translation computer. The network address translation computer must be configured with a default route. For an example of adding the default route on the Windows 2000 router, see To add a default static IP route.

If the Internet service provider (ISP) is on the MBone, the multicast backbone of the Internet, it can forward IP multicast traffic from the Internet. To receive the multicast traffic, the interfaces on the Windows 2000 router are configured for IGMP router mode or IGMP proxy mode. For more information, see Configuring a translated connection.

Computers on the home network are configured to use any services provided by an ISP, such as Network News Transfer Protocol (NNTP) servers and mail servers.

Note

  • The example companies, organizations, products, people and events depicted herein are fictitious. No association with any real company, organization, product, person or event is intended or should be inferred.


Configuring a translated connection

To configure the Windows 2000 router to connect a small office or home office (SOHO) network to the Internet with a translated connection by using the Network Address Translation (NAT) routing protocol and a dial-up connection to an Internet service provider (ISP), the steps in Deploying network address translation are completed.

Note

  • This scenario assumes the use of the NAT routing protocol for the translated connection. You can simplify the configuration of a translated connection by using the Internet connection sharing feature of Network and Dial-up Connections. For more information about the differences between Internet connection sharing and network address translation, see Internet connection sharing and network address translation. For information about Internet connection sharing, see Internet connection sharing.

For more information about setting up network address translation, see Setting up network address translation.

Configuring multicast support (optional)

To add multicast support to the home network:

  • The IGMP routing protocol is added. For more information, see To add the IGMP routing protocol.
  • IGMP router mode is enabled on the interface that is connected to the home network. For more information, see To enable IGMP router and IGMP proxy mode.
  • IGMP proxy mode is enabled on the interface that is connected to the ISP. For more information, see To enable IGMP router and IGMP proxy mode.

Note

  • The example companies, organizations, products, people and events depicted herein are fictitious. No association with any real company, organization, product, person or event is intended or should be inferred.


Testing a translated connection

From a computer in the small office or home office network, the ping command is used to ping a computer on the Internet and activate the demand-dial connection to the ISP. Once connected, the ping command is used again. If a reply is received, the packets are being routed correctly. For more information, see Using the ping command.

Note

  • The example companies, organizations, products, people and events depicted herein are fictitious. No association with any real company, organization, product, person or event is intended or should be inferred.


Small office network

A small office network has the following characteristics:

  • Few network segments (for example, one segment on each floor or wing of a building).
  • A closed network with no connections to or from another network such as the Internet.
  • Support for the IP protocol, the IPX protocol, or both.

Whether or not you need support for the IP protocol, the IPX protocol, or both depends on the types of network resources that are present. For example, if no Novell NetWare servers or clients are present, then IPX support is not required. This scenario assumes that both IP and IPX support is needed. If you do not need IPX support, ignore the sections that refer to IPX configuration.

The following illustration shows an example of a small office network.

Small office network

In this small office network scenario, Windows 2000 Routers 1 and 2 are configured with a network adapter for each medium that is used on Networks A, B, and C.

This section covers:

  • Planning addresses for the small office network
  • Routing protocols for the small office network
  • Other services for the small office network
  • Configuring the small office network
  • Testing the small office network

Note

  • The example companies, organizations, products, people and events depicted herein are fictitious. No association with any real company, organization, product, person or event is intended or should be inferred.


Planning addresses for the small office network

The following sections describe how IP and IPX addresses are assigned for this small office network scenario.

IP addressing

IP addresses are assigned based on the private network ID of 192.168.0.0 for each network segment that uses a subnet mask of 255.255.255.0. This provides for growth of up to 254 computers on each network segment.

The following table shows the assignment of IP addresses for this scenario.

IP addresses for the small office network

Segment | IP address with a subnet mask | Range of host IDs
Network A | 192.168.1.0, 255.255.255.0 | 192.168.1.1–192.168.1.254
Network B | 192.168.2.0, 255.255.255.0 | 192.168.2.1–192.168.2.254
Network C | 192.168.3.0, 255.255.255.0 | 192.168.3.1–192.168.3.254

After planning the network for this small office, addresses are assigned (either manually or by using DHCP) in the ranges described in the preceding table for all other computers on Networks A, B, and C.

IPX addressing

Each network in the small office must have a unique external IPX network number. Additionally, each router must have a unique internal IPX network number.

The following table shows the external IPX network numbers for Networks A, B, and C in the small office network.

External IPX network numbers for the small office network

Segment | External IPX network number
Network A | 00000001
Network B | 00000002
Network C | 00000003

After planning the network for this small office, internal IPX network numbers are assigned for the Windows 2000 routers.

The following table shows the internal IPX network numbers for Routers 1 and 2 for this small office network scenario.

Internal IPX network numbers for the Windows 2000 routers

Router | Internal IPX network number
Router 1 | 80000001
Router 2 | 80000002

Note

  • The example companies, organizations, products, people and events depicted herein are fictitious. No association with any real company, organization, product, person or event is intended or should be inferred.


Routing protocols for the small office network

For the small office network, IP routing is implemented through the Routing Information Protocol (RIP) or through static routes. RIP and Service Advertising Protocol (SAP) are used for IPX.

IP routing protocols

In this scenario, configuring RIP for IP is easier than configuring static routes. For more information, see Configuring the small office network.

IPX routing protocols

Even for a small office network, you should use RIP for IPX and SAP for IPX to provide dynamic awareness of available IPX networks and services to the routers and SAP servers. In this scenario, RIP for IPX and SAP for IPX are enabled on all of the interfaces for Router 1 and Router 2.

Note

  • The example companies, organizations, products, people and events depicted herein are fictitious. No association with any real company, organization, product, person or event is intended or should be inferred.


Other services for the small office network

For this scenario, the Windows 2000 DHCP service is used to automatically configure IP addresses and other information on client computers. Because DHCP is used, the DHCP Relay Agent must be configured on the interface for Windows 2000 Router 1 on Network A and on the interface for Windows 2000 Router 2 on Network C. When the DHCP Relay Agent is used, DHCP client computers on Networks A and C can acquire addresses from the DHCP server on Network B. For information about setting up a DHCP server, see DHCP overview.

Notes

  • You do not need to use the DHCP Relay Agent on a router if there is a DHCP server on each network segment.
  • The example companies, organizations, products, people and events depicted herein are fictitious. No association with any real company, organization, product, person or event is intended or should be inferred.


Configuring the small office network

To configure the small office network in this scenario, the following steps are completed:

  1. Network adapters are installed and configured.
  2. The Routing and Remote Access service is installed.
  3. Routing protocols are added to each router.
  4. The DHCP relay agent is installed and configured.
  5. A WINS or DNS name server is installed.

These steps are outlined in the following sections and are intended as general guidelines for setting up a small office routed IP network.

Installing and configuring network adapters

To install and configure network adapters, the following steps are performed:

  1. Two network adapters are installed in every router.
  2. The drivers for the network adapters are installed.
  3. The TCP/IP and IPX/SPX protocols are installed.
  4. IP addresses are configured on the network adapters.

The following table shows the IP addresses for this small office network scenario.

Router | Network adapter connected to | IP address
Router 1 | Network A | 192.168.1.1
 | Network B | 192.168.2.1
Router 2 | Network B | 192.168.2.2
 | Network C | 192.168.3.1

Installing the Routing and Remote Access service

For this small office network scenario, the Routing and Remote Access service is installed. For more information about installing the Routing and Remote Access service, see To enable the Routing and Remote Access service.

Configuring IPX network numbers

A unique hexadecimal IPX network number must be assigned and a frame type must be configured for each network. The IPX frame type and external IPX network number are configured through the properties of the NWLink IPX/SPX/NetBIOS Compatible Transport Protocol.

The following table shows the external IPX network numbers for this small office network scenario.

Router | Network adapter connected to | External IPX network number
Router 1 | Network A | 00000001
 | Network B | 00000002
Router 2 | Network B | 00000002
 | Network C | 00000003

A unique hexadecimal internal network number must be assigned to each IPX router. If the default internal network number, 00000000, is assigned, the Windows 2000 router automatically selects a unique IPX internal network number. The IPX internal network number is manually configured through the properties of the NWLink IPX/SPX/NetBIOS Compatible Transport Protocol.

The following table shows the internal IPX network numbers for this small office network scenario.

Router | Internal IPX network number
Router 1 | 80000001
Router 2 | 80000002

As a result of this configuration, all the computers on Networks A, B, and C automatically detect the IPX external network number and the IPX frame type.

Configuring RIP for dynamic IP routing

To implement dynamic IP routing for this small office network, the RIP routing protocol is added and then both LAN interfaces are added to RIP. For more information, see To add an IP routing protocol and To add a routing interface.

Installing and configuring the DHCP Relay Agent

In this small office network scenario, for Router 1, the DHCP Relay Agent is enabled for the interface that is on Network A. For Router 2, the DHCP Relay Agent is enabled for the interface that is on Network C. The DHCP server is also configured so that the clients on all the networks can use DHCP.

For information about configuring the DHCP Relay Agent, see Configure the DHCP Relay Agent.

Installing a WINS or DNS name server

To access network resources by using NetBIOS or domain names, a WINS or DNS name server must be installed. For more information, see WINS overview and DNS overview.

Note

  • The example companies, organizations, products, people and events depicted herein are fictitious. No association with any real company, organization, product, person or event is intended or should be inferred.


Testing the small office network

For this scenario, the ability of the small office network to route packets is tested by answering the following questions:

  1. Are the packets being routed correctly?

    2. From a computer on each network, the ping command is used to ping a computer on the other networks. If a reply is not received from a network, the packets are not being routed correctly. For more information, see Using the ping command.

  2. Are the RIP packets being sent correctly?

    3. To ensure that RIP packets are sent correctly, the neighboring RIP routers are viewed from one RIP router. Neighboring RIP routers are routers connected to a common network. For information about viewing RIP neighbors, see To view RIP neighbors.

  3. Are all the networks being routed to?

    4. To ensure that all the networks are being routed to, the IP routing table is viewed from a router. For more information, see Understanding the IP routing table.

Note

  • The example companies, organizations, products, people and events depicted herein are fictitious. No association with any real company, organization, product, person or event is intended or should be inferred.


Medium-size office network

A medium-size office network has the following characteristics:

  • Several LAN segments with a backbone (for example, one segment on each floor or wing of a building).
  • More than one network protocol (IP or IPX).
  • Dial-up connections for users who connect from home or while traveling.
  • Internet connections.

The following illustration shows an example of a medium-size office network.

Medium-size office network

A medium-size office network typically uses a few different types of network media. The different office segments can use 10-megabit-per-second (Mbps) Ethernet or Token Ring networks, but the backbone network that is used to connect to the different networks and host servers can use 100-Mbps Ethernet, Fiber Distributed Data Interface (FDDI), or other types of networks.

The following table shows the network media that is used in this medium-size office network scenario.

Router | Role | Medium
Windows 2000 Router 1 | Connects to Network A | One Ethernet (10 Mbps) or Token Ring adapter
 | Connects to the backbone | One Ethernet (100 Mbps) or FDDI adapter
Windows 2000 Router 2 | Connects to Network B | One Ethernet (10 Mbps) or Token Ring adapter
 | Connects to the backbone | One Ethernet (100 Mbps) or FDDI adapter
Windows 2000 Router 3 | Connects to Network C | One Ethernet (10 Mbps) or Token Ring adapter
 | Connects to the backbone | One Ethernet (100 Mbps) or FDDI adapter
Windows 2000 Router 4 | Connects to the backbone | One Ethernet (100 Mbps) or FDDI adapter
 | Connects to dial-up networking clients | Modems and/or ISDN adapters

This section covers:

  • Planning addresses for the medium-size office network
  • Routing protocols for the medium-size office network
  • Other services for the medium-size office network
  • Configuring the medium-size office network
  • Testing the medium-size office network

Note

  • The example companies, organizations, products, people and events depicted herein are fictitious. No association with any real company, organization, product, person or event is intended or should be inferred.


Planning addresses for the medium-size office network

The following sections describe how IP and IPX addresses are assigned for this medium-size office network scenario.

IP addressing

Network IDs are assigned based on the private network ID of 192.168.0.0 for each network segment that uses a subnet mask of 255.255.255.0. This provides for growth of up to 254 computers on each network segment.

The following table shows the assignment of IP addresses for this scenario.

IP addresses for the medium-size office network

Segment | IP network ID with mask | Range of host IDs
Backbone | 192.168.1.0, 255.255.255.0 | 192.168.1.1–192.168.1.254
Network A | 192.168.2.0, 255.255.255.0 | 192.168.2.1–192.168.2.254
Network B | 192.168.3.0, 255.255.255.0 | 192.168.3.1–192.168.3.254
Network C | 192.168.4.0, 255.255.255.0 | 192.168.4.1–192.168.4.254

After planning the network for this medium-size office, addresses are assigned (either manually or by using DHCP) in the ranges described in the preceding table for all other computers on Networks A, B, C, and D.

IPX addressing

Each network in the medium-size office must have a unique external IPX network number. Additionally, each router must have a unique internal IPX network number.

The following table shows the external IPX network numbers for this medium-size office network scenario.

External IPX network numbers for the medium-size office network

Segment | External IPX network number
Backbone | 00000001
Network A | 00000002
Network B | 00000003
Network C | 00000004

After planning the network for this medium-size office, internal IPX network numbers are assigned for the Windows 2000 routers.

The following table shows the internal IPX network numbers for Routers 1 through 4 for this medium-size office network scenario.

Internal IPX numbers for the Windows 2000 routers

Router | Internal IPX network number
Router 1 | 80000001
Router 2 | 80000002
Router 3 | 80000003
Router 4 | 80000004

Note

  • The example companies, organizations, products, people and events depicted herein are fictitious. No association with any real company, organization, product, person or event is intended or should be inferred.


Routing protocols for the medium-size office network

The IP routing protocol for medium-size networks is Routing Information Protocol (RIP) version 2. In this scenario, RIP v2 is configured on Windows 2000 Routers 1, 2, 3, and 4.

The IPX routing and service protocols for medium-size networks are RIP and Service Advertising Protocol (SAP).

Note

  • The example companies, organizations, products, people and events depicted herein are fictitious. No association with any real company, organization, product, person or event is intended or should be inferred.


Other services for the medium-size office network

For this scenario, the Windows 2000 DHCP service is used to automatically configure IP addresses and other information on client computers. Because DHCP is used, the DHCP Relay Agent must be configured on Windows 2000 Routers 1, 2, and 3. When the DHCP Relay Agent is used, client computers on Networks A, B, and C can acquire addresses from the DHCP server on the backbone. For information about setting up a DHCP server, see DHCP overview.

Notes

  • You do not need to use the DHCP Relay Agent on a router if you have a DHCP server on each network segment.
  • The example companies, organizations, products, people and events depicted herein are fictitious. No association with any real company, organization, product, person or event is intended or should be inferred.


Configuring the medium-size office network

To configure the medium-size office network described in this scenario, the following steps are completed:

  1. Network adapters are installed and configured.
  2. The Routing and Remote Access service is installed.
  3. RIP is configured.
  4. Remote access devices are configured.
  5. The DHCP Relay Agent is installed and configured.
  6. A WINS or DNS name server is installed.

These steps are outlined in the following sections and are intended as general guidelines for setting up and testing a medium-size office routed IP network.

Installing and configuring network adapters

To install and configure network adapters, the following steps are performed:

  1. Two network adapters are installed in every router.
  2. The drivers are installed for the network adapters.
  3. The TCP/IP and IPX/SPX protocols are installed.
  4. IP addresses are configured on the network adapters.

The following table shows the IP addresses for this medium-size office network scenario.

Router | Network adapter connected to | IP address
Router 1 | Backbone | 192.168.1.1
 | Network A | 192.168.2.1
Router 2 | Backbone | 192.168.1.2
 | Network B | 192.168.3.1
Router 3 | Backbone | 192.168.1.3
 | Network C | 192.168.4.1
Router 4 | Backbone | 192.168.1.4

Installing the Routing and Remote Access service

For this medium-size office network scenario, the Routing and Remote Access service is installed and enabled as a LAN router on every router. For more information about installing the Routing and Remote Access service, see To enable the Routing and Remote Access service.

On Router 4, the Routing and Remote Access service is installed and enabled as a LAN router and as a remote access server. An IP address pool is created with a starting address of 192.168.1.225 and an ending IP address of 192.168.1.254. This pool allows up to 29 simultaneously connected dial-up networking clients. IP addresses for interfaces on the backbone network must now be selected so that they are within the range 192.168.1.1 to 192.168.1.224.

For more information about creating IP address pools, see To create a static IP address pool.

Configuring RIP

On each router, the RIP protocol is configured. To configure RIP, the RIP routing protocol is added to IP, each interface is added to RIP, and then RIP version 2 is enabled on the RIP interface that is connected to the backbone. For more information, see To configure RIP version 2.

This scenario assumes that all the routers on the medium-size office network are Windows 2000 routers that are configured for RIP version 2. If there are existing routers on the network that only support RIP version 1, then RIP version 2 does not need to be enabled.

Configuring remote access devices

In this routing scenario, Router 4 is a remote access server for dial-up networking clients. On Router 4, remote access devices such as modems and ISDN adapters are installed. For more information, see Installing dial-up equipment.

Installing and configuring the DHCP Relay Agent

To use DHCP on the network, the DHCP Relay Agent is installed on Routers 1, 2, and 3, the interfaces that are not on the backbone are configured to use the DHCP Relay Agent, and the DHCP server is configured for use by clients.

For information about configuring the DHCP Relay Agent, see Configure the DHCP Relay Agent.

Installing a WINS or DNS name server

To access network resources by using NetBIOS or domain names, a WINS or DNS name server must be installed. For more information, see WINS overview and DNS overview.

Note

  • The example companies, organizations, products, people and events depicted herein are fictitious. No association with any real company, organization, product, person or event is intended or should be inferred.


Testing the medium-size office network

For this scenario, the ability of the medium-size office network to route packets is tested by answering the following questions:

  1. Are the packets being routed correctly?

    2. From a computer on each network, the ping command is used to ping a computer on the other networks. If a reply is not received from a network, the packets are not being routed correctly. For more information, see Using the ping command.

  2. Are the RIP packets being sent correctly?

    3. To ensure that RIP packets are sent correctly, the neighboring RIP routers are viewed from one RIP router. Neighboring RIP routers are routers connected to a common network. For information about viewing RIP neighbors, see To view RIP neighbors.

  3. Are all the networks being routed to?

    4. To ensure that all the networks are being routed to, the IP routing table is viewed from a router. For more information, see Understanding the IP routing table.

Note

  • The example companies, organizations, products, people and events depicted herein are fictitious. No association with any real company, organization, product, person or event is intended or should be inferred.


Corporate network

A typical corporate network has the following characteristics:

  • Many LAN segments with a backbone (for example, one segment on each floor or wing of several buildings).
  • More than one network protocol (IP or IPX).
  • Areas configured with Open Shortest Path First (OSPF).
  • Dial-up connections for users who connect from home or while traveling.
  • Leased-line connections to branch offices.
  • Demand-dial connections to branch offices.
  • Internet connections.

The following illustration shows an example of a corporate network.

Corporate network

A corporate network typically uses different types of network media. The different office segments can use 10-megabit-per-second (Mbps) Ethernet or Token Ring networks, but the backbone network that is used to connect to the different networks and host servers is usually made up of 100-Mbps Ethernet or Fiber Distributed Data Interface (FDDI). Connections to external networks (the Internet) are over leased lines or packet-switched services such as Frame Relay. Connections to branch offices are over either switched media (ISDN or analog modems), dedicated media (leased lines or Frame Relay), or the Internet.

You can also use a tunneling protocol (such as PPTP) to connect the branch offices to the corporate network over the Internet. For more information on this type of configuration, see Branch office over the Internet.

This corporate network scenario depicts branch office connections that use switched, demand-dial links and dedicated links, as shown in the following table.

Network media for the corporate network

Router | Role | Medium
Windows 2000 Router 1 | Connects to the backbone | One Ethernet (100 Mbps) or FDDI adapter
 | Connects to Network C | One Ethernet (10 Mbps) or Token Ring adapter
Windows 2000 Router 2 | Connects to Network A | One Ethernet (10 Mbps) or Token Ring adapter
 | Connects to Network C | One Ethernet (10 Mbps) or Token Ring adapter
Windows 2000 Router 3 | Connects to Network B | One Ethernet (10 Mbps) or Token Ring adapter
 | Connects Network C | One Ethernet (10 Mbps) or Token Ring adapter
Windows 2000 Router 4 | Connects to the backbone | One Ethernet (100 Mbps) or FDDI adapter
 | Connects to Network D | One Ethernet (10 Mbps) or Token Ring adapter
Windows 2000 Router 5 | Connects to the backbone | One Ethernet (100 Mbps) or FDDI adapter
 | Connects to Router 6 | One or more ISDN adapters and/or analog modems
 | Connects to Router 7 | One Frame Relay adapter
Windows 2000 Router 6 | Connects to Router 5 | One or more ISDN adapter and/or analog modems
 | Connects to Network F | One Ethernet (10 Mbps) or Token Ring adapter
Windows 2000 Router 7 | Connects to Router 5 | One Frame Relay adapter
 | Connects to Network E | One Ethernet (10 Mbps) or Token Ring adapter
Windows 2000 Router 8 | Connects to the backbone | One Ethernet (100 Mbps) or FDDI adapter
 | Connects to dial-up networking clients | Analog modems and/or ISDN adapters
Windows 2000 Router 9 | Connects to the backbone | One Ethernet (100 Mbps) or FDDI adapter
 | Connects to the Internet | One leased line (56K/T1) or Frame Relay adapter

This section covers:

  • Planning addresses for the corporate network
  • Routing protocols for the corporate network
  • Other services for the corporate network
  • Configuring the corporate network
  • Testing the corporate network

Note

  • The example companies, organizations, products, people and events depicted herein are fictitious. No association with any real company, organization, product, person or event is intended or should be inferred.


Planning addresses for the corporate network

The following sections describe how IP and IPX addresses are assigned for this corporate network scenario.

IP addressing

Network IDs are assigned based on the private network ID of 192.168.0.0 for each network segment that uses a subnet mask of 255.255.255.0. This provides for growth of up to 254 computers on each network segment.

The following table shows the assignment of IP addresses for this scenario.

IP addresses for the corporate network

Segment | IP network ID with mask | Range of host IDs
Backbone | 172.16.1.0, 255.255.255.0 | 172.16.1.1–172.16.1.254
Network A | 172.16.2.0, 255.255.255.0 | 172.16.2.1–172.16.2.254
Network B | 172.16.3.0, 255.255.255.0 | 172.16.3.1–172.16.3.254
Network C | 172.16.4.0, 255.255.255.0 | 172.16.4.1–172.16.4.254
Network D | 172.16.5.0, 255.255.255.0 | 172.16.5.1–172.16.5.254
Network E | 172.16.6.0, 255.255.255.0 | 172.16.6.1–172.16.6.254
Network F | 172.16.128.0, 255.255.255.0 | 172.16.128.1–172.16.128.254
Network G | 172.16.129.0, 255.255.255.0 | 172.16.129.1–172.16.129.254

After planning the network, addresses are assigned (either manually or by using DHCP) in the ranges described in the preceding table for all computers on the backbone and Networks A, B, C, D, E, F, and G.

If more than 254 addresses are needed on a segment, a new segment is configured rather than increasing the network address range. To provide for growth in the network, branch offices are assigned a 254-address range, even if there are not that many computers.

However, if a branch office has 10 to 15 people, the extra addresses in a 254-address range should not be wasted. Instead, variable-length subnets are used to divide the 254 addresses into multiple subnets of different lengths. Both the Routing Information Protocol (RIP) version 2 and the Open Shortest Path First (OSPF) protocol support variable-length subnets.

IPX addressing

Each network in the corporate network must have a unique external IPX network number. Additionally, each router must have a unique internal IPX network number.

The following table shows the external IPX network numbers for the corporate network.

External IPX network numbers for the corporate network

Segment | External IPX network number
Backbone | 00000001
Network A | 00000002
Network B | 00000003
Network C | 00000004
Network D | 00000005
Network E | 00000006
Network F | 00000007
Network G | 00000008

After planning the network, the IPX network numbers are assigned for the Windows 2000 routers.

The following table shows the internal IPX network numbers for Routers 1 through 10 for this corporate network scenario.

Internal IPX numbers for the Windows 2000 routers

Router | Internal IPX network number
Router 1 | 80000001
Router 2 | 80000002
Router 3 | 80000003
Router 4 | 80000004
Router 5 | 80000005
Router 6 | 80000006
Router 7 | 80000007
Router 8 | 80000008
Router 9 | 80000009
Router 10 | 80000010

Note

  • The example companies, organizations, products, people and events depicted herein are fictitious. No association with any real company, organization, product, person or event is intended or should be inferred.


Routing protocols for the corporate network

You can use either IP or IPX in a corporate network, or you can use a combination of both protocols. The following sections describe the use of OSPF as the IP routing protocol and RIP and SAP as the IPX routing protocols for this corporate network scenario.

IP routing protocols

Corporate networks typically use the OSPF protocol because it is efficient in large networks. For this corporate network scenario, OSPF is configured on all the Windows 2000 routers within the corporate site. Different types of routes are used depending on the type of WAN connection. For a demand-dial link, you must use either static routes or auto-static routes that use RIP. For dedicated WAN links, you can use static routes, RIP, or OSPF.

For this scenario, Windows 2000 Routers 5, 6, 7, 9, and 10 are also configured with either static routes or RIP version 2 on the interfaces that are not configured for OSPF. Static routes are preferable to using RIP version 2 when the link bandwidth is not adequate or when routing update traffic is considered an unnecessary overhead cost.

IPX routing protocols

The routing and service protocols for this corporate network scenario are Routing Information Protocol (RIP) and Service Advertising Protocol (SAP). Windows 2000 Routers 5 and 6 are also configured with static routes or RIP for IPX. Static routes are preferable to using RIP when the link bandwidth is not adequate or when routing update traffic is considered an unnecessary overhead cost.

Note

  • The example companies, organizations, products, people and events depicted herein are fictitious. No association with any real company, organization, product, person or event is intended or should be inferred.


Other services for the corporate network

For this scenario, the Windows 2000 DHCP service is used for automatic configuration of IP addresses and other information on client computers. Because DHCP is used, the DHCP Relay Agent must be configured on Windows 2000 Routers 1, 2, 3, 4, and 7. When the DHCP Relay Agent is used, client computers on Networks A, B, D, and G can acquire addresses from the DHCP server on the backbone. For information about setting up a DHCP server, see DHCP overview.

Notes

  • You do not need to use the DHCP Relay Agent on your router if you have a DHCP server on each network.
  • The example companies, organizations, products, people and events depicted herein are fictitious. No association with any real company, organization, product, person or event is intended or should be inferred.


Configuring the corporate network

To configure the corporate network described in this scenario, the following steps are completed at each router, as shown in the following table.

These steps are intended as general guidelines for setting up and testing a corporate routed IP network.

Individual configurations for each router in the corporate network

Router Configuration step
Router 1
  1. Two network adapters are installed and then the drivers for the network adapters are installed.
  2. The address 172.16.1.1 is assigned to the network adapter that is connected to the backbone, and 172.16.4.1 is assigned to the network adapter that is connected to Network C.
  3. The Routing and Remote Access service is installed and LAN routing is enabled. The network adapters that are installed automatically appear as interfaces in Routing and Remote Access. For more information, see To enable the Routing and Remote Access service.
  4. The OSPF routing protocol is configured. For more information, see Configure OSPF.

    5. The area 0.0.0.1 is added to the router. By default, the backbone area 0.0.0.0 is added to the router.

    On the interface connected to the backbone, the area is configured as 0.0.0.0.

    On the interface connected to Network C, the area is configured as 0.0.0.1 for Area 1.

    Passwords are configured for each interface.

  5. The DHCP Relay Agent is installed and configured on the interface on Network C. For more information, see Configure the DHCP Relay Agent.
Router 2
  1. Two network adapters are installed and then the drivers are installed for the network adapters.
  2. The address 172.16.4.3 is assigned to the network adapter that is connected to Network C, and 172.16.2.1 is assigned to the network adapter that is connected to Network A.
  3. The Routing and Remote Access service is installed and LAN routing is enabled. The network adapters that are installed automatically appear as interfaces in Routing and Remote Access.
  4. The OSPF routing protocol is configured.

    5. The area 0.0.0.1 is added to the router. The backbone area 0.0.0.0 is deleted, which was added to the router by default.

    On the interface connected to Network A, the area is configured as 0.0.0.1 for Area 1.

    On the interface connected to Network C, the area is configured as 0.0.0.1 for Area 1.

    Passwords are configured for each interface.

  5. The DHCP Relay Agent is installed and configured on the interface connected to Network A.
Router 3
  1. Two network adapters are installed and then the drivers for the network adapters are installed.
  2. The address 172.16.4.2 is assigned to the network adapter that is connected to Network C, and 172.16.3.1 is assigned to the network adapter that is connected to Network B.
  3. The Routing and Remote Access service is installed and LAN routing is enabled. The network adapters that are installed automatically appear as interfaces in Routing and Remote Access.
  4. The OSPF routing protocol is configured.

    5. The area 0.0.0.1 is added to the router. The backbone area 0.0.0.0 is deleted, which was added to the router by default.

    On the interface connected to Network B, the area is configured as 0.0.0.1 for Area 1.

    On the interface connected to Network C, the area is configured as 0.0.0.1 for Area 1.

    Passwords are configured for each interface.

  5. The DHCP Relay Agent is installed and configured on the interface connected to Network B.
Router 4
  1. Two network adapters are installed and then the drivers for the network adapters are installed.
  2. The address 172.16.1.2 is assigned to the network adapter that is connected to the backbone, and 172.16.5.1 is assigned to the network adapter that is connected to Network D.
  3. The Routing and Remote Access service is installed and LAN routing is enabled. The network adapters that are installed automatically appear as interfaces in Routing and Remote Access.
  4. The OSPF routing protocol is configured.

    5. The area 0.0.0.2 is added to the router. By default, the backbone area 0.0.0.0 is added to the router.

    On the interface connected to the backbone, the area is configured as 0.0.0.0.

    On the interface connected to Network D, the area is configured as 0.0.0.2 for Area 2.

    Passwords are configured for each interface.

  5. The DHCP Relay Agent is installed and configured on the interface connected to Network D.
Router 5
  1. One network adapter, one Frame Relay card, and a modem, ISDN, or remote access device are installed and then the drivers are installed.
  2. The address 172.16.1.3 is assigned to the network adapter that is connected to the backbone, and the address 172.16.7.1 is assigned to the Frame Relay adapter.
  3. The Routing and Remote Access service is installed and LAN and WAN routing are enabled. The network adapters that are installed automatically appear as interfaces in Routing and Remote Access.
  4. A pool of addresses is assigned to the remote access router with a starting address of 172.16.1.193 and an ending IP address of 172.16.1.194. For more information, see To create a static IP address pool.
  5. The OSPF routing protocol is configured.

    6. The router is configured as an autonomous system boundary router.

    On the interface connected to the backbone, the area is configured as 0.0.0.0.

  6. RIP for IP is enabled on the Frame Relay interface that connects to Router 7.
  7. Static routes are configured on the interface that connects to Router 6. For more information, see To add a static route.
Router 6
  1. One network adapter and one modem, ISDN, or remote access device are installed and then the drivers for the adapters are installed.

    For more information about the configuration of Router 5 and Router 6 to support a demand-dial connection, see Dial-up branch office network.

  2. The address 172.16.128.1 is assigned to the network adapter that is connected to Network F.
  3. The Routing and Remote Access service is installed and LAN and WAN routing are enabled. The network adapters that are installed automatically appear as interfaces in Routing and Remote Access.
  4. A pool of addresses is assigned to the remote access router with a starting address of 172.16.128.253 and an ending IP address of 172.16.128.254. For more information, see To create a static IP address pool.
  5. Static routes are configured on the interface that connects to Router 5. For more information, see To add a static route.
Router 7
  1. One network adapter and one Frame Relay adapter are installed and then the drivers for the adapters are installed.
  2. The address 172.16.7.2 is assigned to the Frame Relay adapter that is connected to Router 5, and 172.16.6.1 is assigned to the network adapter that is connected to Network G.
  3. The Routing and Remote Access service is installed and LAN routing is enabled. The network adapters that are installed automatically appear as interfaces in Routing and Remote Access.
  4. Static routes, or any routing protocol that is used on the branch office LAN, are configured.
  5. RIP for IP is configured on the interface that connects to Router 5.
  6. The DHCP Relay Agent is installed and configured on the interface connected to Network E.
Router 8
  1. One network adapter is installed and then the drivers for the network adapter are installed.
  2. The address 172.16.1.4 is assigned to the network adapter that is connected to the backbone.
  3. The Routing and Remote Access service is installed and LAN routing and remote access are enabled. The network adapters that are installed automatically appear as interfaces in Routing and Remote Access.
  4. Remote access devices are installed.
  5. A pool of addresses is assigned with a starting address of 172.16.1.192 and an ending IP address of 172.16.1.254. This pool defines a range of 62 IP addresses for dial-up networking clients.
  6. The OSPF routing protocol is configured.

    7. On the interface that is connected to the backbone, the area is configured as 0.0.0.0.

    Passwords are configured for each interface.
Router 9
  1. Two network adapters are installed and then the drivers for the network adapters are installed.
  2. The address 172.16.1.5 is assigned to the network adapter that is connected to the backbone. The IP address (as allocated by the Internet service provider) is assigned to the interface that is connected to the Internet.
  3. The Routing and Remote Access service is installed and LAN and WAN routing and remote access are enabled. The network adapters that are installed automatically appear as interfaces in Routing and Remote Access.
  4. A pool of addresses is assigned with a starting address of 172.16.1.65 and an ending IP address of 172.16.1.66.
  5. The OSPF routing protocol is configured.

    6. On the interface that is connected to the backbone, the area is configured as 0.0.0.0.

    Passwords are configured for each interface.
Router 10
  1. One network adapter and one modem, ISDN, or remote access device are installed and then the drivers for the adapters are installed.
  2. The address 172.16.129.1 is assigned to the network adapter that is connected to Network F.
  3. The Routing and Remote Access service is installed and LAN and WAN routing are enabled. The network adapters that are installed automatically appear as interfaces in Routing and Remote Access.
  4. A pool of addresses is assigned to the remote access router with a starting address of 172.16.129.253 and an ending IP address of 172.16.129.254.
  5. Static routes are configured on the interface that connects to Router 9.

    6. For more information about the configuration of Router 9 and Router 10 to support a demand-dial PPTP connection over the Internet, see Branch office over the Internet.

Installing a WINS or DNS name server

To access network resources by using NetBIOS or domain names, a WINS or DNS name server must be installed. For more information, see WINS overview and DNS overview.

Note

  • The example companies, organizations, products, people and events depicted herein are fictitious. No association with any real company, organization, product, person or event is intended or should be inferred.


Testing the corporate network

For this scenario, the ability of the corporate network to route packets is tested by answering the following questions:

  1. Are the packets being routed correctly?

    2. From a computer on each network, the ping command is used to ping a computer on the other networks. If a reply is not received from a network, the packets are not being routed correctly. For more information, see Using the ping command.

  2. Is OSPF working correctly?

    3. The status of OSPF is checked by viewing OSPF neighbors. For more information, see To view OSPF neighbors.

    For more information about troubleshooting OSPF, see Troubleshooting OSPF.

  3. Are all the networks being routed to?

    4. To ensure that all the networks are being routed to, the IP routing table is viewed from a router. For more information, see Understanding the IP routing table.

Note

  • The example companies, organizations, products, people and events depicted herein are fictitious. No association with any real company, organization, product, person or event is intended or should be inferred.


Dial-up branch office network

The corporate network scenario depicted a network that included branch offices. This scenario describes the configuration of a network for a branch office that is connected through a dial-up link.

A typical branch office network has the following characteristics:

  • One LAN segment.
  • Both IP and IPX network protocols.
  • Demand-dial connections to the corporate office.

The following illustration shows an example of a dial-up branch office network.

Dial-up branch office network

In this scenario, the Windows 2000 router must be configured with a network adapter for the media that is used in the branch office (for example, Ethernet) and an ISDN device or analog modem for connection to the corporate office.

For more information, see:

  • Planning addresses for the branch office network
  • Routing protocols for the branch office network
  • Other services for the branch office network
  • Configuring the branch office network
  • Testing the branch office network

Note

  • The example companies, organizations, products, people and events depicted herein are fictitious. No association with any real company, organization, product, person or event is intended or should be inferred.


Planning addresses for the branch office network

For IP addressing, the branch office network segment is assigned a network range of 254 addresses to enable potential growth. In this scenario, the branch office network (Network F) uses the address of 172.16.128.0 for the network and 255.255.255.0 for the mask.

For IPX addressing, the branch office external IPX network number is 00000007 and the internal IPX network number for Router 6 is 80000006.

Note

  • The example companies, organizations, products, people and events depicted herein are fictitious. No association with any real company, organization, product, person or event is intended or should be inferred.


Routing protocols for the branch office network

For this branch office scenario, static routes are used for both IP and IPX routing.

IP routing protocols

It is not necessary to use IP routing protocols to propagate IP routing information to the branch office. Instead, static routes are configured on the Windows 2000 router. For an example adding a static route, see Configuring the branch office network.

IPX routing protocols

If the IPX protocol is used, the Windows 2000 router can be configured for Routing Information Protocol (RIP) and Service Advertising Protocol (SAP). Static routes and services for IPX can also be used. However, the number of routes and services may be quite high because of the lack of route summarization.

If there are many static routes or static services to add, RIP and SAP are configured to use auto-static updates. Auto-static updates enable the router to automatically send a request for a list of routes from other routers. The list is then converted to static routes. For more information, see Perform auto-static updates.

Note

  • The example companies, organizations, products, people and events depicted herein are fictitious. No association with any real company, organization, product, person or event is intended or should be inferred.


Other services for the branch office network

Using a long-haul analog phone line or an ISDN line unnecessarily can be expensive. To prevent a demand-dial connection from initiating except when information resources such as a Web site or file shares are accessed, DHCP and name servers are installed on the branch office network.

In this scenario, the Windows 2000 DHCP service is used for automatic configuration of IP addresses and other information on client computers. Installing and configuring the DHCP Relay Agent on Router 6 may cause Router 6 to dial the corporate hub router every time a DHCP packet is sent by a computer in the branch office network. Therefore, a DHCP server is installed on the branch office network. For information about setting up a DHCP server, see DHCP overview.

Name servers (WINS and DNS) are installed on the branch office network to enable local name resolution. The branch office name servers must be configured to replicate with the corporate name servers. For more information, see WINS overview and DNS overview.

Note

  • The example companies, organizations, products, people and events depicted herein are fictitious. No association with any real company, organization, product, person or event is intended or should be inferred.


Configuring the branch office network

To configure the dial-up branch office network described in this scenario, the following steps are completed:

  1. A network adapter is installed and configured.
  2. The Routing and Remote Access service is installed.
  3. An IP address pool is configured.
  4. Remote access devices are installed and configured.
  5. Demand-dial interfaces are created.
  6. Dial-in accounts are created.
  7. IP static routes are added.
  8. A DHCP, WINS, or DNS name server is installed.

These steps are outlined in the following sections and are intended as general guidelines for setting up and testing a branch office network.

Installing and configuring the network adapter

To configure Router 5 and Router 6, the following steps are performed:

  1. The network adapter is installed.
  2. The driver for the network adapter is installed.
  3. The IP address on the network adapter is configured through the properties of the TCP/IP protocol.

In this branch office network scenario, the IP addresses are assigned as follows:

  • For Router 5, the IP address 172.16.1.3 is assigned to the network adapter that connects to the backbone.
  • For Router 6, the IP address 172.16.128.1 is assigned to the network adapter that connects to the branch office network.

Installing the Routing and Remote Access service

For this branch office network scenario, the Routing and Remote Access service is installed and LAN and WAN routing are enabled. For more information, see To enable the Routing and Remote Access service. The network adapters that are installed automatically appear as interfaces in Routing and Remote Access.

Configuring an IP address pool

In this scenario, the branch office router (Router 6) is configured with an IP address pool with a single range, as shown in the following table.

Starting address of the range | Ending address of the range | Number of addresses in the range
172.16.128.253 | 172.16.128.254 | 2

The corporate router (Router 5) is also configured with an IP address pool with a single range, as shown in the following table.

Starting address of the range | Ending address of the range | Number of addresses in the range
172.16.1.133 | 172.16.1.134 | 2

For information about configuring an IP address pool, see To create a static IP address pool.

Installing and configuring dial-up devices

For both Router 5 and Router 6, modem or ISDN devices are installed and configured. For more information, see Installing dial-up equipment.

Creating demand-dial interfaces

On Router 6, a demand-dial interface is created by using the Demand-Dial Interface wizard with the following configuration:

  • Name: CorpOffice
  • Protocols to route: IP and IPX
  • Modem or adapter: Installed modem or ISDN device
  • Phone number: Phone number of Router 5
  • Dial-out credentials: BranchOffice

On Router 5, a demand-dial interface is created by using the Demand-Dial Interface wizard with the following configuration:

  • Name: BranchOffice
  • Protocols to route: IP and IPX
  • Modem or adapter: Installed modem or ISDN device
  • Phone Number: Phone number of Router 6
  • Dial-out credentials: CorpOffice

For more information about the Demand-Dial Interface wizard, see To add a demand-dial interface.

Creating dial-in accounts

For this branch office network scenario, the dial-in accounts are created as follows:

  • On Router 6, the account CorpOffice is added and dial-in permissions are enabled.
  • On Router 5, the account BranchOffice is added and dial-in permissions are enabled.

For information about creating dial-in accounts, see Configure dial-in user properties.

Adding IP static routes

For this branch office scenario, on the branch office router (Router 6), a static default route is added. The demand-dial interface that connects to the corporate network is used.

The following route specifies that if a packet is sent to a computer that is not on the branch office network, a demand-dial connection is made with the corporate office. Because the connection between the branch office and the corporate office is a point-to-point connection, the Gateway IP address is not configurable.

Interface | Destination | Network mask | Metric
CorpOffice | 0.0.0.0 | 0.0.0.0 | 2

For more information about configuring a static default route, see To add a default static IP route.

On the corporate router (Router 5), a static route is added in order to connect to the branch office. The following route specifies that all packets destined for the branch office network are sent over the demand-dial interface.

Interface | Destination | Network mask | Metric
BranchOffice | 172.16.128.0 | 255.255.255.0 | 2

For information about adding static routes, see To add a static route.

The corporate router (Router 5) is configured as an autonomous system boundary router so that the static routes are advertised to other OSPF routers.

Installing a DHCP, WINS, or DNS name server

A DHCP server is installed on the branch office network so that the clients can receive IP addresses. For more information about DHCP, see DHCP overview. To access network resources by using NetBIOS or domain names, a WINS or DNS name server must be installed. For more information, see WINS overview and DNS overview.

Note

  • The example companies, organizations, products, people and events depicted herein are fictitious. No association with any real company, organization, product, person or event is intended or should be inferred.


Testing the branch office network

From a computer in the branch office, the ping command is used to ping a computer on the corporate network and activate the demand-dial connection with the corporate network router. Once connected, the ping command is used again. If a reply is received from that computer, the packets are being routed correctly.

For more information, see Using the ping command.

Note

  • The example companies, organizations, products, people and events depicted herein are fictitious. No association with any real company, organization, product, person or event is intended or should be inferred.


Branch office over the Internet

Branch offices can be connected through leased or dial-up lines to a corporate network. Using leased or dial-up lines across long distances can be expensive. Windows 2000 routing enables branch offices to connect to the corporate networks by using the Internet. In this scenario, a branch office has a dial-up connection to a local Internet service provider (ISP). The branch office router then makes a secure, encrypted tunnel by using the Point-to-Point Tunneling Protocol (PPTP) across the Internet to the corporate network. This network configuration can result in cost savings, because the dial-up line is local instead of long distance.

Note

  • To establish the tunnel, the branch office router must know the IP address of the corporate network router.

The following illustration shows an example of a branch office that connects to the corporate network by using the Internet.

Branch office over the Internet

In this scenario, the Windows 2000 branch office router makes a demand-dial PPTP connection to the Windows 2000 router on the corporate network.

The Windows 2000 branch office router must be configured with a network adapter for the medium that is used in the branch office (for example, Ethernet) and an ISDN adapter or analog modem for connection to the ISP. You can use a leased line to connect to the ISP, but this scenario discusses only demand-dial connections. The Windows 2000 corporate office router must be connected to the Internet by using a leased line.

This section covers:

  • Planning addresses for the branch office over the Internet
  • Routing protocols for the branch office over the Internet
  • Other services for the branch office over the Internet
  • Configuring the PPTP connection at the branch office
  • Configuring the PPTP connection at the corporate office
  • Testing the PPTP connection

Note

  • The example companies, organizations, products, people and events depicted herein are fictitious. No association with any real company, organization, product, person or event is intended or should be inferred.


Planning addresses for the branch office over the Internet

To enable potential growth, a network range of 254 IP addresses is assigned to the branch office network segment. In this scenario, the branch office network segment (Network G) uses the address of 172.16.129.0 for the network and 255.255.255.0 for the mask.

For IPX addressing, the branch office external IPX network number is 00000008 and the internal IPX network number for Router 10 is 80000010.

Note

  • The example companies, organizations, products, people and events depicted herein are fictitious. No association with any real company, organization, product, person or event is intended or should be inferred.


Routing protocols for the branch office over the Internet

For this branch office scenario, because the connection between the branch office and the corporate office is not permanent, static routes are used for both IP and IPX routing.

IP routing protocols

It is not necessary to use IP routing protocols to propagate IP routing information to the branch office. Instead, static routes are configured on the Windows 2000 router. For an example of adding a static route, see Configuring the PPTP connection at the branch office.

IPX routing protocols

If the IPX protocol is used, the Windows 2000 router can be configured for Routing Information Protocol (RIP) and Service Advertising Protocol (SAP). Static routes and services for IPX can also be used. However, the number of routes and services may be quite high because of the lack of route summarization.

If there are many static routes or static services to add, RIP and SAP are configured to use auto-static updates. Auto-static updates enable the router to automatically send a request for a list of routes from other routers. This list is then converted to static routes. Auto-static updates must be performed on both sides of the connection. For more information, see Perform auto-static updates.

Note

  • The example companies, organizations, products, people and events depicted herein are fictitious. No association with any real company, organization, product, person or event is intended or should be inferred.


Other services for the branch office over the Internet

To maximize performance and minimize the amount of data that is sent over the connection, DHCP and name servers are installed on the branch office network. The branch office name servers are configured to replicate with the corporate name servers.

In this scenario, the Windows 2000 DHCP service is used for automatic configuration of IP addresses and other information on client computers. A DHCP server is installed on the branch office network. For information about setting up a DHCP server, see DHCP overview.

To access network resources by using NetBIOS or domain names, a WINS or DNS name server must be installed. For more information, see WINS overview and DNS overview.

Note

  • The example companies, organizations, products, people and events depicted herein are fictitious. No association with any real company, organization, product, person or event is intended or should be inferred.


Configuring the PPTP connection at the branch office

To configure a PPTP connection to a corporate network at a branch office router, you must create a demand-dial interface for the ISP connection, a demand-dial interface for the PPTP connection to the corporate router, and a static route for each interface. For this scenario, the following steps are completed:

  1. Network adapters are installed and configured.
  2. An IP address pool is configured.
  3. The Routing and Remote Access service is installed.
  4. Remote access devices are installed and configured.
  5. Demand-dial interfaces are created.
  6. IP static routes are added.
  7. PPTP filters are added.
  8. Remote access policies are configured.

These steps are outlined in the following sections and are intended as general guidelines for setting up a branch office PPTP connection to a corporate network.

Installing and configuring network adapters

To install and configure network adapters, the following steps are performed:

  1. On the Windows 2000 router, one network adapter is installed.
  2. The driver for the network adapter is installed.
  3. The IP address on the network adapter is configured through the properties of the TCP/IP protocol.

For this scenario, the address 172.16.129.1 is assigned to the network adapter that is connected to the branch office network.

Installing the Routing and Remote Access service

For this branch office network scenario, the Routing and Remote Access service is installed and LAN and WAN routing are enabled. The network adapters that are installed automatically appear as interfaces in Routing and Remote Access. For more information, see To enable the Routing and Remote Access service.

Configuring an IP address pool

In this scenario, the branch office router (Router 10) is configured with an IP address pool with a single range, as shown in the following table.

Starting address of the range | Ending address of the range | Number of addresses in the range
172.16.129.253 | 172.16.129.254 | 2

For information about configuring an IP address pool, see To create a static IP address pool.

Creating demand-dial interfaces

Two demand-dial interfaces are created: one for the modem or remote access device and one for the PPTP VPN device.

A demand-dial interface for the ISP connection is created by using the Demand-Dial Interface wizard with the following configuration:

  • Name: ISP
  • Protocols to route: IP and IPX
  • Modem or adapter: Installed modem or ISDN device
  • Phone number: Phone number of local ISP
  • Dial-out credentials: ISP user account

A demand-dial interface for the PPTP connection is created by using the Demand-Dial Interface wizard with the following configuration:

  • Name: CorpPPTP
  • Protocols to route: IP and IPX
  • Modem or adapter: VPN1 device
  • Phone number: w.x.y.z (IP address of the Internet interface for Router 9)
  • Dial-out credentials: BranchOfficePPTP

For more information about the Demand-Dial Interface wizard, see To add a demand-dial interface.

Note

  • The use of w.x.y.z is intended to represent a valid public IP address as allocated by the Internet Network Information Center (InterNIC) or an ISP. For your configuration, substitute your allocated public address for w.x.y.z.

Routing and Remote Access now displays three interfaces that correspond to:

  1. The network adapter that connects to the branch office.
  2. The ISP connection.
  3. The PPTP connection.

Adding IP static routes

The PPTP connection to the corporate network is made by adding two IP static routes: a route to the ISP and a route to the PPTP server.

To call the PPTP server, a static route is added with the characteristics shown in the following table. This route specifies that if a packet's destination is on the corporate network, the PPTP demand-dial interface is used.
Interface | Destination | Network mask | Metric
CorpPPTP | 172.16.0.0 | 255.255.0.0 | 1

To call the ISP, another static route is added with the characteristics shown in the following table. This route specifies that if a PPTP connection is made to the corporate PPTP server, the ISP demand-dial interface is used.

Interface | Destination | Network mask | Metric
ISP | w.x.y.z | 255.255.255.255 | 1

For more information about adding static routes, see To add a static route.

Note

  • The use of w.x.y.z is intended to represent a valid public IP address as allocated by the Internet Network Information Center (InterNIC) or an ISP. For your configuration, substitute your allocated public address for w.x.y.z.

This configuration enables the router that is sending packets to 172.16.0.0 (the corporate network) to first connect to the ISP and then connect to the corporate office PPTP server (Router 9). After the interfaces are added and the static routes or routing protocols are set up, a manual connection to the corporate network is not needed except during the testing process.

Adding PPTP filters

To prevent the branch office router from sending or receiving any traffic except the packets sent over the PPTP connection, PPTP filters are added to the ISP demand-dial interface. For information about adding PPTP filters, see Add PPTP filters.

Configuring remote access policies

A new remote access policy is created with the following properties:

  • Policy name is set to PPTP Access for Branch Office Routers (example).
  • The NAS-Port-Type condition is set to Virtual (VPN).
  • The Tunnel-Type condition is set to Point-to-Point Tunneling Protocol.
  • The Grant remote access permission option is selected.

Note

  • The example companies, organizations, products, people and events depicted herein are fictitious. No association with any real company, organization, product, person or event is intended or should be inferred.


Configuring the PPTP connection at the corporate office

To route PPTP tunneled data to a branch office router, you must create a demand-dial interface for the PPTP connection to the branch office router and a static route. For this scenario, the following steps are completed:

  1. Network adapters are installed and configured.
  2. The Routing and Remote Access service is installed.
  3. An IP address pool is configured.
  4. A demand-dial interface is created.
  5. A dial-in account is created.
  6. An IP static route is added.
  7. PPTP filters are added for security.
  8. Remote access policies are configured.

These steps are outlined in the following sections and are intended as general guidelines for setting up a branch office PPTP connection to a corporate network.

Installing and configuring network adapters

To install and configure network adapters, the following steps are performed:

  1. One network adapter is installed to connect to the backbone and one network adapter is installed to permanently connect to the Internet.
  2. The drivers for the network adapters are installed.
  3. The IP addresses on the network adapters are configured through the properties of the TCP/IP protocol.

In this network scenario, the IP addresses are configured as follows:

  1. The IP address 172.16.1.5 is assigned to the network adapter that connects to the backbone.
  2. The IP address w.x.y.z is assigned to the network adapter that connects to the Internet.

Note

  • The use of w.x.y.z is intended to represent a valid public IP address as allocated by the Internet Network Information Center (InterNIC) or an ISP. For your configuration, substitute your allocated public address for w.x.y.z.

Installing the Routing and Remote Access service

For this branch office network scenario, the Routing and Remote Access service is installed and LAN and WAN routing are enabled. To allow remote access clients to create remote access VPN connections to the corporate network, remote access is also enabled. The network adapters that are installed automatically appear as interfaces in Routing and Remote Access. For more information, see To enable the Routing and Remote Access service.

Configuring an IP address pool

In this scenario, the corporate router (Router 9) is configured with an IP address pool with a single range, as shown in the following table.

Starting address of the range | Ending address of the range | Number of addresses in the range
172.16.1.137 | 172.16.1.138 | 2

For information about configuring an IP address pool, see To create a static IP address pool.

Creating a demand-dial interface

A demand-dial interface is created by using the Demand-Dial Interface wizard with the following configuration:

  • Name: BranchOfficePPTP
  • Protocols to route: IP and IPX
  • Modem or adapter: VPN1 device
  • Phone number: <none>
  • Dial-out credentials: <none>

For more information about the Demand-Dial Interface wizard, see To add a demand-dial interface.

Routing and Remote Access now displays three interfaces that correspond to:

  1. The network adapter that is connected to the backbone.
  2. The network adapter that is connected to the Internet.
  3. The PPTP connection.

Creating a dial-in account

The account BranchOfficePPTP is added and dial-in permissions are enabled.

For more information, see Configure dial-up user properties.

Adding an IP static route

At the corporate router, a single IP static route is added so that traffic can be routed to the branch office network.

To route packets to the branch office, a static route is added with the characteristics shown in the following table. This route specifies that if a packet is to be delivered to the branch office network, the PPTP demand-dial interface is used.

Interface | Destination | Network mask | Metric
BranchOfficePPTP | 172.16.129.0 | 255.255.255.0 | 1

For more information about adding static routes, see To add a static route.

Adding PPTP filters

In this scenario, Router 9 is also configured as a Microsoft Proxy Server. The Microsoft Proxy Server configuration settings are used to add PPTP filters to the Internet interface. For information about adding filters by using Microsoft Proxy Server, see the Microsoft Proxy Server documentation.

Configuring remote access policies

A new remote access policy is created with the following properties:

  • Policy name is set to PPTP Access for Corporate Office Router (example).
  • The NAS-Port-Type condition is set to Virtual (VPN).
  • The Tunnel-Type condition is set to Point-to-Point Tunneling Protocol.
  • The Grant remote access permission option is selected.

Note

  • The example companies, organizations, products, people and events depicted herein are fictitious. No association with any real company, organization, product, person or event is intended or should be inferred.


Testing the PPTP connection

From a computer on the branch office network, the ping command is used to ping a computer on the corporate network and activate the demand-dial PPTP connection. Once connected, the ping command is used again. If a reply is received from that computer, the packets are being routed correctly. For more information, see Using the ping command.

For this scenario, the status of both the ISP and PPTP connections is determined by checking each of the following conditions:

  1. Is there a connection to the ISP?

    2. From the branch office Windows 2000 router, the connection state of the ISP demand-dial interface is checked.

  2. Is there a connection by PPTP to the corporate network?

    3. From the branch office Windows 2000 router, a manual connection to the corporate office is made by using the PPTP demand-dial interface. Once connected, a computer is pinged on the corporate network.

For more information, see Troubleshooting demand-dial routing.

Note

  • The example companies, organizations, products, people and events depicted herein are fictitious. No association with any real company, organization, product, person or event is intended or should be inferred.


Resources

This section covers:

  • References
  • Routing RFCs
  • Routing tools and utilities


References

The Windows 2000 router is intended for use by system administrators who are already familiar with routing protocols and router services. For more information about the TCP/IP and IPX protocols, and routing and dynamic routing protocols, you can consult the following references:

  • Chappell, Laura A., and Hakes, Dan E. Novell's Guide to NetWare LAN Analysis. San Jose, California: Novell Press, 1994.
  • Comer, Douglas. Internetworking with TCP/IP, Volume 1. Englewood Cliffs, New Jersey: Prentice Hall, 1991.
  • Huitema, Christian. Routing in the Internet. Englewood Cliffs, New Jersey: Prentice Hall, 1995.
  • Perlman, Radia. Interconnections: Bridges and Routers. Reading, Massachusetts: Addison-Wesley, 1992.
  • Stevens, W. Richard. TCP/IP Illustrated, Volume 1, The Protocols. Reading, Massachusetts: Addison-Wesley, 1994.


Routing RFCs

Requests for Comments (RFCs) are an evolving series of technical reports, proposals for protocols, and protocol standards used by the Internet community. Routing standards are defined in RFCs published by the Internet Engineering Task Force (IETF) and other working groups.

RIP RFCs

RFC number | Title
1058 | Routing Information Protocol
1723 | RIP Version 2 Carrying Additional Information
1721 | RIP Version 2 Protocol Analysis
1722 | RIP Version 2 Protocol Applicability Statement

OSPF RFCs

RFC number | Title
2328 | OSPF Version 2
1245 | OSPF Protocol Analysis
1246 | OSPF Experience

IP multicasting RFCs

RFC number | Title
1112 | Host Extensions for IP Multicasting
2236 | Internet Group Management Protocol, Version 2

IP multicasting Internet drafts

Draft name | Title
draft-ietf-mboned-mdh-0x.txt | Multicast Debugging Handbook

NAT RFCs

RFC number | Title
1597 | Address Allocation for Private Internets
1631 | The IP Network Address Translator (NAT)

DHCP Relay Agent RFCs

RFC number | Title
2131 | Dynamic Host Configuration Protocol
1542 | Clarifications and Extensions for the Bootstrap Protocol

RADIUS RFCs

RFC number | Title
2138 | Remote Authentication Dial-In User Service (RADIUS)
2139 | RADIUS Accounting

Miscellaneous RFCs

RFC number | Title
1812 | Requirements for IP Version 4 Routers
1878 | Variable-Length Subnet Table For IPv4
1519 | Classless InterDomain Routing (CIDR): An Address Assignment and Aggregation Strategy
1256 | ICMP Router Discovery Messages

Obtaining RFCs

You can obtain RFCs from the Request for Comments Web site (http://www.rfc-editor.org/). This site is currently maintained by members of the Information Sciences Institute (ISI) who publish a classified listing of all RFCs. RFCs are classified as one of the following: approved Internet standard, proposed Internet standard (circulated in draft form for review), Internet best practices, or For Your Information (FYI) document.

You can find Internet drafts on the Internet Drafts Web site (ftp://ftp.ietf.org/internet-drafts/).

Note


Routing tools and utilities

This section covers:

  • The Netsh command-line utility
  • Administration tools in mixed environments
  • Understanding the IP routing table
  • Using the ping command
  • Using the tracert command
  • Using the pathping command
  • Using the IP multicasting utilities
  • Using event logging
  • Using tracing


The Netsh command-line utility

Netsh is a command-line and scripting utility for Windows 2000 networking components for local or remote computers. The Netsh utility can also save a configuration script in a text file for archival purposes or for configuring other servers.

The Netsh utility is a shell that can support multiple Windows 2000 components through the addition of Netsh helper DLLs. A Netsh helper DLL extends Netsh functionality by providing additional commands to monitor or configure a specific Windows 2000 networking component. Each Netsh helper DLL provides a context, a group of commands for a specific networking component. Within each context, subcontexts can exist. For example, within the routing context, the subcontexts ip and ipx exist to group IP routing and IPX routing commands together.

Netsh command-line options include the following:

  • -a AliasFile

    • Specifies that an alias file is used. An alias file contains a list of netsh commands and an aliased version so that you can use the aliased command line in place of the netsh command. You can use alias files to map commands that may be more familiar in other platforms to the appropriate netsh command.

  • -c Context

    • Specifies the context of the command that corresponds to an installed helper DLL.

  • Command

    • Specifies the netsh command to execute.

  • -f ScriptFile

    • Specifies that all of the netsh commands in the ScriptFile file are run.

  • -r RemoteMachine

    • Specifies that the netsh commands are run on a remote computer specified by either its name or IP address.

You can abbreviate commands to the shortest unambiguous string. For example, issuing the command sh ip int is equivalent to issuing show ip interface. Netsh commands can be either global or context-specific. Global commands can be issued in any context and are used for general Netsh utility functions. Context-specific commands vary according to the context. You can log commands issued to a log file to create an audit trail of a netsh command session.

The following table lists the netsh global commands.

Command | Description
.. | Moves up one context level.
? or help | Displays command-line Help.
show version | Displays the current version of Windows and the Netsh utility.
show netdlls | Displays the current version of installed Netsh helper DLLs.
add helper | Add a Netsh help DLL.
delete helper | Removes a Netsh help DLL.
show helper | Displays the installed Netsh helper DLLs.
cmd | Creates a Windows 2000 command window.
online | Sets the current mode to online.
offline | Sets the current mode to offline.
set mode | Sets the current mode to online or offline.
show mode | Displays the current mode.
flush | Discards any changes in offline mode.
commit | Commits changes made in offline mode.
set audit-logging | Turns on or off the logging facility.
show audit-logging | Displays current audit logging settings.
set loglevel | Sets level of logging information.
show loglevel | Displays the level of logging information.
set machine | Configures the computer on which the netsh commands are executed.
show machine | Displays the computer on which the netsh commands are executed.
exec | Executes a script file containing netsh commands.
quit or bye or exit | Exits the Netsh utility.
add alias | Adds an alias to an existing command.
delete alias | Deletes an alias to an existing command.
show alias | Displays all defined aliases.
dump | Writes configuration to a text file.
popd | A scripting command that pops a context from the stack.
pushd | A scripting command that pushes the current context on the stack.

The Netsh utility has the following command modes:

  • Online

    • In online mode, commands issued at a Netsh command prompt are executed immediately.

  • Offline

    • In offline mode, commands issued at a Netsh command prompt are accumulated and executed as a batch by issuing the commit global command. You can discard accumulated commands by issuing the flush global command.

  • Script

    • With either the -f command-line option or by issuing the exec global command at a Netsh command prompt, all the netsh commands in the specified file are executed.

To create a script of the current configuration, use the global dump command. The dump command outputs the current running configuration in terms of netsh commands. You can use the script created by this command to configure a new server or to reconfigure the existing server. If you are making extensive changes to the configuration of a component, it is recommended that you begin the configuration session with the dump command, in case you need to restore the configuration prior to changes being made.

For more information on netsh commands for the Routing and Remote Access service, see:

  • Interface commands
  • IP routing commands
  • IPX routing commands
  • Scheduling auto-static updates
  • Netsh commands for remote access


Interface commands

The following table lists the netsh commands that you can type at a Windows 2000 command prompt to administer interface settings on a computer running Windows 2000 Server and the Routing and Remote Access service. If there are multiple commands for a particular function, they are indicated by separating the individual commands with a slash (/).

When you type the command at the command prompt, precede each command with netsh. For the exact syntax of each command, type the command with the ? option. For example, to receive command-line Help on the netsh interface command, type netsh interface ? at the command prompt.

Command | Description
interface set/show interface | Enables, disables, connects, disconnects, and displays the configuration of demand-dial interfaces.
interface set/show credentials | Configures or displays the user name, password, and domain name on a demand-dial interface.


IP routing commands

The following table lists the netsh commands that you can type at a Windows 2000 command prompt to administer IP settings on a computer running Windows 2000 Server and the Routing and Remote Access service. If there are multiple commands for a particular function, they are indicated by separating the individual commands with a slash (/). For example, the command routing ip set/show loglevel is actually two separate commands: routing ip set loglevel and routing ip show loglevel.

When you type the command at the command prompt, precede each command with netsh. For the exact syntax of each command, type the command with the ? option. For example, to receive command-line Help on the netsh routing ip set interface command, type netsh routing ip set interface ? at the command prompt.

Command | Description
routing ip add/delete/set/show interface | Adds, deletes, configures, or displays general IP routing settings on a specified interface.
routing ip add/delete/set/show filter | Adds, deletes, configures, or displays IP packet filters on a specified interface.
routing ip add/delete/show boundary | Adds, deletes, or displays multicast boundary settings on a specified interface.
routing ip add/set ipiptunnel | Adds or configures an IP-in-IP interface.
routing ip add/delete/set/show rtmroute | Adds, deletes, configures, or displays a non-persistent Route Table Manager route.
routing ip add/delete/set/show persistentroute | Adds, deletes, configures, or displays persistent routes.
routing ip add/delete/set/show preferenceforprotocol | Adds, deletes, configures, or displays the preference level for a routing protocol.
routing ip add/delete/set/show scope | Adds, deletes, or displays a multicast scope.
routing ip set/show loglevel | Configures or displays the global IP logging level.
routing ip show helper | Displays all Netsh utility subcontexts of IP.
routing ip show protocol | Displays all running IP routing protocols.
routing ip show mfe | Displays multicast forwarding entries.
routing ip show mfestats | Displays multicast forwarding entry statistics.
routing ip show boundarystats | Displays IP multicast boundaries.
routing ip show rtmdestinations | Displays destinations in the Route Table Manager routing table.
routing ip show rtmroutes | Displays routes in the Route Table Manager routing table.
routing ip nat set/show global | Configures or displays global network address translation (NAT) settings.
routing ip nat add/delete/set/show interface | Adds, deletes, configures, or displays NAT settings for a specified interface.
routing ip nat add/delete addressrange | Adds or deletes an address range to the NAT interface public address pool.
routing ip nat add/delete addressmapping | Adds or deletes a NAT address mapping.
routing ip nat add/delete portmapping | Adds or deletes a NAT port mapping.
routing ip autodhcp set/show global | Configures or displays global DHCP allocator parameters.
routing ip autodhcp set/show interface | Configures or displays DHCP allocator settings for a specified interface.
routing ip autodhcp add/delete exclusion | Adds or deletes an exclusion from the DHCP allocator range of addresses.
routing ip dnsproxy set/show global | Configures or displays global DNS proxy parameters.
routing ip dnsproxy set/show interface | Configures or displays DNS proxy parameters for a specified interface.
routing ip igmp set/show global | Configures or displays IGMP global settings.
routing ip igmp add/delete/set/show interface | Adds, deletes, configures, or displays IGMP on the specified interface.
routing ip igmp add/delete staticgroup | Adds or deletes a static multicast group for the specified interface.
routing ip igmp show grouptable | Displays the IGMP host groups table.
routing ip igmp show ifstats | Displays the IGMP statistics for each interface.
routing ip igmp show iftable | Displays the IGMP host groups for each interface.
routing ip igmp show proxygrouptable | Displays the IGMP group table for the IGMP proxy interface.
routing ip igmp show rasgrouptable | Displays the group table for Internal interface used by the remote access server.
routing ip ospf set/show global | Configures or displays global OSPF settings.
routing ip ospf add/delete/set/show interface | Adds, removes, configures, or displays OSPF on a specified interface.
routing ip ospf add/delete/set/show area | Adds, removes, configures, or displays an OSPF area.
routing ip ospf add/delete/show range | Adds, removes, configures, or displays a range to a specified OSPF area.
routing ip ospf add/delete/set/show virtif | Adds, removes, configures, or displays an OSPF virtual interface.
routing ip ospf add/delete/show neighbor | Adds, removes, configures, or displays an OSPF neighbor.
routing ip ospf add/delete/show protofilter | Adds, removes, configures, or displays routing information sources for OSPF external routes.
routing ip ospf add/delete/show routefilter | Adds, removes, configures, or displays route filtering for OSPF external routes.
routing ip ospf show areastats | Displays OSPF area statistics.
routing ip ospf show lsdb | Displays the OSPF link state database.
routing ip ospf show virtifstats | Displays OSPF virtual link statistics.
routing ip relay set global | Configures DHCP Relay Agent global settings.
routing ip relay add/delete/set interface | Adds, removes, or configures DHCP Relay Agent settings on a specified interface.
routing ip relay add/delete dhcpserver | Adds or removes a DHCP server IP address to the list of DHCP server addresses.
routing ip relay show ifbinding | Displays IP address bindings for interfaces.
routing ip relay show ifconfig | Displays DHCP Relay Agent configuration for each interface.
routing ip relay show ifstats | Displays DHCP statistics for each interface.
routing ip rip set/show global | Configures global RIP-for-IP settings.
routing ip rip add/delete/set/show interface | Adds or configures RIP-for-IP settings on a specified interface.
routing ip rip add/delete peerfilter | Adds or removes a RIP peer filter.
routing ip rip add/delete acceptfilter | Adds or removes a RIP route filter to the list of routes being accepted.
routing ip rip add/delete announcefilter | Adds or removes a RIP route filter to the list of routes being announced.
routing ip rip add/delete/show neighbor | Adds or removes a RIP neighbor.
routing ip rip set/show flags | Configures advanced settings of RIP for IP on a specified interface.
routing ip rip show globalstats | Displays global RIP parameters.
routing ip rip show ifbinding | Displays IP address bindings for interfaces.
routing ip rip show ifstats | Displays RIP statistics for each interface.


IPX routing commands

The following table lists the netsh commands that you can type at a Windows 2000 command prompt to administer IPX settings on a computer running Windows 2000 Server and the Routing and Remote Access service. If there are multiple commands for a particular function, they are indicated by separating the individual commands with a slash (/). For example, the command routing ipx add/set staticroute is actually two separate commands: routing ipx add staticroute and routing ipx set staticroute.

When you type the command at the command prompt, precede each command with netsh. For the exact syntax of each command, type the command with the ? option. For example, to receive command-line Help on the netsh routing ipx add staticroute command, type netsh routing ipx add staticroute ? at the command prompt.

Command | Description
routing ipx add/set staticroute | Adds or configures a static IPX route in the IPX routing table.
routing ipx add/set staticservice | Adds or configures a static SAP service in the SAP service table.
routing ipx add/set filter | Adds or configures IPX packet filters on a specified interface.
routing ipx add/set interface | Enables IPX routing on a demand-dial interface or configures IPX settings on a specified interface.
routing ipx set global | Configures global IPX routing settings.
routing ipx rip add/set filter | Adds or configures RIP route filters.
routing ipx rip set global | Configures global RIP-for-IPX settings.
routing ipx rip set interface | Configures RIP-for-IPX settings on a specified interface.
routing ipx sap add/set filter | Adds or configures SAP service filters.
routing ipx sap set global | Configures global SAP-for-IPX settings.
routing ipx sap set interface | Configures SAP-for-IPX settings on a specified interface.
routing ipx netbios add nbname | Adds a static NETBIOS name to the IPX NetBIOS name table.
routing ipx netbios set interface | Configures NetBIOS over IPX settings on a specified interface.


Scheduling auto-static updates

You can automate scheduled updates by using a combination of Netsh utility scripts and Windows 2000 Task Scheduler. To perform an automated auto-static update by using Routing Information Protocol (RIP) for IP, use the following netsh commands:

netsh interface set interface name=DemandDialInterfaceName connect=CONNECTED

netsh routing ip rip update DemandDialInterfaceName

netsh interface set interface name=DemandDialInterfaceName connect=DISCONNECTED

For example, to automatically update the RIP-for-IP routes by using a demand-dial connection called CorpHub, you type the following netsh commands:

netsh interface set interface name=CorpHub connect=CONNECTED

netsh routing ip rip update CorpHub

netsh interface set interface name=CorpHub connect=DISCONNECTED

You can run these commands from a batch file or you can place them in a Netsh script file. For example, the script file Corphub.scp runs the following commands for CorpHub:

interface set interface name=CorpHub connect=CONNECTED

routing ip rip update CorpHub

interface set interface name=CorpHub connect=DISCONNECTED

To run the Corphub.scp script, type the following at a command prompt:

netsh -f corphub.scp

After the batch file or Netsh script file is created, you can execute the batch file or Netsh script on a scheduled basis by using Windows 2000 Task Scheduler.


Netsh commands for remote access

The following table lists the Netsh commands that you can type at a Windows 2000 command prompt to administer a remote access server running Windows 2000. If there are multiple commands for a particular function, they are indicated by separating the individual commands with a slash (/). For example, the command ras add/delete/show registeredserver is actually three separate commands: ras add registeredserver, ras delete registeredserver, and ras show registeredserver.

When you type the command at the command prompt, precede each command with netsh. For the exact syntax of each command, type the command with the ? option. For example, to receive command-line Help on the netsh ras add registeredserver command, type netsh ras add registeredserver ? at the command prompt.

Command | Description
ras add/delete/show registeredserver | Configures or displays whether the specified remote access server computer is a member of the RAS and IAS Servers security group in the Active Directory directory service of the specified domain. The change implemented by the ras add registeredserver and ras delete registeredserver commands do not take effect immediately (due to the way that Windows 2000 caches Active Directory information). For the change to take effect immediately, you need to restart the computer running Windows 2000.
ras show activeservers | Displays current remote access servers running Windows 2000 on your network.
ras set/show authmode | Configures or displays whether and when dial-in connections are authenticated.
ras add/delete/show authtype | Configures or displays the permitted authentication types.
ras add/delete/show client | Displays currently connected remote access clients.
ras add/delete/show link | Configures or displays the configuration of software compression and link control protocol (LCP) extensions.
ras add/delete/show multilink | Configures or displays Multilink and Bandwidth Allocation Protocol (BAP) settings.
ras set/show tracing | Configures or displays tracing settings.
ras set/show user | Configures or displays remote access settings for user accounts.
ras ip set access | Configures whether IP traffic from remote access clients is forwarded to the networks to which the remote access server is connected.
ras ip set addrassign | Configures the method by which the remote access server assigns IP addresses to incoming connections.
ras ip set addrreq | Configures whether remote access clients or demand-dial routers can request their own IP addresses.
ras ip show config | Displays IP remote access configuration.
ras ip set negotiation | Configures whether IP is negotiated for remote access connections.
ras ip delete pool | Deletes the static IP address pool.
ras ip add/delete range | Adds or removes a range of addresses from the static IP address pool.
ras ipx set access | Configures whether IPX traffic from remote access clients is forwarded to the networks to which the remote access server is connected.
ras ipx show config | Displays IPX remote access configuration.
ras ipx set negotiation | Configures whether IPX is negotiated for remote access connections.
ras ipx set/show netassign | Configures the method by which the remote access server assigns IPX network addresses to incoming connections.
ras ipx set nodereq | Configures whether remote access clients can request their own IPX node addresses.
ras ipx set pool | Configures the configuration of the IPX network address range.
ras netbeui set access | Configures or displays whether NetBEUI traffic from remote access clients is forwarded to the networks to which the remote access server is connected.
ras netbeui show config | Displays NetBEUI remote access configuration.
ras netbeui set/show negotiation | Configures or displays whether NetBEUI is negotiated for remote access connections.
ras appletalk set access | Configures or displays whether AppleTalk traffic from remote access clients is forwarded to the networks to which the remote access server is connected.
ras appletalk show config | Displays AppleTalk remote access configuration.
ras appletalk set negotiation | Configures or displays whether AppleTalk is negotiated for remote access connections.
ras aaaa set/show accounting | Configures or displays the accounting provider.
aaaa add/delete/set/show acctserver | Configures or displays RADIUS accounting servers.
ras aaaa set/show authentication | Configures or displays the authentication provider.
ras aaaa add/delete/set/show authserver | Configures or displays RADIUS authentication servers.

For more information about netsh, see The netsh command-line utility.


Administration tools in mixed environments

A mixed environment contains Windows NT 4.0 Remote Access Service (RAS) servers, Windows NT 4.0 Routing and Remote Access Service (RRAS) routers, and Windows 2000 routers.

Each platform used different administration tools, as follows:

  • With Windows 2000 routers, you use the Routing and Remote Access administrative tool.
  • With Windows 2000 routers, you use the Netsh command-line utility.
  • With Windows NT 4.0 RRAS routers, you use the Routing and RAS Admin administrative tool.
  • With Windows NT 4.0 RAS servers, you use the Remote Access Admin administrative tool.

The following sections describe the capabilities and behavior of each of these administrative tools when they are used against a platform for which they were not designed.

Routing and Remote Access against a Windows NT 4.0 RRAS router

You can use Routing and Remote Access to manage a Windows NT 4.0 RRAS router. However, due to the differences in configuration and features, you cannot do the following:

  • Configure the remote access properties. On Windows NT 4.0, you must configure these properties on the Windows NT 4.0 RRAS router through Network in Control Panel.
  • Install the Routing and Remote Access service or remove it.
  • Run Telnet.
  • Configure IP-in-IP tunnels.
  • Configure remote access policies.
  • Configure logging.
  • Configure dial-in hours.
  • Configure demand-dial filters.
  • Install IGMP or Network Address Translation (NAT) routing protocols.
  • Obtain multicast statistics.
  • Configure TCP/IP or IPX settings.

Routing and Remote Access against a Windows NT 4.0 RAS server

You cannot use Routing and Remote Access to manage a Windows NT 4.0 RAS server. When you select a Windows NT 4.0 RAS server, the Remote Access Admin administrative tool is started with the Windows NT 4.0 RAS server automatically selected.

Netsh against a Windows NT 4.0 RAS server or a Windows NT 4.0 RRAS router

You cannot use the Netsh command-line utility to manage a Windows NT 4.0 RAS server or a Windows NT 4.0 RRAS router.

Routing and RAS Admin against a Windows 2000 router

You cannot use Routing and RAS Admin to manage a Windows 2000 router. When you select a Windows 2000 router, the router is displayed. However, there are no routing nodes and you cannot configure the Windows 2000 router.

Routing and RAS Admin against a Windows NT 4.0 RAS server

You cannot use Routing and RAS Admin to manage a Windows NT 4.0 RAS server. When you select a Windows NT 4.0 RAS server, the Remote Access Admin administrative tool is started with the Windows NT 4.0 RAS server automatically selected.

Remote Access Admin against a Windows NT 4.0 RRAS router or a Windows 2000 router

You cannot use Remote Access Admin to manage a Windows NT 4.0 RRAS router or a Windows 2000 router. When you select a Windows NT 4.0 RRAS router or a Windows 2000 router, Remote Access Admin displays the "Remote Access Service is not started on the selected server" message.


Understanding the IP routing table

To troubleshoot routing problems, you must understand the routing table. Every computer that runs TCP/IP makes routing decisions that are determined by the IP routing table.

For information about displaying the IP routing table, see To view routing tables.

The following illustration shows an example of a routing table.

The IP routing table

The IP routing table contains information in the following columns:

  • Destination

    The destination is the destination host, subnet address, network address, or default route. The destination for a default route is 0.0.0.0.

  • Network mask

    The network mask is used in conjunction with the destination to determine when a route is used. For example, a host route has a mask of 255.255.255.255, a default route has a mask of 0.0.0.0, and a subnet or network route has a mask between these two extremes.

    A mask of 255.255.255.255 means that only an exact match of the destination uses this route. A mask of 0.0.0.0 means that any destination can use this route. When a mask is written in binary, a 1 is significant (must match) and a 0 is insignificant (does not need to match).

    For example, a destination of 172.16.8.0 has a network mask of 255.255.248.0. This network mask means that the first two octets must match exactly, the first five bits of the third octet must match (248=11111000) and the last octet does not matter. The third octet of 172.16.8.0 (that is, 8) equals 00001000 in binary. Without changing the first 5 bits (the masked-off portion shown in bold), you can go up to 15, or 00001111 in binary. So a route with a destination of 172.16.8.0 and a mask of 255.255.248.0 applies to all packets destined for 172.16.8.0 through 172.16.15.255.

  • Gateway

    The gateway is the IP address of the next router where a packet needs to be sent. On a LAN link (such as Ethernet or token ring), the gateway must be directly reachable by this router by using the interface indicated in the Interface column. On a LAN link, both the gateway and interface determine how the traffic is being forwarded by the router. For a demand-dial interface, the gateway address is not configurable. On a point-to-point link, the interface determines how the traffic is being forwarded by the router.

  • Interface

    The interface indicates the LAN or demand-dial interface that is to be used to reach the next router.

  • Metric

    The metric indicates the relative cost of using the route to reach the destination. A typical metric is hops, or the number of routers to cross to reach the destination. If there are multiple routes with the same destination, the route with the lowest metric is the best route.

  • Protocol

    The protocol shows how the route was learned. If the Protocol column lists RIP, OSPF, or anything other than Local, then the router is receiving routes.


Using the ping command

If you are having connectivity problems, you can use the ping command to check the destination IP address you want to reach and record the results. The ping command displays whether the destination responded and how long it took to receive a reply. If there is an error in the delivery to the destination, the ping command displays an error message.

You can use the ping command to:

  • Ping your computer (by address, not host name) to determine that TCP/IP is functioning. (Pinging your computer does not verify that your network adapter is functioning.)
  • Ping the local router to determine whether the router is running.
  • Ping beyond your local router.

The following table shows some useful ping command options.

Option | Use
–n Count | Determines the number of echo requests to send. The default is 4 requests.
–w Timeout | Enables you to adjust the time-out (in milliseconds). The default is 1,000 (a 1-second time-out).
–l Size | Enables you to adjust the size of the ping packet. The default size is 32 bytes.
–f | Sets the Do Not Fragment bit on the ping packet. By default, the ping packet allows fragmentation.

For more information about other ping options, see Command-line utilities.

To check connectivity by using the ping command, at the command prompt, type ping and the IP address you want to reach.

A response of "Destination net unreachable" means there was no route to the destination. You need to check the routing table on the router listed in the "Reply from" address in the "Destination net unreachable" message. For more information about the routing table, see Understanding the IP routing table.

A response of "Request timed out" means that there was no response to the ping in the default time period (1 second). You can check for the following:

  • A router is down.

    • To check the routers in the path between the source and the destination, use the tracert command. For more information, see Using the tracert command.

  • The destination host is down.

    • Physically verify that the host is running or check connectivity through another protocol.

  • There is no route back to your computer.

    • If the host is running, you can check for a return route by viewing the default gateway and local routing table on the destination host.

  • The latency of the response is more than one second.

    • Use the -w option on the ping command to increase the time-out. For example, to allow responses within 5 seconds, use ping –w 5000.


Using the tracert command

If you are having connectivity problems, you can use the tracert command to check the path to the destination IP address that you want to reach and record the results. The tracert command displays the series of IP routers that are used in delivering packets from your computer to the destination and how long it took on each hop. If the packets are unable to be delivered to the destination, the tracert command displays the last router that successfully forwarded your packets.

For more information about the tracert command, you can type tracert –? at a command prompt.

The most common use of tracert is as follows:

tracert IP address [–d]

This returns a list of the routers that are crossed to get to IP address. By using the –d option, the router path is displayed faster because tracert does not try to resolve the names of the routers in the path.


Using the pathping command

The pathping command is a route tracing tool that combines features of the ping and tracert commands with additional information that neither of those tools provides. The pathping command sends packets to each router on the way to a final destination over a period of time, and then computes results based on the packets returned from each hop. Since the command shows the degree of packet loss at any given router or link, it is easy to determine which routers or links might be causing network problems. A number of switches are available, as shown in the following table.

Switch | Name | Function
-n | Hostnames | Does not resolve addresses to host names.
-h | Maximum hops | Maximum number of hops to search for target.
-g | Host-list | Loose source route along host list.
-p | Period | Number of milliseconds to wait between pings.
-q | Num_queries | Number of queries per hop.
-w | Timeout | Waits this many milliseconds for each reply.
-T | Layer 2 tag | Attaches a layer-2 priority tag (for example, for IEEE 802.1p) to the packets and sends it to each of the network devices in the path. This helps in identifying the network devices that do not have layer-2 priority configured properly. The -T switch is used to test for Quality of Service (QoS) connectivity.
-R | RSVP test | Checks to determine whether each router in the path supports the Resource Reservation Protocol (RSVP), which allows the host computer to reserve a certain amount of bandwidth for a data stream. The -R switch is used to test for Quality of Service (QoS) connectivity.

The default number of hops is 30, and the default wait time before a time-out is 3 seconds. The default period is 250 milliseconds, and the default number of queries to each router along the path is 100.

The following is a typical pathping report. The compiled statistics that follow the hop list indicate packet loss at each individual router.

D:\>pathping -n msw

Tracing route to msw [7.54.1.196]
over a maximum of 30 hops:
  0  172.16.87.35
  1  172.16.87.218
  2  192.68.52.1
  3  192.68.80.1
  4  7.54.247.14
  5  7.54.1.196

Computing statistics for 125 seconds...
            Source to Here   This Node/Link
Hop  RTT    Lost/Sent = Pct  Lost/Sent = Pct  Address
  0                                           172.16.87.35
                                0/ 100 =  0%   |
  1   41ms     0/ 100 =  0%     0/ 100 =  0%  172.16.87.218
                               13/ 100 = 13%   |
  2   22ms    16/ 100 = 16%     3/ 100 =  3%  192.68.52.1
                                0/ 100 =  0%   |
  3   24ms    13/ 100 = 13%     0/ 100 =  0%  192.68.80.1
                                0/ 100 =  0%   |
  4   21ms    14/ 100 = 14%     1/ 100 =  1%  7.54.247.14
                                0/ 100 =  0%   |
  5   24ms    13/ 100 = 13%     0/ 100 =  0%  7.54.1.196

Trace complete.

When pathping is run, you first see the results for the route as it is tested for problems. This is the same path that is shown by the tracert command. The pathping command then displays a busy message for the next 125 seconds (this time varies by the hop count). During this time, pathping gathers information from all the routers previously listed and from the links between them. At the end of this period, it displays the test results.

The two rightmost columns—This Node/Link Lost/Sent=Pct and Address—contain the most useful information. The link between 172.16.87.218 (hop 1), and 192.68.52.1 (hop 2) is dropping 13 percent of the packets. All other links are working normally. The routers at hops 2 and 4 also drop packets addressed to them (as shown in the This Node/Link column), but this loss does not affect their forwarding path.

The loss rates displayed for the links (marked as a | in the rightmost column) indicate losses of packets being forwarded along the path. This loss indicates link congestion. The loss rates displayed for routers (indicated by their IP addresses in the rightmost column) indicate that those routers’ CPUs might be overloaded. These congested routers might also be a factor in end-to-end problems, especially if packets are forwarded by software routers.


Using the IP multicasting utilities

IP multicasting utilities in Windows 2000 consists of the following:

  • The mrinfo command.
  • Netsh support for multicast troubleshooting.
  • Support for the mtrace command.

The mrinfo command

Windows 2000 includes the mrinfo command that displays the configuration of a multicast router. You can use the configuration information to aid in the troubleshooting of multicast forwarding and routing problems.

The mrinfo command queries a specified multicast router with an Internet Group Management Protocol (IGMP) message. The response to the query contains a version number, the list of interfaces and the neighbors on each interface, metrics, Time to Live (TTL) thresholds, and flags. The syntax of the mrinfo command is:

mrinfo [-n] [ -i address ] [ -r retry_count ] [ -t timeout_count ] multicast_router
  • The -n option displays IP addresses in numeric format.
  • The -i option specifies the IP address of the interface from which you want to send the mrinfo query. By default, the interface from which to send the mrinfo query is determined by the IP routing table.
  • The -r option specifies the neighbor query retry limit. The default value is 3.
  • The -t option specifies how long in seconds mrinfo waits for a neighbor query reply. The default value is 4.

The following is an example of the mrinfo command:

C:\>mrinfo 10.1.0.1
10.1.0.1	(test1.ntdev.microsoft.com) [version 18.55,mtrace,snmp]:
    10.1.0.1 -> 0.0.0.0 (local) [1/0/querier/leaf]
    10.2.0.1 -> 10.2.0.2 (test2.ntdev.microsoft.com) [1/0]
    10.2.0.1 -> 10.2.0.3 (test3.ntdev.microsoft.com) [1/0]
    10.3.0.1 -> 0.0.0.0 (local) [1/0/querier/leaf]

In the above example, mrinfo is run against the multicast router at 10.1.0.1. The first line shows the multicast router configuration: version number (for Windows 2000 routers, the version number reflects the build number of Windows 2000) and flags (mtrace and snmp supported).

Each additional line displays the interfaces on the multicast router and the neighbors on each interface. Interfaces 10.1.0.1 and 10.3.0.1 have no neighbors. Interface 10.2.0.1 has two neighbors, 10.2.0.2 and 10.2.0.3. For each line, mrinfo displays the interface and neighbor, the domain name for the neighbor, the multicast routing metric, the TTL threshold, and flags indicating its role on the network such as the IGMP querier of the network (querier) or whether it has no neighbors (leaf).

For more information on the mrinfo command and other commands and methods of gathering information to troubleshoot multicast routing and forwarding problems, see the "Multicast Debugging Handbook" Internet draft (draft-ietf-mboned-mdh-0x.txt).

For information about obtaining Internet drafts, see Routing RFCs.

Netsh support for multicast troubleshooting

To view multicast tables and gather information to aid in the troubleshooting of multicast routing and forwarding problems, you can use the following netsh commands:

  • netsh routing ip show mfe

    • Displays the entries in the multicast forwarding table. This is equivalent to the Multicast Forwarding Table available in Routing and Remote Access. To view the Multicast Forwarding Table from within Routing and Remote Access, under IP Routing, right-click General, and then click Show Multicast forwarding table.

  • netsh routing ip show mfestats

    • Displays packet statistics and input and output interface information for multicast forwarding entries in the multicast forwarding table. This is equivalent to the Multicast Statistics table available in Routing and Remote Access. To view the Multicast Statistics table from within Routing and Remote Access, under IP Routing, right-click General, and then click Show Multicast statistics.

  • netsh interface ip show joins

    • Displays the multicast groups locally joined on each interface.

Support for the mtrace command

Although Windows 2000 does not provide a version of the Mtrace multicasting utility, the Windows 2000 multicast router does respond to mtrace command queries from other Mtrace utilities.


Using event logging

The Windows 2000 Router does extensive error logging in the system event log. You can use information in the event logs to troubleshoot routing processes.

Four levels of logging are available:

  • Log errors only
  • Log errors and warnings (the default)
  • Log the maximum amount of information
  • Disable event logging

For example, if an OSPF router is unable to establish an adjacency on an interface, you can:

  1. Disable OSPF on the interface.
  2. Change the level of logging for OSPF to log the maximum amount of information.
  3. Enable OSPF on the interface.
  4. Examine the system event log for information on the OSPF adjacency process.
  5. Change the level of logging for OSPF to log error information only.

You can further troubleshoot the adjacency problem by analyzing the OSPF entries in the system event log.

Logging is available in the following dialog boxes:

  • General tab of the properties of IP Routing\General
  • General tab of the properties of IP Routing\NAT
  • General tab of the properties of IP Routing\RIP
  • General tab of the properties of IP Routing\OSPF
  • General tab of the properties of IP Routing\IGMP
  • General tab of the properties of IPX Routing\General
  • General tab of the properties of IPX Routing\RIP for IPX
  • General tab of the properties of IPX Routing\SAP for IPX

Notes

  • Logging consumes system resources and should be used sparingly to help identify network problems. After the event has been logged or the problem is identified, you should immediately reset logging to its default value (log errors and warnings).
  • When logging the maximum amount of information, the logging information can be complex and very detailed. Some of this information is useful only to Microsoft Product Support Services engineers or to network administrators who are very experienced with the Windows 2000 Routing and Remote Access service.


Using tracing

The Windows 2000 router has an extensive tracing capability that you can use to troubleshoot complex network problems. You can enable the components in Windows 2000 Server to log tracing information to files. You must enable the tracing function by changing settings in the Windows 2000 registry under:

HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Tracing

Caution

  • Incorrectly editing the registry may severely damage your system. Before making changes to the registry, you should back up any valued data on the computer.

You enable tracing for each routing protocol by setting the registry values described later in this section. You can enable and disable tracing for routing protocols while the router is running. Each routing protocol is capable of tracing and appears as a subkey (such as OSPF and RIPV2) under the preceding registry key.

To enable tracing for each routing protocol, you can configure the following registry value entries for each protocol key:

  • EnableFileTracing REG_DWORD 1

    You can enable logging tracing information to a file by setting EnableFileTracing to 1. The default value is 0.

  • FileDirectory REG_EXPAND_SZ Path

    You can change the default location of the tracing files by setting FileDirectory to the path you want. The file name for the log file is the name of the component for which tracing is enabled. By default, log files are placed in the systemroot\Tracing folder.

  • FileTracingMask REG_DWORD LevelOfTracingInformationLogged

    FileTracingMask determines how much tracing information is logged to the file. The default value is FFFF0000.

  • MaxFileSize REG_DWORD SizeOfLogFile

    You can change the size of the log file by setting different values for MaxFileSize. The default value is 10000 (64K).

Notes

  • Tracing consumes system resources and should be used sparingly to help identify network problems. After the trace is captured or the problem is identified, you should immediately disable tracing. Do not leave tracing enabled on multiprocessor computers.
  • The tracing information can be complex and very detailed. Most of the time this information is useful only to Microsoft Product Support Services engineers or to network administrators who are very experienced with the Windows 2000 router.


Troubleshooting

This section covers:

  • Common routing problems
  • Troubleshooting RIP for IP
  • Troubleshooting OSPF
  • Troubleshooting network address translation
  • Troubleshooting the DHCP relay agent
  • Troubleshooting IP multicast
  • Troubleshooting RIP and SAP for IPX
  • Troubleshooting demand-dial routing


Common routing problems

What problem are you having?

The Windows 2000 router is not properly forwarding traffic.

Cause: The Routing and Remote Access service is not running

Solution: Verify that the Routing and Remote Access service is running.

See also: To determine the status of the Routing and Remote Access service

Cause: Routing is not enabled

Solution: Verify that routing is enabled.

See also: To enable LAN and WAN routing

Cause: IP routing is not enabled

Solution: Verify that IP routing is enabled on the IP tab for the properties of the server.

See also: To view properties of the remote access server

Cause: The router is not receiving routes from routing protocols.

Solution: Verify whether the router is receiving routes from routing protocols.

For example, in the IP routing table, the Protocol column shows how the route was learned. If the Protocol column lists RIP or OSPF (or anything other than Local), then the router is receiving routes.

See also: To determine whether the router is receiving routes; Understanding the IP routing table

Cause: The proper routing protocols are not enabled on the proper interfaces.

Solution: Verify that the proper routing protocols are enabled on the proper interfaces.

In Routing and Remote Access, you can click IP Routing or IPX Routing to see what routing protocols are installed. You can then click a routing protocol to see what interfaces are using that routing protocol.

For an interface running OSPF, you must verify that OSPF is enabled on that interface.

See also: To verify that OSPF is enabled

Cause: Your TCP/IP configuration is incorrect.

Solution: Verify your TCP/IP configuration by using the ipconfig command.

Unlike hosts, routers are typically configured with a static TCP/IP configuration rather than by using DHCP. Verify that you are using the correct subnet mask for your environment. To verify that you are using the correct subnet mask, you can use the ping command to try to ping hosts on your network segment and your neighboring routers.

See also: Using the ping command

Cause: Your default route configuration is incorrect.

Solution: Verify your default route configuration.

Unlike hosts, routers are not normally configured with a default gateway. Instead, a default route is used to forward all traffic with an unknown destination. If default routing is to be used on the router, a default route is either learned through routing protocols or configured on the router. If a default route is not being learned through routing protocols (for example, when you connect a network to the Internet), you should configure a static default route on the router.

For a statically configured default route, you need to check the configuration to make sure the route is using the correct interface. If the interface being used is a LAN interface, such as Ethernet or Token Ring, the Gateway IP address for the route must be a directly reachable IP address on the same network the selected interface.

See also: To add a default static IP route

To reset a Windows 2000 router back to default values, see To reset the Routing and Remote Access service.


Troubleshooting RIP for IP

What problem are you having?

There are improper routes in a mixed RIP v1 and RIP v2 environment.

Cause: RIP v2 routers are configured to multicast announcements. Multicast announcements are never received by RIP v1 routers.

Solution: On networks containing RIP v1 routers, verify that RIP v2 is configured to broadcast its announcements on networks that contain RIP v1 routers and verify that the RIP v2 router interfaces are configured to accept both RIP v1 and RIP v2 announcements.

See also: To configure RIP version 2

Silent RIP hosts are not receiving routes.

Cause: RIP v2 routers are configured to multicast announcements. Multicast announcements are never received by silent RIP hosts.

Solution: If there are Silent RIP hosts on a network that are not receiving routes from the local RIP router, verify the version of RIP supported by the Silent RIP hosts. For example, if the Silent RIP hosts only support listening for broadcasted, RIP v1 announcements, you cannot use RIP v2 multicasting.

If you are using the RIP listener component, available on Microsoft Windows NT Workstation version 4.0, Service Pack 4 and later, or the Windows 2000 RIP Listening Service, you must configure your RIP routers for RIP v1 or RIP v2 broadcasting.

See also: To configure RIP version 2

RIP routers are not receiving expected routes.

Cause: You are deploying variable length subnetting, disjointed subnets, or supernetting in a RIP v1 or mixed RIP v1 and RIP v2 environment.

Solution: Do not deploy variable length subnetting, disjointed subnets, or supernetting in a RIP v1 or mixed RIP v1 and RIP v2 environment.

See also: Windows 2000 Resource Kit

Cause: Your password is not matched for all the RIP v2 interfaces on a network segment.

Solution: If authentication is enabled, verify that all interfaces on the same network are using the same case-sensitive password.

See also: To enable authentication

Cause: RIP peer filtering is not configured correctly.

Solution: If RIP peer filtering is being used, verify that the correct IP addresses for the neighboring peer RIP routers are configured.

See also: To add peer filters

Cause: RIP route filtering is not configured correctly.

Solution: If RIP route filtering is being used, verify that the ranges of network IDs for your internetwork are included or are not being excluded.

See also: To add route filters

Cause: RIP neighbors are not configured correctly.

Solution: If RIP neighbors are configured, verify that the correct IP addresses are configured for the unicasted RIP announcements.

See also: To add a unicast neighbor

Cause: IP packet filtering is preventing the receiving (through input filters) or sending (through output filters) of RIP traffic.

Solution: Verify that IP packet filtering on the router interfaces is not preventing the receiving (through input filters) or sending (through output filters) of RIP traffic. RIP traffic uses User Datagram Protocol (UDP) port 520.

See also: Manage packet filters

Cause: TCP/IP filtering is preventing the receiving of RIP traffic.

Solution: Verify that TCP/IP filtering on the router interfaces is not preventing the receiving of RIP traffic. RIP traffic uses UDP port 520.

See also: To configure TCP/IP to use TCP/IP filtering

Cause: You are using auto-static RIP and you did not do an initial manual update.

Solution: When you use auto-static RIP on a demand-dial interface, the first time you make a connection, you must manually update routes.

You must also update routes manually on the router for the corresponding interface. The routes then appear in the IP routing table.

See also: Perform auto-static updates; To view routing tables

Auto-static RIP updates are not working.

Cause: The demand-dial interfaces are configured to broadcast announcements.

Solution: For dial-up demand-dial interfaces that use auto-static updates, configure the demand-dial interfaces to use RIP v2 multicast as the outgoing packet protocol. When a router calls another router, each router receives an IP address from the IP address pool of the other router, which are on different subnets. Because broadcasted RIP messages are addressed to the subnet broadcast address, each router does not process the other router's broadcasted request for routes. Using multicasting, RIP requests and announcements are processed regardless of the subnet for the router interfaces.

See also: To configure RIP version 2

Host or default routes are not being propagated.

Cause: RIP by default is not configured to propagate host or default routes.

Solution: If host routes or default routes need to be propagated, change the default settings on the Advanced tab of the properties of a RIP interface.


Troubleshooting OSPF

What problem are you having?

OSPF adjacency is not forming.

Cause: OSPF is not enabled on the interface.

Solution: Verify that OSPF is enabled on the interface on the network segment where an adjacency should form. By default, when you add an interface to the OSPF routing protocol, OSPF is disabled for the interface and must be manually enabled.

See also: To verify that OSPF is enabled

Cause: Adjacency should not form.

Solution: Verify that the two neighboring routers should form an adjacency. If the two routers are the only routers on the network, an adjacency should form. If there are more than two routers on the network, adjacencies only form with the designated router (DR) and backup designated router (BDR). If the two routers have already formed adjacencies with the DR and the BDR, they cannot form adjacencies with each other. In this case, the neighbor should appear as 2-way under Neighbor State (in the Neighbors dialog box from IP Routing\General).

See also: Windows 2000 Resource Kit; To view routing tables

Cause: No IP connectivity to a neighboring router.

Solution: Ping the neighboring router to ensure basic IP and network connectivity. You can use the tracert command to trace the route to the neighboring router. There should not be any routers between the neighboring routers.

See also: Using the ping command; Using the tracert command

Cause: Adjacency cannot form because of mismatched OSPF configuration.

Solution: Use OSPF logging to log errors and warnings to record information on why the adjacency is not forming.

See also: Using event logging

Cause: Mismatched authentication setting or mismatched passwords.

Solution: Verify that the areas are enabled for authentication and the OSPF interfaces are using the same password. Windows 2000 OSPF routers have authentication enabled by default and the default password is 12345678. You need to change the authentication to match all neighboring OSPF routers on the same network. The password can vary per network.

See also: To create an OSPF area; To set a password on an OSPF interface

Cause: The neighboring routers are not configured for the same hello or dead interval.

Solution: Verify that the neighboring routers are configured for the same hello and dead intervals. By default the hello interval is 10 seconds and the dead interval is 40 seconds.

See also: To configure the hello and dead intervals

Cause: Mismatched stub area configuration on neighboring routers.

Solution: Verify that the routers agree as to whether the area to which the common network segment belongs is a stub area or not.

See also: To create an OSPF area

Cause: Neighboring routers have mismatched Area IDs.

Solution: Verify that the interfaces of the neighboring routers are configured with the same Area ID.

See also: To create an OSPF area

Cause: Non-Broadcast Multiple Access (NBMA) interfaces are not configured with OSPF neighbors.

Solution: If the routers are on a NBMA network such as X.25 or Frame Relay that operate in single interface mode, their neighbors must be manually configured by using the unicast IP address of the neighbor or neighbors to which the OSPF packets need to be sent.

See also: To add an OSPF neighbor; OSPF design considerations

Cause: All router interfaces are set to a router priority of 0.

Solution: On broadcast networks (Ethernet, Token Ring, FDDI) or NBMA networks (X.25 and Frame Relay operating in single interface mode), verify that all routers do not have a router priority of 0. At least one router must have a router priority of 1 or greater so that it can become the DR for the network.

See also: To configure an OSPF interface

Cause: IP packet filtering is preventing the receiving (through input filters) or sending (through output filters) of OSPF traffic.

Solution: Verify that IP packet filtering on the router interfaces is not preventing the receiving (through input filters) or sending (through output filters) of OSPF traffic. OSPF traffic uses IP protocol number 89.

See also: Manage packet filters

Cause: TCP/IP filtering is preventing the receiving of OSPF traffic.

Solution: Verify that TCP/IP filtering on the router interfaces is not preventing the receiving of OSPF traffic. OSPF traffic uses IP protocol number 89.

See also: To configure TCP/IP to use TCP/IP filtering

A virtual link is not forming.

Cause: Mismatched configuration of password, hello interval, or dead interval.

Solution: Verify that the virtual link neighbor routers are configured for the same password, hello interval, and dead interval.

See also: To add a virtual interface

Cause: The router ID of the virtual link neighbor is configured incorrectly.

Solution: For each router, verify that the router ID of the virtual link neighbor is correctly configured. The router ID is found on the General tab on the properties of the OSPF routing protocol.

See also: Windows 2000 Resource Kit; To add a virtual interface

Cause: Virtual link neighbors are configured for the incorrect transit area ID.

Solution: Verify that both virtual link neighbors are configured for the same correct transit area ID.

See also: Windows 2000 Resource Kit; To add a virtual interface

Cause: The retransmit interval is not long enough.

Solution: For large internetworks with substantial round-trip delays across the transit area, verify that the retransmit interval is long enough.

See also: Windows 2000 Resource Kit; To add a virtual interface

Lack of OSPF routes or existence of improper OSPF routes.

Cause: Not receiving summarized routes.

Solution: If you are not receiving summarized OSPF routes for an area, verify that the area border routers (ABRs) for the area are configured with the proper {Destination, Network mask} pairs summarizing that area's routes.

See also: Windows 2000 Resource Kit; To configure ranges for an OSPF area

Cause: You are receiving both individual and summarized OSPF routes for an area.

Solution: Verify that all the ABRs for the area are configured with the proper {Destination, Network mask} pairs summarizing that area's routes.

See also: Windows 2000 Resource Kit; To configure ranges for an OSPF area

Cause: You are not receiving external routes from the autonomous system boundary router (ASBR).

Solution: Verify that the source and route filtering that is configured on the ASBR is not too restrictive, preventing proper routes from being propagated to the OSPF autonomous system. External source and route filtering is configured on the External Routing tab on the properties of the OSPF routing protocol.

See also: Windows 2000 Resource Kit; To configure an ASBR

Cause: All ABRs are not connected to the backbone.

Solution: Verify that all ABRs are either physically connected to the backbone or logically connected to the backbone by using a virtual link. There should not be backdoor routers, which are routers that connect two areas without going through the backbone.

See also: Windows 2000 Resource Kit


Troubleshooting network address translation

What problem are you having?

The network address translation computer is not properly translating packets.

Cause: Network address translation interfaces are not properly configured.

Solution: You must add both public (Internet) and private (small office or home office) interfaces to the Network Address Translation (NAT) routing protocol.

You need to verify that the interface on the Windows 2000 router that connects to the Internet is configured for translation. The Public interface connected to the Internet option on the General tab of the properties of the Internet interface should be selected.

You need to verify that the interfaces on the Windows 2000 router that connects to the small office or home office are properly configured. The Private interface connected to private network option on the General tab of the properties of the home network interface should be selected.

See also: To add an interface to the network address translation

Cause: TCP/UDP port translation is not enabled.

Solution: If you have more private hosts than public IP addresses, you need to verify that the Translate TCP/UDP headers (recommended) check box on the General tab of the properties of the public interface is selected.

Cause: Your range of public addresses is not configured correctly.

Solution: If you have multiple public IP addresses, you need to verify that they are properly entered on the Address Pool tab of the properties of the Internet interface. If your address pool includes an IP address that was not allocated to you by your ISP, then inbound Internet traffic that is mapped to that IP address may be routed by the ISP to another location.

See also: To configure interface IP address ranges

Cause: The traffic being forwarded by the network address translation computer is not translatable.

Solution: If you have some programs that do not seem to work through the network address translation computer, you can try running them from the network address translation computer. If they work from the network address translation computer and not from a computer on the private network, then the payload of the program may not be translatable. Check the protocol being used by the program against the list of supported NAT editors.

See also: NAT editors

Cause: Your range of private addresses is configured incorrectly.

Solution: You need to verify that the range of addresses configured on the Addressing tab of the properties of the Network Address Translation (NAT) routing protocol corresponds to a private network (10.0.0.0 with a subnet mask of 255.0.0.0, 172.16.0.0 with a subnet mask of 255.240.0.0, 192.168.0.0 with a subnet mask of 255.255.0.0) or a subnet of a private network. The default range of addresses is 192.168.0.0 with a subnet mask of 255.255.255.0.

See also: To enable network address translation addressing

Cause: IP packet filtering is preventing the receiving or sending of IP traffic.

Solution: You need to verify that IP packet filtering on the private network and Internet interfaces is not preventing the receiving (input filters) or sending (output filters) of Internet-based traffic.

See also: Manage packet filters

Private network hosts are not receiving IP address configuration.

Cause: Network address translation addressing is not enabled on the private interface.

Solution: You need to verify that network address translation addressing is enabled on the interface that corresponds to your small office or home office network segment.

See also: To enable network address translation addressing

Name resolution for private network hosts is not working.

Cause: Network address translation name resolution is not enabled on the private interface.

Solution: You need to verify that network address translation name resolution is enabled on the interface that corresponds to your small office or home office network segment.

See also: To enable network address translation name resolution

Cause: The network address translation computer is not properly configured for name resolution.

Solution: If computers on the small office or home office network are not able to resolve names to IP addresses, then you can check the name resolution configuration of the network address translation computer by using the ipconfig command. There are two ways that you can configure name resolution when dialing an ISP:

  • Statically assigned name servers

    • You must manually configure the TCP/IP protocol with the IP address (or addresses) of the name servers provided by the ISP. If you have statically assigned name servers, you can use the ipconfig command at any time to get the IP addresses of your configured name servers.

  • Dynamically assigned name servers

    • Manual configuration is not required. The IP addresses of the name servers provided by the ISP are dynamically assigned whenever you dial the ISP. If you have dynamically assigned name servers, you must run the ipconfig command after a connection to the ISP has been made.


Troubleshooting the DHCP Relay Agent

What problem are you having?

The DHCP Relay Agent is not providing relay services for DHCP clients on a network segment.

Cause: The interface on the Windows 2000 router that connects to the network segment where the DHCP clients are located is not added to the DHCP Relay Agent IP routing protocol.

Solution: Verify that the interface on the Windows 2000 router that connects to the network segment where the DHCP clients are located is added to the DHCP Relay Agent IP routing protocol.

See also: To enable the DHCP Relay Agent on a router interface

Cause: The Relay DHCP packets check box is not selected for the DHCP Relay Agent interface that is connected to the network segment where the DHCP clients are located.

Solution: Verify that the Relay DHCP packets check box is selected for the DHCP Relay Agent interface that is connected to the network segment where the DHCP clients are located.

Cause: The IP addresses of DHCP servers configured on the global properties of the DHCP Relay Agent are incorrect.

Solution: Verify that the IP addresses of DHCP servers configured on the global properties of the DHCP Relay Agent are the correct IP addresses for DHCP servers on your internetwork.

See also: To configure global DHCP Relay Agent properties

Cause: The correctly configured DHCP servers are not reachable.

Solution: From the router with the DHCP Relay Agent enabled, use the ping command to ping each of the DHCP servers that are configured in the global DHCP Relay Agent dialog box. If you cannot ping the DHCP servers from the DHCP Relay Agent router, troubleshoot the lack of connectivity between the DHCP Relay Agent router and the DHCP server or servers.

See also: Troubleshooting

Cause: IP packet filtering is preventing the receiving (through input filters) or sending (through output filters) of DHCP traffic.

Solution: Verify that IP packet filtering on the router interfaces is not preventing the receiving (through input filters) or sending (through output filters) of DHCP traffic. DHCP traffic uses the User Datagram Protocol (UDP) ports of 67 and 68.

See also: Manage packet filters

Cause: TCP/IP filtering is preventing the receiving of DHCP traffic.

Solution: Verify that TCP/IP filtering on the router interfaces is not preventing the receiving of DHCP traffic. DHCP traffic uses the UDP ports of 67 and 68.

See also: To configure TCP/IP to use TCP/IP filtering


Troubleshooting IP multicast

What problem are you having?

The IGMP router does not work correctly.

Cause: The network adapters that are installed may not support multicast promiscuous mode.

Solution: Multicast promiscuous mode is a special mode of the network adapter in which all multicasted traffic is passed up to the network operating system. Multicast promiscuous mode is not supported by all network adapters. If Windows 2000 fails to put the network adapter into multicast promiscuous mode during the initialization of the IGMP router component, then an event is logged in the System Event Log. The event has the following attributes:

  • Source: IP Router Manager
  • Event ID: 20157
  • Message text: The interface [name of the interface] could not be enabled for multicast. IGMP router will not be activated over this interface.

See also: Using the IP multicasting utilities


Troubleshooting RIP and SAP for IPX

What problem are you having?

IPX or SAP traffic is not forwarding properly.

Cause: Your IPX configuration is incorrect.

Solution: Verify your IPX configuration.

You can troubleshoot your IPX configuration by first verifying that your routers are configured for the correct external network number, frame type, and internal network number. You can obtain this information by typing ipxroute config at a command prompt.

Cause: An interface is in a disabled state.

Solution: Verify that the Routing and Remote Access service is running.

You can select an interface and check to see if the interface is enabled and if the network is operational:

  • The Administrative State for an interface should be Enabled.
  • The Operational State for an interface should be Up.

See also: To check the state of an interface; To determine the status of the Routing and Remote Access service

Cause: The RIP-for-IPX or SAP-for-IPX routing protocol is not enabled on the interface.

Solution: Enable the RIP-for-IPX or SAP-for-IPX protocol on the interface.

Depending on which protocol you are using, you must have RIP for IPX or SAP for IPX enabled on the interface before routes and advertisements can be received or advertised over the interface. You must also configure the interface to advertise and accept routes or services.

See also: To enable RIP on an interface; To enable SAP on an interface

Cause: The update interval is incorrect.

Solution: Verify the update interval.

For LAN interfaces, you need to make sure that the update mode is set to Standard. Also, it is recommended that the update intervals be the same for routers on the same network. By default, Update Interval is set at 60 seconds and Aging Interval Multiplier is set at 3 multiplied by the value of Update Interval.

See also: To set the update interval

Cause: IPX packet filters are configured incorrectly.

Solution: Verify the configuration of IPX packet filters.

You need to make sure that input and output filters are properly set either to filter out unwanted traffic or to allow desired traffic.

See also: To set input and output filters

Cause: You are using auto-static RIP and you did not do an initial manual update.

Solution: When you use auto-static RIP on a demand-dial interface, the first time you make a connection, you must manually update routes.

You must also update routes manually on the router for the corresponding interface. The routes then appear under Static Routes. (Update routes updates RIP for IPX as well as SAP for IPX.)

See also: Perform auto-static updates


Troubleshooting demand-dial routing

What problem are you having?

On-demand connection is not made automatically.

Cause: IP routing is not enabled

Solution: Verify that IP routing is enabled on the IP tab on the properties of the server.

See also: To view properties of the remote access server

Cause: Static routes are configured incorrectly.

Solution: Verify that the correct static routes exist and are configured with the appropriate demand-dial interface.

See also: To add a static route

Cause: A static route cannot initiate a demand-dial connection.

Solution: For the static routes that use a demand-dial interface, verify that the Use this route to initiate demand-dial connections check box is selected.

See also: To add a static route

Cause: The demand-dial interface is disabled.

Solution: Verify that the demand-dial interface is not in a disabled state. To enable, under Routing Interfaces, right-click the demand-dial interface, and then click Enable.

Cause: Dial-out hours are preventing the connection from initiating.

Solution: Verify that the dial-out hours for the demand-dial interface on the calling router are not preventing the connection attempt.

See also: To configure dial-out hours

Cause: Demand-dial filters are preventing the connection from initiating.

Solution: Verify that the demand-dial filters for the demand-dial interface on the calling router are not preventing the connection attempt.

See also: To configure demand-dial filters

Unable to make a demand-dial connection.

Cause: The Routing and Remote Access service is not started on the calling router and the answering router.

Solution: Verify the state of the Routing and Remote Access service on the calling router and the answering router.

See also: To monitor the Routing and Remote Access service

Cause: The demand-dial interface is in an unreachable state.

Solution: Determine the unreachable reason. If a demand-dial connection fails, the demand-dial interface is in a unreachable state. The Routing and Remote Access service records the reason why the connection failed through the unreachability reason. Based on the information in the unreachability reason, you can perform further troubleshooting.

See also: To check the unreachability reason

Cause: LAN and WAN routing is not enabled on the calling router and the answering router.

Solution: Enable LAN and demand-dial routing on the calling router and the answering router.

See also: To enable LAN and WAN routing

Cause: Demand-dial connections for the protocols being routed are not allowed.

Solution: Verify that IP-based remote access and demand-dial connections are allowed (on the IP tab on the properties of the server). Verify that IPX-based remote access and demand-dial connections are allowed (on the IPX tab on the properties of the server).

See also: To view properties of the remote access server

Cause: Dial-up, PPTP, or L2TP ports are not enabled for inbound and outbound demand-dial routing connections.

Solution: Enable dial-up, PPTP, or L2TP ports for inbound and outbound demand-dial routing connections.

See also: To enable routing on ports

Cause: All of the ports on the calling or answering router are already being used by currently connected remote access clients or demand-dial routers.

Solution: Verify that all of the ports are not already being used by clicking Ports in Routing and Remote Access. For VPN connections, if necessary, change the number of PPTP or L2TP ports to allow more concurrent connections.

See also: To add PPTP or L2TP ports

Cause: For VPN connections, the tunneling protocol of the calling router is not supported by the answering router.

By default, VPN-based Windows 2000 demand-dial interfaces use the Automatic server type option, which means that they try to establish an L2TP over IPSec–based VPN connection first, and then they try a PPTP-based VPN connection. If calling routers use either the Point-to-Point Tunneling Protocol (PPTP) or Layer-2 Tunneling Protocol (L2TP) server type option, verify that the selected tunneling protocol is supported by the answering router.

By default, a computer running Windows 2000 Server and the Routing and Remote Access service is a PPTP and L2TP-capable demand-dial router with five L2TP ports and five PPTP ports. To create a PPTP-only router, set the number of L2TP ports to zero. To create an L2TP-only router, set the number of PPTP ports to zero.

Solution: Verify that the appropriate number of PPTP or L2TP ports is configured on the calling router and answering router.

See also: To add PPTP or L2TP ports

Cause: The calling router and the answering router in conjunction with a remote access policy are not configured to use at least one common authentication method.

Solution: Configure the calling router and the answering router in conjunction with a remote access policy to use at least one common authentication method.

Cause: The calling router and the answering router in conjunction with a remote access policy are not configured to use at least one common encryption strength.

Solution: Configure the calling router and the answering router in conjunction with a remote access policy to use at least one common encryption strength.

See also: To configure encryption

Cause: The account option on the Account tab on the properties of the user account of the calling router is configured to change the password at the next logon attempt.

Solution: Clear the User must change password at next logon check box on the Account tab on the properties of the user account of the calling router.

See also: To modify user account properties

Cause: The password of the user account of the calling router has expired.

Solution: Reset the password and select the Password never expires check box on the Account tab on the properties of the user account of the calling router.

See also: To modify user account properties

Cause: The demand-dial connection does not have the appropriate permissions through dial-in properties of the user account and remote access policies.

Solution: Verify that the demand-dial connection has the appropriate permissions through dial-in properties of the user account and remote access policies. If the answering router is configured to use Windows authentication, the remote access policies stored on the answering router are used. If the answering router is configured to use RADIUS authentication and the RADIUS server being used is a Windows 2000 Internet Authentication Service (IAS) server, then the remote access policies of the IAS server are used.

In order for the connection to be established, the settings of the connection attempt must:

  • Match all of the conditions of at least one remote access policy.
  • Be granted remote access permission through the user account (set to Allow access) or through the user account (set to Control access through Remote Access Policy) and the remote access permission of the matching remote access policy (set to Grant remote access permission).
  • Match all the settings of the profile.
  • Match all the settings of the dial-in properties of the user account.

See also: Introduction to remote access policies; Accepting a connection attempt

Cause: The settings of the remote access policy profile are in conflict with properties of the answering router.

Solution: Verify that the settings of the remote access policy profile are not in conflict with properties of the answering router.

The properties of the remote access policy profile and the properties of the answering router both contain settings for:

  • Multilink
  • Bandwidth allocation protocol
  • Authentication protocols

If the settings of the profile of the matching remote access policy are in conflict with the settings of the answering router, the connection attempt is rejected. For example, if the matching remote access policy profile specifies that the EAP-TLS authentication protocol must be used and EAP is not enabled on the answering router, the connection attempt is rejected.

See also: To enable authentication protocols; To configure authentication

Cause: The credentials of the calling router (user name, password, and domain name) are incorrect and cannot be validated by the answering router.

Solution: Verify that the credentials of the calling router (user name, password, and domain name) are correct and can be validated by the answering router.

Cause: There are not enough addresses in the static IP address pool.

Solution: If the answering router is configured with a static IP address pool, verify that there are enough addresses in the pool. If all of the addresses in the static pool have been allocated to connected remote access clients or demand-dial routers, the answering router is unable to allocate an IP address, and the connection attempt is rejected. Modify the static IP address pool if needed.

See also: TCP/IP and remote access; To create a static IP address pool

Cause: The answering router is configured with a range of IPX network numbers that are being used elsewhere on your IPX internetwork.

Solution: Configure the answering router with a range of IPX network numbers that is unique to your IPX internetwork.

See also: IPX and remote access

Cause: The authentication provider of the answering router is improperly configured.

Solution: Verify the configuration of the authentication provider. You can configure the answering router to use either Windows 2000 or RADIUS to authenticate the credentials of the VPN client.

See also: Authentication and accounting providers; To use RADIUS authentication

Cause: The answering router cannot access Active Directory.

Solution: For an answering router that is a member server in a mixed-mode or native-mode Windows 2000 domain that is configured for Windows 2000 authentication, verify that:

  • The RAS and IAS Servers security group exists. If not, then create the group and set the group type to Security and the group scope to Domain local.
  • The RAS and IAS Servers security group has Read permission to the RAS and IAS Servers Access Check object.
  • The computer account of the answering router computer is a member of the RAS and IAS Servers security group. You can use the netsh ras show registeredserver command to view the current registration. You can use the netsh ras add registeredserver command to register the server in a specified domain.

    • If you add or remove the answering router computer to the RAS and IAS Servers security group, the change will not take effect immediately (due to the way that Windows 2000 caches Active Directory information). For the change to take effect immediately, you need to restart the answering router computer.

  • For a native-mode domain, the answering router has joined the domain.

See also: To add a group; To verify permissions for the RAS and IAS security group; Netsh commands for remote access

Cause: An answering router running Windows NT 4.0 with the Routing and Remote Access Service (RRAS) cannot validate connection requests.

Solution: If calling routers are dialing in to a answering router running Windows NT 4.0 with RRAS that is a member of a Windows 2000 mixed-mode domain, verify that the Everyone group is added to the Pre-Windows 2000 Compatible Access group with the net localgroup "Pre-Windows 2000 Compatible Access" command. If not, type net localgroup "Pre-Windows 2000 Compatible Access" everyone /add at a Windows 2000 command prompt on a domain controller computer and then restart the domain controller computer.

See also: Windows NT 4.0 remote access server in a Windows 2000 domain

Cause: The Windows 2000 Fax service is enabled and your modem does not support adaptive answer.

Solution: Verify that if the Windows 2000 Fax service and the Routing and Remote Access service are sharing the same modem, that the modem supports adaptive answer. If the modem does not support adaptive answer, you must disable the Fax service on the modem to receive incoming demand-dial or remote access connections.

Cause: The calling router is not correctly configured for certificate-based demand-dial routing.

Solution: Verify that the EAP is enabled as an authentication protocol. Verify that the correct certificate for the root certificate authority certificate of the answering router is selected. Verify that the correct router (offline request) certificate is selected when configuring the credentials of the demand-dial interface.

See also: To configure the calling router for certificate-based EAP; Deploying certificate-based authentication for demand-dial routing

Cause: The answering router is not correctly configured for certificate-based demand-dial routing.

Solution: Verify that the EAP is enabled as an authentication protocol. Verify that the correct machine certificate for the root certificate authority of the answering router is selected.

See also: To configure the answering router for certificate-based EAP; Deploying certificate-based authentication for demand-dial routing

Cause: You are using MS-CHAP v1 and a user password over 14 characters long.

Solution: Either use a different authentication protocol such as MS-CHAP v2 or change your password so that it is 14 characters or less.

See also: MS-CHAP; Enable authentication protocols

Unable to reach locations beyond the calling router or answering router.

Cause: IP routing or IPX network access is not enabled

Solution: Verify that IP routing is enabled (on the IP tab on the properties of the server). Verify that network access is enabled (on the IPX tab on the properties of the server).

See also: To view properties of the remote access server

Cause: The appropriate demand-dial interface has not been added to the protocol being routed.

Solution: Add the appropriate demand-dial interface to the protocol being routed.

See also: To add a routing interface

Cause: There are no routes on both sides of the demand-dial connection that support the two-way exchange of traffic.

Solution: Unlike a remote access connection, a demand-dial connection does not automatically create a default route. You need to create routes on both sides of the demand-dial connection so that traffic can be routed to and from the other side of the demand-dial connection.

You can manually add static routes to the routing table, or you can add static routes through routing protocols. For persistent demand-dial connections, you can enable Open Shortest Path First (OSPF) or Routing Information Protocol (RIP) across the demand-dial connection. For on-demand demand-dial connections, you can automatically update routes through an auto-static RIP update.

See also: To add an IP routing protocol; To add a static route; Perform auto-static updates

Cause: There are no routes in the intranet routers on the calling router and answering router's intranet that support the forwarding of packets between hosts on the intranets.

Solution: Verify that there are routes in the intranet routers on the calling router and answering router's intranet so that all locations on both networks are reachable. You can add routes to the routers of each intranet through static routes or by enabling a routing protocol on the intranet interface of the calling and answering routers.

See also: Unicast routing overview; Deploying routing

Cause: A two-way initiated, demand-dial connection is being interpreted by the answering router as a remote access connection.

Solution: In order for the answering router to determine that the incoming call is a router rather than remote access client, the user name of the credentials for the calling router must match the name of a demand-dial interface that is configured on the answering router.

If the incoming caller is a router, the port on which the call was received shows a status of Active and the corresponding demand-dial interface is in a Connected state. If the name of the user name credential for the calling router appears under Remote Access Clients in Routing and Remote Access, then the calling router has been interpreted by the answering router as a remote access client.

For two-way initiated connections, either router can be the calling router or the answering router. The user names and demand-dial interface names must be properly matched. For example, two-way initiated connections would work under the following configuration:

  • Router 1 has a demand-dial interface called NEW-YORK which is configured to use SEATTLE as the user name when sending authentication credentials.
  • Router 2 has a demand-dial interface called SEATTLE which is configured to use NEW-YORK as the user name when sending authentication credentials.

This example assumes that the SEATTLE user name can be validated by Router 2 and the NEW-YORK user name can be validated by Router 1.

See also: Demand-dial routing example; To check the status of the port on the answering router; To check the status of the demand-dial interface

Cause: Static routes on the user account of the calling router for a one-way initiated demand-dial connection are not configured correctly.

Solution: For a one-way initiated demand-dial connection, verify that the appropriate static routes are enabled on the user account of the calling router and that the answering router is configured with a routing protocol so that when a connection is made, the static routes of the user account of the calling router are advertised to neighboring routers.

See also: One-way initiated demand-dial connections; To configure static routes for a dial-in user

Cause: Packet filters on the demand-dial interfaces of the calling router and answering router are preventing the flow of traffic.

Solution: Verify that there are no IP or IPX packet filters on the demand-dial interfaces of the calling router and answering router that prevent the sending or receiving of TCP/IP or IPX traffic.

You can configure each demand-dial interface with IP and IPX input and output filters to control the exact nature of TCP/IP and IPX traffic that is allowed into and out of the demand-dial interface.

See also: Manage packet filters

Cause: Packet filters on the remote access policy profile are preventing the flow of IP traffic.

Solution: Verify that there are no configured TCP/IP packet filters on the profile properties of the remote access policy being used by the demand-dial connection (or the RADIUS server if Internet Authentication Service is used) that are preventing the sending or receiving of TCP/IP traffic.

You can use remote access policies to configure TCP/IP input and output packet filters that control the exact nature of TCP/IP traffic allowed on the demand-dial connection.

See also: To configure IP options

Auto-static updates are not working.

Cause: For IP auto-static updates, each demand-dial interface is not configured for RIP v2 multicast.

Solution: Verify on both routers that the demand-dial interface is added to the RIP routing protocol, that its operation mode is set to Auto-static update mode, the outgoing packet protocol is RIP version 2 multicast, and that the incoming packet protocol is set to RIP version 1 and 2.

See also: Configure RIP version 2; To enable auto-static update mode

Cause: For IPX auto-static updates, the update mode for each demand-dial interface is not configured for Auto-static.

Solution: Verify that the demand-dial interfaces on both routers is added to the RIP for IPX and SAP for IPX routing protocols and that for each routing protocol, the update mode is set to Auto-static.

See also: To enable RIP on an interface; To enable SAP on an interface


Remote access

The remote access feature of Microsoft Windows 2000 Server enables remote or mobile workers who use dial-up communication links to access corporate networks as if they were directly connected. Remote access also provides virtual private network (VPN) services so that users can access corporate networks over the Internet.

  • Before installing Windows 2000 remote access, see Checklist: Installing and configuring the remote access server.

  • To find features that have been moved in Windows 2000 Server, see New ways to do familiar tasks.

  • For tips about using remote access, see Best practices.

  • For help with specific tasks, see How to.

  • For general background information, see Concepts.

  • For problem-solving instructions, see Troubleshooting.


Checklist: Installing and configuring the remote access server

Step | Reference
Review key concepts. | Remote access overview
Verify the compatibility of all hardware to be installed in the computer running Windows 2000. | Microsoft Windows Hardware Compatibility List at the Microsoft Web site (http://www.microsoft.com/)
Install the hardware. | Manufacturer's documentation
Verify that the hardware is successfully installed on Windows 2000. | Device Manager
Install and configure modems. | Checklist: Installing and configuring modems
Install and configure the protocols. | Network communications
Enable and configure the Routing and Remote Access service. | To enable the Routing and Remote Access service
(Optional) Configure the TCP/IP protocol. | TCP/IP and remote access
(Optional) Configure the IPX protocol. | IPX and remote access
(Optional) Configure the NetBEUI protocol. | NetBEUI and remote access
(Optional) Configure the AppleTalk protocol. | AppleTalk and remote access
Configure dial-in properties and remote access policies for dial-in permission, authentication, and encryption settings. | Introduction to remote access policies
(Optional) Configure the Windows 2000 remote access server as a RADIUS client to an IAS server for centralized remote access policy management. | RADIUS


New ways to do familiar tasks

The following table lists common tasks for configuring remote access features in Windows 2000. The user interface for performing these tasks is different in Windows 2000 than it was in Windows NT version 4.0 and Windows NT version 4.0 with the Routing and Remote Access Service (RRAS).

If you want to | In Windows NT 4.0 use | In Windows NT 4.0 with RRAS use | In Windows 2000 use
Install, configure, and remove remote access | Services tab of Network in Control Panel | Services tab of Network in Control Panel | Routing and Remote Access
Configure authentication and encryption options | Services tab of Network in Control Panel | Services tab of Network in Control Panel | Routing and Remote Access
Manage remote access servers and clients | Remote Access Admin | Routing and RAS Admin | Routing and Remote Access
Grant remote access permission to user accounts | Remote Access Admin or User Manager for Domains | Remote Access Admin or User Manager for Domains | Computer Management or Active Directory Users and Computers


Best practices

The following list provides best practices for implementing and configuring the remote access server and is based on recommendations from Microsoft Product Support Services:

  • Use DHCP to obtain IP addresses

    • If you installed a DHCP server, configure the remote access server to use DHCP to obtain IP addresses for remote access clients. If you did not install a DHCP server, configure the remote access server with a static IP address pool, which is a subset of addresses from the subnet to which the remote access server is attached.

  • Use strong authentication
    • Use strong passwords more than 8 characters long that contain a mixture of uppercase and lowercase letters, numbers, and permitted punctuation. Do not use passwords based on names or words. Strong passwords are more resistant to a dictionary attack, where an unauthorized user attempts to crack a password by sending a series of commonly used names and words.
    • Although EAP-TLS works with registry-based certificates, for security reasons it is highly recommended that you only use EAP-TLS with smart cards.
    • If you are using MS-CHAP, use MS-CHAP version 2. You can obtain the latest MS-CHAP updates for Windows NT version 4.0, Windows 98, and Windows 95, or Windows NT remote access clients from Microsoft. For more information, see MS-CHAP version 2.
  • Use automatic allocation for IPX network IDs

    • Configure the remote access server to automatically allocate the same IPX network ID to all remote access clients.

  • Avoid configuring different remote access policies for the same user

    • If a user dials in by using a multilink connection, all connections beyond the first connection are connected by using the remote access policy that matched the first connection.


How to...

This section provides instructions for installing and configuring the Windows 2000 remote access server:

  • Enable the Routing and Remote Access service
  • Configure the remote access server
  • Configure dial-up equipment
  • Configure remote access security
  • Configure dial-in user properties
  • Administer the remote access server


Configure the remote access server

  • View properties of the remote access server
  • Enable the remote access server
  • Create a static IP address pool
  • Configure AppleTalk remote access
  • Enable Multilink
  • Enable BAP and BACP
  • Re-create the default remote access policy
  • Configure ports


View properties of the remote access server

To view properties of the remote access server

  1. Open Routing and Remote Access.
  2. Right-click the server name for which you want to view properties, and then click Properties.

Note

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.

Related Topics


Enable the remote access server

To enable the remote access server

  1. Open Routing and Remote Access.
  2. Right-click the server name for which you want to enable remote access, and then click Properties.
  3. On the General tab, select the Remote access server check box.

Note

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.

Related Topics


Create a static IP address pool

To create a static IP address pool

  1. Open Routing and Remote Access.
  2. Right-click the server name for which you want to create a static IP address pool, and then click Properties.
  3. On the IP tab, click Static address pool, and then click Add.
  4. In Start IP address, type a starting IP address, and then either type an ending IP address for the range in End IP address or type the number of IP addresses in the range in Number of addresses.
  5. Click OK, and then repeat steps 3 and 4 for as many ranges as you need to add.

Notes

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.
  • If the static IP address pool consists of ranges of IP addresses that are for a separate subnet, then you need to either enable an IP routing protocol on the remote access server computer or add static IP routes consisting of the {IP Address, Mask} of each range to the routers of the intranet. If the routes are not added, then remote access clients cannot receive traffic from resources on the intranet.

Related Topics


Configure AppleTalk remote access

To configure AppleTalk remote access

  1. Open Routing and Remote Access.
  2. Right-click the server name for which you want to configure AppleTalk remote access, and then click Properties.
  3. On the AppleTalk tab, configure the AppleTalk remote access settings.

Note

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.

Related Topics


Enable Multilink

To enable Multilink

  1. Open Routing and Remote Access.
  2. Right-click the server name for which you want to enable Multilink, and then click Properties.
  3. On the PPP tab, select the Multilink connections check box.

Note

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.

Related Topics


Enable BAP and BACP

To enable BAP and BACP

  1. Open Routing and Remote Access.
  2. Right-click the server name for which you want to enable BAP and BACP, and then click Properties.
  3. On the PPP tab, select the Dynamic bandwidth control using BAP and BACP check box.

Note

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.

Related Topics


Re-create the default remote access policy

To re-create the default remote access policy

  1. Open Routing and Remote Access.
  2. In the console tree, click Remote Access Policies.

    Where?

    • Routing and Remote Access
    • server name
    • Remote Access Policies
  3. Right-click Remote Access Policies, and then click New Remote Access Policy.
  4. In the Add Remote Access Policy wizard, do the following:
    • In Policy friendly name, type a default name, and then click Next.

      • When the Routing and Remote Access service is installed, the default remote access policy name is Allow access if dial-in permission is enabled, although you do not need to use this name.

    • On the Conditions page, click Add, click Day-and-Time-Restrictions, click Add, and configure the attribute to permit all times on all days. Click OK, and then click Next.
    • On the Permissions page, click Deny remote access permission, and then click Next.
    • On the User profile page, click Finish. Do not make any changes to the user profile.

Related Topics


Configure ports

  • Configure ports for remote access
  • Set the phone number on a port
  • Add PPTP or L2TP ports


Configure ports for remote access

To configure ports for remote access

  1. Open Routing and Remote Access.
  2. In the console tree, click Ports.

    Where?

    • Routing and Remote Access
    • server name
    • Ports
  3. Right-click Ports, and then click Properties.
  4. In the Ports Properties dialog box, click a device, and then click Configure.
  5. In the Configure Device dialog box, do one or more of the following:
    • To enable remote access, select the Remote access connections (inbound only) check box.
    • To enable demand-dial routing, select the Demand-dial routing connections (inbound and outbound) check box.

Note

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.

Related Topics


Set the phone number on a port

To set the phone number on a port

  1. Open Routing and Remote Access.
  2. In the console tree, click Ports.

    Where?

    • Routing and Remote Access
    • server name
    • Ports
  3. Right-click Ports, and then click Properties.
  4. In the Ports Properties dialog box, click the port that corresponds to the dial-up equipment, and then click Configure.
  5. In Phone number for this device, type the phone number of the port, and then click OK.

Notes

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.
  • You set the phone number on a port to provide support for Multilink and the Bandwidth Allocation Protocol (BAP).
  • You also set the phone number on a port when you are using the Restrict Dial-in to this number only dial-in constraint of a remote access policy profile and your phone line and installed phone equipment do not support Called Line Identification (CLID).

Related Topics


Configure dial-up equipment

  • Configure a direct serial connection
  • Configure modem-pooling equipment
  • Configure an X.25 smart card
  • Configure other security devices


Configure a direct serial connection

To configure a direct serial connection

  1. Open Control Panel.
  2. Double-click Modems and Phone Options, and then click Add.
  3. In the Install New Modem wizard, select the Don't detect my modem; I will select it from a list check box, and then click Next.
  4. In Models, click Communications cable between two computers, and then click Next.
  5. Follow the remaining instructions in the Install New Modem wizard.

Notes

  • To open Control Panel, click Start, point to Settings, and then click Control Panel.
  • A null modem must be configured on both the client and the server.

Related Topics


Configure modem-pooling equipment

To configure modem-pooling equipment

  1. Open Control Panel.
  2. Configure your modem-pooling equipment to behave like one of the modem types listed in the Install New Modem wizard. (In other words, the modem-pooling equipment must generate and accept command strings as if it were a modem of the chosen type.) The switching equipment must also have the same RS-232 signal behavior as the specified modem.
  3. Connect COM ports to the equipment and configure the ports for remote access in Routing and Remote Access.

Notes

  • To open Control Panel, click Start, point to Settings, and then click Control Panel.
  • It is recommended that you configure the modem-pooling equipment as a Hayes-compatible modem, a widely known standard.

Related Topics


Configure an X.25 smart card

To configure an X.25 smart card

  1. Install the X.25 smart card (according to the manufacturer's instructions).
  2. Make sure your X.25 smart card is configured with the X.3-parameter values as shown in the following table.
  3. Configure the X.25 ports for remote access in Routing and Remote Access.
Parameter number | X.3 parameter | Value
1 | PAD Recall | 0
2 | Echo | 0
3 | Data Fwd Char | 0
4 | Idle Timer | 1
5 | Device Control | 0
6 | PAD Service Signals | 1
7 | Break Signal | 0
8 | Discard Output | 0
9 | Padding after CR | 0
10 | Line Folding | 0
11 | Not Set |
12 | Flow Control | 0
13 | Linefeed Insertion | 0
14 | Padding after LF | 0
15 | Editing | 0
16 | Character Delete | 0
17 | Line Delete | 0
18 | Line Display | 0
19 | Editing PAD Srv Signals | 0
20 | Echo Mask | 0
21 | Parity Treatment | 0
22 | Page Wait | 0

Important

  • Failure to set these values as shown prevents remote access that uses an X.25 smart card from functioning properly. For more information on setting these values, see the instructions provided with your X.25 smart card.

Notes

  • A communication driver for the X.25 smart card that emulates communication ports is supplied by the hardware manufacturer or by another company.
  • Make sure that the speed of the leased line can support all the serial communication (COM) ports at all speeds at which clients will dial in. For example, four clients connecting at 9,600 bps (through dial-up PADs) will require a 38,400-bps (4 times 9,600) leased line on the server end. If the leased line does not have adequate bandwidth, it can cause time-outs and can cause the performance for connected clients to degrade.

Related Topics


Configure other security devices

To configure other security devices

  1. Open Control Panel.
  2. If the modem on the remote access server is different from the modem listed in the security host section of the Modem.inf file, you need to customize the Modem.inf file on the remote access server to link the security host to the modem on the server.
  3. The remote user must activate the Terminal utility to interact with the security host.

Notes

  • To open Control Panel, click Start, point to Settings, and then click Control Panel.
  • To use a Security Dynamics security host, you must order two connectors through your Security Dynamics provider to permit initialization of the remote access server modem. When you order, specify that you want the dial-out option. The provider will then send you an AND gate and a jumper box. For the ACM/400 security host, you will also receive different software.

Related Topics


Configure remote access security

  • Use Windows authentication
  • Use Windows accounting
  • Use RADIUS authentication
  • Use RADIUS accounting
  • Enable authentication protocols
  • Enable EAP
  • Configure EAP-RADIUS
  • Enable reversibly encrypted passwords in a domain
  • Configure logging
  • Configure smart card remote access
  • Configure the answering router for certificate-based EAP
  • Configure the calling router for certificate-based EAP
  • Verify permissions for the RAS and IAS security group
  • Map a certificate to a user account
  • Manage machine certificates


Use Windows authentication

To use Windows authentication

  1. Open Routing and Remote Access.
  2. Right-click the server name for which you want to configure Windows 2000 authentication, and then click Properties.
  3. On the Security tab, in Authentication provider, click Windows authentication.

Note

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.

Related Topics


Use Windows accounting

To use Windows accounting

  1. Open Routing and Remote Access.
  2. Right-click the server name for which you want to configure Windows 2000 accounting, and then click Properties.
  3. On the Security tab, in Accounting provider, click Windows accounting, and then click OK.

Note

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.

Related Topics


Use RADIUS authentication

To use RADIUS authentication

  1. Open Routing and Remote Access.
  2. Right-click the server name for which you want to configure RADIUS authentication, and then click Properties.
  3. On the Security tab, in Authentication provider, click RADIUS authentication, and then click Configure.
  4. In the RADIUS Authentication dialog box, click Add.
  5. In the Add RADIUS Server dialog box, configure the settings for your RADIUS authentication server, and then click OK.

Note

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.

Related Topics


Use RADIUS accounting

To use RADIUS accounting

  1. Open Routing and Remote Access.
  2. Right-click the server name for which you want to configure RADIUS accounting, and then click Properties.
  3. On the Security tab, in Accounting provider, click RADIUS accounting, and then click Configure.
  4. In the RADIUS Accounting dialog box, click Add.
  5. In the Add RADIUS Server dialog box, configure the settings for your RADIUS accounting server, and then click OK.

Note

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.

Related Topics


Enable authentication protocols

To enable authentication protocols

  1. Open Routing and Remote Access.
  2. Right-click the server name for which you want to enable authentication protocols, and then click Properties.
  3. On the Security tab, click Authentication.
  4. In the Authentication Methods dialog box, select the appropriate check boxes for the authentication protocols that the remote access server will use to authenticate remote clients, and then click OK.

Note

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.

Related Topics


Enable EAP

To enable EAP

  1. Open Routing and Remote Access.
  2. Right-click the server name for which you want to configure EAP, and then click Properties.
  3. On the Security tab, click Authentication.
  4. In the Authentication Methods dialog box, select the Extensible authentication protocol (EAP) check box, and then click OK.

Notes

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.
  • When you enable EAP, all the installed EAP types are enabled. By default, EAP-MD5 CHAP and EAP-TLS are installed and enabled. To see the installed EAP types, click EAP Methods.

Related Topics


Configure EAP-RADIUS

To configure EAP-RADIUS

  1. Open Routing and Remote Access.
  2. Right-click the server name for which you want to configure EAP-RADIUS, and then click Properties.
  3. On the Security tab, click Authentication.
  4. In the Authentication Methods dialog box, select the Extensible authentication protocol (EAP) check box, and then click OK.
  5. In Authentication provider, click RADIUS authentication, and then click Configure.
  6. In the RADIUS Authentication dialog box, click Add.
  7. In the Add RADIUS Server dialog box, configure the settings for your RADIUS authentication server, and then click OK.

Note

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.

Related Topics


Enable reversibly encrypted passwords in a domain

To enable reversibly encrypted passwords in a domain

  1. Open Active Directory Users and Computers.
  2. In the console tree, double-click Active Directory Users and Computers, right-click the domain name, and then click Properties.
  3. On the Group Policy tab, click Default Domain Policy, and then click Edit.
  4. In the console tree, click Password Policy.

    Where?

    • Computer Configuration
    • Windows Settings
    • Security Settings
    • Account Policies
    • Password Policy
  5. In the details pane, double-click Store password using reversible encryption for all users in the domain.
  6. Click Enabled, and then click OK.

Notes

  • To open Active Directory Users and Computers, click Start, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  • To open Group Policy on a stand-alone computer that is not a member of a domain, click Start, click Run, type gpedit.msc, and then click OK.

Related Topics


Configure logging

To configure logging

  1. Do one of the following:
    • Open Routing and Remote Access.

      • Double-click Routing and Remote Access, and then double-click the server name on which you want to configure logging.

    • Open Internet Authentication Service.

      • Double-click Internet Authentication Service.

  2. In the console tree, click Remote Access Logging.
  3. In the details pane, right-click any log file, and then click Properties.

Notes

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.
  • To open Internet Authentication Service, click Start, point to Programs, point to Administrative Tools, and then click Internet Authentication Service.
  • If the Logging folder does not appear in Routing and Remote Access, then either Windows authentication or Windows accounting is not enabled.

Related Topics


Configure smart card remote access

To configure smart card remote access

  1. Open Routing and Remote Access.
  2. Right-click the name of the remote access server, and then click Properties.
  3. On the Security tab, click Authentication.
  4. In the Authentication Methods dialog box, select the Extensible authentication protocol (EAP) check box, click OK, and then click OK again.
  5. In the console tree, double-click the name of the remote access router name, and then click Remote Access Policies.
  6. In the details pane, right-click the remote access policy that your smart card remote access clients will use, click Properties, and then click Edit Profile.
  7. On the Authentication tab, select the Extensible Authentication Protocol check box, click Smart card or other certificate (TLS), and then click Configure.
  8. In the Smart Card or Other Certificate (TLS) Properties dialog box, select the machine certificate you want to use, and then click OK.
  9. Click OK to save the settings of the profile, and then click OK again to save the settings of the policy.

Note

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.

Related Topics


Configure the answering router for certificate-based EAP

To configure the answering router for certificate-based EAP

  1. Open Routing and Remote Access.
  2. Right-click the name of the remote access router, and then click Properties.
  3. On the Security tab, click Authentication.
  4. In the Authentication Methods dialog box, select the Extensible authentication protocol (EAP) check box, click OK, and then click OK again.
  5. In the console tree, double-click the name of the remote access router name, and then click Remote Access Policies.
  6. In the details pane, right-click the remote access policy that will be used by your certificate-based routers, click Properties, and then click Edit Profile.
  7. On the Authentication tab, select the Extensible Authentication Protocol check box, click Smart card or other certificate (TLS), and then click Configure.
  8. In the Smart Card or Other Certificate (TLS) Properties dialog box, select the machine certificate you want to use, and then click OK.
  9. Click OK to save the settings of the profile, and then click OK again to save the settings of the policy.

Note

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.

Related Topics


Configure the calling router for certificate-based EAP

To configure the calling router for certificate-based EAP

  1. Open Routing and Remote Access.
  2. In the console tree, click Routing Interfaces.

    Where?

    • Routing and Remote Access
    • calling router name
    • Routing Interfaces
  3. In the details pane, right-click the appropriate demand-dial interface, and then click Properties.
  4. On the Security tab, click Advanced (custom settings), and then click Settings.
  5. Under Logon security, click Use Extensible Authentication Protocol (EAP), click Smart card or other certificate (TLS) (encryption enabled), and then click Properties.
  6. In the Smart Card or Other Certificate (TLS) Properties dialog box, click Use a certificate on this computer.
  7. Select the Validate server certificate check box, select the Connect only if server name ends in check box, and then type the DNS domain name of the answering router preceded by a period.
  8. In Connect only if the Root Certification Authority for the server's certificate is, click the root certification authority of the answering router, and then click OK.
  9. Click OK to save changes to the security configuration, and then click OK again to save changes to the demand-dial interface.
  10. In the details pane, right-click the demand-dial interface, and then click Set credentials.
  11. In User name on certificate, click the user certificate for this demand-dial connection, and then click OK.

Notes

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.
  • If the root certificate authority for the answering router does not appear, the root certificate authority certificate for the answering router may be in the personal store rather than trusted root certification authorities store.

Related Topics


Verify permissions for the RAS and IAS security group

To verify permissions for the RAS and IAS security group

  1. Open Active Directory Users and Computers.
  2. On the View menu, click Advanced Features.
  3. In the console tree, click RAS and IAS Servers Access Check.

    Where?

    • Active Directory Users and Computers
    • domain name
    • System
    • RAS and IAS Servers Access Check
  4. Right-click RAS and IAS Servers Access Check, and then click Properties.
  5. On the Security tab, do one of the following:
    • If RAS and IAS Servers is listed, click RAS and IAS Servers, and under Permissions, verify that the Read, Write, Create All Child Objects, and Delete All Child Objects check boxes are selected.
    • If RAS and IAS Servers is not listed, click Add, select RAS and IAS Servers, click Add, and then click OK.

      Under Permissions, select the Read, Write, Create All Child Objects, and Delete All Child Objects check boxes.

Note

  • To open Active Directory Users and Computers, click Start, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.

Related Topics


Map a certificate to a user account

To map a certificate to a user account

  1. Open Active Directory Users and Computers.
  2. On the View menu, click Advanced Features.
  3. In the console tree, click Users.

    Where?

    • Active Directory User and Computers
    • domain name
    • Users
  4. In the details pane, right-click the user account to which you want to map a certificate, and then click Name Mappings.
  5. On the X.509 Certificates tab, click Add.
  6. In the Add Certificate dialog box, select the appropriate certificate file, click Open, and then click OK.

Note

  • To open Active Directory Users and Computers, click Start, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.

Related Topics


Manage machine certificates

  • Install the certificate of the enterprise root CA as a trusted root CA
  • Configure automatic certificate allocation from an enterprise CA
  • Install a computer certificate on a computer through Web-based enrollment
  • Install a router (offline request) certificate


Install the certificate of the enterprise root CA as a trusted root CA

To install the certificate of the enterprise root CA as a trusted root CA

  1. Open Active Directory Users and Computers.
  2. In the console tree, double-click Active Directory Users and Computers, right-click the domain name in which your CA lives, and then click Properties.
  3. On the Group Policy tab, click Default Domain Policy, and then click Edit.
  4. In the console tree, click Trusted Root Certificate Authorities.

    Where?

    • Computer Configuration
    • Windows Settings
    • Security Settings
    • Public Key Policies
    • Trusted Root Certificate Authorities
  5. Right-click Trusted Root Certificate Authorities, point to All Tasks, and then click Import.

    The Certificate Manager Import wizard appears.

  6. Click Next, and follow the instructions in the wizard to import the .crt file the CA (located in the systemroot\System32\CertSrv\CertEnroll folder) into the Trusted Root Certification Authorities store.
  7. Type the following at a Windows 2000 command prompt:

    secedit /refreshpolicy machine_policy

Note

  • To open Active Directory Users and Computers, click Start, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.

Related Topics


Configure automatic certificate allocation from an enterprise CA

To configure automatic certificate allocation from an enterprise CA

  1. Open Active Directory Users and Computers.
  2. In the console tree, double-click Active Directory Users and Computers, right-click the domain name in which your CA lives, and then click Properties.
  3. On the Group Policy tab, click Default Domain Policy, and then click Edit.
  4. In the console tree, click Automatic Certificate Request Settings.

    Where?

    • Computer Configuration
    • Windows Settings
    • Security Settings
    • Public Key Policies
    • Automatic Certificate Request Settings
  5. Right-click Automatic Certificate Request Settings, point to New, and then click Automatic Certificate Request.
  6. The Automatic Certificate Request wizard appears. Click Next.
  7. In Certificate templates, click Computer, and then click Next.

    Your enterprise root CA appears on the list.

  8. Click the CA, click Next, and then click Finish.
  9. To create a computer certificate for the CA computer, type the following at a Windows 2000 command prompt:

    secedit /refreshpolicy machine_policy

Note

  • To open Active Directory Users and Computers, click Start, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.

Related Topics


Install a computer certificate on a computer through Web-based enrollment

To install a computer certificate on a computer through Web-based enrollment

  1. Click Start, point to Programs, and then click Internet Explorer.
  2. In Internet Explorer, in Address, type the address of the certification authority (CA) that issues computer certificates. The address is the name of the server followed by /certsrv.
  3. On the Certificate Enrollment Tools page, click Request a Client Authentication Certificate.
  4. Fill out the Certificate Enrollment Form. In Name, type the fully qualified domain name of the computer that is requesting the certificate.
  5. Click Advanced, and on the Advanced Settings page, do the following:
    • Under Properties, click Use Local Machine Store.
    • Under Usage, click Server Authentication.
    • Under Cert Type, click Machine.
    • Under CSP, click Microsoft RSA SChannel Cryptographic Provider, and then click OK.
  6. On the Certificate Enrollment Form page, click Submit Request.
  7. On the Certificate Download page, click Download.

    8. A Certificate Services dialog box informs you that a new certificate has been successfully installed.

Related Topics


Install a router (offline request) certificate

To install a router (offline request) certificate

  1. Click Start, point to Programs, and then click Internet Explorer.
  2. In Internet Explorer, in Address, type the address of the certification authority (CA) that issues computer certificates. The address is the name of the server followed by /certsrv.
  3. On the Welcome page, click Select a certificate, and then click Next.
  4. Click Advanced request, and then click Next.
  5. Click Submit a certificate request to this CA using a form, and then click Next.
  6. Fill out the Advanced Certificate Request Form.
    • In Certificate Template, select Router (Offline request).
    • In Name, type the user account name that is used by the calling router.
    • Under Key Options, select Mark keys as exportable and Use local machine store.
  7. Click Submit.
  8. On the Certificate Issued page, click Install this certificate.

    9. A Certificate Services dialog box informs you that a new certificate has been successfully installed.

Related Topics


Configure dial-in user properties

  • Grant remote access permission to a user
  • Configure caller ID and callback
  • Configure a static IP address assignment
  • Configure static routes for a dial-in user


Grant remote access permission to a user

To grant remote access permission to a user

  1. Do one of the following:
    • If the remote access server is part of a Windows 2000 domain:
      1. Open Active Directory Users and Computers.
      2. In the console tree, click Users.

        Where?

        • Active Directory Users and Computers
        • domain name
        • Users
      3. In the details pane, right-click a user name, and then click Properties.
    • If the remote access server is a stand-alone server (not a part of a Windows NT 4.0 or Windows 2000 domain) or is a member server (not a domain controller) and you want to use a local user account:
      1. Open Computer Management.
      2. In the console tree, click Users.

        Where?

        • Computer Management
        • System Tools
        • Local Users and Groups
        • Users
      3. In the details pane, right-click a user name, and then click Properties.
  2. On the Dial-in tab, under Remote Access Permission (Dial-in or VPN), click either Allow access or Control access through Remote Access Policy, and then click OK.

Notes

  • To open Active Directory Users and Computers, click Start, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  • To open Computer Management, click Start, point to Programs, point to Administrative Tools, and then click Computer Management.
  • If the remote access server is a member of a Windows NT 4.0 domain or a Windows 2000 mixed-mode domain, you can use the Windows NT 4.0 User Manager for Domains administrative tool to grant or deny dial-in access for user accounts.

Related Topics


Configure caller ID and callback

To configure caller ID and callback

  1. Do one of the following:
    • If the remote access server is part of a Windows 2000 domain:
      1. Open Active Directory Users and Computers.
      2. In the console tree, click Users.

        Where?

        • Active Directory Users and Computers
        • domain name
        • Users
      3. In the details pane, right-click a user name, and then click Properties.
    • If the remote access server is a stand-alone server (not a part of a Windows NT 4.0 or a Windows 2000 domain):
      1. Open Computer Management.
      2. In the console tree, click Users.

        Where?

        • Computer Management
        • System Tools
        • Local Users and Groups
        • Users
      3. In the details pane, right-click a user name, and then click Properties.
  2. On the Dial-in tab, do the following:
    • For caller ID, select the Verify Caller-ID check box, and then type the number that the user is calling from.
    • For callback, under Callback Options, click the callback option you want to set for this user.

Notes

  • To open Active Directory Users and Computers, click Start, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  • To open Computer Management, click Start, point to Programs, point to Administrative Tools, and then click Computer Management.
  • If the remote access server is part of a Windows NT 4.0 domain, you can use the Windows NT 4.0 User Manager for Domains administrative tool to set callback options for user accounts.

Related Topics


Configure a static IP address assignment

To configure a static IP address assignment

  1. Do one of the following:
    • If the remote access server is part of a Windows 2000 domain:
      1. Open Active Directory Users and Computers.
      2. In the console tree, click Users.

        Where?

        • Active Directory Users and Computers
        • domain name
        • Users
      3. In the details pane, right-click a user name, and then click Properties.
    • If the remote access server is a stand-alone server (not a part of a Windows NT 4.0 or Windows 2000 domain):
      1. Open Computer Management.
      2. In the console tree, click Users.

        Where?

        • Computer Management
        • System Tools
        • Local Users and Groups
        • Users
      3. In the details pane, right-click a user name, and then click Properties.
  2. On the Dial-in tab, select the Assign a Static IP Address check box, and then type the static IP address for this user.

Notes

  • To open Active Directory Users and Computers, click Start, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  • To open Computer Management, click Start, point to Programs, point to Administrative Tools, and then click Computer Management.
  • This dial-in property is not available if the remote access server is a member of a Windows NT 4.0 domain or a Windows 2000 mixed-mode domain.

Related Topics


Configure static routes for a dial-in user

To configure static routes for a dial-in user

  1. Do one of the following:
    • If the remote access server is part of a Windows 2000 domain:
      1. Open Active Directory Users and Computers.
      2. In the console tree, click Users.

        Where?

        • Active Directory Users and Computers
        • domain name
        • Users
      3. In the details pane, right-click a user name, and then click Properties.
    • If the remote access server is a stand-alone server (not a part of a Windows NT 4.0 or Windows 2000 domain):
      1. Open Computer Management.
      2. In the console tree, click Users.

        Where?

        • Computer Management
        • System Tools
        • Local Users and Groups
        • Users
      3. In the details pane, right-click a user name, and then click Properties.
  2. On the Dial-in tab, select the Apply Static Routes check box.
  3. In the Static Routes dialog box, click Add Route.
  4. In Destination, Network Mask, and Hops, type the destination network address, the network mask, and the number of hops to the destination network for this static route, and then click OK.
  5. Repeat steps 3 and 4 for each static route you want to configure for this user.

Notes

  • To open Active Directory Users and Computers, click Start, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  • To open Computer Management, click Start, point to Programs, point to Administrative Tools, and then click Computer Management.
  • This dial-in property is not available if the remote access server is a member of a Windows NT 4.0 domain or a Windows 2000 mixed-mode domain.

Related Topics


Administer the remote access server

  • Add a remote access server
  • Monitor the Routing and Remote Access service
  • Start and stop the Routing and Remote Access service
  • Manage remote access clients
  • Administer Windows NT 4.0 remote access servers


Add a remote access server

To add a remote access server

  1. Open Routing and Remote Access.
  2. In the console tree, double-click Routing and Remote Access, right-click Server Status, and then click Add Server.
  3. In the Add Server dialog box, do one of the following:
    • To add the computer on which Routing and Remote Access is currently running, click This computer.
    • To add a computer on another network, click The following computer, and then type the computer name or IP address of the server.
    • To add a server from a particular domain, click All routing and remote access servers in the domain, type the domain containing the server you want to administer, and then click OK.
    • To add a server, click Browse the Active Directory, and then click Next. In the Find Routers or Remote Access Servers dialog box, click the types of servers you want to search for, and then click OK.

Note

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.

Related Topics


Monitor the Routing and Remote Access service

To monitor the Routing and Remote Access service

  1. Open Routing and Remote Access.
  2. In the console tree, double-click Routing and Remote Access, and then click Server Status.

Notes

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.
  • The Routing and Remote Access window shows the server name, the state of the Routing and Remote Access service (started or stopped), the total ports on the server, the ports in use, and the amount of time that the server has been up since the Routing and Remote Access service was last started.

Related Topics


Start and stop the Routing and Remote Access service

To start and stop the Routing and Remote Access service

  1. Open Routing and Remote Access.
  2. In the console tree, click Server Status.
  3. In the details pane, right-click a server name, and do one of the following:
    • To start the service, click Configure and Enable Routing and Remote Access.
    • To stop the service, click Disable Routing and Remote Access.

Note

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.

Related Topics


Manage remote access clients

  • View connected remote access clients
  • Disconnect a remote access client
  • Send a message to a single remote access client
  • Send a message to all remote access clients


View connected remote access clients

To view connected remote access clients

  1. Open Routing and Remote Access.
  2. In the console tree, click Remote Access Clients.

    Where?

    • Routing and Remote Access
    • server name
    • Remote Access Clients
  3. In the details pane, right-click a user name, and then click Status.

Note

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.

Related Topics


Disconnect a remote access client

To disconnect a remote access client

  1. Open Routing and Remote Access.
  2. In the console tree, click Remote Access Clients.

    Where?

    • Routing and Remote Access
    • server name
    • Remote Access Clients
  3. In the details pane, right-click a user name, and then click Disconnect.

Note

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.

Related Topics


Send a message to a single remote access client

To send a message to a single remote access client

  1. Open Routing and Remote Access.
  2. In the console tree, click Remote Access Clients.

    Where?

    • Routing and Remote Access
    • server name
    • Remote Access Clients
  3. In the details pane, right-click a user name, and then click Send message.
  4. In Send Message, type your message, and then click OK.

Note

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.

Related Topics


Send a message to all remote access clients

To send a message to all remote access clients

  1. Open Routing and Remote Access.
  2. In the console tree, click Remote Access Clients.

    Where?

    • Routing and Remote Access
    • server name
    • Remote Access Clients
  3. Right-click Remote Access Clients, and then click Send to all.
  4. In Send Message, type your message, and then click OK.

Note

  • To open Routing and Remote Access, click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.

Related Topics


Administer Windows NT 4.0 remote access servers

To administer Windows NT 4.0 remote access servers

  1. Open Remote Access Admin.
  2. On the Server menu, click Select Domain or Server.
  3. In Domain, type a domain name or server name.

    Or, in Select Domain, click a domain or server.

Notes

  • To open Remote Access Admin, click Start, click Run, type rasadmin, and then click OK.
  • If you type a server name in Domain, you must precede the name with two backslashes (\\).
  • Domains in Select Domain are all those trusted by the domain to which you belong. To view the servers in a domain, double-click the domain name.

Related Topics


Concepts

This section covers:

  • Remote access overview
  • Understanding remote access
  • Using remote access
  • Resources


Remote access overview

This section covers:

  • Overview of Windows 2000 Server remote access
  • The remote access server as a dial-up networking server
  • The remote access server as a virtual private networking server
  • New features of remote access for Windows 2000 Server


Overview of Windows 2000 Server remote access

Windows 2000 Server remote access, part of the integrated Routing and Remote Access service, connects remote or mobile workers to organization networks. Remote users can work as if their computers are physically connected to the network.

Users run remote access software and initiate a connection to the remote access server. The remote access server, which is a computer running Windows 2000 Server and the Routing and Remote Access service, authenticates users and services sessions until terminated by the user or network administrator. All services typically available to a LAN-connected user (including file and print sharing, Web server access, and messaging) are enabled by means of the remote access connection.

Remote access clients use standard tools to access resources. For example, on a computer running Windows 2000, clients can use Windows Explorer to make drive connections and to connect to printers. Connections are persistent: Users do not need to reconnect to network resources during their remote sessions. Because drive letters and universal naming convention (UNC) names are fully supported by remote access, most commercial and custom applications work without modification.

A remote access server running Windows 2000 provides two different types of remote access connectivity:

  1. Dial-up networking

    2. Dial-up networking is when a remote access client makes a nonpermanent, dial-up connection to a physical port on a remote access server by using the service of a telecommunications provider such as analog phone, ISDN, or X.25. The best example of dial-up networking is that of a dial-up networking client who dials the phone number of one of the ports of a remote access server.

    Dial-up networking over an analog phone or ISDN is a direct physical connection between the dial-up networking client and the dial-up networking server. You can encrypt data sent over the connection, but it is not required.

    For more information, see The remote access server as a dial-up networking server.

  2. Virtual private networking

    3. Virtual private networking is the creation of secured, point-to-point connections across a private network or a public network such as the Internet. A virtual private networking client uses special TCP/IP-based protocols called tunneling protocols to make a virtual call to a virtual port on a virtual private networking server. The best example of virtual private networking is that of a virtual private networking client who makes a virtual private network connection to a remote access server that is connected to the Internet. The remote access server answers the virtual call, authenticates the caller, and transfers data between the virtual private networking client and the corporate network.

    In contrast to dial-up networking, virtual private networking is always a logical, indirect connection between the virtual private networking client and the virtual private networking server. To ensure privacy, you must encrypt data sent over the connection.

    For more information, see The remote access server as a virtual private networking server.


The remote access server as a dial-up networking server

Windows 2000 Server provides traditional dial-up remote access services to support mobile users or home users who are dialing in to organization intranets. Dial-up equipment that is installed on a remote access server running Windows 2000 answers incoming connection requests from dial-up networking clients. The remote access server answers the call, authenticates and authorizes the caller, and transfers data between the dial-up networking client and the organization intranet.

The following illustration shows dial-up networking functionality.

Dial-up networking functionality

For more information, see Dial-up networking.


The remote access server as a virtual private networking server

A virtual private networking connection emulates a point-to-point connection. To emulate a point-to-point connection, data is encapsulated, or wrapped, with an additional header that provides routing information to reach an endpoint. The endpoint is either the virtual private networking client or the virtual private networking server. The portion of the virtual private networking connection in which the data is encapsulated is called the tunnel.

For secure virtual private networking, data is encrypted before it is encapsulated. Intercepted packets are unintelligible without the encryption keys. The portion of the virtual private networking connection in which your data is encrypted is called the virtual private network (VPN) connection.

VPN connections are created, managed, and terminated by using special protocols called tunneling protocols. Both the virtual private networking client and the virtual private networking server must support the same tunneling protocol to create a virtual private networking connection. A remote access server running Windows 2000 is a virtual private networking server for both the Point-to-Point Tunneling Protocol (PPTP) and Layer Two Tunneling Protocol (L2TP) tunneling protocols. For more information, see VPN tunneling protocols.

The following illustration shows virtual private networking functionality.

Virtual private networking functionality

For more information, see Virtual private networking.


New features of remote access for Windows 2000 Server

Windows 2000 Server remote access provides the following new features:

  • Integration with Windows 2000 Active Directory

    • A remote access server running Windows 2000 that is part of a Windows 2000 domain that is registered in Active Directory can access user dial-in settings (such as remote access permission and callback options) that are stored in Active Directory. Once registered in Active Directory, you can browse and manage the remote access server by using Active Directory-based tools such as Routing and Remote Access.

  • MS-CHAP version 2

    • The Microsoft Challenge Handshake Authentication Protocol (MS-CHAP) version 2 significantly strengthens the security for the passing of security credentials and the generation of encryption keys during the negotiation of a remote access connection. MS-CHAP version 2 was specifically designed for authenticating virtual private network connections.

    For more information, see MS-CHAP version 2.

  • Extensible Authentication Protocol

    • With the Extensible Authentication Protocol (EAP), you can use new authentication methods with remote access, a feature that is especially important for the deployment of security based on smart cards. EAP is the interface that allows other authentication modules to plug into the Windows 2000 remote access PPP implementation. Windows 2000 supports EAP-MD5 CHAP, EAP-TLS (used for smart card and certificate-based authentication), and the passing of EAP messages to a RADIUS server.

    For more information, see EAP.

  • Bandwidth Allocation Protocol

    • The Bandwidth Allocation Protocol (BAP) and Bandwidth Allocation Control Protocol (BACP) make Multilink PPP more efficient by dynamically adding or dropping additional links to accommodate changes in traffic flow. BAP is especially valuable to operations that have carrier charges based on bandwidth utilization.

    In Windows 2000, you can set BAP policies through remote access policies. For example, a network administrator can set the system so that an extra line is dropped if link utilization drops below 50 percent for more than 10 seconds. BAP provides a very efficient mechanism for controlling connection costs while dynamically providing optimum bandwidth.

    For more information, see Multilink and BAP.

  • Remote access policies

    • Remote access policies are a set of conditions and connection settings that allow network administrators more flexibility in setting remote access permissions and connection attributes.

    With remote access policies, you can grant dial-in permissions by the time of day and day of the week, by the Windows 2000 group to which the dial-up user belongs, by the type of connection being requested (dial-up or virtual private network connection), among others. You can specify connection settings that limit the maximum session time, the type of authentication and encryption, BAP policies, and IP packet filtering.

    For more information, see Remote access policies.

  • RADIUS client

    • The Windows 2000 remote access server can act as a Remote Authentication Dial-In User Service (RADIUS) client to a RADIUS server. Windows 2000 provides RADIUS server functionality with the Internet Authentication Service (IAS). An IAS server can provide centralized authentication, authorization, and accounting functions and a central location to configure remote access policies. For more information, see RADIUS and Using RADIUS for multiple remote access servers.

  • Layer Two Tunneling Protocol

    • In addition to the Point-to-Point Tunneling Protocol (PPTP), a remote access server running Windows 2000 includes the industry standard Layer Two Tunneling Protocol (L2TP), which is used in conjunction with Internet Protocol security (IPSec) to create secure virtual private network connections.

  • AppleTalk Macintosh remote access client support

    • Windows 2000 remote access now supports the dial-up connections of Apple Macintosh remote access clients who use the AppleTalk protocol with the Point-to-Point Protocol (PPP) remote access protocol.

    For more information, see AppleTalk and remote access.

  • IP multicast support

    • By using the Windows 2000 IGMP routing protocol, a remote access server can forward IP multicast traffic between connected remote access clients and the Internet or a corporate network.

    For more information, see Deploying remote access.

  • Account lockout

    • Account lockout is a security feature that denies access after a configured number of failed authentication attempts. Account lockout is designed to help prevent dictionary attacks. A dictionary attack is when an unauthorized user attempts to log on by using a known user name and a list of common words as the password. Account lockout is disabled by default.

    For more information, see Account lockout.


Understanding remote access

This section covers:

  • Dial-up networking
  • Virtual private networking
  • Devices and ports
  • Remote access protocols
  • VPN tunneling protocols
  • LAN protocols
  • Remote access security
  • Authentication and accounting providers
  • Remote access policies
  • Restartable file copy
  • Multilink and BAP
  • Logging
  • The remote access server and network management


Dial-up networking

This section covers:

  • Components of Windows 2000 dial-up networking
  • Dial-up networking clients
  • Dial-up networking servers


Components of Windows 2000 dial-up networking

Windows 2000 dial-up networking includes the following components:

  • Dial-up networking servers

    You can configure a remote access server running Windows 2000 to provide dial-up networking access to an entire network or restrict access to the shared resources of the remote access server only.

  • Dial-up networking clients

    Remote access clients running Windows NT and Windows 2000, Windows 98, Windows 95, Windows for Workgroups, MS-DOS, LAN Manager dial-up networking or remote access, and Apple Macintosh can all connect to a remote access server running Windows 2000.

  • LAN and remote access protocols

    Application programs use LAN protocols to transport information. Remote access protocols are used to negotiate connections and provide framing for LAN protocol data that is sent over wide area network (WAN) links. Windows 2000 remote access supports LAN protocols such as TCP/IP, IPX, AppleTalk, and NetBEUI, which enable access to the Internet, UNIX, Apple Macintosh, and Novell NetWare resources. Windows 2000 remote access supports remote access protocols such as PPP, SLIP, and the Microsoft RAS Protocol (NetBEUI only).

  • WAN options

    Clients can dial in by using standard telephone lines and a modem or modem pool. Faster links are possible by using ISDN. You can also connect remote access clients to remote access servers by using X.25 or ATM. Direct connections are also supported through an RS-232C null modem cable, a parallel port connection, or an infrared connection.

  • Internet support

    Windows 2000 dial-up networking provides complete services for Internet access. You can configure a computer running Windows 2000 Server for an Internet service provider (ISP), which offers dial-up Internet connections to PPP clients. A computer running Windows 2000 can dial in to an Internet-connected computer running Windows NT Server 3.5 or later or to any one of a variety of industry-standard PPP or SLIP-based Internet servers.

  • Security options

    Windows 2000 logon and domain security, support for security hosts, data encryption, Remote Authentication Dial-In User Service (RADIUS), smart cards, remote access policies, and callback provide secure network access for dial-up clients.

The following illustration shows the dial-up networking components. Your actual implementation and configuration of Windows 2000 dial-up networking may vary.

Components of Windows 2000 dial-up networking


Dial-up networking clients

Dial-up networking clients that connect to remote access servers running Windows 2000 can be Windows NT and Windows 2000, Windows 98, Windows 95, Microsoft Windows for Workgroups, MS-DOS, LAN Manager, or any PPP client. The client must have installed a modem, an analog telephone line or other WAN connection, and remote access software.

You can automatically connect to remote access servers by using the Windows 2000 autodial feature. Autodial learns every connection made over the remote access link and automatically reconnects you when you access a resource for the second time.

You can automate the connection process for Windows 2000 clients by using a simple batch file and the rasdial command. You can also schedule automatic backups to or from remote computers by using dial-up networking and Windows 2000 Task Scheduler.

Microsoft PPP clients

Microsoft PPP clients that use TCP/IP, IPX, or NetBEUI can access a remote access server running Windows NT 3.5 or later. Microsoft PPP clients cannot use the AppleTalk protocol. The remote access server automatically negotiates authentication with PPP clients.

Remote access support for Microsoft PPP dial-up networking clients is outlined in the following table.

Dial-up networking client | Supported Windows 2000 remote access PPP features | Unsupported Windows 2000 remote access PPP features
Windows 2000 | Multilink, Bandwidth Allocation Protocol (BAP), Microsoft Challenge Handshake Authentication Protocol (MS-CHAP), Challenge Handshake Authentication Protocol (CHAP), Shiva Password Authentication Protocol (SPAP), Password Authentication Protocol (PAP), Microsoft Challenge Handshake Authentication Protocol version 2 (MS-CHAP v2), and Extensible Authentication Protocol (EAP) |
Windows NT version 4.0 | Multilink, MS-CHAP, CHAP, SPAP, PAP, and MS-CHAP v2 (with Windows NT 4.0 Service Pack 4 and later) | BAP and EAP
Windows NT version 3.5x | MS-CHAP, CHAP, SPAP, and PAP | Multilink, BAP, MS-CHAP v2, and EAP
Windows 98 | Multilink, MS-CHAP, CHAP, SPAP, PAP, and MS-CHAP v2 (with the Windows 98 Service Pack 1 and later) | BAP and EAP
Windows 95 | MS-CHAP, CHAP, SPAP, and PAP (with the Windows Dial-Up Networking 1.3 Performance & Security Upgrade for Windows 95) | MS-CHAP v2, Multilink, BAP, and EAP

Note

  • Windows 95 with the Windows Dial-Up Networking 1.3 Performance & Security Upgrade for Windows 95 supports MS-CHAP v2 over virtual private network (VPN) connections, but not MS-CHAP v2 over dial-up connections.

Non-Microsoft PPP clients

Non-Microsoft PPP clients that use TCP/IP, IPX, NetBEUI, or AppleTalk can access a remote access server running Windows 2000. The remote access server automatically negotiates authentication with PPP clients. No special configuration of the remote access server running Windows 2000 is required for non-Microsoft PPP clients except to ensure that both the remote access server and the non-Microsoft PPP client are configured for the same LAN and authentication protocols.

For more information, see the documentation provided with your non-Microsoft PPP client.

Microsoft RAS Protocol clients

The following clients cannot use the PPP remote access protocol but are still supported by the remote access server running Windows 2000 through the Microsoft RAS Protocol, which only supports the NetBEUI LAN protocol.

  • Windows NT version 3.1 clients

    • Windows NT 3.1 clients use the Microsoft RAS Protocol and are fully compatible with all versions of Microsoft remote access.

    These clients do not support the PPP protocol introduced in Windows NT 3.5. Only Windows NT 3.5x or later PPP clients provide the support necessary to run TCP/IP or IPX applications on clients that directly communicate with servers on the LAN by using TCP/IP or IPX.

  • Windows for Workgroups, MS-DOS, and LAN Manager clients

    • Windows NT Server 4.0 provides a Microsoft Network Client version 3.0 for MS-DOS and a Windows for Workgroups client that provides remote access. Separately purchased Windows for Workgroups and LAN Manager remote access clients can also connect to Windows NT 3.5 or later remote access servers.

    The Microsoft Network Client 3.0 for MS-DOS must be set up to use the full redirector (the default setting). If the basic redirector is used, the remote access program Rasphone does not start.

    Windows for Workgroups, MS-DOS, and LAN Manager clients can use the remote access NetBIOS gateway to access NetBIOS-based resources by using NetBIOS over TCP/IP, NetBIOS over IPX, or NetBEUI across the remote connection.

    However, because these clients do not support PPP, they cannot use applications that run directly over TCP/IP or IPX. For example, Web servers and Novell NetWare servers are unavailable to these clients across the dial-up networking connection.

SLIP clients

A remote access server running Windows 2000 does not support the Serial Line Internet Protocol (SLIP) remote access protocol. SLIP clients cannot connect to a remote access server running Windows 2000.


Dial-up networking servers

Windows 2000 Server administrators use Routing and Remote Access to configure a remote access server running Windows 2000, view connected users, and monitor remote access traffic.

For dial-up networking access, the server must have at least one modem or a multiport adapter, and analog telephone lines or other WAN connections. If the server provides access to a network, you must install and connect a separate network adapter to the network to which the server provides access.

You can configure remote access servers running Windows 2000 after you run the Routing and Remote Access wizard. You must specify the protocols to use on the LAN (IPX, TCP/IP, AppleTalk, and NetBEUI) and whether access by using that protocol is to the entire network or to the remote access server only. You must also select authentication and encryption options.

For more information about installing the Routing and Remote Access service, see To enable the Routing and Remote Access service.

For more information about deploying a dial-up networking remote access server, see Setting up dial-up remote access.


Virtual private networking

This section covers:

  • Components of Windows 2000 virtual private networking
  • Virtual private networking clients
  • Virtual private networking servers


Components of Windows 2000 virtual private networking

Windows 2000 virtual private networking includes the following components:

  • Virtual private network (VPN) servers

    You can configure the VPN server to provide access to an entire network or to restrict access to just the resources of the VPN server.

  • VPN clients

    VPN clients are either individual users who obtain a remote access VPN connection or routers that obtain a router-to-router VPN connection. Windows NT 4.0 and later, Windows 95, and Windows 98 VPN clients can create remote access VPN connections to a remote access server running Windows 2000 that acts as a VPN server. Computers running Windows 2000 Server or Windows NT Server 4.0 and the Routing and Remote Access Service (RRAS) can create router-to-router VPN connections. VPN clients can also be any non-Microsoft Point-to-Point Tunneling Protocol (PPTP) client or Layer Two Tunneling Protocol (L2TP) client that uses Internet Protocol security (IPSec).

  • LAN and remote access protocols

    LAN protocols are used by application programs to transport information. Remote access protocols are used to negotiate connections and provide framing for LAN protocol data that is sent over wide area network (WAN) links. Windows 2000 remote access supports LAN protocols such as TCP/IP, IPX, AppleTalk, and NetBEUI, which enable access to Internet, UNIX, Apple Macintosh, and Novell NetWare resources. For VPN connections, Windows 2000 remote access supports the PPP remote access protocol.

  • Tunneling protocols

    VPN clients use tunneling protocols to create secured connections to a VPN server. Windows 2000 includes the PPTP and L2TP tunneling protocols.

  • WAN options

    VPN servers are connected to the Internet by using permanent WAN connections such as T1 or Frame Relay. VPN clients are connected to the Internet by using permanent WAN connections or by dialing in (by using standard analog telephone lines or ISDN) to a local Internet service provider (ISP).

  • Internet support

    Windows 2000 virtual private networking provides complete services for VPNs on the Internet. You can configure a computer running Windows 2000 Server as an VPN server, which offers secured connections to either remote access clients or demand-dial routers.

  • Security options

    Windows 2000 logon and domain security, support for security hosts, data encryption, Remote Authentication Dial-In User Service (RADIUS), smart cards, IP packet filtering, and caller ID provide secure network access for VPN clients.

The following illustration shows all the virtual private networking components and possible configurations. Your actual implementation and configuration of Windows 2000 virtual private networking may vary.

Components of Windows 2000 virtual private networking


Virtual private networking clients

Virtual private networking clients that connect to remote access servers running Windows 2000 can be Windows NT 4.0 and later, Windows 95, or Windows 98 clients. The client must be able to send TCP/IP packets to the remote access server. Therefore, either a network adapter or modem with an analog telephone line or other WAN connection is required.

Tunneling protocols for Microsoft virtual private network clients

Support for tunneling protocols by Microsoft virtual private networking clients is outlined in the following table.

Virtual private networking client | Supported tunneling protocols | Unsupported tunneling protocols
Windows 2000 | Point-to-Point Tunneling Protocol (PPTP) and Layer Two Tunneling Protocol (L2TP) |
Windows NT version 4.0 | PPTP | L2TP
Windows 98 | PPTP | L2TP
Windows 95 | PPTP with the Windows Dial-Up Networking 1.3 Performance & Security Upgrade for Windows 95 | L2TP

Note

  • Windows NT version 3.5x does not support either PPTP or L2TP.

Authentication for Microsoft virtual private network clients

Support for authentication protocols by Microsoft virtual private networking clients is outlined in the following table.

Virtual private networking client | Supported Windows 2000 remote access authentication protocols | Unsupported Windows 2000 remote access authentication protocols
Windows 2000 | Microsoft Challenge Handshake Authentication Protocol (MS-CHAP), Challenge Handshake Authentication Protocol (CHAP), Shiva Password Authentication Protocol (SPAP), Password Authentication Protocol (PAP), MS-CHAP version 2 (MS-CHAP v2), and Extensible Authentication Protocol (EAP) |
Windows NT version 4.0 | MS-CHAP, CHAP, SPAP, PAP, and MS-CHAP v2 (with the Windows NT 4.0 Service Pack 4 and later) | EAP
Windows 98 | MS-CHAP, CHAP, SPAP, PAP, and MS-CHAP v2 (with the Windows 98 Service Pack 1 and later) | EAP
Windows 95 | MS-CHAP, CHAP, SPAP, PAP, and MS-CHAP v2 (with the Windows Dial-Up Networking 1.3 Performance & Security Upgrade for Windows 95) | EAP

Note

  • Windows 95 with the Windows Dial-Up Networking 1.3 Performance & Security Upgrade for Windows 95 supports MS-CHAP v2 over virtual private network (VPN) connections, but not MS-CHAP v2 over dial-up connections.

Non-Microsoft virtual private network (VPN) clients

Non-Microsoft virtual private network clients that use PPTP or L2TP with Internet Protocol security (IPSec) can access a remote access server running Windows NT 4.0 (PPTP only) or Windows 2000. No special configuration of the remote access server is required for non-Microsoft virtual private network clients. However, if you want secure VPN connections, you must make sure that the non-Microsoft virtual private network clients support the proper encryption. For PPTP, Microsoft Point-to-Point Encryption (MPPE) must be supported. For L2TP, IPSec encryption must be supported.

For more information, see the documentation provided with your non-Microsoft virtual private network clients.


Virtual private networking servers

Windows 2000 Server administrators use Routing and Remote Access to configure a VPN server running Windows 2000, view connected users, and monitor remote access traffic.

For virtual private network access from the Internet, the server typically has a permanent connection to the Internet. A nonpermanent connection to the Internet is possible if the Internet service provider (ISP) supports demand-dial connections; the connection is created when traffic is delivered to the VPN server. However, this is not a common configuration. If the VPN server provides access to a network, you must install and connect a separate network adapter to the network to which the VPN server provides access.

You can configure remote access servers after the Routing and Remote Access wizard is run. You must specify the protocols to use on the LAN (IPX, TCP/IP, AppleTalk, and NetBEUI) and whether access by using that protocol is to the entire network or to the remote access server only. You must also select authentication and encryption options.

For more information about installing the Routing and Remote Access service, see To enable the Routing and Remote Access service.

For more information about deploying a remote access VPN server, see Setting up remote access VPNs.


Devices and ports

A remote access server running Windows 2000 views the installed networking equipment as a series of devices and ports.

  • A device represents hardware or software that can create physical or logical point-to-point connections.
  • A port is a communication channel that can support a single point-to-point connection.

Device

A device is the hardware or software that provides ports that remote access connections can use to establish point-to-point connections. Devices are physical, such as a modem, or virtual, such as virtual private network (VPN) protocols. Devices can support a single port, such as a modem, or multiple ports, such as modem bank hardware that can terminate 64 different incoming analog phone calls. The Point-to-Point Tunneling Protocol (PPTP) or Layer Two Tunneling Protocol (L2TP) are examples of virtual multiport devices. Each of these tunneling protocols supports multiple VPN connections.

To see the installed devices, you can view the properties of Ports in Routing and Remote Access.

Port

A port is a channel of a device that can support a single point-to-point connection. For single-port devices such as modems, the device and the port are indistinguishable. For multiport devices, the port is the subdivision of the device over which a separate point-to-point communication is possible. For example, Primary Rate Interface (PRI) ISDN adapters support two separate channels called B channels. The ISDN adapter is a device. Each B channel is a port because a separate point-to-point connection occurs over each B channel.

You can view the dial-up ports by clicking Ports in Routing and Remote Access.


Remote access protocols

Remote access protocols control transmission of data over wide area network (WAN) links. The operating system and LAN protocols that are used on remote access clients and servers dictate which remote access protocol your clients can use.

There are three types of remote access protocols supported by Windows 2000 remote access:

  • Point-to-Point Protocol
  • Serial Line Internet Protocol
  • Microsoft RAS Protocol


Point-to-Point Protocol

Windows 2000 Server supports the Point-to-Point Protocol (PPP), a set of industry-standard framing and authentication protocols that enable remote access solutions to function in a multivendor network. It is recommended that you use PPP because of its flexibility and its role as an industry standard as well as for future flexibility with client and server hardware and software.

PPP support enables computers running Windows 2000 to dial in to remote networks through any server that complies with the PPP standard. PPP compliance also enables a computer running Windows 2000 to receive calls from, and provide network access to, other vendors' remote access software.

The PPP architecture also enables remote access clients to use any combination of IPX, TCP/IP, NetBEUI, and AppleTalk. Remote access clients running Windows NT and Windows 2000, Windows 98, and Windows 95 can use any combination of TCP/IP, IPX, and NetBEUI and programs written to the Windows Sockets, NetBIOS, or IPX interface. Microsoft remote access clients do not support the use of the AppleTalk protocol over a remote access connection.

PPP standards are defined in Requests for Comments (RFCs), which are published by the Internet Engineering Task Force and other working groups. For the list of PPP RFCs supported by a remote access server running Windows 2000, see Remote access RFCs.

PPP connection sequence

When you connect to a remote computer, PPP negotiation accomplishes the following:

  1. Framing rules are established between the remote computer and server. This allows continued communication (frame transfer) to occur.
  2. The remote access server then authenticates the remote user by using the PPP authentication protocols (MS-CHAP, EAP, CHAP, SPAP, PAP). The protocols that are invoked depend on the security configurations of the remote client and server.
  3. Once authenticated, if callback is enabled, the remote access server hangs up and calls the remote access client.
  4. The Network Control Protocols (NCPs) enable and configure the remote client for the desired LAN protocols.

When the PPP connection sequence has completed successfully, the remote access client and the remote access server can transfer data from programs written to the Windows Sockets, RPC, or NetBIOS programming interfaces.


Serial Line Internet Protocol

Serial Line Internet Protocol (SLIP) is an older remote access standard typically used by UNIX remote access servers. Remote access clients running Windows 2000 support SLIP and can connect to any remote access server using the SLIP standard. This permits Windows NT 3.5 or later clients to connect to the large installed base of UNIX servers. A remote access server running Windows 2000 does not support SLIP clients.


Microsoft RAS Protocol

The Microsoft RAS protocol is a proprietary remote access protocol that supports the NetBIOS standard. The Microsoft RAS protocol is supported in all previous versions of Microsoft remote access and is used on Windows NT 3.1, Windows for Workgroups, MS-DOS, and LAN Manager clients.

A remote access client that is dialing from a computer running Windows NT 3.1 or Windows for Workgroups must use the NetBEUI protocol. The remote access server then acts as a NetBIOS gateway for the remote client, providing access to resources over the NetBEUI, NetBIOS over TCP/IP, or NetBIOS over IPX protocols.


VPN tunneling protocols

This section covers:

  • Point-to-Point Tunneling Protocol
  • Layer Two Tunneling Protocol


Point-to-Point Tunneling Protocol

The Point-to-Point Tunneling Protocol (PPTP) is a de facto industry standard tunneling protocol first supported in Windows NT 4.0. PPTP is an extension of the Point-to-Point Protocol (PPP) and leverages the authentication, compression, and encryption mechanisms of PPP.

PPTP is installed with the Routing and Remote Access service. By default, PPTP is configured for five PPTP ports. You can enable PPTP ports for inbound remote access and demand-dial routing connections by using the Routing and Remote Access wizard. To enable PPTP ports for routing after the wizard is run, see To enable routing on ports.

PPTP and Microsoft Point-to-Point Encryption (MPPE) provide the primary VPN services of encapsulation and encryption of private data.

Encapsulation

A PPP frame (an IP datagram, an IPX datagram, or a NetBEUI frame) is wrapped with a Generic Routing Encapsulation (GRE) header and an IP header. In the IP header is the source and destination IP address that correspond to the VPN client and VPN server.

The following illustration shows PPTP encapsulation for a PPP frame.

PPTP encapsulation

Encryption

The PPP frame is encrypted with Microsoft Point-to-Point Encryption (MPPE) by using encryption keys generated from the MS-CHAP or EAP-TLS authentication process. Virtual private networking clients must use either the MS-CHAP or EAP-TLS authentication protocol in order for the payloads of PPP frames to be encrypted. PPTP is taking advantage of the underlying PPP encryption and encapsulating a previously encrypted PPP frame.

Note

  • It is possible to have a nonencrypted PPTP connection where the PPP frame is sent in plaintext. However, a nonencrypted PPTP connection is not recommended for virtual private network connections over the Internet because communications of this type are not secure.


Layer Two Tunneling Protocol

The Layer Two Tunneling Protocol (L2TP) is an RFC-based tunneling protocol destined to become the industry standard. Unlike PPTP, L2TP in Windows 2000 does not utilize Microsoft Point-to-Point Encryption (MPPE) to encrypt PPP datagrams. L2TP relies on Internet Protocol security (IPSec) for encryption services. The combination of L2TP and IPSec is known as L2TP over IPSec.

The result is that L2TP-based virtual private networking connections are a combination of L2TP and IPSec. Both L2TP and IPSec must be supported by both the VPN client and the VPN server. For more information about IPSec, see IP Security overview.

L2TP is installed with the Routing and Remote Access service. By default, L2TP is configured for five L2TP ports. You can enable L2TP ports for inbound remote access and demand-dial routing connections by using the Routing and Remote Access wizard. To enable PPTP ports for routing after the wizard is run, see To enable routing on ports.

L2TP over IPSec provides the primary VPN services of encapsulation and encryption of private data.

Encapsulation

Encapsulation for L2TP over IPSec packets consists of two layers:

  1. L2TP encapsulation

    2. A PPP frame (an IP datagram, an IPX datagram, or a NetBEUI frame) is wrapped with a L2TP header and a UDP header.

  2. IPSec encapsulation

    3. The resulting L2TP message is then wrapped with an IPSec Encapsulating Security Payload (ESP) header and trailer, an IPSec Authentication trailer that provides message integrity and authentication, and a final IP header. In the IP header is the source and destination IP address that corresponds to the VPN client and VPN server.

The following illustration shows L2TP and IPSec encapsulation for a PPP datagram.

L2TP and IPSec encapsulation

Encryption

The L2TP message is encrypted with IPSec encryption mechanisms by using encryption keys generated from the IPSec authentication process.

Note

  • It is possible to have a non-IPSec-based (nonencrypted) L2TP connection where the PPP frame is sent in plaintext. However, a nonencrypted L2TP connection is not recommended for virtual private network connections over the Internet because communications of this type are not secure.


LAN protocols

The protocols you are using in your existing network affect how you plan, integrate, and configure remote access.

Windows 2000 remote access supports the TCP/IP, IPX, AppleTalk, and NetBEUI LAN protocols. This means you can integrate Windows 2000 remote access into existing Microsoft, UNIX, Apple Macintosh, or Novell NetWare networks by using the PPP remote access protocol. Windows 2000 remote access clients can also connect to existing SLIP-based remote access servers (primarily UNIX servers).

When you install and configure remote access, any protocols already installed on the computer (TCP/IP, IPX, AppleTalk, and NetBEUI) are automatically enabled for remote access on inbound and outbound connections. For each LAN protocol, you can also specify if you want to provide access to the entire network or only the remote access server. If you provide access to the entire network by using TCP/IP or IPX, you must also configure how the server provides IP addresses and IPX network numbers. If you provide access to the entire network by using NetBEUI, no additional configuration is needed.

This section covers:

  • TCP/IP and remote access
  • IPX and remote access
  • AppleTalk and remote access
  • NetBEUI and remote access


TCP/IP and remote access

TCP/IP is the most popular LAN protocol. Its routing and scaling capabilities provide maximum flexibility in an enterprise-wide internetwork.

On a TCP/IP internetwork, you must provide IP addresses to hosts. Hosts might also require methods for name resolution. This section explains IP addressing and name resolution for remote access servers running Windows 2000 and remote access clients for TCP/IP networks.

Assigning IP addresses to remote access clients

Each remote computer that connects to a remote access server running Windows 2000 through PPP on a TCP/IP network is automatically provided an IP address. The remote access server obtains the IP address that is allocated to the remote access client either from a DHCP server or from a static range of IP addresses assigned to the remote access server by the administrator.

Remote access server and DHCP

When the remote access server is configured to use DHCP to obtain IP addresses, the DHCP server obtains 10 IP addresses from a DHCP server. The remote access server uses the first IP address obtained from DHCP for itself and allocates subsequent addresses to TCP/IP-based remote access clients as they connect. IP addresses that are freed when remote access clients disconnect are reused. When all 10 IP addresses are used, the remote access server obtains 10 more. When the Routing and Remote Access service is stopped, all IP addresses obtained through DHCP are released.

If a DHCP server is not available when the Routing and Remote Access service is started, then Automatic Private IP Addressing (APIPA) addresses in the range from 169.254.0.1 through 169.254.255.254 are used. For more information, see TCP/IP configuration methods.

The remote access server uses a specific LAN interface to obtain DHCP-allocated IP addresses for remote access clients. You can select which interface you want to use under Select the adapter to obtain DHCP, DNS, and WINS addresses for dial-up clients on the IP tab on the properties of the remote access server in Routing and Remote Access. For more information, see To view properties of the remote access server. By default, the Routing and Remote Access service randomly picks a LAN interface to use. For a remote access server with multiple adapters, you should select the adapter that is connected to a network segment where DHCP-allocated addresses can be obtained.

Remote access server static IP address pools

A static pool of IP addresses is entered as one or more ranges of IP addresses. Each range of IP addresses can be entered as a starting IP address and ending IP address for the range or a starting IP address and the number of IP addresses in the range. With previous versions of Windows NT, the address pool is entered as a range of IP addresses with exceptions. In Windows 2000, you can duplicate the ability to configure exceptions by using multiple ranges. The remote access server uses the first IP address in the first range.

If the static IP address pool consists of ranges of IP addresses that are a subset of the range of IP addresses for the network to which the remote access server is attached, then you need to ensure that the ranges of IP addresses in the remote access IP address pool are not assigned to other TCP/IP nodes either statically or through DHCP.

If the static IP address pool consists of ranges of IP addresses that are for a separate subnet, then you need to either enable an IP routing protocol on the remote access server computer or add static IP routes consisting of the {IP Address, Mask} of each range to the routers of the intranet. Otherwise, remote access clients cannot receive traffic from resources on the intranet. If you are using OSPF on the remote access server, see OSPF design considerations.

To configure a static pool of IP addresses, see To create a static IP address pool.

Remote access clients running Windows 2000 can also use a preassigned IP address specified in their phonebooks. In this case, you must configure the remote access server running Windows 2000 through remote access policies to permit users to request a specific address, and you must configure the dial-in properties of the user account with a static IP address. For more information, see Elements of a remote access policy and Dial-in properties of a user account.

For more information about TCP/IP addressing, see IP addressing.

Resolving names for remote access servers and clients

In addition to requiring an IP address, remote access servers and clients on a TCP/IP network require a mechanism to resolve computer names to IP addresses. The name resolution options available on a Windows 2000 network are:

  • DNS and the Hosts file used for host name resolution.
  • WINS and the Lmhosts file used for NetBIOS name resolution.

For more information about DNS and the Hosts file, see DNS overview. For more information about WINS and the Lmhosts file, see WINS overview.

Remote access servers can use all of these name-resolution methods for operations performed on the server.

The remote access server allocates the DNS and WINS server IP addresses of a LAN interface on the remote access server to remote access clients. If there is only one LAN interface, which is the typical configuration of a dial-up remote access server, the remote access server allocates the DNS and WINS server IP addresses of the single LAN interface to remote access clients.

With multiple LAN interfaces, which is the typical configuration of a VPN server, the remote access server chooses one LAN interface randomly during startup and uses the DNS and WINS server IP addresses of the selected LAN interface to allocate to remote access clients. To override this behavior, you can select a specific LAN interface under Select the adapter to obtain DHCP, DNS, and WINS addresses for dial-up clients on the IP tab on the properties of the remote access server in Routing and Remote Access. For more information, see To view properties of the remote access server.

Remote access clients in small networks where IP addresses and names do not change can use a Hosts or Lmhosts file for name resolution. By using these files on the local drive, you do not need to transmit name resolution requests to a DNS server or WINS server across the remote access connection.

Using DHCPINFORM and the DHCP Relay Agent

After the connection negotiation is complete, Windows 2000 and Windows 98 remote access clients send their remote access servers a DHCPINFORM message. DHCPINFORM is a DHCP message that is used by DHCP clients to obtain DHCP options. While remote access clients do not use DHCP to obtain IP addresses for the remote access connection, remote access clients running Windows 2000 and Windows 98 use the DHCPINFORM message to obtain DNS server IP addresses, WINS server IP addresses, and a DNS domain name.

The DHCPINFORM message received by the remote access server is then forwarded to a DHCP server. The remote access server forwards DHCPINFORM messages, if it has been configured with the DHCP Relay Agent. The response to the DHCPINFORM message is forwarded back to the requesting remote access client. If the DHCPINFORM response contains DNS and WINS server IP address options, then these new values override what was allocated during the connection negotiation process.

To facilitate the forwarding of DHCPINFORM messages between remote access clients and DHCP servers, the remote access server uses the DHCP Relay Agent, a component of the Windows 2000 Routing and Remote Access service. To configure the remote access server to use the DHCP Relay Agent, you need to add the Internal interface to the DHCP Relay Agent IP routing protocol in Routing and Remote Access. For more information, see Configure the DHCP Relay Agent.

If the remote access server is using DHCP to obtain IP addresses for remote access clients, then the remote access server uses the DHCP Relay Agent to forward DHCPINFORM messages to the DHCP server of the selected LAN interface. For more information, see To view properties of the remote access server.

If the remote access server is using a static IP address pool to obtain IP addresses for remote access clients, then you must configure the DHCP Relay Agent with the IP address of at least one DHCP server. Otherwise, DHCPINFORM messages sent by remote access clients are silently discarded by the remote access server. For more information, see To configure global DHCP Relay Agent properties .

Using SLIP on TCP/IP networks

With the Serial Line Internet Protocol (SLIP), remote access clients running Windows 2000 can connect to other remote access servers that use the SLIP remote access protocol. Clients can use SLIP only if the port for the phonebook entry is a serial COM port.

Important

  • In order to provide TCP/IP-based remote access, the TCP/IP protocol must be installed on the remote access server computer.

Note

  • A remote access server running Windows 2000 does not support the SLIP remote access protocol.


IPX and remote access

Internetwork Packet Exchange (IPX) is the protocol used on Novell NetWare networks. Because it is a routable protocol, IPX is suitable for enterprise-wide internetworks. This section explains how to integrate remote access clients and servers running Windows 2000 into a NetWare IPX network.

Windows 2000 support for NetWare

If a remote access client running Windows 2000 needs to access Novell NetWare servers, the client computer must run a NetWare redirector. In computers running Windows 2000 Professional the redirector is called Client Service for NetWare and in computers running Windows 2000 Server the redirector is called Gateway Service for NetWare.

A remote access server running Windows 2000 is also an IPX router and controls the types of Routing Information Protocol (RIP), Service Advertising Protocol (SAP), and NetBIOS over IPX traffic that is relayed between the remote access server and the remote access client. Remote access servers and their clients use the PPP IPX Configuration Protocol (IPXCP) defined in RFC 1552, "The PPP Internetwork Packet Exchange Control Protocol (IPXCP)" to configure the remote access connection for IPX. Once configured, remote access servers allow remote access clients access to NetWare file and print services and the use of Windows Sockets applications over IPX on the IPX internetwork.

Remote access servers provide clients that connect to an IPX network with an IPX network number and node number. The following section explains the addressing options available for Windows 2000 remote access by using the IPX protocol.

For information about installing the connectivity services on a NetWare and Windows 2000 interconnected network, see Overview of Novell NetWare integration.

IPX addressing for remote clients

Remote access clients are always provided an IPX network number by the remote access server. The IPX network number is either generated automatically by the remote access server, or a static pool of network numbers is configured by the administrator.

For an automatically generated IPX network number, the Windows 2000 remote access server verifies that the generated IPX network number is not in use in the IPX internetwork. The remote access server then assigns that number to all remote access clients.

You can override the automatic assignments of network numbers. Manual assignments are useful if you want more control of network number assignments for security or monitoring. When you assign IPX network numbers to a remote access server, ensure that duplicate network numbers are not assigned. You can also assign the same network number to all clients to minimize RIP announcements from the remote access server.

Important

  • In order to provide IPX-based remote access, the NWLink IPX/SPX/NetBIOS Compatible Transport protocol must be installed on the remote access server computer.


AppleTalk and remote access

Apple Macintosh clients can dial in to a remote access server running Windows 2000 by using the industry-standard Point-to-Point (PPP) remote access protocol and the AppleTalk LAN protocol. In this configuration, remote access clients negotiate AppleTalk network settings with the remote access server by using the AppleTalk Control Protocol (ATCP) as defined in RFC 1378, "The PPP AppleTalk Control Protocol (ATCP)."

For more information about configuring AppleTalk remote access, see To configure AppleTalk remote access.

Important

  • In order to provide AppleTalk-based remote access, you must install the AppleTalk protocol on the remote access server computer.

Note

  • The AppleTalk remote access features of Windows 2000 are designed to support Apple Macintosh remote access clients. A remote access client running Windows 2000 does not include support for AppleTalk over PPP.


NetBEUI and remote access

NetBEUI is suited for use in small workgroups or LANs and can be installed on the remote access server running Windows 2000. Windows NT 3.1 remote access clients, LAN Manager remote access clients, MS-DOS remote access clients, and Windows for Workgroups remote access clients require NetBEUI when using remote access to communicate.


Remote access security

This section covers:

  • Authentication methods
  • Authentication vs. authorization
  • Data encryption
  • Remote access dial-in permissions
  • Caller ID and callback
  • Security hosts
  • Account lockout


Authentication methods

The authentication of remote access clients is an important security concern. Authentication methods typically use an authentication protocol that is negotiated during the connection establishment process. Windows 2000 also supports unauthenticated access.

This section covers:

  • EAP

  • MS-CHAP

  • MS-CHAP version 2

  • CHAP

  • SPAP

  • PAP

  • Unauthenticated access


EAP

With the Extensible Authentication Protocol (EAP), an arbitrary authentication mechanism validates a remote access connection. The exact authentication scheme to be used is negotiated by the remote access client and the authenticator (either the remote access server or Internet Authentication Service (IAS) server). You can use EAP to support authentication schemes such as Generic Token Card, MD5-Challenge, Transport Level Security (TLS) for smart card support, and S/Key as well as any future authentication technologies.

EAP allows for an open-ended conversation between the remote access client and the authenticator. The conversation consists of authenticator requests for authentication information and the responses by the remote access client. For example, when EAP is used with security token cards, the authenticator can separately query the remote access client for a name, PIN, and card token value. As each query is asked and answered, the remote access client passes through another level of authentication. When all questions have been answered satisfactorily, the remote access client is authenticated.

A specific EAP authentication scheme is known as an EAP type. Both the remote access client and the authenticator must support the same EAP type for successful authentication to occur.

Windows 2000 includes an EAP infrastructure, two EAP types, and the ability to pass EAP messages to a RADIUS server (EAP-RADIUS).

EAP infrastructure

EAP in Windows 2000 is a set of internal components that provide architectural support for any EAP type in the form of a plug-in module. For successful authentication, both the remote access client and authenticator must have the same EAP authentication module installed. Windows 2000 provides two EAP types: EAP-MD5 CHAP and EAP-TLS. You can also install additional EAP types. The components for an EAP type must be installed on every remote access client and every authenticator.

EAP-MD5 CHAP

EAP-Message Digest 5 Challenge Handshake Authentication Protocol (EAP-MD5 CHAP) is a required EAP type that uses the same challenge handshake protocol as PPP-based CHAP, but the challenges and responses are sent as EAP messages.

A typical use for EAP-MD5 CHAP is to authenticate the credentials of remote access clients by using user name and password security systems. You can also use EAP-MD5 CHAP to test EAP interoperability.

EAP-TLS

EAP-Transport Level Security (EAP-TLS) is an EAP type that is used in certificate-based security environments. If you are using smart cards for remote access authentication, you must use the EAP-TLS authentication method. The EAP-TLS exchange of messages provides mutual authentication, negotiation of the encryption method, and secured private key exchange between the remote access client and the authenticator. EAP-TLS provides the strongest authentication and key exchange method.

EAP-TLS is only supported on a remote access server running Windows 2000 that is a member of a Windows 2000 mixed-mode or native-mode domain. A remote access server running stand-alone Windows 2000 does not support EAP-TLS.

For information about configuring smart cards for remote access clients, see Using smart cards for remote access.

EAP-RADIUS

EAP-RADIUS is not an EAP type, but the passing of EAP messages of any EAP type by an authenticator to a RADIUS server for authentication. For example, for a remote access server that is configured for RADIUS authentication, the EAP messages sent between the remote access client and remote access server are encapsulated and formatted as RADIUS messages between the remote access server and the RADIUS server.

EAP-RADIUS is used in environments where RADIUS is used as the authentication provider. An advantage of using EAP-RADIUS is that EAP types do not need to be installed at each remote access server, only at the RADIUS server. In the case of an IAS server, you only need to install EAP types on the IAS server.

In a typical use of EAP-RADIUS, a Windows 2000 remote access server is configured to use EAP and to use an IAS server for authentication. When a connection is made, the remote access client negotiates the use of EAP with the remote access server. When the client sends an EAP message to the remote access server, the remote access server encapsulates the EAP message as a RADIUS message and sends it to its configured IAS server. The IAS server processes the EAP message and sends a RADIUS-encapsulated EAP message back to the remote access server. The remote access server then forwards the EAP message to the remote access client. In this configuration, the remote access server is only a pass-through device. All processing of EAP messages occurs at the remote access client and the IAS server.

For more information about configuring a Windows 2000 remote access server for EAP-RADIUS, see To configure EAP-RADIUS.

Enabling EAP

To enable EAP-based authentication, you must do the following:

  1. Enable EAP as an authentication protocol on the remote access server. For more information, see To enable EAP.
  2. Enable EAP and, if needed, configure the EAP type on the appropriate remote access policy. For more information, see Introduction to remote access policies and To configure authentication.
  3. Enable and configure EAP on the remote access client running Windows 2000. For more information, see Extensible Authentication Protocol (EAP).

Note

  • Make sure your network access server (NAS) supports EAP before you enable it on a remote access policy on an IAS server. For more information, see your NAS documentation.


MS-CHAP

Windows 2000 includes support for the Microsoft Challenge Handshake Authentication Protocol (MS-CHAP), also known as MS-CHAP version 1. MS-CHAP is a nonreversible, encrypted password authentication protocol. The challenge handshake process works as follows:

  1. The authenticator (the remote access server or the IAS server) sends a challenge to the remote access client that consists of a session identifier and an arbitrary challenge string.
  2. The remote access client sends a response that contains the user name and a nonreversible encryption of the challenge string, the session identifier, and the password.
  3. The authenticator checks the response and, if valid, the user's credentials are authenticated.

If you use MS-CHAP as the authentication protocol, then you can use Microsoft Point-to-Point Encryption (MPPE) to encrypt the data sent on the PPP or PPTP connection.

Windows 2000 also includes support for MS-CHAP version 2. For more information, see MS-CHAP version 2.

Enabling MS-CHAP

To enable MS-CHAP-based authentication, you must do the following:

  1. Enable MS-CHAP as an authentication protocol on the remote access server. For more information, see To enable authentication protocols. MS-CHAP is enabled by default.
  2. Enable MS-CHAP on the appropriate remote access policy. For more information, see Introduction to remote access policies and To configure authentication. MS-CHAP is enabled by default.
  3. Enable MS-CHAP on the remote access client running Windows 2000. For more information, see Microsoft Challenge Handshake Authentication Protocol (MS-CHAP).

Notes

  • MS-CHAP (version 1 and version 2) is the only authentication protocol provided with Windows 2000 that supports password change during the authentication process.
  • By default, MS-CHAP v1 for Windows 2000 supports LAN Manager authentication. If you want to prohibit the use of LAN Manager authentication with MS-CHAP v1 for older Microsoft operating systems such as Windows NT 3.5x and Windows 95, you must set the following registry value to 0 on the authenticating server:

    HKEY_LOCAL_MACHINE\System\CurrentControlSet\Services\RemoteAccess\Policy\Allow LM Authentication

  • Make sure your network access server (NAS) supports MS-CHAP v1 before you enable it on a remote access policy on an IAS server. For more information, see your NAS documentation.
  • If your NAS is manufactured by Cisco Systems, Inc., you must use Cisco IOS version 11.3 6T or later. For more information on updating the IOS version for your Cisco NAS, see your Cisco documentation.
  • If MS-CHAP v1 is used as the authentication protocol, a 40-bit encrypted connection cannot be established if the user's password is larger than 14 characters. This behavior affects both dial-up and virtual private network-based remote access and demand dial connections.


MS-CHAP version 2

Windows 2000 includes support for version 2 of the Microsoft Challenge Handshake Authentication Protocol (MS-CHAP v2), which provides stronger security for remote access connections. MS-CHAP v2 solves some issues of MS-CHAP version 1, as shown in the following table.

MS-CHAP version 1 issue | MS-CHAP version 2 solution
LAN Manager encoding of the response used for backward compatibility with older Microsoft remote access clients is cryptographically weak. | MS-CHAP v2 no longer allows LAN Manager encoded responses.
LAN Manager encoding of password changes is cryptographically weak. | MS-CHAP v2 no longer allows LAN Manager encoded password changes.
Only one-way authentication is possible. The remote access client cannot verify that it is dialing in to its organization's remote access server or a masquerading remote access server. | MS-CHAP v2 provides two-way authentication, also known as mutual authentication. The remote access client receives verification that the remote access server that it is dialing in to has access to the user's password.
With 40-bit encryption, the cryptographic key is based on the user's password. Each time the user connects with the same password, the same cryptographic key is generated. | With MS-CHAP v2, the cryptographic key is always based on the user's password and an arbitrary challenge string. Each time the user connects with the same password, a different cryptographic key is used.
A single cryptographic key is used for data sent in both directions on the connection. | With MS-CHAP v2, separate cryptographic keys are generated for transmitted and received data.

MS-CHAP v2 is a one-way encrypted password, mutual authentication process that works as follows:

  1. The authenticator (the remote access server or the IAS server) sends a challenge to the remote access client that consists of a session identifier and an arbitrary challenge string.
  2. The remote access client sends a response that contains:
    • The user name.
    • An arbitrary peer challenge string.
    • A one-way encryption of the received challenge string, the peer challenge string, the session identifier, and the user's password.
  3. The authenticator checks the response from the client and sends back a response containing:
    • An indication of the success or failure of the connection attempt.
    • An authenticated response based on the sent challenge string, the peer challenge string, the encrypted response of the client, and the user's password.
  4. The remote access client verifies the authentication response and, if correct, uses the connection. If the authentication response is not correct, the remote access client terminates the connection.

Enabling MS-CHAP v2

To enable MS-CHAP v2-based authentication, you must do the following:

  1. Enable MS-CHAP v2 as an authentication protocol on the remote access server. For more information, see To enable authentication protocols. MS-CHAP v2 is enabled by default.
  2. Enable MS-CHAP v2 on the appropriate remote access policy. For more information, see Introduction to remote access policies and To configure authentication. MS-CHAP v2 is enabled by default.
  3. Enable MS-CHAP v2 on the remote access client running Windows 2000. For more information, see Microsoft Challenge Handshake Authentication Protocol version 2 (MS-CHAP v2).

Notes

  • Windows 95 with the Windows Dial-Up Networking 1.3 Performance & Security Upgrade only supports MS-CHAP v2 for virtual private network (VPN) connections. MS-CHAP v2 for dial-up connections is not supported.
  • MS-CHAP (version 1 and version 2) is the only authentication protocol provided with Windows 2000 that supports password change during the authentication process.
  • Make sure your network access server (NAS) supports MS-CHAP v2 before you enable it on a remote access policy on an IAS server. For more information, see your NAS documentation.


CHAP

The Challenge Handshake Authentication Protocol (CHAP) is a challenge-response authentication protocol that uses the industry-standard Message Digest 5 (MD5) hashing scheme to encrypt the response. CHAP is used by various vendors of network access servers and clients. A remote access server running Windows 2000 supports CHAP so that non-Microsoft remote access clients are authenticated.

To enable CHAP-based authentication, you must do the following:

  1. Enable CHAP as an authentication protocol on the remote access server. For more information, see To enable authentication protocols. CHAP is disabled by default.
  2. Enable CHAP on the appropriate remote access policy. For more information, see Introduction to remote access policies and To configure authentication.
  3. Enable storage of a reversibly encrypted form of the user's password.

    4. You can enable storage of a reversibly encrypted form of the user's password per user account or enable storage for all accounts in a domain. For more information, see To enable reversibly encrypted passwords in a domain.

  4. Force a reset of the user's password so that the new password is in a reversibly encrypted form.

    5. When you enable passwords to be stored in a reversibly encrypted form, the current passwords are not in a reversibly encrypted form and are not automatically changed. You must either reset user passwords or set user passwords to be changed the next time each user logs on. For more information, see To reset a user password and To modify user account properties. Once the password is changed, it is stored in a reversibly encrypted form.

    If you set user passwords to be changed the next time a user logs on, the user must log on by using a LAN connection and change the password before they attempt to log on with a remote access connection by using CHAP. You cannot change passwords during the authentication process by using CHAP—the logon attempt fails. One workaround for the remote access user is to temporarily log on by using MS-CHAP to change the password.

  5. Enable CHAP on the remote access client running Windows 2000. For more information, see Challenge Handshake Authentication Protocol (CHAP).

Notes

  • If your password expires, CHAP cannot change passwords during the authentication process.
  • Make sure your network access server (NAS) supports CHAP before you enable it on a remote access policy on an IAS server. For more information, see your NAS documentation.


SPAP

The Shiva Password Authentication Protocol (SPAP) is a reversible encryption mechanism employed by Shiva. A computer running Windows 2000 Professional, when connecting to a Shiva LAN Rover, uses SPAP, as does a Shiva client that connects to a remote access server running Windows 2000. This form of authentication is more secure than plaintext but less secure than CHAP or MS-CHAP.

To enable SPAP-based authentication, you must do the following:

  1. Enable SPAP as an authentication protocol on the remote access server. For more information, see To enable authentication protocols. SPAP is disabled by default.
  2. Enable SPAP on the appropriate remote access policy. For more information, see To configure authentication. SPAP is disabled by default.
  3. Enable SPAP on the remote access client running Windows 2000. For more information, see Shiva Password Authentication Protocol (SPAP).

Important

  • When you enable SPAP as an authentication protocol, the same user password is always sent in the same reversibly-encrypted form. This makes SPAP authentication susceptible to replay attacks, where a malicious user captures the packets of the authentication process and replays the responses to gain authenticated access to your intranet. The use of SPAP is discouraged, especially for virtual private network connections.

Notes

  • If your password expires, SPAP cannot change passwords during the authentication process.
  • Make sure your network access server (NAS) supports SPAP before you enable it on a remote access policy on an IAS server. For more information, see your NAS documentation.


PAP

Password Authentication Protocol (PAP) uses plaintext passwords and is the least sophisticated authentication protocol. It is typically negotiated if the remote access client and remote access server cannot negotiate a more secure form of validation.

To enable PAP-based authentication, you must do the following:

  1. Enable PAP as an authentication protocol on the remote access server. For more information, see To enable authentication protocols. PAP is disabled by default.
  2. Enable PAP on the appropriate remote access policy. For more information, see To configure authentication. PAP is disabled by default.
  3. Enable PAP on the remote access client running Windows 2000. For more information, see Password Authentication Protocol (PAP).

Important

  • When you enable PAP as an authentication protocol, user passwords are sent in plaintext form. Anyone capturing the packets of the authentication process can easily read the password and use it to gain unauthorized access to your intranet. The use of PAP is highly discouraged, especially for virtual private network connections.

Notes

  • By disabling the support for PAP on the remote access server, plaintext passwords are never sent by the dial-up client. Disabling support for PAP increases authentication security, but remote access clients who only support PAP cannot connect.
  • If your password expires, PAP cannot change passwords during the authentication process.
  • Make sure your network access server (NAS) supports PAP before you enable it on a remote access policy on an IAS server. For more information, see your NAS documentation.


Unauthenticated access

Windows 2000 supports unauthenticated access, which means that user credentials (a user name and password) are not required by the caller. There are some situations where unauthenticated access is useful. This section covers:

  • DNIS authorization
  • ANI/CLI authentication
  • Guest authentication

Important

  • When you enable unauthenticated access, remote access users are connected without sending user credentials. An unauthenticated remote access client does not negotiate the use of a common authentication protocol during the connection establishment process and does not send a user name or password.

    Unauthenticated access with Windows 2000 remote access clients can occur when the authentication protocols configured by the remote access client do not match those configured on the remote access server. In this case, the use of a common authentication protocol is not negotiated and the Windows 2000 remote access client does not send a user name and password.

    The Windows 2000 remote access client must always be configured to use at least one authentication protocol. When a common authentication protocol is negotiated, a user name and password is always sent, even when no user name and password is specified. In this case the current logon session user name, domain name, and password are sent.


DNIS authorization

Dialed Number Identification Service (DNIS) authorization is the authorization of a connection attempt based on the number called. DNIS identifies the number that was called to the receiver of the call and is provided by most standard telephone companies. To identify DNIS-based connections and apply the appropriate connection settings, you must do the following:

  1. Enable unauthenticated access on the remote access server. For more information, see To enable authentication protocols.
  2. Create a remote access policy on the authenticating server (remote access server or IAS server) for DNIS-based authorization with the Called-Station-Id condition set to the phone number. For more information, see Introduction to remote access policies and To add a remote access policy.
  3. Enable unauthenticated access on the remote access policy for DNIS-based authorization. For more information, see To configure authentication.

Note

  • If your phone service or hardware does not support DNIS, the passing of the number that was called, you can manually set the phone number of the port. For more information, see To set the phone number on a port.
  • IAS does not support proxied DNIS access requests.


ANI/CLI authentication

Automatic Number Identification/Calling Line Identification (ANI/CLI) authentication is the authentication of a connection attempt based on the phone number of the caller. ANI/CLI service returns the number of the caller to the receiver of the call and is provided by most standard telephone companies.

ANI/CLI authentication is different from caller ID authorization. In caller ID authorization, the caller sends a valid user name and password. The caller ID that is configured for the dial-in property on the user account must match the connection attempt; otherwise, the connection attempt is rejected. In ANI/CLI authentication, a user name and password are not sent.

To identify ANI/CLI-based connections and apply the appropriate connection settings, you must do the following:

  1. Enable unauthenticated access on the remote access server. For more information, see To enable authentication protocols.
  2. Enable unauthenticated access on the appropriate remote access policy for ANI/CLI-based authentication. For more information, see Introduction to remote access policies and To configure authentication.
  3. Create a user account for each number that will be calling for which you want to provide ANI/CLI authentication. The name of the user account must match the number that the user is dialing from. For example, if a user is dialing in from 555-0100, create a "5550100" user account.
  4. Set the following registry value to 31 on the authenticating server (either the remote access server or the IAS server):

    HKEY_LOCAL_MACHINE\System\CurrentControlSet\Services\RemoteAccess\Policy\User Identity Attribute

    This registry setting tells the authenticating server to use the calling number (RADIUS attribute 31, Calling-Station-ID) as the identity of the calling user. The user identity is set to the calling number only when there is no user name being supplied in the connection attempt.

    To always use the calling number as the user identity, set the following registry value to 1 on the authenticating server:

    HKEY_LOCAL_MACHINE\System\CurrentControlSet\Services\RemoteAccess\Policy\Override User-Name

    However, if you set Override User-Name to 1 and the User Identity Attribute to 31, the authenticating server can only perform ANI/CLI-based authentication. Normal authentication by using authentication protocols such as MS-CHAP, CHAP, and EAP is disabled.

Note

  • Changes to the registry settings will not take effect until the Routing and Remote Access service or the Internet Authentication Service are restarted.


Guest authentication

With guest authentication, during the authentication process, the caller does not send a user name or password. If unauthenticated access is enabled, by default the Guest account is used as the identity of the caller.

To enable Guest account access, you must do the following:

  1. Enable unauthenticated access on the remote access server. For more information, see To enable authentication protocols.
  2. Enable unauthenticated access on the appropriate remote access policy. For more information, see To configure authentication.
  3. Enable the Guest account. For more information, see To enable a disabled user account.
  4. Set the remote access permission on the Guest account to either Allow access or Control access through Remote Access Policy depending on your remote access policy administrative model. For more information, see Remote access policy administrative models and To grant remote access permission to a user.

If you do not want to enable the Guest account, create a user account and set the remote access permission to either Allow access or Control access through Remote Access Policy. Then, set the following registry value on the authenticating server (either the remote access server or the IAS server) to the name of the account:

HKEY_LOCAL_MACHINE\System\CurrentControlSet\Services\RemoteAccess\Policy\Default User Identity

Note

  • Changes to the registry setting will not take effect until the Routing and Remote Access service or the Internet Authentication Service are restarted.


Authentication vs. authorization

The distinction between authentication and authorization is important in understanding why connection attempts are either accepted or denied:

  • Authentication is the verification of the credentials of the connection attempt. This process consists of sending the credentials from the remote access client to the remote access server in an either plaintext or encrypted form by using an authentication protocol.
  • Authorization is the verification that the connection attempt is allowed. Authorization occurs after successful authentication.

For a connection attempt to be accepted, the connection attempt must be both authenticated and authorized. It is possible for the connection attempt to be authenticated by using valid credentials, but not authorized. In this case, the connection attempt is denied.

If a remote access server is configured for Windows authentication, Windows 2000 security is used to verify the credentials for authentication, and the dial-in properties of the user account and locally stored remote access policies are used to authorize the connection. If the connection attempt is both authenticated and authorized, the connection attempt is accepted.

For more information, see Introduction to remote access policies.

If the remote access server is configured for RADIUS authentication, the credentials of the connection attempt are passed to the RADIUS server for authentication and authorization. If the connection attempt is both authenticated and authorized, the RADIUS server sends an accept message back to the remote access server and the connection attempt is accepted. If the connection attempt is either not authenticated or not authorized, the RADIUS server sends a reject message back to the remote access server and the connection process is denied.

If the RADIUS server is a computer running Windows 2000 and the Internet Authentication Service (IAS), the IAS server performs authentication through Windows 2000 security and authorization through the dial-in properties of the user account and remote access policies stored on the IAS server.

For more information, see Authentication and accounting providers.


Data encryption

You can use data encryption to protect the data that is sent between the remote access client and the remote access server. Data encryption is important for financial institutions, law-enforcement and government agencies, and corporations that require secure data transfer. For installations where data confidentiality is required, the network administrator can set the remote access server to require encrypted communications. Users who connect to that server must encrypt their data or the connection attempt is denied.

For dial-up networking connections, you can protect your data by encrypting it on the communications link between the remote access client and the remote access server. You should use data encryption when there is a risk of unauthorized interception of transmissions on the communications link between the remote access client and the remote access server. For dial-up networking connections, Windows 2000 uses Microsoft Point-to-Point Encryption (MPPE).

For virtual private networking connections, you protect your data by encrypting it between the ends of the virtual private network (VPN). You should always use data encryption for VPN connections when private data is sent across a public network such as the Internet, where there is always a risk of unauthorized interception. For VPN connections, Windows 2000 uses MPPE with the Point-to-Point Tunneling Protocol (PPTP) and IP Security (IPSec) encryption with the Layer Two Tunneling Protocol (L2TP).

Because data encryption is performed between the VPN client and VPN server, it is not necessary to use data encryption on the communication link between a dial-up client and its Internet service provider (ISP). For example, a mobile user uses a dial-up networking connection to dial in to a local ISP. Once the Internet connection is made, the user creates a VPN connection with the corporate VPN server. If the VPN connection is encrypted, there is no need to use encryption on the dial-up networking connection between the user and the ISP.

MPPE is configured on the Encryption tab on the properties of a remote access policy to use 40-bit (the Basic setting), 56-bit (the Strong setting), or 128-bit (the Strongest setting) encryption keys. 40-bit and 56-bit encryption keys are designed for international use. You should use 40-bit encryption keys to connect with older Microsoft operating systems that do not support 56-bit MPPE encryption keys. Otherwise, use 56-bit encryption keys. 128-bit encryption keys are designed for North American use and are only available in North American versions of Windows 2000. Encryption keys are determined at the time of the connection. MPPE requires the use of the MS-CHAP (v1 or v2) or EAP-TLS authentication protocols.

Notes

  • Data encryption for PPP or PPTP connections is available only if MS-CHAP (v1 or v2) or EAP-TLS is used as the authentication protocol. Data encryption for L2TP connections relies on IPSec, which does not require any specific authentication protocol.
  • Remote access data encryption does not provide end-to-end data encryption. End-to-end encryption is data encryption between the client application and the server that hosts the resource or service being accessed by the client application. To get end-to-end data encryption, use IPSec to create a secure connection after the remote access connection has been made.


Remote access dial-in permissions

After a remote access server is installed, you must specify from which users the remote access server can accept a connection. For Windows 2000, authorization is determined by the dial-in properties on the user account and remote access policies. For more information, see Remote access policies.

You do not need to create user accounts just for remote access users. Remote access servers use the user accounts specified in the available user accounts databases according to Windows 2000 security.

How security works at connection

The following steps describe what happens during a call from a remote access client to a remote access server running Windows 2000 that is configured to use Windows authentication:

  1. A remote access client dials a remote access server.
  2. The server sends a challenge to the client.
  3. The client sends an encrypted response to the server that consists of a user name, a domain name, and a password.
  4. The server checks the response against the appropriate user accounts database.
  5. If the account is valid, the server uses the dial-in properties of the user account and remote access policies to authorize the connection.

If callback is enabled, the server calls the client back and continues the connection negotiation process.

Notes

  • Steps 2 and 3 assume that the remote access client and the remote access server use the MS-CHAP v1 or CHAP authentication protocols. The sending of client credentials may vary for other authentication protocols.
  • If the remote access server is a member of domain and the user response does not contain a domain name, then the domain name of the remote access server is used. If you want to use a different domain name than that of the remote access server, set the following registry value to the name of the domain that you want to use:

    HKEY_LOCAL_MACHINE\System\CurrentControlSet\Services\RasMan\PPP\ControlProtocols\BuiltIn\DefaultDomain

Security after the connection is made

After passing remote access authentication and connecting to the LAN, remote access clients log on to the Windows 2000 domain. After a successful domain logon process, the user's domain credentials are used to access resources for which they have permission. Remote access clients are subject to Windows 2000 security, just as they are at the office. In other words, remote access clients cannot do anything for which they lack sufficient rights, nor can they access resources for which they do not have permission.

Remote access clients must be authenticated by the remote access server before they can access or generate traffic on the network. This authentication is a separate step from logging on to Windows 2000. You can encrypt user passwords and the authentication procedure when they are transmitted over phone lines.

You can restrict access by remote access clients to only the shared resources of the remote access server and not the network to which the remote access server is attached. Therefore, you can tightly control what information is available to remote access clients and limit clients' exposure in the event of a security breach.


Caller ID and callback

As an additional measure of security, remote access offers caller ID and callback features, which ensure that only users from specific locations can access the remote access server. These features also save telephone charges for the user.

Caller ID

When you set dial-in security by using the caller ID feature, you specify the phone number from which the user must call in. If the user does not call in from that specific phone number, the connection attempt is rejected by the remote access server.

Caller ID must be supported by the caller, the phone system between the caller and the remote access server, and the remote access server. Caller ID on the remote access server consists of call answering equipment that supports the passing of caller ID information and the appropriate driver inside Windows 2000 that support the passing of caller ID information to the Routing and Remote Access service.

If you configure a caller ID phone number for a user and you do not have support for the passing of caller ID information all the way from the caller to the Routing and Remote Access service, the connection attempt is denied.

The caller ID feature is designed to provide a higher degree of security for telecommuters. The disadvantage of configuring caller ID is that the user can only dial in from a specific phone line.

For virtual private network (VPN) connections, the caller ID is the IP address of the VPN client.

Callback

When you use the callback feature, the user initiates a call and connects with the remote access server. After authentication and authorization, the remote access server then drops the call and calls back a moment later to a negotiated or preassigned callback number.

You configure each user's callback privilege when you grant remote access permission. For more information, see Configure dial-in user properties.

There are three callback options to choose from:

  • No callback (the default)
  • Set by caller
  • Always call back to

Note

  • Until the user has been authenticated, authorized, and called back (if callback is set), no data from the dial-up networking client or the remote access server is transferred.

No callback

If the user account is not configured for callback, the remote access server establishes a connection as soon as the connection attempt has been accepted. The No callback option does not provide any additional security.

Set by caller

Although the Set by caller option is not really a security feature, it is useful for clients who call from various locations and phone numbers. It also minimizes telephone charges for these users. When the user's call reaches the remote access server, the following events occur:

  1. After authentication and authorization of the connection attempt, the Callback dialog box appears on the user's computer.
  2. The user types the current callback number in the dialog box.
  3. The callback number is sent to the server.
  4. The call is terminated.
  5. The server calls the client back at the callback number.
  6. Once reconnected, the client and server continue the connection negotiation.

Always call back to

For additional security, select the Always call back to option and type the number of the phone to which the user's dial-up equipment is connected. When the user's call reaches the remote access server, the following events occur:

  1. After authentication and authorization of the connection attempt, the server sends a message announcing that the user will be called back.
  2. The server disconnects and calls the user back at the preset number.
  3. Once reconnected, the client and server continue the connection negotiation.

You should set this option for stationary remote computers, such as those used by telecommuters in home offices.

The disadvantage of configuring callback to always call a specific number is that the user can only dial in from a specific location.

Notes

  • You can also configure the Set by caller callback option for groups by setting the Service-Type condition of a remote access policy to Callback-Framed-User. For more information, see Elements of a remote access policy.
  • Because of the way that callback connections are processed, you cannot configure both a caller ID and callback that is set to either Set by caller or Always call back to.
  • Callback over a primary rate ISDN channel may not work properly if a service is listening on the other ISDN channel. When the remote access server calls back, an ISDN channel is picked to receive the call. If the ISDN channel is not the same one used to make the initial call, the remote access client or demand-dial router does not recognize the incoming call as the remote access server callback and drops the call.


Security hosts

A security host is an authentication device that verifies whether a caller from a remote access client is authorized to connect to the remote access server. This verification supplements security already supplied by the remote access server running Windows 2000.

The security host sits between the remote access client and the remote access server. The security host generally provides an extra layer of security by requiring a hardware key of some sort in order to provide authentication. Verification that the remote access client is in physical possession of the key takes place before access to the remote access server is granted. This open architecture allows customers to choose from a variety of security hosts to augment the security in remote access.

For example, one kind of security system consists of two hardware devices: the security host and the security card. The security host is installed between the remote access server and its modem. The security card is a small unit the size of a credit card, resembling a pocket calculator without keys. The security card displays a different access number every minute. This number is synchronized with the same number calculated in the security host every minute. When connecting, the remote user sends the number on the security card to the host. If the number is correct, the security host connects the remote access client with the remote access server.

Another kind of security host prompts the remote access client to type in a user name (which may or may not be the same as the remote access client name) and a password (which differs from the remote access client password).

You must configure the security host to allow the remote access server to initialize the modem before the security functions take effect. The remote access server must also be able to directly initialize the modem that is connected to the security host without security checks from the security host. The security host might interpret the attempt of the remote access server to initialize the modem as an attempt to dial out.

For more information, see To configure other security devices.


Account lockout

You can use the account lockout feature to specify how many times an remote access authentication fails against a valid user account before the user is denied access. Account lockout is especially important for remote access virtual private network (VPN) connections over the Internet. Malicious users on the Internet can attempt to access an organization intranet by sending credentials (valid user name, guessed password) during the VPN connection authentication process. During a dictionary attack, the malicious user sends hundreds or thousands of credentials by using a list of passwords based on common words or phrases.

With account lockout enabled, a dictionary attack is thwarted after a specified number of failed attempts. As the network administrator, you must decide on two account lockout variables:

  1. The number of failed attempts before future attempts are denied.

    2. After each failed attempt, a failed attempts counter for the user account is incremented. If the user account's failed attempts counter reaches the configured maximum, future attempts to connect are denied.

    A successful authentication resets the failed attempts counter when its value is less than the configured maximum. In other words, the failed attempts counter does not accumulate beyond a successful authentication.

  2. How often the failed attempts counter is reset.

    3. You must periodically reset the failed attempts counter to prevent inadvertent account lockouts due to normal mistakes by users when typing in their passwords.

You enable the account lockout feature by changing settings in the Windows 2000 registry on the computer that provides the authentication. If the remote access server is configured for Windows authentication, modify the registry on the remote access server computer. If the remote access server is configured for RADIUS authentication and Windows 2000 Internet Authentication Service (IAS) is being used, modify the registry on the IAS server computer.

Caution

  • Incorrectly editing the registry may severely damage your system. Before making changes to the registry, you should back up any valued data on the computer.

To enable account lockout, you must set the MaxDenials value entry in the registry to 1 or greater. MaxDenials is the maximum number of failed attempts before the account is locked out. You set the MaxDenials value entry in the following registry subkey:

HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\RemoteAccess\Parameters\AccountLockout

By default, MaxDenials is set to 0, which means that account lockout is disabled.

To modify the amount of time before the failed attempts counter is reset, you must set the ResetTime (mins) value entry in the registry to the required number of minutes. You set the ResetTime (mins) value entry in the following registry subkey:

HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\RemoteAccess\Parameters\AccountLockout

By default, ResetTime (mins) is set to 0xb40, or 2,880 minutes (48 hours).

Manually resetting an account that is locked out

To manually reset a user account that has been locked out before the failed attempts counter is automatically reset, delete the following registry subkey that corresponds to the user's account name:

HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\RemoteAccess\Parameters\AccountLockout\domain name:user name

Notes

  • The remote access account lockout is not related to the Account locked out setting on the Account tab on the properties of a user account.
  • The account lockout feature does not distinguish between malicious users who attempt to access your intranet and authentic users who attempt remote access but have forgotten their current passwords. Users who have forgotten their current password typically try the passwords that they remember and, depending on the number of attempts and the MaxDenials setting, may have their accounts locked out.
  • If you enable the account lockout feature, a malicious user can deliberately force an account to be locked out by attempting multiple authentications with the user account until the account is locked out, thereby preventing the authentic user from being able to log on.


Authentication and accounting providers

This section covers:

  • Windows 2000 domain or Active Directory
  • RADIUS


Windows 2000 domain or Active Directory

A remote access server running Windows 2000 supports the use of Windows NT primary domain controller (PDC) security (Windows NT Server 4.0 and earlier) or Windows 2000 Active Directory security (Windows 2000 Server) as an authentication provider to provide authentication of a remote access client.

A remote access server running Windows 2000 also supports the local logging of authentication and accounting information for remote access connections when Windows is enabled as an accounting provider. For more information, see Logging.

For more information about various scenarios of Windows authentication, see Windows 2000 authentication.


RADIUS

Remote Authentication Dial-In User Service (RADIUS) is an industry standard protocol (RFCs 2138 and 2139, "Remote Authentication Dial-in User Service (RADIUS)" and "RADIUS Accounting") for providing authentication, authorization, and accounting services for distributed dial-up networking. A RADIUS client, typically a dial-up server used by an Internet service provider (ISP), sends user and connection information to a RADIUS server. The RADIUS server authenticates and authorizes the RADIUS client request.

The Windows 2000 remote access server includes a RADIUS client so that the remote access server can be used by ISPs or corporate remote access users who use RADIUS as their authentication or accounting scheme.

You can configure the Windows 2000 remote access server authentication and accounting providers separately. Therefore, a remote access server can use Windows 2000 as its authentication provider and RADIUS as its accounting provider. You can configure multiple RADIUS servers so that if the primary RADIUS server becomes unavailable, secondary RADIUS servers are automatically used.

For more information, see To use RADIUS authentication and To use RADIUS accounting.

Windows 2000 Server also includes a RADIUS server called Internet Authentication Service (IAS) that the remote access server can use as its authentication or accounting provider. For more information about IAS, see Features of IAS.

You can use an IAS server to implement centralized authentication, authorization, accounting, and management of remote access policies. For more information, see Introduction to remote access policies and Using RADIUS for multiple remote access servers.


Remote access policies

This section covers:

  • Introduction to remote access policies
  • Dial-in properties of a user account
  • Elements of a remote access policy
  • Accepting a connection attempt
  • Remote access policy administrative models
  • Remote access policies scenarios


Introduction to remote access policies

In Windows NT versions 3.5x and 4.0, authorization was based on a simple Grant dial-in permission to user option in User Manager or the Remote Access Admin utility. Callback options were also configured on a per-user basis.

In Windows 2000, authorization is granted based on the dial-in properties of a user account and remote access policies. Remote access policies are a set of conditions and connection settings that give network administrators more flexibility in authorizing connection attempts. The Windows 2000 Routing and Remote Access service and Windows 2000 Internet Authentication Service (IAS) both use remote access policies to determine whether to accept or reject connection attempts. In both cases, the remote access policies are stored locally.

With remote access policies, you can grant or deny authorization by the time of day and day of the week, by the Windows 2000 group to which the remote access user belongs, by the type of connection being requested (dial-up networking or virtual private network connection), and so on. You can configure settings that limit the maximum session time, specify the authentication and encryption strengths, set Bandwidth Allocation Protocol (BAP) policies, and so on.

It is important to remember that with remote access policies, a connection is authorized only if the settings of the connection attempt match at least one of the remote access policies (subject to the conditions of the dial-in properties of the user account and the profile properties of the remote access policy). If the settings of the connection attempt do not match at least one of the remote access policies, the connection attempt is denied regardless of the dial-in properties of the user account.

For more information about how connection attempts are processed, see Accepting a connection attempt.

For remote access servers running Windows 2000, remote access policies are administered from Routing and Remote Access. For Windows 2000 IAS servers, remote access policies are administered from Internet Authentication Service.

Local vs. centralized policy management

Because remote access policies are stored locally on either a remote access server or an IAS server, for centralized management of a single set of remote access policies for multiple remote access or VPN servers, you must do the following:

  1. Install the Windows 2000 Internet Authentication Service (IAS) as a Remote Authentication Dial-In User Service (RADIUS) server on a computer. For more information, see Checklist: Configuring IAS for dial-up or VPN access.
  2. Configure IAS with RADIUS clients that correspond to each of the Windows 2000 remote access or VPN servers. For more information, see To register RADIUS clients.
  3. On the IAS server, create the central set of policies that will be used by all Windows 2000 remote access servers. For more information, see To add a remote access policy.
  4. Configure each of the Windows 2000 remote access servers as a RADIUS client to the IAS server. For more information, see To use RADIUS authentication.

For more information about deploying IAS for centralized remote access policy management, see Using RADIUS for multiple remote access servers.

Notes

  • Once you configure a Windows 2000 remote access server as a RADIUS client to an IAS server, the local remote access policies stored on the remote access server are no longer used.
  • Centralized management of remote access policies are also used when you have remote access servers running Windows NT 4.0 with the Routing and Remote Access Service (RRAS). You can configure the server running Windows NT 4.0 with RRAS as a RADIUS client to an IAS server. You cannot configure a remote access server running Windows NT 4.0 without RRAS to take advantage of centralized remote access policies.


Dial-in properties of a user account

In Windows 2000, the user account for a stand-alone or Active Directory–based server contains a set of dial-in properties that are used when allowing or denying a connection attempt made by a user. For a stand-alone server, you can set the dial-in properties on the Dial-in tab on the user account in Local Users and Groups. For an Active Directory–based server, you can set the dial-in properties on the Dial-in tab on the user account in Active Directory Users and Computers. For Active Directory–based servers, you cannot use the Windows NT 4.0 User Manager for Domains administrative tool.

The dial-in properties for a user account are:

  • Remote Access Permission (Dial-in or VPN)

    You use this property to set whether remote access is explicitly allowed, denied, or determined through remote access policies. If access is explicitly allowed, remote access policy conditions, user account properties, or profile properties can still deny the connection attempt. The Control access through Remote Access Policy option is only available on user accounts in a Windows 2000 native-mode domain or for local accounts on remote access servers running stand-alone Windows 2000.

    By default, the Administrator and Guest accounts on a stand-alone remote access server or in a Windows 2000 native-mode domain are set to Control access through Remote Access Policy and for a Windows 2000 mixed-mode domain are set to Deny access. New accounts created on a stand-alone remote access server or in a Windows 2000 native-mode domain are set to Control access through Remote Access Policy. New accounts created in a Windows 2000 mixed-mode domain are set to Deny access.

  • Verify Caller ID

    If this property is enabled, the server verifies the caller's phone number. If the caller's phone number does not match the configured phone number, the connection attempt is denied.

    Caller ID must be supported by the caller, the phone system between the caller and the remote access server, and the remote access server. Caller ID on the remote access server consists of call answering equipment that supports the passing of caller ID information and the appropriate driver inside Windows 2000 that supports the passing of caller ID information to the Routing and Remote Access service.

    If you configure a caller ID phone number for a user and you do not have support for the passing of caller ID information from the caller to the Routing and Remote Access service, the connection attempt is denied.

  • Callback Options

    If this property is enabled, the server calls the caller back during the connection establishment at a phone number set by the caller or a specific phone number set by the network administrator.

  • Assign a Static IP Address

    If this property is enabled, you can assign a specific IP address to a user when a connection is made.

  • Apply Static Routes

    If this property is enabled, you can define a series of static IP routes that are added to the routing table of the remote access server when a connection is made. This setting is designed for user accounts that Windows 2000 routers use for demand-dial routing. For more information, see One-way initiated demand-dial connections.

For information about configuring dial-in properties for a user account, see Configure dial-in user properties.

Notes

  • For a user account in a Windows NT 4.0 domain or a Windows 2000 mixed-mode domain:
    • Only the Remote Access Permission (Dial-in or VPN) (Allow access and Deny access options) and Callback Options dial-in properties are available.
    • You can use the Windows NT 4.0 User Manager for Domains administrative tool to grant or deny dial-in access and set callback options.
  • If a user account is in a Windows 2000 native-mode domain, the callback number can be up to 128 characters. If a user account is on a remote access server running Windows 2000 as a stand-alone server or in a Windows NT 4.0 domain or a Windows 2000 mixed-mode domain, due to the compressed format for storing callback numbers, the callback number is from 24 through 48 characters.
  • When a remote access server running Windows NT 4.0 uses a native Windows 2000 domain to obtain the dial-in properties of a user account, the Control access through Remote Access Policy option is interpreted as Deny access. Callback settings are interpreted correctly.
  • A remote access server running Windows NT 4.0 cannot use remote access policies. It is recommended that you upgrade a remote access server running Windows NT 4.0 to either Windows NT 4.0 with the Routing and Remote Access Service (RRAS) or Windows 2000 to take advantage of remote access policy authorization.
  • User accounts upgraded to Windows 2000 that were configured with dial-in permission enabled are set to Allow access. User accounts upgraded to Windows 2000 that were configured with dial-in permission disabled are set to Control access through Remote Access Policy.


Elements of a remote access policy

A remote access policy is a named rule that consists of the following elements:

  • Conditions
  • Remote access permission
  • Profile

Conditions

Remote access policy conditions are one or more attributes that are compared to the settings of the connection attempt. If there are multiple conditions, then all of the conditions must match the settings of the connection attempt in order for the connection attempt to match the policy.

The following table shows the condition attributes that you can set for a remote access policy.

Attribute name | Description
NAS IP Address | The IP address of the network access server (NAS). This attribute is a character string. You can use pattern matching syntax to specify IP networks. For more information, see Pattern matching syntax. This attribute is designed for the IAS server.
Service Type | The type of service being requested. Examples include framed (such as PPP connections) and login (such as Telnet connections). For more information about RADIUS service types, see RFC 2138, "Remote Authentication Dial-in User Service (RADIUS)." This attribute is designed for the IAS server.
Framed Protocol | The type of framing for incoming packets. Examples are PPP, SLIP, Frame Relay, and X.25. This attribute is designed for the IAS server.
Called Station ID | The phone number of the network access server (NAS). This attribute is a character string. You can use pattern matching syntax to specify area codes. For more information, see Pattern matching syntax. In order to receive called station ID information during a call, the phone line, the hardware, and the Windows 2000 driver for the hardware must support the passing of the called ID. Otherwise, the called station ID is manually set for each port. To manually set phone numbers on ports, see To set the phone number on a port.
Calling Station ID | The phone number used by the caller. This attribute is a character string. You can use pattern matching syntax to specify area codes. For more information, see Pattern matching syntax. For more information about obtaining the calling station ID, see Caller ID and callback.
NAS Port Type | The type of media used by the caller. Examples are analog phone lines (known as asynch), ISDN, and tunnels or virtual private networks (known as virtual).
Day and Time Restrictions | The day of the week and the time of day of the connection attempt. The day and time is relative to the date and time of the server providing the authorization.
Client IP Address | The IP address of the network access server (the RADIUS client). This attribute is a character string. You can use pattern matching syntax to specify IP networks. For more information, see Pattern matching syntax. This attribute is designed for the IAS server.
Client Vendor | The vendor of the network access server (NAS) that is requesting authentication. The Windows 2000 remote access server is the Microsoft RAS NAS manufacturer. You can use this attribute to configure separate policies for different NAS manufacturers who are RADIUS clients to an IAS server. This attribute is designed for the IAS server. Make sure that you also configure the NAS as a RADIUS client on the IAS server. For more information, see To register RADIUS clients.
Client Friendly Name | The name of the RADIUS client computer that is requesting authentication. This attribute is a character string. You can use pattern matching syntax to specify client names. For more information, see Pattern matching syntax. This attribute is designed for the IAS server.
Windows Groups | The names of the Windows 2000 groups to which the user attempting the connection belongs. There is no condition attribute for a specific user name. It is not necessary to have a separate remote access policy for each group. Instead, you can use nested groups to consolidate group membership and delegate administration of group membership. For a remote access or IAS server in a Windows 2000 native-mode domain, you can use universal groups. For more information, see When to use universal groups.
Tunnel Type | The type of tunnel being created by the requesting client. Tunnel types include the Point-to-Point Tunneling Protocol (PPTP) and the Layer Two Tunneling Protocol (L2TP) used by Windows 2000 remote access clients and demand-dial routers. You can use this condition to specify profile settings such as authentication methods or encryption strengths for a specific type of tunneling technology.

Notes

  • If conditions that use an attribute designed for the IAS server are evaluated against a remote access server connection attempt, they do not match and the policy is not applied.
  • Not all network access servers send all of the IAS server-specific attributes.
  • You cannot use the built-in local groups of a stand-alone remote access server running Windows 2000 for the Windows Groups attribute.

Remote access permission

If all the conditions of a remote access policy are met, remote access permission is either granted or denied. You use the Grant remote access permission option or the Deny remote access permission option to set remote access permission for a policy.

Remote access permission is also granted or denied for each user account. The user remote access permission overrides the policy remote access permission. When remote access permission on a user account is set to the Control access through Remote Access Policy option, the policy remote access permission determines whether the user is granted access.

Granting access through the user account permission setting or the policy permission setting is only the first step in accepting a connection. The connection attempt is then subjected to the settings of the user account properties and the policy profile properties. If the connection attempt does not match the settings of the user account properties or the profile properties, the connection attempt is rejected.

By default, the Deny remote access permission policy permission is selected.

Profile

A remote access policy profile is a set of properties that are applied to a connection when the connection is authorized—either through the user account permission setting or the policy permission setting. A profile consists of the following groups of properties:

  • Dial-in constraints
  • IP
  • Multilink
  • Authentication
  • Encryption
  • Advanced

Dial-in constraints

You can set the following dial-in constraints:

  • Idle disconnect time

    • The time after which a connection is disconnected when there is no activity. By default, this property is not set and the remote access server does not disconnect an idle connection.

  • Maximum session length

    • The maximum amount of time that a connection is connected. The connection is disconnected by the remote access server after the maximum session length. By default, this property is not set and the remote access server has no maximum session limit.

  • Day and time limits

    • The days of the week and hours of each day that a connection is allowed. If the day and time of the connection attempt do not match the configured day and time limits, the connection attempt is rejected. By default, this property is not set and the remote access server has no day or time limits. The remote access server does not disconnect active connections that are connected at a time when connection attempts are not allowed.

  • Dial-in number

    • The specific phone number that a caller must call for a connection to be allowed. If the dial-in number of the connection attempt does not match the configured dial-in number, the connection attempt is rejected. By default, this property is not set and the remote access server allows all dial-in numbers.

  • Dial-in media

    • The specific types of media, such as modem (known as asynch), ISDN, or virtual private network (known as virtual) that a caller must use for a connection to be allowed. If the dial-in medium of the connection attempt does not match the configured dial-in media, the connection attempt is rejected. By default, this property is not set and the remote access server allows all dial-in media types.

For information about setting dial-in constraints on a profile, see To configure dial-in constraints.

IP

You can set IP properties that specify whether a specific IP address for a connection can be requested by the client. By default, the remote access server automatically allocates an IP address and the client is not allowed to request a specific IP address.

You can also use the IP tab to define remote access policy profile filtering. To define the allowed traffic across the connection after the connection had been made, you can configure IP packet filters for remote access policy profiles. You can use profile packet filters to configure IP traffic that is allowed out of the connection (to client) or into the connection (from client) on an exception basis: either all traffic except traffic specified by filters or no traffic except traffic specified by filters. Remote access policy profile filtering applies to all connections that match the remote access policy.

For information about setting networking options on a profile, see To configure IP options.

Multilink

You can set Multilink properties that enable Multilink and determine the maximum number of ports that a Multilink connection can use. Additionally, you can set Bandwidth Allocation Protocol (BAP) policies that determine BAP usage and when extra BAP lines are dropped. The Multilink and BAP properties are specific to Microsoft Windows 2000 remote access. By default, Multilink and BAP are disabled.

The remote access server must have Multilink and BAP enabled in order for the Multilink properties of the profile to be enforced. For more information about enabling Multilink and BAP for the Windows 2000 remote access server, see To enable Multilink and To enable BAP and BACP.

For information about setting Multilink options on a profile, see To configure Multilink options.

Authentication

You can set authentication properties to enable the types of authentication that are allowed for a connection and specify the EAP type that must be used. Additionally, you can configure the EAP type. By default, Microsoft Encrypted Authentication (MS-CHAP) and Microsoft Encrypted Authentication version 2 (MS-CHAP v2) are enabled. For more information, see Authentication methods.

The remote access server must have the corresponding authentication types enabled in order for the authentication properties of the profile to be enforced. For more information about enabling authentication methods for the Windows 2000 remote access server, see To enable authentication protocols.

For information about setting authentication options on a profile, see To configure authentication.

Encryption

You can set encryption properties for the following encryption strengths:

  • No Encryption

    When selected, this option allows a non-encrypted connection. To require encryption, clear the No Encryption option.

  • Basic

    For dial-up and PPTP-based VPN connections, Microsoft Point-to-Point Encryption (MPPE) with a 40-bit key is used. For L2TP over IPSec-based VPN connections, 56-bit DES encryption is used.

  • Strong

    For dial-up and PPTP-based VPN connections, MPPE with a 56-bit key is used. For L2TP over IPSec-based VPN connections, 56-bit DES encryption is used.

  • Strongest

    For dial-up and PPTP-based VPN connections, MPPE with a 128-bit key is used. For L2TP over IPSec-based VPN connections, triple DES (3DES) encryption is used. This option is only available on North American versions of Windows 2000.

For information about setting encryption options on a profile, see To configure encryption.

Advanced

You can set advanced properties to specify the series of RADIUS attributes that are sent back to the RADIUS client by the IAS server. RADIUS attributes are specific to performing RADIUS authentication and are ignored by the remote access server. By default, Framed-Protocol is set to PPP and Service-Type is set to Framed.

The only attributes that are used by the remote access server are Account-Interim-Interval, Framed-Protocol, Framed-MTU, Reply-Message, and Service-Type.

For information about setting advanced options on a profile, see To add RADIUS attributes to a remote access policy.

The default remote access policy

A default remote access policy named Allow access if dial-in permission is enabled is created when you install the Routing and Remote Access service. The default policy has the following configuration:

  • The Day-and-Time-Restrictions condition is set to all times and all days.
  • Permission is set to Deny remote access permission.
  • All profile properties are set to default values.

If you delete the default remote access policy and want to re-create it, see To re-create the default remote access policy.

Note

  • Elements of a remote access policy correspond to RADIUS attributes that are used during RADIUS-based authentication. For an Internet Authentication Service (IAS) server, verify that the network access servers that you use are sending the RADIUS attributes that correspond to the configured remote access policy conditions and profile settings. If a NAS does not send a RADIUS attribute that corresponds to a remote access policy condition or profile setting, then all RADIUS authentications from that NAS are denied.


Accepting a connection attempt

When a user attempts a connection, the connection attempt is accepted or rejected based on the following logic:

  1. The first policy in the ordered list of remote access policies is checked. If there are no policies, reject the connection attempt.
  2. If all the conditions of the policy do not match the connection attempt, then go to next policy. If there are no more policies, reject the connection attempt.
  3. If all the conditions of the policy match the connection attempt, then check the remote access permission setting for the user attempting the connection.
    • If Deny access is selected, then reject the connection attempt.
    • If Allow access is selected, then apply the user account properties and profile properties.
      • If the connection attempt does not match the settings of the user account properties and profile properties, then reject the connection attempt.
      • If the connection attempt matches the settings of the user account properties and profile properties, then accept the connection attempt.
    • If the remote access permission is not set to Allow access or Deny access, then the remote access permission must be set to Control access through Remote Access Policy. Therefore, check the remote access permission setting of the policy.
      • If Deny remote access permission is selected, then reject the connection attempt.
      • If Grant remote access permission is selected, then apply the user account properties and profile properties.
        • If the connection attempt does not match the settings of the user account properties and profile properties, then reject the connection attempt.
        • If the connection attempt matches the settings of the user account properties and profile properties, then accept the connection attempt.

The following illustration shows the logic of remote access policies.

Remote access policy logic

Notes

  • The profile and user account settings for the first matching policy are applied to the connection. If a connection does not match profile or user account settings of the first matching remote access policy, the additional remote access policies are not tried.
  • A connection attempt may not match any of the remote access policies. In this case, the connection attempt is rejected regardless of the remote access permission setting on the user account.
  • The remote access polices are tried in order. The more specific remote access policies are typically placed in the order ahead of the more general remote access policies.

For examples of how different connection attempts are processed, see Remote access policies scenarios.


Remote access policy administrative models

In Windows 2000, there are three primary models for administering remote access permissions and connection settings:

  1. Access by user.
  2. Access by policy in a Windows 2000 native-mode domain.
  3. Access by policy in a Windows 2000 mixed-mode domain.

Note

  • This topic describes how to use remote access policies to grant or deny remote access permission. For information about managing remote access policies, see Local vs. centralized policy management.

Access by user

In the access-by-user administrative model, remote access permissions are determined by the remote access permission on the Dial-in tab of the user account. You enable or disable remote access permission on a per-user basis by setting the remote access permission to either Allow access or Deny access.

The remote access permission setting on the remote access policy is effectively overridden by if the user remote access permission is set to either Allow access or Deny access. However, you can modify remote access policy conditions and profile properties to enforce connection settings, such as encryption requirements and idle time-outs.

You can administer access-by-user remote access with multiple remote access policies. Each remote access policy has its own profile settings. You must configure these settings carefully because a connection attempt may be rejected even when the remote access permission on the user account is set to Allow access. If a connection attempt matches the conditions of a policy but does not match the profile settings or does not match any of the remote access policies, the connection attempt is rejected.

In the access-by-user administrative model, you can control three behaviors:

  1. Explicit allow

    2. The remote access permission for the user account is set to Allow access and the connection attempt matches the conditions of a policy subject to the settings of the profile and the dial-in properties of the user account.

  2. Explicit deny

    3. The remote access permission for the user account is set to Deny access.

  3. Implicit deny

    4. The connection attempt does not match the conditions of any remote access policies.

In Windows 2000, the access-by-user administrative model is equivalent to administering remote access on a Windows NT 4.0 RAS server.

For examples of administering remote access by using the access-by-user administrative model, see Access by user and VPN scenarios.

Note

  • You can use the access-by-user administrative model on a stand-alone remote access server, a remote access server that is a member of a Windows 2000 native-mode domain, a remote access server that is a member of a Windows 2000 mixed-mode domain, or a remote access server that is a member of a Windows NT 4.0 domain.
  • You can use the access-by-user administrative model if you have Windows NT 4.0 RAS or IAS servers.

Access by policy in a Windows 2000 native-mode domain

In the access-by-policy administrative model for a Windows 2000 native-mode domain, the remote access permission on every user account is set to Control access through Remote Access Policy and remote access permissions are determined by the remote access permission setting on the remote access policy. Therefore, the remote access permission setting on the remote access policy determines whether remote access permission is allowed or denied.

In the access-by-policy administrative model for a Windows 2000 native-mode domain, you can control three behaviors:

  1. Explicit allow

    2. The remote access permission on the remote access policy is set to Grant remote access permission and the connection attempt matches the conditions of the policy subject to the settings of the profile and the dial-in properties of the user account.

  2. Explicit deny

    3. The remote access permission on the remote access policy is set to Deny remote access permission and the connection attempt matches the conditions of the policy.

  3. Implicit deny

    4. The connection attempt does not match the conditions of any remote access policies.

For examples of administering remote access by using the access-by-policy administrative model for a Windows 2000 native-mode domain, see Access by policy in a Windows 2000 native-mode domain.

Notes

  • If you use this administrative model and do not add any remote access policies and do not change the default remote access policy (named Allow access if dial-in permission is enabled), then no users are allowed remote access. By default, the remote access permission on the default remote access policy is set to Deny remote access permission. If you change the setting to Grant remote access permission, then all users are allowed remote access.
  • The access-by-policy administrative model for a Windows 2000 native-mode domain also applies to stand-alone remote access servers that are not a member of a domain.
  • You cannot use the access-by-policy administrative model for a Windows 2000 native-mode domain if you have Windows NT 4.0 RAS or IAS servers.
  • If you use the access-by-policy administrative model for a Windows 2000 native-mode domain and do not use groups to specify which users get access, then verify that the Guest account is disabled and its remote access permission is set to Deny access.

Access by policy in a Windows 2000 mixed-mode domain

In the access-by-policy administrative model for a Windows 2000 mixed-mode domain, the remote access permission on every user account is set to Allow access, the default remote access policy is deleted, and separate remote access policies are created to define the types of connections that are allowed. On a remote access server running Windows 2000 that is a member of a Windows 2000 mixed-mode domain, the Control access through Remote Access Policy option is not available for remote access permission on the user account. If a connection attempt matches the conditions of a policy subject to the profile and user account dial-in settings, then the connection is accepted.

This administrative model also applies to a remote access server running Windows 2000 that is a member of a Windows NT 4.0 domain.

In the access-by-policy administrative model for a Windows 2000 mixed-mode domain, you can control three behaviors:

  1. Explicit allow

    2. The connection attempt matches the conditions of a policy subject to the settings of the profile and the dial-in properties of the user account.

  2. Explicit deny

    3. The connection attempt matches the conditions of a policy but not the settings of the profile. You can do an explicit deny in this administrative model by enabling the Restrict Dial-in to this number only dial-in constraint and typing a number that does not correspond to any dial-in number being used by the remote access server. For an example, see Deny connection through group membership.

  3. Implicit deny

    4. The connection attempt does not match the conditions of any remote access policies.

For examples of administering remote access by using the access-by-policy administrative model for a Windows 2000 mixed-mode domain, see Access by policy in a Windows 2000 mixed-mode domain.

Notes

  • If you do not delete the default remote access policy named Allow access if dial-in permission is enabled, then all users can obtain a remote access connection.
  • If you have Windows NT 4.0 Routing and Remote Access Service (RRAS) servers, you can only use the access-by-policy in a Windows 2000 mixed-mode domain administrative model if the RRAS servers are configured as RADIUS clients to a Windows 2000 IAS server. You cannot use the access-by-policy in a Windows 2000 mixed-mode domain administrative model for Windows NT 4.0 RAS servers.

Important

  • The administrative models described here are recommended ways of controlling remote access. You can administer remote access through a mixture of these models. However, you must do so carefully to produce the intended results. Improper configuration may lead to connection attempts that are rejected when they should be accepted and connection attempts that are accepted when they should be rejected. To troubleshoot these complex configurations, you can apply the logic the remote access server uses when processing connection attempts. For more information, see Accepting a connection attempt.


Remote access policies scenarios

Remote access policies allow a tremendous amount of flexibility in accepting connections based on the policy evaluation order, the conditions on each policy, the user and policy dial-in permissions, and the policy profile properties and user account properties.

This section describes some common scenarios that use remote access policies:

  • Access by user
  • Access by policy in a Windows 2000 native-mode domain
  • Access by policy in a Windows 2000 mixed-mode domain
  • VPN scenarios
  • Send NAS-specific RADIUS attributes to a RADIUS client


Access by user

This section describes some common scenarios that use remote access policies and the access-by-user administrative model:

  • Grant remote access per user
  • Restrict connections to a maximum session time
  • Apply connection settings by Windows 2000 group


Grant remote access per user

In this scenario, the network administrator wants to maintain the same administrative model as Windows NT 4.0: Dial-in access is granted on a per-user basis by modifying the dial-in properties on the user account. The remote access permission is set to either Allow access or Deny access. This is the default behavior for remote access policies.

The default policy is named Allow access if dial-in permission is enabled. The settings on this policy are:

  • A single condition that consists of the Day-And-Time-Restrictions attribute is set for all times on all days.
  • The Deny remote access permission option is selected.
  • The profile is set to default settings.

When a user attempts a remote access connection, the following logic is used to accept or reject the connection attempt (assuming the default settings are set on the dial-in properties for the user account):

  1. The default policy Allow access if dial-in permission is enabled is evaluated.
  2. The settings of the connection attempt do match the conditions of the policy (the connection attempt is happening at any day or time).
  3. On the user account, the setting under Remote Access Permission (Dial-in or VPN) is evaluated.
    • If Allow access is selected, the connection is accepted subject to the settings of the user account dial-in properties and profile properties.
    • If Deny access is selected, the connection is rejected.

Note

  • If the remote access permission on a user account is set to Control access through Remote Access Policy, the connection attempt is rejected.


Restrict connections to a maximum session time

In this scenario, the network administrator is administering remote access permission through the dial-in properties on the user account. For users who are allowed remote access, the remote access permission is set to Allow access. For users who are not allowed remote access, the remote access permission is set to Deny access.

The network administrator wants to limit the maximum session time for all users to 20 minutes to conserve limited remote access server connection resources. In this case, only one policy is needed: a policy that accepts connection attempts but imposes a maximum session time of 20 minutes.

To implement this remote access scenario, the administrator completes the following steps:

  1. Delete the default policy named Allow access if dial-in permission is enabled.

    2. For more information, see To delete a remote access policy.

  2. Create a new policy named Maximum session time of 20 minutes.

    3. For more information, see To add a remote access policy.

  3. Add the Day-And-Time-Restrictions condition to the new policy, and then select all times on all days.

    4. For more information, see To configure a condition of a remote access policy.

  4. Verify that the Deny remote access permission option is selected on the new policy.

    5. For more information, see To configure a remote access policy to grant or deny access.

  5. Modify the profile on the new policy. On the Dial-in Constraints tab, set Restrict maximum session to to 20 minutes.

    6. For more information, see To configure dial-in constraints.


Apply connection settings by Windows 2000 group

The network administrator wants to restrict dial-in access for all contracted employees from 8 A.M. to 5 P.M., Monday through Friday. Regular employees have no restrictions on when they can dial in. All contractor user accounts are a member of the Contractors Windows 2000 group.

In this case, two policies are needed:

  • A policy that only accepts a connection attempt by a member of the Contractors group who dials in at a time between 8 A.M. to 5 P.M., Monday through Friday.
  • A policy that accepts a connection attempt from everyone else at any time of day (the default policy named Allow access if dial-in permission is enabled).

To implement this remote access scenario, the administrator completes the following steps:

  1. Verify that the default policy named Allow access if dial-in permission is enabled exists.

    2. For more information, see To re-create the default remote access policy.

  2. Create a new policy named Contractor dial-in access from 8–5, Mon–Fri.

    3. For more information, see To add a remote access policy.

  3. Add the Windows-Groups condition to the new policy, and then add the Contractors group.

    4. For more information, see To configure a condition of a remote access policy.

  4. Select the Grant remote access permission option.

    5. For more information, see To configure a remote access policy to grant or deny access.

  5. Modify the profile on the new policy. On the Dial-in Constraints tab, set Restrict access to the following days and times to permit a logon attempt from 8 A.M. to 5 P.M. on Monday through Friday.

    6. For more information, see To configure dial-in constraints.

  6. Move the new policy so that it is the first policy being evaluated.

    7. For more information, see To change the policy evaluation order.

Note

  • Because the access-by-user administrative model is being used, the remote access permission setting on the user account overrides the remote access permission setting on the policy. However, to prepare for an eventual transition to an access-by-policy administrative model, the network administrator set the remote access permission to Grant remote access permission.

Example of accepting a connection

For this scenario, you can assume the following:

  • James (account name James) is an employee and Laura (account name Laura) is a contractor. Both James and Laura have their remote access permission set to Allow access.
  • The user account Laura is a member of the Contractors group.

When Laura dials in and uses her account name, Laura, for authentication, the following occurs:

  1. The first policy named Contractor dial-in access from 8–5, Mon–Fri is evaluated.
  2. The settings of the connection attempt match the conditions of the policy (Laura is a member of the Contractors group).
  3. The Remote Access Permission (Dial-in or VPN) setting on the Laura user account is evaluated and determined to be Allow access.
  4. The settings of the user account properties and profile properties are applied.

    5. Because the dial-in constraints on the profile properties are set to only allow a logon attempt for from 8 A.M. to 5 P.M. on Monday through Friday, if the time of the connection attempt does not fall within those times, the connection attempt is rejected.

When James dials in and uses his account name, James, for authentication, the following occurs:

  1. The first policy named Contractor dial-in access from 8–5, Mon–Fri is evaluated.
  2. The settings of the connection attempt do not match the conditions of the policy (James is not a member of the Contractors group).
  3. The next policy named Allow access if dial-in permission is enabled is evaluated.
  4. The settings of the connection attempt match the conditions of the policy (the connection attempt is happening at any day or time).
  5. The Remote Access Permission (Dial-in or VPN) setting on the James user account is evaluated and determined to be Allow access.
  6. The connection is accepted subject to the settings of the user account properties and profile properties.


Access by policy in a Windows 2000 native-mode domain

This section describes some common scenarios that use remote access policies and the access-by-policy administrative model in a Windows 2000 native-mode domain:

  • Allow connection through group membership
  • Deny connection through group membership

Note

  • These scenarios also apply to a remote access server running Windows 2000 that is a stand-alone server.


Allow connection through group membership

In this scenario, the network administrator is using the access-by-policy administrative model in a Windows 2000 native-mode domain. All user accounts must have the Remote Access Permission (Dial-in or VPN) option set to Control access through Remote Access Policy.

The network administrator wants to allow connections only for those user accounts that belong to a specific set of groups. Once remote access permission is set for all user accounts, the administrator completes the following steps:

  1. Delete the default policy named Allow access if dial-in permission is enabled.

    2. For more information, see To delete a remote access policy.

  2. Create a new policy named Accept if member of configured groups.

    3. For more information, see To add a remote access policy.

  3. Add the Windows-Groups condition to the new policy, and then add the groups that are allowed remote access.

    4. For more information, see To configure a condition of a remote access policy.

  4. Select the Grant remote access permission option on the new policy.

    5. For more information, see To configure a remote access policy to grant or deny access.

When a user dials in, the following logic is used to accept or reject the connection attempt (assuming the default settings are set on the dial-in properties for the user account):

  1. The first policy named Accept if member of configured groups is evaluated.
    • If the user account that is used to authenticate the connection is not a member of the configured groups, the connection is rejected because there are no more remote access policies to process.
    • If the user account that is used to authenticate the connection is a member of the configured groups, then the Remote Access Permission (Dial-in or VPN) setting on the user account is evaluated.
      • If Control access through Remote Access Policy is selected, then the remote access permission setting on the policy is checked.
        • Because Grant remote access permission is selected, the connection is accepted subject to the settings of the user account properties and profile properties.

Notes

  • It is not necessary to have a separate remote access policy for each group. Instead, you can use nested groups to consolidate group membership and delegate administration of group membership. For a remote access or IAS server in a Windows 2000 native-mode domain, you can use universal groups. For more information, see When to use universal groups.
  • You cannot use the built-in local groups for the Windows Groups attribute.


Deny connection through group membership

In this scenario, the network administrator is using the access-by-policy administrative model in a Windows 2000 native-mode domain. All user accounts must have the Remote Access Permission (Dial-in or VPN) option set to Control access through Remote Access Policy.

The network administrator wants to allow connections only for those user accounts that do not belong to a specific set of groups.

In this case, two policies are needed:

  • A policy that rejects a connection attempt by a member of the specific group.
  • A policy that accepts a connection attempt from everyone else at any time and day.

Once remote access permission is set for all user accounts, the administrator completes the following steps:

  1. Verify that the default policy named Allow access if dial-in permission is enabled exists.

    2. For more information, see To re-create the default remote access policy.

  2. Select the Grant remote access permission option on the default policy.

    3. For more information, see To configure a remote access policy to grant or deny access.

  3. Create a new policy named Deny if member of configured groups.

    4. For more information, see To add a remote access policy.

  4. Add the Windows-Groups condition to the new policy, and then add the groups that are denied remote access.

    5. For more information, see To configure a condition of a remote access policy.

  5. Select the Deny remote access permission option on the new policy.

    6. For more information, see To configure a remote access policy to grant or deny access.

  6. Move the new policy so that it is the first policy being evaluated.

    7. For more information, see To change the policy evaluation order.

When a user dials in, the following logic is used to accept or reject the connection attempt (assuming the default settings are set on the dial-in properties for the user account):

  1. The first policy named Deny if member of configured groups is evaluated.
  2. If the user account that is used to authenticate the connection is a member of the configured groups, then the Remote Access Permission (Dial-in or VPN) setting on the user account is evaluated.
    • If Control access through Remote Access Policy is selected, then the remote access permission setting on the policy is checked.
      • Because Deny remote access permission is selected, the connection is rejected.
  3. If the user account that is used to authenticate the connection is not a member of the configured groups, then the next policy called Allow access if dial-in permission is enabled is checked.

    4. Because the user is dialing in at any time on any day, the Remote Access Permission (Dial-in or VPN) setting on the user account is evaluated.

    • If Control access through Remote Access Policy is selected, then the remote access permission setting on the policy is checked.
      • Because Grant remote access permission is selected, the connection is accepted subject to the settings of the user account properties and profile properties.


Access by policy in a Windows 2000 mixed-mode domain

This section describes some common scenarios that use remote access policies and the access-by-policy administrative model in a Windows 2000 mixed-mode domain:

  • Allow connection through group membership
  • Deny connection through group membership

Note

  • These scenarios also apply to a remote access server running Windows 2000 that is a member of a Windows NT 4.0 domain.


Allow connection through group membership

In this scenario, the network administrator is using the access-by-policy administrative model in a Windows 2000 mixed-mode domain. All user accounts must have the Remote Access Permission (Dial-in or VPN) option set to Allow access.

The network administrator wants to allow connections only for those user accounts that belong to a specific set of groups. Once remote access permission is set for all user accounts, the administrator completes the following steps:

  1. Delete the default policy named Allow access if dial-in permission is enabled.

    2. For more information, see To delete a remote access policy.

  2. Create a new policy named Accept if member of configured groups.

    3. For more information, see To add a remote access policy.

  3. Add the Windows-Groups condition to the new policy, and then add the groups that are allowed remote access.

    4. For more information, see To configure a condition of a remote access policy.

  4. Select the Grant remote access permission option on the new policy.

    5. For more information, see To configure a remote access policy to grant or deny access.

When a user dials in, the following logic is used to accept or reject the connection attempt (assuming the default settings are set on the dial-in properties for the user account):

  1. The first policy named Accept if member of configured groups is evaluated.
    • If the user account that is used to authenticate the connection is not a member of the configured groups, the connection is rejected because there are no more remote access policies to process.
    • If the user account that is used to authenticate the connection is a member of the configured groups, then the Remote Access Permission (Dial-in or VPN) setting on the user account is evaluated.
      • Because Allow access is selected, the connection is accepted subject to the settings of the user account properties and profile properties.


Deny connection through group membership

In this scenario, the network administrator is using the access-by-policy administrative model in a Windows 2000 mixed-mode domain. All user accounts must have the Remote Access Permission (Dial-in or VPN) option set to Allow access.

The network administrator wants to prevent dial-in access for all vendors. Regular employees have no restrictions on dialing in. All vendor user accounts are a member of the Vendors Windows 2000 group.

In this case, two policies are needed:

  • A policy that rejects a connection attempt by a member of the Vendors group.
  • A policy that accepts a connection attempt from everyone else at any time and day.

Once remote access permission is set for all user accounts, the administrator completes the following steps:

  1. Verify that the default policy named Allow access if dial-in permission is enabled exists.
  2. Create a new policy named Reject vendor connections.

    3. For more information, see To add a remote access policy.

  3. Add the Windows-Groups condition to the new policy, and then add the Vendors group.

    4. For more information, see To configure a condition of a remote access policy.

  4. Verify that the Deny remote access permission option is selected on the new policy.

    5. For more information, see To configure a remote access policy to grant or deny access.

  5. Modify the profile on the new policy. On the Dial-in Constraints tab, select the Restrict Dial-in to this number only check box and type 555-0111. The number 555-0111 is not a dial-in number of the remote access server and is deliberately typed so that the properties of the connection attempt do not match the settings of the remote access policy.

    6. For more information, see To configure dial-in constraints.

  6. Move the new policy so that it is the first policy being evaluated.

    7. For more information, see To change the policy evaluation order.

Example of accepting a connection

This example demonstrates the logic used by remote access policies. For this scenario, you can assume the following:

  • All of the Windows 2000 user accounts have Remote Access Permission (Dial-in or VPN) set to Allow access. All other dial-in properties on the user accounts are set at their default values.
  • James (account name James) is an employee and Laura (account name Laura) is a vendor.
  • The user account Laura is a member of the Vendors group.

When Laura dials in and uses her account name, Laura, for authentication, the following occurs:

  1. The first policy named Reject vendor connections is evaluated.

    2. The settings of the connection attempt match the conditions of the policy (Laura is a member of the Vendors group).

    • The Remote Access Permission (Dial-in or VPN) setting on the Laura user account is evaluated and determined to be Allow access.
    • The settings of the user account properties and profile properties are applied.

      • Because the profile properties are set to only allow connections that dial in to the number 555-0111, and the remote access server is not using the dial-in number 555-0111, the connection is rejected.

When James dials in and uses his account name, James, for authentication, the following occurs:

  1. The first policy named Reject vendor connections is evaluated.

    2. The settings of the connection attempt do not match the conditions of the policy (James is not a member of the Vendors group).

  2. The next policy named Allow access if dial-in permission is enabled is evaluated.

    3. The settings of the connection attempt match the conditions of the policy (the connection attempt is happening at any day or time).

    • The Remote Access Permission (Dial-in or VPN) setting on the James user account is evaluated and determined to be Allow access.
    • The connection is accepted subject to the settings of the user account properties and profile properties.


VPN scenarios

This section describes some common scenarios that use remote access policies to enforce secure behavior for virtual private network (VPN) connections:

  • Force VPN clients to use smart cards for authentication
  • Force VPN clients to use strong encryption
  • Apply packet filters for business partner extranet

Note

  • These scenarios use the access-by-user administrative model.


Force VPN clients to use smart cards for authentication

In this scenario, the network administrator is using the access-by-user administrative model. For users who are allowed remote access, the remote access permission is set to Allow access. For users who are not allowed remote access, the remote access permission is set to Deny access.

The network administrator wants all virtual private network (VPN) clients to use smart card authentication by using the EAP-TLS authentication protocol. Dial-up networking clients can use the default authentication methods for authentication.

In this case, two policies are needed:

  • A policy that forces VPN connections to use EAP-TLS.
  • A policy that accepts a connection attempt from everyone else at any time and day (the default policy named Allow access if dial-in permission is enabled).

To implement this remote access scenario, the administrator completes the following steps:

  1. Enable the use of EAP.

    2. For more information, see EAP.

  2. Verify that the default policy named Allow access if dial-in permission is enabled exists.

    3. For more information, see To re-create the default remote access policy.

  3. Create a new policy named VPN clients must use smart cards.

    4. For more information, see To add a remote access policy.

  4. Add the NAS-Port-Type condition to the new policy, and then add Virtual (VPN).

    5. For more information, see To configure a condition of a remote access policy.

  5. Verify that the Deny remote access permission option is selected on the new policy.

    6. For more information, see To configure a remote access policy to grant or deny access.

  6. Modify the profile on the new policy. On the Authentication tab, select only the Extensible Authentication Protocol check box, click Smart card or other certificate (TLS), and configure the EAP type for the machine certificate installed on the remote access server.

    7. For more information, see To configure authentication.

  7. Move the new policy so that it is the first policy being evaluated.

    8. For more information, see To change the policy evaluation order.

When a user dials in, the following logic is used to accept or reject the connection attempt (assuming the default settings are set on the dial-in properties for the user account):

  1. The first policy named VPN clients must use smart cards is checked.
  2. If the connection type is a VPN connection, then the Remote Access Permission (Dial-in or VPN) setting on the user account is evaluated.
    • If Deny access is selected, the connection attempt is rejected.
    • If Allow access is selected, the profile settings are applied to the connection.
      • If the connection attempt used the EAP-TLS authentication protocol, then the connection is accepted.
      • If the connection attempt did not use the EAP-TLS authentication protocol, then the connection is rejected.
  3. If the connection attempt is not a VPN connection, then the next remote access policy called Allow access if dial-in permission is enabled is checked.

    4. Because the user is dialing in at any time on any day, the Remote Access Permission (Dial-in or VPN) setting on the user account is evaluated.

    • If Deny access is selected, the connection attempt is rejected.
    • If Allow access is selected, the connection is accepted subject to the settings of the user account properties and profile properties.

For more information, see Smart cards and remote access VPN connections.


Force VPN clients to use strong encryption

In this scenario, the network administrator is using the access-by-user administrative model. For users who are allowed remote access, the remote access permission is set to Allow access. For users who are not allowed remote access, the remote access permission is set to Deny access.

The network administrator wants all virtual private network (VPN) clients to use strong encryption. For PPTP connections, 128-bit Microsoft Point-to-Point Encryption (MPPE) must be used. For L2TP over IPSec connections, Triple Data Encryption Standard (3DES) must be used. Dial-up networking clients can use the default settings for encryption.

In this case, two policies are needed:

  • A policy that forces VPN connections to use strong encryption.
  • A policy that accepts a connection attempt from everyone else at any time of day (the default policy named Allow access if dial-in permission is enabled).

To implement this remote access scenario, the administrator completes the following steps:

  1. Verify that the default policy named Allow access if dial-in permission is enabled exists.

    2. For more information, see To re-create the default remote access policy.

  2. Create a new policy named VPN clients must use strong encryption.

    3. For more information, see To add a remote access policy.

  3. Add the NAS-Port-Type condition to the new policy, and then add Virtual (VPN).

    4. For more information, see To configure a condition of a remote access policy.

  4. Verify that the Grant remote access permission option is selected for the new policy.

    5. For more information, see To configure a remote access policy to grant or deny access.

  5. Modify the profile on the new policy. On the Authentication tab, select only the Microsoft Encrypted Authentication (MS-CHAP) and Microsoft Encrypted Authentication version 2 (MS-CHAP v2) check boxes.

    6. For more information, see To configure authentication.

  6. On the Encryption tab, clear all the options except Strongest.

    7. For more information, see To configure encryption.

  7. Move the new policy so that it is the first policy being evaluated.

    8. For more information, see To change the policy evaluation order.

Note

  • Because the access-by-user administrative model is being used, the remote access permission setting on the user account overrides the remote access permission setting on the policy. However, to prepare for an eventual transition to an access-by-policy administrative model, the network administrator set the remote access permission to Grant remote access permission.

When a user dials in, the following logic is used to accept or reject the connection attempt (assuming the default settings are set on the dial-in properties for the user account):

  1. The first policy named VPN clients must use strong encryption is checked.
  2. If the connection type is a VPN connection, then the Remote Access Permission (Dial-in or VPN) setting on the user account is evaluated.
    • If Deny access is selected, the connection attempt is rejected.
    • If Allow access is selected, the profile settings are applied to the connection.
      • If the connection attempt is using 128-bit MPPE encryption or 3DES IPSec encryption, then the connection is accepted.
      • If the connection attempt is not using 128-bit MPPE encryption or 3DES IPSec encryption, then the connection is rejected.
  3. If the connection attempt is not a VPN connection, then the next remote access policy called Allow access if dial-in permission is enabled is checked.

    4. Because the user is dialing in at any time on any day, the Remote Access Permission (Dial-in or VPN) setting on the user account is evaluated.

    • If Deny access is selected, the connection attempt is rejected.
    • If Allow access is selected, the connection is accepted subject to the default settings of the user account properties and profile properties.


Apply packet filters for business partner extranet

In this scenario, the network administrator is using the access-by-user administrative model. For users who are allowed remote access, the remote access permission is set to Allow access. For users who are not allowed remote access, the remote access permission is set to Deny access.

The network administrator wants to restrict access for all business partner virtual private network (VPN) connections to the resources of an extranet, a specific network segment that contains business partner Web and file servers. Dial-up connections from business partners are not allowed. Regular employees have no restrictions on what they can access when they connect by using either a dial-up or VPN connection. All business partner user accounts are a member of the Partners Windows 2000 group.

In this case, three policies are needed:

  1. A policy that accepts a VPN connection attempt by a member of the Partners group and restricts access to the extranet by using profile-based TCP/IP filters.
  2. A policy that rejects dial-up connection attempts by members of the Partners group.
  3. A policy that accepts a connection attempt from everyone else at any time of day (the default policy named Allow access if dial-in permission is enabled).

To implement this remote access scenario, the administrator completes the following steps:

  1. Verify that the default policy named Allow access if dial-in permission is enabled exists.

    2. For more information, see To re-create the default remote access policy.

  2. Create a new policy named Allow extranet access by business partners via VPN.

    3. For more information, see To add a remote access policy.

  3. Add the Windows-Groups condition to the new policy, and then add the Partners group.
  4. Add the NAS-Port-Type condition to the new policy, and then add Virtual (VPN).

    5. For more information, see To configure a condition of a remote access policy.

  5. Select the Grant remote access permission option.

    6. For more information, see To configure a remote access policy to grant or deny access.

  6. Modify the profile on the new policy. On the IP tab, set IP packet filters from the client and to the client to only allow packets to and from the extranet network segment.

    7. For more information, see To configure IP options.

  7. Move the new policy so that it is the first policy being evaluated.

    8. For more information, see To change the policy evaluation order.

  8. Create a new policy named Deny access by business partners via dial-up.

    9. For more information, see To add a remote access policy.

  9. Add the Windows-Groups condition to the new policy, and then add the Partners group.

    10. For more information, see To configure a condition of a remote access policy.

  10. Select the Deny remote access permission option.

    11. For more information, see To configure a remote access policy to grant or deny access.

  11. Modify the profile on the new policy. On the Dial-in Constraints tab, select the Restrict Dial-in to this number only check box and type 555-0111. The number 555-0111 is not a dial-in number of the remote access server and is deliberately typed so that the properties of the connection attempt do not match the settings of the remote access policy.

    12. For more information, see To configure dial-in constraints.

  12. Move the new policy so that it is the second policy being evaluated.

    13. The three policies are now in the following order:

    1. Allow extranet access by business partners via VPN
    2. Deny access by business partners via dial-up
    3. Allow access if dial-in permission is enabled

    For more information, see To change the policy evaluation order.

Note

  • Because the access-by-user administrative model is being used, the remote access permission setting on the user account overrides the remote access permission setting on the policy. However, to prepare for an eventual transition to an access-by-policy administrative model, the network administrator set the remote access permission to the appropriate value.

Example of accepting a connection

For this scenario, you can assume the following:

  • James (account name James) is an employee and Laura (account name Laura) is a business partner. Both James and Laura have their remote access permission set to Allow access.
  • The user account Laura is a member of the Partners group.

When Laura attempts a VPN connection and uses her account name, Laura, for authentication, the following occurs:

  1. The first policy named Allow extranet access by business partners via VPN is evaluated.
  2. The settings of the connection attempt match the conditions of the policy (Laura is a member of the Partners group and it is a VPN connection).
  3. The Remote Access Permission (Dial-in or VPN) setting on the Laura user account is evaluated and determined to be Allow access.
  4. The settings of the user account properties and profile properties are applied.

    5. The connection is accepted and TCP/IP packet filters are applied to the connection that only allow traffic to and from the extranet network.

When Laura attempts a dial-up connection and uses her account name, Laura, for authentication, the following occurs:

  1. The first policy named Allow extranet access by business partners via VPN is evaluated.

    2. The settings of the connection attempt do not match the conditions of the policy (the connection is not a VPN connection).

  2. The next policy named Deny access by business partners via dial-up is evaluated.

    3. The settings of the connection attempt match the conditions of the policy (Laura is a member of the Partners group).

  3. The Remote Access Permission (Dial-in or VPN) setting on the Laura user account is evaluated and determined to be Allow access.
  4. The settings of the user account properties and profile properties are applied.

    5. Because the profile properties are set to not allow a logon attempt for any day or time, the connection is rejected.

When James dials in and uses his account name, James, for authentication, the following occurs:

  1. The first policy named Allow extranet access by business partners via VPN is evaluated.

    2. The settings of the connection attempt do not match the conditions of the policy (James is not a member of the Partners group).

  2. The next policy named Deny access by business partners via dial-up is evaluated.

    3. The settings of the connection attempt do not match the conditions of the policy (James is not a member of the Partners group).

  3. The next policy named Allow access if dial-in permission is enabled is evaluated.

    4. The settings of the connection attempt match the conditions of the policy (the connection attempt is happening at any day or time).

  4. The Remote Access Permission (Dial-in or VPN) setting on the James user account is evaluated and determined to be Allow access.
  5. The connection is accepted subject to the settings of the user account properties and profile properties.


Send NAS-specific RADIUS attributes to a RADIUS client

In this scenario, the network administrator wants the Internet Authentication Service (IAS) server to send a series of network access server (NAS) attributes that are specific to the Ascend NAS.

To implement this remote access scenario, the administrator completes the following steps:

  1. When the NAS as a RADIUS client is added, configure its manufacturer.

    2. For more information about configuring a RADIUS client for an IAS server, see To register RADIUS clients.

  2. Create a new policy named RADIUS attributes for Ascend NAS.

    3. For more information, see To add a remote access policy.

  3. Add the NAS-Manufacturer condition to the new policy, and then add Ascend.

    4. For more information, see To configure a condition of a remote access policy.

  4. Verify that the Allow remote access permission option is selected on the new policy.

    5. For more information, see To configure a remote access policy to grant or deny access.

  5. Modify the profile on the new policy. On the Advanced tab, add the appropriate RADIUS attributes to be sent back to the Ascend NAS.

    6. For more information, see To add RADIUS attributes to a remote access policy.

  6. Delete the default policy named Allow access if dial-in permission is enabled or move it so that it is evaluated after the RADIUS attributes for Ascend NAS policy.

    7. For more information, see To delete a remote access policy.


Restartable file copy

Restartable file copy automatically begins retransferring a file upon reconnection whenever your remote access connection has been lost. Nearly anyone who uses a modem probably remembers times when a file transfer across a modem is nearly complete only to have the remote connection disconnect before the transmission completes. Reestablishing the connection and starting the file transfer process all over again is frustrating, time-consuming, and expensive. Restartable file copy addresses these problems by remembering the status of your file transmission and continuing the transfer from that point once you reconnect.


Multilink and BAP

Windows 2000 remote access supports Multilink and the Bandwidth Allocation Protocol (BAP). With Multilink, multiple physical links to appear as a single logical link over which data is sent and received. A good example is the aggregation of both B channels of an ISDN Basic Rate Interface (BRI) connection. Multilink is the recommended method of combining multiple B channels of a BRI connection because the support for bonding, the combining of ISDN B channels through hardware support, is specific to the ISDN adapter. You can use Multilink for any ISDN adapter. Multilink must be supported on both sides of the connection.

While Multilink allows for multiple physical links to be aggregated, Multilink does not provide a mechanism to adapt to changing bandwidth conditions by adding extra links when needed or terminating extra links when unneeded. This additional capability is provided by the Bandwidth Allocation Protocol (BAP). BAP uses a Multilink connection to dynamically manage links.

For example, a Multilink and BAP-enabled remote access client and remote access server create a Multilink connection that consists of a single physical link. As the utilization of the single link rises to a configured level, the remote access client uses a BAP request message to request an additional link. The BAP request message specifies the type of link desired, such as analog phone, ISDN, or X.25. The remote access server then sends a BAP response message that contains the phone number of an available port on the remote access server of the same type as specified by the remote access client in the BAP request.

Enabling Multilink and BAP

To enable Multilink and BAP, you must do the following:

  1. Enable dynamic bandwidth control on the remote access server by using Routing and Remote Access. For more information, see To enable BAP and BACP. Multilink and BAP are enabled by default.
  2. Enable Multilink on the appropriate remote access policy. For more information, see To configure multilink options. By default, the policy profile is configured to use the settings of the remote access server.
  3. Configure Multilink and BAP behavior on the remote access client running Windows 2000. For more information, see Configuring multiple device dialing.

To set the phone number on a port that is sent back to a BAP-enabled client, see To set the phone number on a port.

Note

  • When Multilink and BAP are used in combination with callback feature set to always call back to the same number, a concentrator must exist on the caller side that can distribute incoming calls to the same number on various ports.


Logging

A remote access server running Windows 2000 supports three types of logging:

  1. Event logging

    2. Event logging is the recording of events in the Windows 2000 system event log. Event logging is typically used for troubleshooting or for notifying network administrators of unusual events. For more information, see Troubleshooting tools.

  2. Local authentication and accounting logging

    3. A remote access server running Windows 2000 supports the logging of authentication and accounting information for remote access connections in local logging files when Windows authentication or Windows accounting is enabled. This logging is separate from the events recorded in the system event log. You can use the information that is logged to track remote access usage and authentication attempts. Authentication and accounting logging is especially useful for troubleshooting remote access policy issues. For each authentication attempt, the name of the remote access policy that either accepted or rejected the connection attempt is recorded.

    The authentication and accounting information is stored in a configurable log file or files stored in the systemroot\System32\LogFiles folder. The log files are saved in Internet Authentication Service (IAS) 1.0 or Open Database Connectivity (ODBC) format, meaning that any ODBC-compliant database program can read the log file directly for analysis.

    To configure authentication and accounting logging, you must first enable either Windows authentication or Windows accounting. For more information, see To use Windows accounting. Then, you can configure the type of activity to log (accounting or authentication activity) and log file settings. For more information, see To configure logging.

    For information about the ODBC format of the log file, see Interpreting ODBC-compatible log files.

    For information about the IAS format of the log file, see Interpreting IAS-formatted log files.

  3. RADIUS-based authentication and accounting logging

    4. A remote access server running Windows 2000 supports the logging of authentication and accounting information for remote access connections at a Remote Authentication Dial-In User Service (RADIUS) server when RADIUS authentication and accounting are enabled. This logging is separate from the events recorded in the system event log. You can use the information that is logged on your RADIUS server to track remote access usage and authentication attempts. For more information, see To use RADIUS authentication and To use RADIUS accounting.

    If your RADIUS server is a Windows 2000 computer running the Internet Authentication Service (IAS), then authentication and accounting information is logged in log files stored on the IAS server. For more information, see Logging user authentication and accounting requests.


The remote access server and network management

A remote access server running Windows 2000 can participate in a Simple Network Management Protocol (SNMP) environment as an SNMP agent. For this configuration, you need to install the Windows 2000 SNMP service. For more information, see To install the SNMP service.

The remote access server records management information in various object identifiers of the Internet MIB II that is installed with the SNMP service. Objects in the Internet MIB II are documented in RFC 1213, "Management Information Base for Network Management of TCP/IP-based internets: MIB-II."

For more information about the Windows 2000 SNMP service, see SNMP.


Using remote access

This section covers:

  • Installing the remote access server
  • Installing dial-up equipment
  • Deploying remote access
  • Remote access scenarios


Installing the remote access server

To enable and configure the remote access server, you must be logged on as a member of the Administrators group.

Hardware requirements

Before you install the Routing and Remote Access service, all hardware should be installed and working. Depending on your network and your requirements, you might need the following hardware:

  • Network adapter with a certified Network Driver Interface Specification (NDIS) driver
  • One or more compatible modems and an available COM port
  • Multiport adapter for acceptable performance with multiple remote connections
  • X.25 smart card (if you are using an X.25 network)
  • ISDN adapter (if you are using an ISDN line)

To verify the compatibility of all hardware in a computer running Windows 2000 Server, see the Microsoft Windows Hardware Compatibility List at the Microsoft Web site (http://www.microsoft.com/).

Installing the software

When you install Windows 2000 Server, the remote access component is automatically installed. However, the Routing and Remote Access service is installed in a disabled state.

For more information, see To enable the Routing and Remote Access service.


Installing dial-up equipment

This section provides information about the types of dial-up and remote access equipment used by the remote access server:

  • Modems
  • ISDN
  • X.25
  • ATM


Modems

Modems are the most commonly used dial-up equipment and offer up to 56,000 bps over an analog phone line. To ensure that your modems work with Windows 2000 remote access, select them from the Microsoft Windows Hardware Compatibility List at the Microsoft Web site (http://www.microsoft.com/). Microsoft has tested and verified the modems on this list with the Windows 2000 remote access server.

Modems from different manufacturers, and even different models from one manufacturer, may be incompatible in some settings and circumstances. Even modems that claim to follow the Hayes AT command set may, at times, be unable to communicate with other Hayes-compatible modems.

Because modems achieve high speeds in different ways, compatibility problems increase with high-speed modems. Even modems that follow a standard for compression and error correction may be unable to communicate with each other at higher speeds and, therefore, may fall back to a slower speed. If you buy high-speed modems from different manufacturers to benefit from high data-exchange rates, you might be disappointed.

Note

  • To ensure modem compatibility, you should have clients and servers use the same kind of modem. This is less critical if your modems conform to industry standards, but it is safer to choose the same model for both clients and server.

For general information about modems in Windows 2000, see Modems.

For information about troubleshooting modems, see Troubleshooting modems.

Connecting without a modem

You can connect two computers without a modem through a direct serial, direct parallel, or infrared connection. Although a direct connection eliminates the need for a network adapter, it is a slow link.

For more information, see:

  • Direct connections
  • Infrared Network and Dial-up Connections

Modem-pooling equipment

Windows 2000 Server works with a variety of modem-pooling equipment.

For more information, see To configure modem-pooling equipment.


ISDN

Integrated Services Digital Network (ISDN) offers a much faster communication speed than an analog telephone line. The analog telephone line can communicate at speeds up to 56 kilobits per second (Kbps), whereas ISDN communicates at speeds of 64 or 128 Kbps. Businesses that need this kind of speed usually have a large telecommuting workforce or need to do extensive administrative tasks remotely, such as install software on off-site workstations.

Installing an ISDN adapter

A primary rate ISDN line comes with two B channels and one D channel. Each B channel transmits data at 64 Kbps. The D channel is for signaling and transmits data at 16 Kbps.

You need to install ISDN adapters on the server and on each client. Then you can configure each B channel to act as a port, or you can configure all B channels to act as a single port. For instructions on installing an ISDN adapter, see the adapter's documentation. If you cannot configure all of the B channels on your ISDN adapter to act as a single port, then use Multilink to aggregate the multiple B channels into a single logical port.

If your business has a large number of people calling in to the remote access server, you can configure each channel to operate as a separate port. This configuration allows the greatest number of people to call in.

However, if your business has few people calling in, but needs more data-transmission speed, you can configure both channels to act as a single port. With this configuration, line speed increases to 128 Kbps. If you have installed more than one adapter, you can combine the channels on each adapter and get even faster transmission speed.

For information about installing an ISDN adapter, see To install an ISDN adapter.


X.25

X.25 is a packet-switching technology that transmits data reliably across a packet-switching network. You can reach the X.25 network through a direct connection or through an asynchronous connection that dials in to a packet assembler/disassembler (PAD). The Windows 2000 remote access server only supports direct connections to X.25 networks by using an X.25 smart card.

After you install Windows 2000 Server and enable the Routing and Remote Access service, you can set up the remote access server for an X.25 network. For more information, see To configure an X.25 smart card.

Notes

  • The remote access server does not support callback on X.25 networks.
  • An X.25 smart card is not related to a smart card that is used for authentication.


ATM

Asynchronous transfer mode (ATM) is a fixed-length, cell-based, packet-switching technology that transmits data across an ATM network. You can reach the ATM network through a direct connection such as digital subscriber line (DSL) or cable modem, or through an ATM on-demand connection. The Routing and Remote Access service supports Point-to-Point Protocol (PPP) connections over switched virtual circuit (SVC) or permanent virtual circuit (PVC) ATM connections.

PPP connections over ATM requires an ATM adapter with the appropriate support for the physical connection to the ATM network. Once installed, the ATM adapter appears as a dial-up device. For more information, see Devices and ports.

For more information on ATM and ATM support in Windows 2000, see Windows ATM services.


Deploying remote access

This section covers:

  • Setting up dial-up remote access
  • Setting up remote access VPNs
  • Using smart cards for remote access
  • Windows 2000 authentication
  • Windows 2000 domain upgrade behavior
  • Using RADIUS


Setting up dial-up remote access

This section covers:

  • Dial-up remote access design considerations
  • Dial-up remote access security
  • Deploying dial-up remote access


Dial-up remote access design considerations

To prevent problems, you should consider the following design issues before you implement dial-up remote access connections.

IP address allocation

Determine whether the remote access server will use DHCP or a static IP address pool to obtain addresses for dial-up clients. If you use a static IP address pool, determine whether the pool will be ranges of addresses that are a subset of addresses from the IP network to which the server is attached or a separate subnet. If the static IP address pool address ranges represent a different subnet, ensure that routes to the address ranges exist in the routers of your intranet so that traffic to connected remote access clients is forwarded to the remote access server.

Number of incoming ports needed

Determine the maximum number of dial-up remote access clients that dial in at one time. Based on the number, you need to obtain modem bank equipment and phone lines that meets that need. Once the driver for the modem bank adapter is installed, verify that all of the ports of the modem bank device are configured to allow remote access. For more information, see To configure ports for remote access.

Deciding on a remote access policy administrative model

Before setting the dial-in permission on user accounts and creating remote access policies, you need to decide on a remote access policy administrative model. In Windows 2000, there are three primary models for administering remote access permissions and connection settings:

  1. Access by user.
  2. Access by policy in a Windows 2000 native-mode domain.
  3. Access by policy in a Windows 2000 mixed-mode domain.

For more information, see Remote access policy administrative models.

Creating a remote access policy for dial-up remote access connections

By using remote access policies, you can create a policy that requires remote access dial-up connections to use a specific authentication method and encryption strength.

For example, you can create a Windows 2000 group called Dial-Up Users whose members are the user accounts of the users who are creating dial-up remote access connections. Then, you create a policy with two conditions on the policy: the NAS-Port-Type is set to all types except Virtual (VPN) and the Windows-Group is set to Dial-Up Users. Finally, you configure the profile for the policy to select a specific authentication method and encryption strength.

For more information, see Introduction to remote access policies.

Using an IAS server for centralized authentication, authorization, and accounting

If you have multiple Windows 2000 remote access servers, you need to configure remote access policies and logging for each remote access server. If you want to take advantage of centralized remote access policies, accounting, and logging, configure the remote access servers as Remote Authentication Dial-In User Service (RADIUS) clients to a single Windows 2000 computer running the Internet Authentication Service (IAS) as a RADIUS server.

You should also use an IAS server if you have servers running Windows NT 4.0 and the Routing and Remote Access Service (RRAS) and you want to take advantage Windows 2000 remote access policies. You cannot configure remote access servers running Windows NT 4.0 as RADIUS clients. You must upgrade a remote access server running Windows NT 4.0 to a server running Windows NT 4.0 and RRAS.

For more information, see Using RADIUS for multiple remote access servers.

Using Connection Manager

For a large remote access deployment, you can use Connection Manager and the Connection Manager Administration Kit to provide a custom dialer with preconfigured connections to all remote access clients across your organization.

For more information about Connection Manager, see Connection Manager Administration Kit.


Dial-up remote access security

You can enhance dial-up remote access security through:

  • Strong authentication
  • Data encryption

Strong authentication

For authentication, use the strongest authentication scheme that is possible for your dial-up remote access configuration. The strongest authentication is the use of EAP-TLS with smart cards. For more information, see Using smart cards for remote access.

Otherwise, use MS-CHAP v2 authentication and enforce the use of strong passwords on your network. For more information, see MS-CHAP version 2.

Data encryption

For encryption, you can use either link encryption or end-to-end encryption:

  • Link encryption encrypts the data only on the link between the two routers. For dial-up remote access connections, you must use Microsoft Point-to-Point Encryption (MPPE) in conjunction with either MS-CHAP or EAP-TLS authentication. You can use 128-bit encryption if your locations are within North America.
  • End-to-end encryption encrypts the data between the source host and its final destination. You can use IPSec to encrypt data from the remote access client to the destination host after the remote access connection is made.

To require encryption, clear the No Encryption option and select the appropriate encryption strengths on the Encryption tab of the remote access policy profile that is used by your dial-up remote access clients. For more information, see To configure encryption.


Deploying dial-up remote access

This section covers:

  • Using the remote access server as a corporate remote access server
  • Using the remote access server for Internet access


Using the remote access server as a corporate remote access server

You can use the Windows 2000 remote access server to provide dial-up access to your corporate intranet. If you want the remote access server to support multiple, dial-up networking TCP/IP-based connections, complete the following steps:

  • Configure the connection to the intranet.
  • Configure the connection to the dial-up networking clients.
  • Configure the dial-in ports.
  • Configure the remote access server.
  • Configure multicast support.
  • Configure remote access policies.

The following illustration shows the elements of a Windows 2000 remote access server that provides dial-up access to a corporate intranet.

Windows 2000 remote access server that provides dial-up access to a corporate intranet

Configuring the connection to the intranet

The connection to the intranet from a computer running Windows 2000 Server is a LAN adapter installed in the computer. You need to verify that the LAN adapter is on the Microsoft Windows Hardware Compatibility List at the Microsoft Web site (http://www.microsoft.com/).

You need to configure the following TCP/IP settings on the LAN adapter:

  • IP address and subnet mask assigned from the network administrator.
  • Default gateway of a local router.
  • DNS and WINS name servers of corporate intranet name servers.

Configuring the connection to dial-up networking clients

To allow the connection of multiple, simultaneous dial-up clients, you must have modem pooling equipment (hereafter known as the modem bank) with the appropriate connections to the local telecommunications provider.

Typical modem banks for Windows 2000 include an adapter that installs in the computer running Windows 2000 Server. You need to verify that the modem bank adapter is on the Microsoft Windows Hardware Compatibility List at the Microsoft Web site (http://www.microsoft.com/).

The modem bank adapter includes drivers that are installed in the Windows 2000 operating system so that the modem bank appears as a device with multiple modem ports.

Configuring the dial-in ports

All the modem bank ports are listed as separate ports under Ports in Routing and Remote Access. You should configure all the modem bank ports for remote access.

For more information about configuring ports for remote access, see To configure ports for remote access.

Configuring the remote access server

You can configure the properties on the remote access server in Routing and Remote Access. For more information, see To view properties of the remote access server.

To allow multiple dial-up networking clients to access the corporate intranet, you need to configure the following settings:

  • General

    • Verify that the Remote access server check box is selected.

  • Security
    • Authentication Methods

      Select the authentication methods that are supported by the remote access server to authenticate the credentials of dial-up networking clients. Microsoft dial-up networking clients typically use MS-CHAP authentication. For smart card support, enable EAP. Non-Microsoft dial-up networking clients use CHAP, SPAP, and PAP authentication.

    • Authentication Provider

      You can verify the credentials of dial-up networking clients by using Windows 2000 security or a RADIUS server. If RADIUS is selected, you need to configure RADIUS server settings for your RADIUS server or RADIUS proxy.

    • Accounting Provider

      You can record dial-up client networking activity for analysis or accounting purposes by selecting and configuring an accounting provider.

  • IP

    • Verify that the Enable IP routing and Allow IP-based remote access and demand-dial connections check boxes are selected.

    If a DHCP server allocating intranet IP addresses is available, click Dynamic Host Configuration Protocol (DHCP). If not, click Static address pool and configure the ranges of IP addresses that are dynamically allocated to dial-up networking clients.

    If the static IP address pool consists of ranges of IP addresses that are for a separate subnet, then you need to either enable an IP routing protocol on the remote access server computer or add static IP routes consisting of the {IP Address, Mask} of each range to the routers of the intranet. If the routes are not added, then remote access clients cannot receive traffic from resources on the intranet.

    For more information about configuring IP address pools, see To create a static IP address pool.

Configuring multicast support

Depending on the options selected during the Routing and Remote Access wizard, multicast support may already be enabled. To configure multicast support, you need to complete the following steps:

  1. Add the IGMP version 2, Router and Proxy routing protocol. For more information, see To add the IGMP routing protocol.
  2. Add the Internal interface to the IGMP routing protocol and configure it in IGMP router mode. For more information, see To enable IGMP router and IGMP proxy mode.
  3. Add the interface that represents the permanent connection to the intranet to the IGMP routing protocol and configure the interface in IGMP proxy mode. For more information, see To enable IGMP router and IGMP proxy mode.

Configuring remote access policies

If you want to authorize remote access to the dial-up networking clients based on the access-by-user administrative model, do the following:

  1. For a stand-alone remote access server, use Local Users and Groups and set dial-in properties to Allow access for those users who will be making remote access connections.
  2. For an Active Directory-based remote access server, use Active Directory Users and Computers and set dial-in properties to Allow access for those users who will be making remote access connections.

If you want to grant remote access to the dial-up networking clients based on group membership and an access-by-policy administrative model, do the following:

  1. For a stand-alone remote access server, use Local Users and Groups and set dial-in properties to Control access through Remote Access Policy for all users.
  2. For a remote access server that is a member of a Windows 2000 mixed-mode domain, use Active Directory Users and Computers and set dial-in properties to Allow access for all users.
  3. For a remote access server that is a member of a Windows 2000 native-mode domain, use Active Directory Users and Computers and set dial-in properties to Control access through Remote Access Policy for all users.
  4. Create a Windows 2000 group whose members will be able to create dial-up networking connections with the remote access server. For example, RAS_Users.
  5. Add the appropriate user accounts to the new Windows 2000 group.
  6. Delete the default remote access policy named Allow access if dial-in permission is enabled.
  7. Create a new remote access policy with the following properties:
    • Set Policy name to Remote Access if member of RAS_Users (example)
    • Set the: Windows-Groups attribute to RAS_Users (example)
    • Select the Grant remote access permission option.

For more information, see Remote access policy administrative models.

For encryption, the default setting allows Microsoft Point-to-Point Encryption (MPPE) when requested by the remote access client. To force encryption for dial-up networking connections, you need to modify the encryption settings on the policy profile to require encryption. For dial-up networking connections, clear the No encryption option and select the following options on the Encryption tab on the properties of the remote access policy profile:

  • Basic

    You should use this option when communicating with older Microsoft dial-up networking clients who are connecting from outside North America. This option uses Microsoft Point-to-Point Encryption (MPPE) and a 40-bit encryption key.

  • Strong

    You should use this option when communicating with Windows 2000 and Windows 98 dial-up networking clients who are connecting from outside North America. This option uses MPPE and a 56-bit encryption key.

  • Strongest

    You should use this option when communicating with dial-up networking clients who are connecting from inside North America. This option uses MPPE and a 128-bit encryption key and is only available on North American versions of Windows 2000.

For more information, see To configure encryption.


Using the remote access server for Internet access

You can use Windows 2000 Server remote access to provide both access to the Internet and traditional dial-up Internet service provider (ISP) services. If you want the remote access server to support multiple dial-up TCP/IP-based connections, complete the following steps:

  • Configure the connection to the Internet.
  • Configure the connection to the dial-up clients.
  • Configure the dial-in ports.
  • Configure the remote access server.
  • Configure multicast support.
  • Configure remote access policies.

The following illustration shows the elements of a Windows 2000 Server–based ISP.

A Windows 2000 Server-based ISP

Configuring the connection to the Internet

The connection to the Internet from a computer running Windows 2000 Server is a dedicated connection—a WAN adapter installed in the computer. The WAN adapter is typically a DDS, T1, Fractional T1, or Frame Relay adapter. As the ISP, you must contract with a local telephone company to run the appropriate physical wiring to your premises. You need to verify that the WAN adapter is on the Microsoft Windows Hardware Compatibility List at the Microsoft Web site (http://www.microsoft.com/).

The WAN adapter includes drivers that are installed in the Windows 2000 operating system so that the WAN adapter appears as a network adapter.

You need to configure the following TCP/IP settings on the WAN adapter:

  • IP address and subnet mask assigned from the InterNIC or a downstream ISP.
  • Default gateway of the downstream ISP or network access point (NAP) router.

Configuring the connection to the dial-up clients

To allow the connection of multiple, simultaneous dial-up clients, you must have modem pooling equipment (hereafter known as the modem bank) with the appropriate connections to the local telecommunications provider.

Typical modem banks for Windows 2000 include an adapter that installs in the computer running Windows 2000 Server. You need to verify that the modem bank adapter is on the Microsoft Windows Hardware Compatibility List at the Microsoft Web site (http://www.microsoft.com/).

The modem bank adapter includes drivers that are installed in the Windows 2000 operating system so that the modem bank appears as a series of modem ports.

Configuring the dial-in ports

All the modem bank ports are listed as separate ports under Ports in Routing and Remote Access. You should configure all the modem bank ports for remote access.

For more information about configuring ports for remote access, see To configure ports for remote access.

Configuring the remote access server

You can configure the properties on the remote access in Routing and Remote Access. For more information, see To view properties of the remote access server.

To allow multiple dial-up clients access to the Internet, you need to configure the following settings:

  • General

    • Verify that the Remote access server check box is selected.

  • Security
    • Authentication Methods

      Select the authentication methods that are supported by the remote access server to authenticate the credentials of dial-up clients. Microsoft dial-up networking clients typically use MS-CHAP authentication. Non-Microsoft dial-up networking clients use CHAP, SPAP, and PAP authentication.

    • Authentication Provider

      You can verify the credentials of dial-up clients by using Windows 2000 security or a RADIUS server. If RADIUS is selected, you need to configure RADIUS server settings for your RADIUS server or RADIUS proxy.

    • Accounting Provider

      You can record dial-up client activity for analysis or accounting purposes by selecting and configuring an accounting provider.

  • IP

    • Verify that the Enable IP routing and Allow IP-based remote access and demand-dial connections check boxes are selected.

    Click Static address pool and configure the ranges of IP addresses that are dynamically allocated to dial-up networking clients. Or, if a DHCP server is available, click Dynamic Host Allocation Protocol (DHCP).

    For more information about configuring IP address pools, see To create a static IP address pool.

Configuring multicast support

Depending on the options selected during the Routing and Remote Access wizard, multicast support may already be enabled. To configure multicast support, you need to complete the following steps:

  1. Add the IGMP version 2, Router and Proxy routing protocol. For more information, see To add the IGMP routing protocol.
  2. Add the Internal interface to the IGMP routing protocol and configure it in IGMP router mode. For more information, see To enable IGMP router and IGMP proxy mode.
  3. Add the interface that represents the permanent connection to the Internet to the IGMP routing protocol and configure the interface in IGMP proxy mode. For more information, see To enable IGMP router and IGMP proxy mode.

Configuring remote access policies

If you want to authorize remote access to the dial-up networking clients based on the access-by-user administrative model, do the following:

  1. For a stand-alone remote access server, use Local Users and Groups and set dial-in properties to Allow access for those users who will be making remote access connections.
  2. For an Active Directory-based remote access server, use Active Directory Users and Computers and set dial-in properties to Allow access for those users who will be making remote access connections.

If you want to grant remote access to the dial-up networking clients based on group membership and an access-by-policy administrative model, do the following:

  1. For a stand-alone remote access server, use Local Users and Groups and set dial-in properties to Control access through Remote Access Policy for all users.
  2. For a remote access server that is a member of a Windows 2000 mixed-mode domain, use Active Directory Users and Computers and set dial-in properties to Allow access for all users.
  3. For a remote access server that is a member of a Windows 2000 native-mode domain, use Active Directory Users and Computers and set dial-in properties to Control access through Remote Access Policy for all users.
  4. Create a Windows 2000 group whose members will be able to create dial-up networking connections with the remote access server. For example, Clients.
  5. Add the appropriate user accounts to the new Windows 2000 group.
  6. Delete the default remote access policy named Allow access if dial-in permission is enabled.
  7. Create a new remote access policy with the following properties:
    • Set Policy name to Remote Access if member of Clients (example)
    • Set the: Windows-Groups attribute to Clients (example)
    • Select the Grant remote access permission option.


Setting up remote access VPNs

This section covers:

  • Remote access VPN design considerations
  • Remote access VPN security
  • Deploying remote access VPNs


Deploying remote access VPNs

This section covers:

  • PPTP-based remote access VPN
  • L2TP-based remote access VPN


PPTP-based remote access VPN

You can use Windows 2000 remote access to provide access to a corporate intranet for remote access clients who are making PPTP connections across the Internet. If you want your remote access server to support multiple PPTP connections, complete the following steps:

  • Configure the connection to the Internet.
  • Configure the connection to the intranet.
  • Configure the remote access server as a corporate intranet router.
  • Configure the remote access server for PPTP clients.
  • Configure the PPTP ports.
  • Configure multicast support.
  • Configure PPTP filters.
  • Configure remote access policies.

The following illustration shows the elements of a Windows 2000 remote access server that provides PPTP-based remote access to a corporate intranet.

Windows 2000 remote access server providing PPTP-based remote access

Configuring the connection to the Internet

The connection to the Internet from a computer running Windows 2000 Server is a dedicated connection—a WAN adapter installed in the computer. The WAN adapter is typically a DDS, T1, Fractional T1, or Frame Relay adapter. You must contract with a local telephone company to run the appropriate physical wiring to your premises. You need to verify that the WAN adapter is on the Microsoft Windows Hardware Compatibility List at the Microsoft Web site (http://www.microsoft.com/).

The WAN adapter includes drivers that are installed in the Windows 2000 operating system so that the WAN adapter appears as a network adapter.

You need to configure the following TCP/IP settings on the WAN adapter:

  • IP address and subnet mask assigned from the InterNIC or an Internet service provider (ISP).
  • Default gateway of the ISP router.

Configuring the connection to the intranet

The connection to the intranet from a computer running Windows 2000 Server is a LAN adapter that is installed in the computer. You need to verify that the LAN adapter is on the Microsoft Windows Hardware Compatibility List at the Microsoft Web site (http://www.microsoft.com/).

You need to configure the following TCP/IP settings on the LAN adapter:

  • IP address and subnet mask assigned from the network administrator.
  • DNS and WINS name servers of corporate intranet name servers.

Configuring the remote access server as a corporate intranet router

In order for the remote access server to properly forward traffic on the corporate intranet, you must configure it as a router with either static routes or routing protocols so that all of the locations of the intranet are reachable from the remote access server. For information about routing concepts, see Routing overview. For information about setting up the remote access server as a router, see Deploying routing.

Configuring the remote access server for PPTP clients

First, you need to enable the remote access server by enabling the Routing and Remote Access service. For more information, see To enable the Routing and Remote Access service.

You can then configure the properties of the remote access server in Routing and Remote Access. For more information, see To view properties of the remote access server.

To allow multiple PPTP clients access to the corporate intranet, you need to configure the following settings:

  • General

    • Verify that the Remote access server check box is selected.

  • Security
    • Authentication Methods

      Select the authentication methods that are supported by the remote access server to authenticate the credentials of dial-up clients. Microsoft dial-up networking clients typically use MS-CHAP authentication. For smart card support, you need to enable EAP authentication. Non-Microsoft dial-up networking clients use CHAP, SPAP, and PAP authentication. For encrypted PPTP connections, you must use MS-CHAP or EAP-TLS as the authentication method.

    • Authentication Provider

      You can verify the credentials of dial-up clients by using Windows 2000 security or a RADIUS server. If RADIUS is selected, you need to configure RADIUS server settings for your RADIUS server or RADIUS proxy.

    • Accounting Provider

      You can record dial-up client activity for analysis or accounting purposes by selecting and configuring an accounting provider.

  • IP

    • Verify that the Enable IP routing and Allow IP-based remote access and demand-dial connections check boxes are selected.

    If a DHCP server allocating intranet IP addresses is available, click Dynamic Host Allocation Protocol (DHCP). If not, click Static address pool and type the range of IP addresses that are dynamically allocated to PPTP-based VPN clients in the form of an IP address and mask.

    If the static IP address pool represents a separate subnet, then you must add a static IP route that consists of the remote access address pool {IP Address, Mask} to the routers of the intranet. If the route is not added, then PPTP-based VPN clients cannot receive traffic from resources on the intranet.

    For more information about configuring IP address pools, see To create a static IP address pool.

Configuring the PPTP ports

All the PPTP ports are listed as separate ports under Ports in Routing and Remote Access. You should configure all the PPTP ports for remote access.

For more information about configuring ports for remote access, see To configure ports for remote access.

By default, five PPTP ports are enabled. If you need to add additional PPTP ports, see To add PPTP or L2TP ports.

Configuring multicast support

Depending on the options selected during the Routing and Remote Access wizard, multicast support may already be enabled. To configure multicast support, you need to complete the following steps:

  1. Add the IGMP version 2, Router and Proxy routing protocol. For more information, see To add the IGMP routing protocol.
  2. Add the Internal interface to the IGMP routing protocol and configure it in IGMP router mode. For more information, see To enable IGMP router and IGMP proxy mode.
  3. Add the interface that represents the permanent connection to the intranet to the IGMP routing protocol and configure the interface in IGMP proxy mode. For more information, see To enable IGMP router and IGMP proxy mode.

Configuring PPTP filters

To secure the remote access server from sending or receiving any traffic on its Internet interface except PPTP from remote access clients, you need to configure PPTP input and output filters on the interface on the remote access server that corresponds to the Internet connection. For more information, see Add PPTP filters.

Because IP routing is enabled on the Internet interface, if PPTP filters are not configured on the Internet interface of the remote access server, then any traffic received on the Internet interface is routed, possibly forwarding unwanted Internet traffic to your intranet.

Depending on the options selected during the Routing and Remote Access wizard, PPTP filters may already be configured.

Configuring remote access policies

For an access-by-user administrative model, you need to set the remote access permission to Allow access on the user accounts for those users who will be making VPN connections. For an access-by-policy model, make the appropriate changes to the remote access permission of the user accounts. For more information, see Remote access policy administrative models.

To configure a remote access policy to control the authentication and encryption options for VPN connections, you can create a remote access policy with the following settings:

  • Set Policy name to VPN Access (example).
  • For conditions, set the NAS-Port-Type condition to Virtual (VPN) and the Tunnel-Type condition to Point-to-Point Tunneling Protocol.
  • Select the Grant remote access permission option.
  • For profile settings, select the appropriate authentication and encryption options.

Then, either delete the default remote access policy named Allow access if dial-in permission is enabled or move it after the new policy. This remote access policy allows all users with remote access permission to create a VPN connection.

If you want to distinguish dial-up remote access users from VPN remote access users, do the following:

  1. Create a Windows 2000 group whose members can create virtual private networking connections with the VPN server. For example, VPN_Users.
  2. Add the appropriate user accounts to the new Windows 2000 group.
  3. Create a new remote access policy with the following properties:
    • Set Policy name to VPN Access if member of VPN_Users (example).
    • For conditions, set the Windows-Groups condition to VPN_Users (example), set the NAS-Port-Type condition to Virtual (VPN), and set the Tunnel-Type condition to Point-to-Point Tunneling Protocol.
    • Select the Grant remote access permission option.
  4. Move the default remote access policy named Allow access if dial-in permission is enabled after the new policy.

The default encryption settings allow no encryption and all levels of encryption strength. To require encryption, clear the No Encryption option and select the appropriate encryption strengths on the Encryption tab of the remote access policy profile. The encryption strengths are:

  • Basic

    You should use this option when communicating with older Microsoft dial-up networking clients who are connecting from outside North America. This option uses Microsoft Point-to-Point Encryption (MPPE) and a 40-bit encryption key.

  • Strong

    You should use this option when communicating with Windows 2000 and Windows 98 dial-up networking clients who are connecting from outside North America. This option uses MPPE and a 56-bit encryption key.

  • Strongest

    You should use this option when communicating with dial-up networking clients who are connecting from inside North America. This option uses MPPE and a 128-bit encryption key and is only available on North American versions of Windows 2000.

For more information, see To configure encryption.


L2TP-based remote access VPN

You can use Windows 2000 remote access to provide access to a corporate intranet for remote access clients who are making L2TP over IPSec connections across the Internet. If you want your remote access server to support multiple L2TP over IPSec connections, complete the following steps:

  • Configure the connection to the Internet.
  • Configure the connection to the intranet.
  • Configure the remote access server as a corporate intranet router.
  • Configure the remote access server for L2TP clients.
  • Configure the L2TP ports.
  • Configure multicast support.
  • Configure L2TP over IPSec filters.
  • Configure remote access policies.

The following illustration shows the elements of a Windows 2000 remote access server that provides L2TP-based remote access to a corporate intranet.

Windows 2000 remote access server providing L2TP-based remote access

Note

  • The following configuration assumes that computer certificates, also known as machine certificates, are already installed on the VPN server and remote access client computers. Computer certificates are required for L2TP over IPSec connections. For more information, see Machine certificates for L2TP over IPSec VPN connections.

Configuring the connection to the Internet

The connection to the Internet from a computer running Windows 2000 Server is a dedicated connection—a WAN adapter installed in the computer. The WAN adapter is typically a DDS, T1, Fractional T1, or Frame Relay adapter. You must contract with a local telephone company to run the appropriate physical wiring to your premises. You need to verify that the WAN adapter is on the Microsoft Windows Hardware Compatibility List at the Microsoft Web site (http://www.microsoft.com/).

The WAN adapter includes drivers that are installed in the Windows 2000 operating system so that the WAN adapter appears as a network adapter.

You need to configure the following TCP/IP settings on the WAN adapter:

  • IP address and subnet mask assigned from the InterNIC or an Internet service provider (ISP).
  • Default gateway of the ISP router.

Configuring the connection to the intranet

The connection to the intranet from a computer running Windows 2000 Server is a LAN adapter that is installed in the computer. You need to verify that the LAN adapter is on the Microsoft Windows Hardware Compatibility List at the Microsoft Web site (http://www.microsoft.com/).

You need to configure the following TCP/IP settings on the LAN adapter:

  • IP address and subnet mask assigned from the network administrator.
  • DNS and WINS name servers of corporate intranet name servers.

Configuring the remote access server as a corporate intranet router

In order for the remote access server to properly forward traffic on the corporate intranet, you must configure it as a router with either static routes or routing protocols so that all of the locations of the intranet are reachable from the remote access server. For information about routing concepts, see Routing overview. For information about setting up the remote access server as a router, see Deploying routing.

Configuring the remote access server for L2TP clients

First, you need to enable the remote access server by installing the Routing and Remote Access service. For more information, see To enable the Routing and Remote Access service.

You can then configure the properties of the remote access server by using Routing and Remote Access. For more information, see To view properties of the remote access server.

To allow multiple L2TP clients access to the corporate intranet, you need to configure the following settings:

  • General

    • Verify that the Remote access server check box is selected.

  • Security
    • Authentication Methods

      Select the authentication methods that are supported by the remote access server to authenticate the credentials of remote access clients. Microsoft remote access clients typically use MS-CHAP authentication. For smart card support, you need to enable EAP authentication.

    • Authentication Provider

      You can verify the credentials of remote access clients by using Windows 2000 security or a RADIUS server. If RADIUS is selected, you need to configure RADIUS server settings for your RADIUS server or RADIUS proxy.

    • Accounting Provider

      You can record remote access client activity for analysis or accounting purposes by selecting and configuring an accounting provider.

  • IP

    • Verify that the Enable IP routing and Allow IP-based remote access and demand-dial connections check boxes are selected.

    If a DHCP server allocating intranet IP addresses is available, click Dynamic Host Allocation Protocol (DHCP). If not, click Static address pool and configure the ranges of IP addresses that are dynamically allocated to L2TP-based VPN clients.

    If the static IP address pool consists of ranges of IP addresses that are for a separate subnet, then you need to either enable an IP routing protocol on the remote access server computer or add static IP routes consisting of the {IP Address, Mask} of each range to the routers of the intranet. If the routes are not added, then L2TP-based VPN clients cannot receive traffic from resources on the intranet.

Configuring the L2TP ports

All the L2TP ports are listed as separate ports under Ports in Routing and Remote Access. You should configure all the L2TP ports for remote access.

For more information about configuring ports for remote access, see To configure ports for remote access.

By default, five L2TP ports are enabled. If you need to add additional L2TP ports, see To add PPTP or L2TP ports.

Configuring multicast support

Depending on the options selected during the Routing and Remote Access wizard, multicast support may already be enabled. To configure multicast support, you need to complete the following steps:

  1. Add the IGMP version 2, Router and Proxy routing protocol. For more information, see To add the IGMP routing protocol.
  2. Add the Internal interface to the IGMP routing protocol and configure it in IGMP router mode. For more information, see To enable IGMP router and IGMP proxy mode.
  3. Add the interface that represents the permanent connection to the intranet to the IGMP routing protocol and configure the interface in IGMP proxy mode. For more information, see To enable IGMP router and IGMP proxy mode.

Configuring L2TP over IPSec filters

To secure the remote access server from sending or receiving any traffic on its Internet interface except L2TP over IPSec traffic from remote access clients, you need to configure L2TP over IPSec input and output filters on the interface on the remote access server that corresponds to the Internet connection. For more information, see Add L2TP over IPSec filters.

Because IP routing is enabled on the Internet interface, if L2TP over IPSec filters are not configured on the Internet interface of the remote access server, then any traffic received on the Internet interface is routed, possibly forwarding unwanted Internet traffic to your intranet.

Depending on the options selected during the Routing and Remote Access wizard, L2TP filters may already be configured.

Configuring remote access policies

For an access-by-user administrative model, you need to set the remote access permission to Allow access on the user accounts for those users who will be making VPN connections. For an access-by-policy model, make the appropriate changes to the remote access permission of the user accounts. For more information, see Remote access policy administrative models.

To configure a remote access policy to control the authentication and encryption options for VPN connections, create a remote access policy with the following settings:

  • Set Policy name to VPN Access (example).
  • For conditions, set the NAS-Port-Type condition to Virtual (VPN) and the Tunnel-Type condition to Layer Two Tunneling Protocol.
  • Select the Grant remote access permission option.
  • For profile settings, select the appropriate authentication and encryption options.

Then, either delete the default remote access policy named Allow access if dial-in permission is enabled or move it after the new policy. This remote access policy allows all users with remote access permission to create a VPN connection.

If you want to distinguish dial-up remote access users from VPN remote access users, do the following:

  1. Create a Windows 2000 group whose members can create virtual private networking connections with the VPN server. For example, VPN_Users.
  2. Add the appropriate user accounts to the new Windows 2000 group.
  3. Create a new remote access policy with the following properties:
    • Set Policy name to VPN Access if member of VPN_Users (example).
    • For conditions, set the Windows-Groups condition to VPN_Users (example), set the NAS-Port-Type condition to Virtual (VPN), and set the Tunnel-Type condition to Layer Two Tunneling Protocol.
    • Select the Grant remote access permission option.
  4. Move the default remote access policy named Allow access if dial-in permission is enabled after the new policy.

The default encryption settings allow no encryption and all levels of encryption strength. To require encryption, clear the No Encryption option and select the appropriate encryption strengths on the Encryption tab of the remote access policy profile. The encryption strengths are:

  • Basic

    You should use this option when communicating with L2TP over IPSec-based VPN clients who are connecting from outside North America. This option uses 56-bit DES encryption.

  • Strong

    You should use this option when communicating with L2TP over IPSec-based VPN clients who are connecting from outside North America. This option uses 56-bit DES encryption.

  • Strongest

    You should use this option when communicating with L2TP over IPSec-based VPN clients who are connecting from inside North America. This option uses triple DES (3DES) encryption and is only available on North American versions of Windows 2000.

For more information, see To configure encryption.


Using smart cards for remote access

The use of smart cards for user authentication is the strongest form of authentication in Windows 2000. For remote access connections, you must use the Extensible Authentication Protocol (EAP) with the Smart card or other certificate (TLS) EAP type, also known as EAP-Transport Level Security (EAP-TLS). To use smart cards for remote access authentication, you must do the following:

  • Configure remote access on the remote access server.
  • Install a computer certificate on the remote access server computer.
  • Enable a smart card logon process for the domain.
  • Enable the Extensible Authentication Protocol (EAP) and configure the Smart card or other certificate (TLS) EAP type on the remote access server computer.
  • Enable smart card authentication on the dial-up or VPN connection on the remote access client computer.

Configuring the remote access server computer to provide remote access services

You can configure the remote access server running Windows 2000 as described in Using the remote access server as a corporate remote access server for dial-in remote access or Using the remote access server for remote access VPN connections for VPN remote access.

Installing a computer certificate on the remote access server computer

In order to configure EAP-TLS on the remote access server computer, you must install a computer certificate, also known as a machine certificate. To install a computer certificate on the remote access server computer, a certificate authority must be present to issue certificates. Once the certificate authority is configured, you can install a certificate on the remote access server computer in two different ways:

  1. By configuring the automatic allocation of computer certificates to computers in a Windows 2000 domain.
  2. By using Certificate Manager to obtain a computer certificate.

Based on the certificate policies in your organization, you only need to perform one of these two allocations.

To configure a certificate authority and install the computer certificate, perform the following steps :

  1. Install the Windows 2000 Certificate Services component as an enterprise root certificate authority. This step is only necessary if you do not already have an enterprise root certificate authority (CA).
    1. If necessary, promote the computer that will be a CA to a domain controller (DC). For more information, see To install a domain controller.
    2. Install the Windows 2000 Certificate Services component as an enterprise root CA. For more information, see To install an enterprise root certification authority.
  2. For auto-enrollment of machine certificates, configure the Windows 2000 domain. For more information, see To configure automatic certificate allocation from an enterprise CA.

    3. To create a computer certificate for the remote access server computer that is a member of the domain for which auto-enrollment is configured (as well as other computers that are members of the domain), restart the computer or type secedit /refreshpolicy machine_policy from the Windows 2000 command prompt.

  3. To manually enroll machine certificates, use Certificate Manager to install the CA root certificate. For more information, see To manage certificates for a computer and To request a certificate.

Enabling a smart card logon process for the domain

To enable a smart card logon process for the domain, you can perform the following procedures:

  1. To configure a certification authority to issue smart card logon certificates
  2. To prepare a smart card certificate enrollment station
  3. To set up a smart card for user logon

Configuring the remote access server running Windows 2000 for smart card remote access

To configure the remote access server running Windows 2000 for smart card remote access, see To configure smart card remote access.

Configuring the remote access client running Windows 2000 for smart card remote access

You need to install a smart card reader on the remote access client computer. For more information, see To install a smart card reader on a computer.

Once a smart card reader is installed on the computer running Windows 2000, you are prompted whether you want to use the smart card for authentication when you create dial-up or VPN connections.

For existing dial-up or VPN connections, you can enable smart card authentication on the properties of the dial-up or VPN connection. For more information, see To enable smart card or other certificate authentication.


Windows 2000 authentication

This section provides information about administering user dial-in properties on a remote access server that is configured as a:

  • Stand-alone server running Windows 2000
  • Member server in a Windows NT 4.0 domain
  • Member server in a mixed-mode or native-mode Windows 2000 domain
  • Windows NT 4.0 remote access server in a Windows 2000 domain


Stand-alone server running Windows 2000

For a remote access server running Windows 2000 that is not a member of a domain, only the local accounts database is available for setting remote access permissions. You cannot use domain-based account databases.

You can administer user account dial-in properties through the properties of a dial-up connection in the Network and Dial-up Connections folder or through Local Users and Groups. The list of users is based on the local user accounts on the server running Windows 2000.


Member server in a Windows NT 4.0 domain

For a remote access server running Windows 2000 that is a member server in a Windows NT 4.0 domain, four accounts databases are available:

  1. Local.
  2. Windows NT 4.0 domain.
  3. Windows 2000 mixed-mode domain.
  4. Windows 2000 native-mode domain (through a trust relationship between the Windows NT 4.0 domain and the Windows 2000 native-mode domain).

The following table describes the management of user dial-in properties for each accounts database.

Accounts database | User dial-in properties
Local | Administered by using Local Users and Groups.
Windows NT 4.0 domain | Administered by using the Windows NT 4.0 User Manager for Domains administrative tool.
Windows 2000 mixed-mode domain | Administered by using either Active Directory Users and Computers or the Windows NT 4.0 User Manager for Domains administrative tool.
Windows 2000 native-mode domain | Administered by using Active Directory Users and Computers.


Member server in a mixed-mode or native-mode Windows 2000 domain

For a remote access server running Windows 2000 that is a member server in a Windows 2000 mixed-mode domain or is a member server in a Windows 2000 native-mode domain, four accounts databases are available:

  1. Local.
  2. Windows NT 4.0 domain.
  3. Windows 2000 mixed-mode domain.
  4. Windows 2000 native-mode domain.

The following table describes the management of user dial-in properties for each accounts database.

Accounts database | User dial-in properties
Local | Administered by using Local Users and Groups.
Windows NT 4.0 domain | Administered by using the Windows NT 4.0 User Manager for Domains administrative tool.
Windows 2000 mixed-mode domain | Administered by using either Active Directory Users and Computers or the Windows NT 4.0 User Manager for Domains administrative tool.
Windows 2000 native-mode domain | Administered by using Active Directory Users and Computers.

Note

  • In order for the remote access server to access user account dial-in properties stored in Active Directory, the Routing and Remote Access service must run in the security context of a computer account that is a member of the RAS and IAS Servers security group. When you run the Routing and Remote Access wizard on a remote access server running Windows 2000 in a mixed-mode or native-mode domain, the computer account of the remote access server is automatically added to the RAS and IAS Servers security group. If the remote access server needs to access user dial-in properties in other domains, you must manually add the computer account to the RAS and IAS Servers security group of the other domains either through Active Directory Computers and Users or by typing netsh ras add registeredserver at a Windows 2000 command prompt. For more information, see Netsh commands for remote access and Troubleshooting.

Cross-forest authentication

To enable a remote access server running Windows 2000 in a domain in one Active Directory forest to authenticate the remote access credentials for a user account in a domain in another Active Directory forest, use a RADIUS proxy.

For more information, see Domain trees and forests.


Windows NT 4.0 remote access server in a Windows 2000 domain

A server running Windows NT 4.0 and the Remote Access Service (RAS) or Routing and Remote Access Service (RRAS) in LocalSystem security context that is a member of a Windows 2000 domain cannot validate remote access credentials of domain accounts unless it is also a domain controller. If the server is not a domain controller, only accounts in the local accounts database are validated. By default, the LocalSystem security account on the RAS or RRAS server running Windows NT 4.0 does not have any permissions to read properties of objects in Windows 2000 Active Directory.

This security situation also exists for the following configurations:

  • A server running Windows NT 4.0 and RAS or RRAS that is a member of a Windows NT 4.0 domain that is accessing user account properties for a user account in a trusted Windows 2000 domain.
  • A remote access server running Windows 2000 that is a member of a Windows NT 4.0 domain that is accessing user account properties for a user account in a trusted Windows 2000 domain.

In all of these cases, a remote access server running Windows NT 4.0 or later must access user account properties in a Windows 2000 domain.

To enable a Windows 2000 domain controller to allow a RAS or RRAS server running Windows NT 4.0 Service Pack 4 or later or a remote access server running Windows 2000 in a trusted Windows NT 4.0 domain to access user account properties of a remote Windows 2000 domain controller, select the option to loosen Active Directory security during the domain controller promotion process. Or, type net localgroup "Pre-Windows 2000 Compatible Access" everyone /add at a Windows 2000 command prompt on the domain controller computer and then restart the domain controller computer.

Active Directory security must be loosened in this situation because normal Active Directory security that uses user principal names, certificates, and the Kerberos V5 protocol is not used by remote access servers running Windows NT 4.0 or remote access servers running Windows 2000 that are members of a Windows 4.0 domain. Without Kerberos authentication, the remote access server does not have permission to read user account properties in the Active Directory domain. Therefore, the security of the Active Directory domain must be loosened so that the remote access server can use NTLM security to read user account properties.

For more information, see Netsh commands for remote access.

Windows NT 4.0 Service Pack 3 and earlier

To enable a RAS or RRAS server running Windows NT 4.0 Service Pack 3 or earlier to authenticate against a remote Windows 2000 domain controller, you must configure Active Directory to allow any user to read any property on any user object. To do so, use the advanced options of Active Directory Users and Computers to grant the Everyone object list contents, read all properties, and read permissions to the root node of your domain and all subobjects of the root domain. You should use this workaround only after careful study of its impact on the security of Active Directory. The recommended workaround is to upgrade the RAS or RRAS server running Windows NT 4.0 Service Pack 3 or earlier to Windows 2000 and make it a member of a Windows 2000 mixed-mode or native-mode domain.


Windows 2000 domain upgrade behavior

When Windows 2000 Server is installed on a new computer and is not made a member of a domain, the computer is running in stand-alone mode. For a remote access server in stand-alone mode, a local accounts database stores properties of the dial-in user account. For a stand-alone remote access server, all of the dial-in user properties are available:

  • Remote Access Permission (Dial-in or VPN): All three choices are available (Allow access, Deny access, and Control access through Remote Access Policy)
  • Verify Caller ID
  • Callback Options
  • Assign a Static IP Address
  • Apply Static Routes

By default, when the stand-alone remote access server is upgraded to a domain controller by using the Active Directory Installation wizard, the domain is configured for mixed-mode. A mixed-mode domain can have both Windows NT 4.0 and Windows 2000 domain controllers. To maintain compatibility with Windows NT 4.0 domain controllers, dial-in properties of user accounts must match those found in Windows NT 4.0. Therefore, the only dial-in user properties that are available are:

  • Remote Access Permission (Dial-in or VPN): Only two choices are available (Allow access and Deny access)
  • Callback Options

The Verify Caller ID, Assign a Static IP Address, and Apply Static Routes properties are not available. All values of dial-in properties that are configured while in stand-alone mode are preserved, including those that are now unavailable. The remote access permissions set to Allow access are preserved in the upgrade. The remote access permissions set to Deny access are set to Control access through Remote Access Policy during the upgrade.

When the mixed-mode domain controller is upgraded to a native-mode domain that contains only Windows 2000 domain controllers, all dial-in properties become available. Dial-in properties that are configured while the remote access server is in stand-alone mode that are not available in mixed mode are preserved for native mode. For example, if the Verify Caller ID property for a user account is set to 555-0001 when the remote access server is in stand-alone mode and then the Active Directory Installation wizard is run, the Verify Caller ID property is unavailable. However, when you change the domain mode to native mode, the Verify Caller ID property is available and retains its original configured value of 555-0001.

For more information, see To change the domain mode.

Note

  • Callback numbers that are configured while the computer running Windows 2000 is in stand-alone mode may be truncated when the computer is upgraded to a mixed-mode domain controller. Callback numbers may also be truncated when a remote access server running Windows NT 4.0 requests dial-in properties of a user account in a Windows 2000 native-mode domain.


Using RADIUS

This section covers:

  • Using RADIUS for multiple remote access servers
  • Using RADIUS in a heterogeneous remote access infrastructure


Using RADIUS for multiple remote access servers

If you have more than one Windows 2000 remote access server, rather than administer the remote access policies of all the remote access servers separately, you can configure a single computer running Windows 2000 with the Internet Authentication Service (IAS) as a Remote Authentication Dial-In User Service (RADIUS) server and configure the remote access servers as RADIUS clients. The IAS server provides centralized remote access authentication, authorization, accounting, and auditing.

For more information about IAS, see Features of IAS.

If you want to configure the remote access servers and the IAS server, complete the following steps:

  • Configure the remote access server.
  • Configure the remote access server for RADIUS authentication.
  • Configure the remote access server for RADIUS accounting.
  • Configure the IAS server.

Configuring the remote access server

You must configure the remote access server running Windows 2000 to provide remote access to either dial-up networking clients or virtual private networking clients. For more information, see the following:

  • Using the remote access server as a corporate remote access server
  • Using the remote access server for Internet access
  • Deploying remote access VPNs
  • Deploying router-to-router VPNs

Configuring the remote access server for RADIUS authentication

When you configure the properties of the remote access server running Windows 2000, select RADIUS authentication as the authentication provider. For more information, see To use RADIUS authentication.

When you add a RADIUS server, you must configure the following:

  • Server name

    The host name or IP address of the IAS server.

  • Secret

    The remote access server running Windows 2000 and the IAS server share a secret that is used to encrypt messages sent between them. You must configure both the remote access server and the IAS server to use the same shared secret.

  • Port

    The remote access server must send its authentication requests to the UDP port on which the IAS server is listening. The default value of 1812 is based on RFC 2138, "Remote Authentication Dial-in User Service (RADIUS)" and does not need to be changed when you are using an IAS server.

Configuring the remote access server for RADIUS accounting

When you configure the properties of the remote access server running Windows 2000, select RADIUS accounting as the accounting provider. For more information, see To use RADIUS accounting.

When you add a RADIUS server, you must configure the following:

  • Server name

    The host name or IP address of the IAS server.

  • Secret

    The remote access server running Windows 2000 and the IAS server share a secret that is used to encrypt messages sent between them. You must configure both the remote access server and the IAS server to use the same shared secret.

  • Port

    The remote access server must send its accounting requests to the UDP port on which the IAS server is listening. The default value of 1813 is based on RFC 2139, "RADIUS Accounting" and does not need to be changed when using an IAS server.

Configuring the IAS server

You need to configure the IAS server computer for Windows 2000 and Windows NT domains and port numbers and register each of the remote access servers as clients. For more information, see Checklist: Configuring IAS for dial-up or VPN access.

Once the remote access servers are configured to use RADIUS authentication, the remote access policies stored on the remote access servers are no longer used. Instead, the remote access policies stored on the IAS server are used. Therefore, if one of the remote access servers contains the current set of remote access policies that are applied to all of the remote access servers, you can copy the remote access policies to the IAS server. For more information, see To copy the IAS configuration to another server.

Notes

  • If you have servers running Windows NT 4.0 and the Routing and Remote Access Service (RRAS) and you want to use Windows 2000 remote access policies to authenticate incoming remote access connection attempts, you must configure the RRAS server as a RADIUS client to an IAS server. You cannot configure remote access servers running Windows NT 4.0 as RADIUS clients. You must upgrade a remote access server running Windows NT 4.0 to a server running Windows NT 4.0 and RRAS.
  • To provide redundancy and fault tolerance, configure two IAS servers, a primary and a backup, and copy the remote access policies from the primary to the backup. Then configure each remote access server with two RADIUS servers that correspond to the primary and backup IAS servers. If the primary IAS server becomes unavailable, then the remote access servers automatically begin to use the secondary IAS server.


Using RADIUS in a heterogeneous remote access infrastructure

For some Internet service providers and corporate remote access environments, the remote access equipment consists of multiple remote access devices of different types from different manufacturers. In a heterogeneous remote access environment, a single standard must exist for providing authentication of remote access user credentials and accounting of remote access activity.

In many of these environments, the Remote Authentication Dial-In User Service (RADIUS) is used. RADIUS is a client/server protocol where RADIUS clients send authentication and accounting requests to a RADIUS server. The RADIUS server checks the remote access authentication credentials on the user accounts and logs remote access accounting events.

You can configure a remote access server running Windows 2000 as a RADIUS client. In this scenario, Windows 2000 Server also includes a RADIUS server called Internet Authentication Service (IAS) that can be used by the remote access server. For more information about IAS, see Features of IAS.

If you want to configure a remote access server running Windows 2000 as a RADIUS client, complete the following steps:

  • Configure the remote access server.
  • Configure the remote access server for RADIUS authentication.
  • Configure the remote access server for RADIUS accounting.

The following illustration shows the elements of a remote access server running Windows 2000 that uses RADIUS in a heterogeneous remote access infrastructure.

Using RADIUS in a heterogeneous remote access infrastructure

Configuring the remote access server

You must configure the remote access server running Windows 2000 to provide remote access to either dial-up networking clients or virtual private networking clients. For more information, see the following:

  • Using the remote access server as a corporate remote access server
  • Using the remote access server for Internet access
  • Deploying remote access VPNs
  • Deploying router-to-router VPNs

Configuring the remote access server for RADIUS authentication

When you configure the properties of the remote access server running Windows 2000, select RADIUS authentication as the authentication provider. For more information, see To use RADIUS authentication.

When you add a RADIUS server, you must configure the following:

  • Server Name

    The host name or IP address of the computer that is running the RADIUS server process.

  • Secret

    The RADIUS client (the remote access server running Windows 2000) and the RADIUS server share a secret that is used to encrypt messages sent between them. You must configure both the RADIUS client and the RADIUS server to use the same shared secret.

  • Port

    The RADIUS client must send its authentication requests to the UDP port on which the RADIUS server is listening. The default value of 1812 is based on RFC 2138, "Remote Authentication Dial-in User Service (RADIUS)." For some older RADIUS servers, the port should be set to 1645.

Configuring the remote access server for RADIUS accounting

When you configure the properties of the remote access server running Windows 2000, select RADIUS accounting as the accounting provider. For more information, see To use RADIUS accounting.

When you add a RADIUS server, you must configure the following:

  • Server Name

    The host name or IP address of the computer that is running the RADIUS server process.

  • Secret

    The RADIUS client (the remote access server running Windows 2000) and the RADIUS server share a secret that is used to encrypt messages sent between them. You must configure both the RADIUS client and the RADIUS server to use the same shared secret.

  • Port

    The RADIUS client must send its accounting requests to the UDP port on which the RADIUS server is listening. The default value of 1813 is based on RFC 2139, "RADIUS Accounting." For some older RADIUS servers, the port should be set to 1646.


Remote access scenarios

This section covers:

  • Remote access for Electronic, Inc.
  • Internet access for A. Datum Corporation


Remote access for Electronic, Inc.

This section describes how remote access is configured for a fictional company by using Windows 2000. While your network configuration may be different than described here, you can apply the basic concepts.

Electronic, Inc. is an electronics design and manufacturing company that has implemented a remote access solution by using Windows 2000 that connects dial-up and VPN remote access users to the Electronic, Inc. intranet.

To deploy a remote access solution for Electronic, Inc., the network administrator performs an analysis and makes design decisions regarding:

  • The network configuration
  • The remote access policy configuration
  • The domain configuration

The network configuration

The key elements of the network configuration are:

  • The Electronic, Inc. corporate intranet uses the private network of 172.16.0.0 with a subnet mask of 255.240.0.0.
  • The remote access server computer is connected to an intranet network that contains a router that connects to the rest of the Electronic, Inc. corporate intranet. The network ID of the intranet network segment attached to the remote access server computer is 172.31.248.0 with a subnet mask of 255.255.255.0.
  • The remote access server computer is configured with a static pool of IP addresses that represents the separate subnet of 172.31.252.0 with a subnet mask of 255.255.252.0.

The following illustration shows the network configuration of the Electronic, Inc. remote access server.

Network configuration of the Electronic, Inc. remote access server

Based on the network configuration of the Electronic, Inc. corporate campus intranet, the remote access server computer is configured as follows.

1. Install hardware in the remote access server

The network adapter that is used to connect to the intranet segment is installed according to the adapter manufacturer's instructions. Once the driver is installed and functioning, the adapter appears as a local area connection in the Network and Dial-up Connections folder.

2. Configure TCP/IP on the LAN adapter

The IP address of 172.31.248.1 with the subnet mask 255.255.255.0 is configured. DNS and WINS server addresses are also configured. A default gateway is not configured.

3. Install the Routing and Remote Access service

The Routing and Remote Access wizard is run. Within the wizard, both remote access and LAN and WAN routing are enabled, and all ports are enabled for both routing and remote access. For more information, see To enable the Routing and Remote Access service.

4. Configure a static IP address pool

A static IP address pool with a starting IP address of 172.31.252.1 and an ending IP address of 172.31.255.254 is configured. This creates a static address pool for up to 1,021 remote access clients.

For more information, see To create a static IP address pool.

5. Configure a static route on the remote access server computer to reach intranet locations

To reach intranet locations, a static route is configured on the remote access server computer with the following settings:

  • Interface: The LAN adapter attached to the intranet
  • Destination: 172.16.0.0
  • Network mask: 255.240.0.0
  • Gateway: 172.31.248.2
  • Metric: 1

For more information, see To add a static route.

6. Configure a static route on the router to reach remote access clients

To reach remote access clients, a static route is configured on the router with the following settings:

  • Interface: The LAN adapter attached to the network segment of the remote access server
  • Destination: 172.31.252.0
  • Network mask: 255.255.252.0
  • Gateway: 172.31.248.1
  • Metric: 1

This static route is propagated to the other routers in the Electronic, Inc. intranet through the use of routing protocols.

For more information, see To add a static route.

The remote access policy configuration

To ease the transition from a Windows NT 4.0 environment, the network administrator for Electronic, Inc. decides on an access-by-user administrative model. Remote access is controlled by setting the dial-in permission of individual user accounts to either Allow access or Deny access. Remote access policies are used to apply different connection settings based on group membership and the default remote access policy called Allow access if dial-in permission is enabled is deleted.

The domain configuration

To take advantage of the ability to apply different connection settings to different Windows 2000 groups, the following Windows 2000 groups are created:

  • DialUp_Users

    Used for dial-up remote access connections.

  • VPN_Users

    Used for remote access VPN connections.

Based on this configuration, the following remote access scenarios are described:

  • Dial-up remote access for employees
  • VPN remote access for employees
  • Centralized authentication by using IAS

Note

  • The example companies, organizations, products, people and events depicted herein are fictitious. No association with any real company, organization, product, person or event is intended or should be inferred.


Dial-up remote access for employees

Employees of Electronic, Inc. use MS-CHAP or MS-CHAP v2 authentication for dial-up remote access and encryption is allowed but not required. To deploy remote access for Electronic, Inc. employees by using dial-up remote access connections, the following configuration is implemented.

Network configuration

For dial-up remote access, the Electronic, Inc. network is also configured as follows:

  • To receive up to 48 simultaneous incoming calls, Electronic, Inc. uses a modem bank switch that is connected to the local telephone service provider. The modem bank switch connects to the remote access server by using a modem bank adapter. Dial-up clients can dial in to the Electronic, Inc. intranet at the phone number 555-0111.

The following illustration shows the configuration of the Electronic, Inc. remote access server for dial-up remote access connections.

Network configuration for dial-up remote access connections

The remote access server computer is configured as follows:

1. Install modem bank adapter in the remote access server

The modem bank adapter that is used to connect to the modem bank switch is installed according to the adapter manufacturer's instructions. Once the driver is installed and functioning, the device and its ports appear under Ports in Routing and Remote Access.

2. Configure the ports of the modem bank device for remote access

All of the ports of the modem bank device are enabled for remote access. For more information, see To configure ports for remote access.

Domain configuration

For each employee that is allowed dial-up remote access:

  • The remote access permission on the dial-in properties of the user account is set to Allow access.
  • The user account is added to the DialUp_Users Windows 2000 group.

Remote access policy configuration

To define the authentication and encryption settings for remote access dial-up clients, the following remote access policy is created:

  • Policy name: Dial-Up Remote Access Clients
  • Conditions:
    • NAS-Port-Type is set to all types except Virtual (dial-up)
    • Windows-Groups is set to DialUp_Users
  • Permission is set to Grant remote access permission
  • Profile settings:
    • Authentication tab: Microsoft Encrypted Authentication version 2 (MS-CHAP v2) and Microsoft Encrypted Authentication (MS-CHAP) are enabled.
    • Encryption tab: Select all the options.

Note

  • In the access-by-user administrative model, the remote access permission on the remote access policy has no effect on granting remote access permission. However, the network administrator for Electronic, Inc. set the remote access permission on the policy to Grant remote access permission so that an eventual transition to an access-by-policy administrative model does not require changing all the remote access permission settings on all of the configured remote access policies.

Dial-up remote access client configuration

The Make New Connection wizard is used to create a dial-up connection with the following setting:

  • Phone number: 555-0111

Note

  • The example companies, organizations, products, people and events depicted herein are fictitious. No association with any real company, organization, product, person or event is intended or should be inferred.


VPN remote access for employees

VPN remote access for employees of Electronic, Inc. is PPTP-based, uses MS-CHAP v2 authentication, and requires strong encryption (all employees of Electronic, Inc. are located in North America). To deploy remote access for Electronic, Inc. employees by using remote access VPN connections across the Internet, the following configuration is implemented.

Network configuration

For VPN remote access, the Electronic, Inc. network is configured as follows:

  • The remote access server computer is directly attached to the Internet by using a T3 (also known as a DS-3) dedicated WAN link.
  • The IP address of the T3 WAN adapter on the Internet is 207.46.130.1 as allocated by Electronic, Inc.'s Internet service provider (ISP). The IP address of the WAN adapter is referred to on the Internet by the name vpn.electronic.microsoft.com.

The following illustration shows the configuration of the Electronic, Inc. remote access server for remote access VPN connections.

Network configuration for remote access VPN connections

The remote access server computer is configured as follows:

1. Install T3 WAN adapter in the remote access server

The T3 WAN adapter that is used to connect to the Internet is installed according to the adapter manufacturer's instructions. Once the driver is installed and functioning, the adapter appears as local area connection in the Network and Dial-up Connections folder.

2. Configure TCP/IP on the WAN adapter

For the WAN adapter, the IP address of 207.46.130.1 with a subnet mask 255.255.255.255 is configured. A default gateway is not configured.

3. Configure a static route to reach Internet locations

To reach Internet locations, a static route is configured with the following settings:

  • Interface: The WAN adapter attached to the Internet
  • Destination: 0.0.0.0
  • Network mask: 0.0.0.0
  • Gateway: 0.0.0.0
  • Metric: 1

Note

  • Because the WAN adapter creates a point-to-point connection to the ISP, any address can be entered for the gateway address. The gateway address of 0.0.0.0 is an example. 0.0.0.0 is reserved as the unspecified IP address.

4. Increase the number of PPTP ports

By default, only five PPTP ports are enabled for VPN connections. The number of PPTP ports is increased to 1,000. For more information, see To add PPTP or L2TP ports.

5. Configure PPTP packet filters

PPTP packet filters are configured on the WAN adapter that connects to the Internet. For more information, see Add PPTP filters.

Domain configuration

For each employee that is allowed VPN remote access:

  • The remote access permission on the dial-in properties of the user account is set to Allow access.
  • The user account is added to the VPN_Users Windows 2000 group.

Remote access policy configuration

To define the authentication and encryption settings for remote access VPN clients, the following remote access policy is created:

  • Policy name: Remote Access VPN Clients
  • Conditions:
    • NAS-Port-Type is set to Virtual (VPN)
    • Tunnel-Type is set to Point-to-Point Tunneling Protocol
    • Windows-Groups is set to VPN_Users
    • Called-Station-ID is set to 207.46.130.1
  • Permission is set to Grant remote access permission
  • Profile settings:
    • Authentication tab: Microsoft Encrypted Authentication version 2 (MS-CHAP v2) is enabled.
    • Encryption tab: Clear all the options except Strongest.

Notes

  • The Called-Station-ID is set to the IP address of the Internet interface for the remote access server. Only tunnels initiated from the Internet are allowed. Tunnels initiated from the Electronic, Inc. intranet are not permitted. Electronic, Inc. users that require Internet access from the Electronic, Inc. intranet must go through the Electronic, Inc. proxy server (not shown), where Internet access is controlled and monitored.
  • In the access-by-user administrative model, the remote access permission on the remote access policy has no effect on granting remote access permission. However, the network administrator for Electronic, Inc. set the remote access permission on the policy to Grant remote access permission so that an eventual transition to an access-by-policy administrative model does not require changing all the remote access permission settings on all of the configured remote access policies.

PPTP-based remote access client configuration

The Make New Connection wizard is used to create a VPN connection with the following settings:

  • VPN connection type: PPTP
  • Host name or IP address: vpn.electronic.microsoft.com

Note

  • The example companies, organizations, products, people and events depicted herein are fictitious. No association with any real company, organization, product, person or event is intended or should be inferred.


Centralized authentication by using IAS

To spread the load between dial-up and VPN-based remote access users, the network administrator of Electronic, Inc. decided to configure a separate VPN server. To centralize the authentication and accounting functions for both the remote access server and the VPN server, a computer running Windows 2000 Server with the Internet Authentication Services (IAS) with the IP address of 172.31.248.9 functions as a RADIUS server.

The following illustration shows the configuration of the Electronic, Inc. network for IAS-based centralized authentication and accounting.

Network configuration for centralized authentication and accounting using IAS

The IAS server has its own set of remote access polices. Rather than maintain two different sets of remote access policies, one set for the remote access server and one for the VPN server, both the remote access server and the VPN server are configured to use RADIUS authentication. Therefore, both the remote access server and the VPN server are configured as RADIUS clients to the IAS server. The IAS server provides remote access authentication, authorization, and accounting for both the remote access server and the VPN server.

Remote access policy configuration

Once the remote access server running Windows 2000 is configured to use RADIUS authentication, the remote access policies stored on the remote access server are no longer used. Instead, the remote access policies stored on the IAS server are used. Therefore, the current set of remote access policies is copied to the IAS server.

For more information, see To copy the IAS configuration to another server.

RADIUS configuration

To configure RADIUS authentication and accounting, the network administrator for Electronic, Inc. configures the following:

  • The IAS server is configured for two RADIUS clients: the Windows 2000 dial-up remote access server and the Windows 2000 VPN server. For more information, see Internet Authentication Service and To register RADIUS clients.
  • The dial-up remote access server running Windows 2000 is configured to use RADIUS authentication and accounting (at the IP address of 172.31.248.9) and a shared secret. For more information, see To use RADIUS authentication and To use RADIUS accounting.
  • The VPN server running Windows 2000 is configured to use RADIUS authentication and accounting (at the IP address of 172.31.248.9) and a shared secret. For more information, see To use RADIUS authentication and To use RADIUS accounting.

Note

  • The example companies, organizations, products, people and events depicted herein are fictitious. No association with any real company, organization, product, person or event is intended or should be inferred.


Internet access for A. Datum Corporation

This section describes how remote access is configured for a fictional company by using Windows 2000. While your network configuration may be different than described here, you can apply the basic concepts.

A. Datum Corporation is an Internet service provider that provides dial-up Internet access and Internet services for customers in the greater Los Angeles metropolitan area. A. Datum has implemented a remote access solution by using Windows 2000 that connects dial-up customers to the Internet.

The network configuration

The A. Datum network is configured as follows:

  • A. Datum has obtained a class B network ID of 131.107.0.0 with a subnet mask of 255.255.0.0 from the Internet Network Information Center (InterNIC). A. Datum connects to the Internet backbone by using a T3 WAN link. The IP address of the WAN adapter is 131.107.0.1.
  • To receive up to 512 simultaneous incoming calls, A. Datum is using a modem bank switch that is connected to the local telephone service provider. The modem bank switch connects to the remote access server by using a modem bank adapter. Dial-up clients can dial in to A. Datum at the phone number 555-0122.

The following illustration shows the network configuration of the A. Datum remote access server.

Network configuration of the A. Datum remote access server

The remote access server computer is configured as follows:

1. Install the WAN adapter in the remote access server

The network adapter that is used to connect to the Internet is installed according to the adapter manufacturer's instructions. Once the driver is installed and functioning, the adapter appears as a local area connection in the Network and Dial-up Connections folder.

2. Configure TCP/IP on the WAN adapter

The IP address of 131.107.0.1 with the subnet mask 255.255.255.255 is configured. DNS server addresses are configured. WINS server addresses and a default gateway are not configured.

3. Install the Routing and Remote Access service

The Routing and Remote Access wizard is run. Within the wizard, both remote access and LAN and WAN routing are enabled, and all ports are enabled for both routing and remote access. For more information, see To enable the Routing and Remote Access service.

4. Install the modem bank adapter in the remote access server

The modem bank adapter that is used to connect to the modem bank switch is installed according to the adapter manufacturer's instructions. Once the driver is installed and functioning, the device and its ports appear under Ports in Routing and Remote Access.

5. Configure the ports of the modem bank device for remote access

All of the ports of the modem bank device are enabled for remote access. For more information, see To configure ports for remote access.

6. Configure a static IP address pool

A static IP address pool with a starting IP address of 131.107.192.1 and an ending IP address of 131.107.255.254 is configured. This creates a static address pool for up to 16,381 remote access clients.

For more information, see To create a static IP address pool.

7. Configure a static route to reach Internet locations

To reach Internet locations, a static route is configured with the following settings:

  • Interface: The WAN adapter attached to the Internet
  • Destination: 0.0.0.0
  • Network mask: 0.0.0.0
  • Gateway: 0.0.0.0
  • Metric: 1

Note

  • Because the WAN adapter creates a point-to-point connection to the ISP, any address can be entered for the gateway address. The gateway address of 0.0.0.0 is an example. 0.0.0.0 is reserved as the unspecified IP address.

User accounts and remote access policy configuration

The A. Datum remote access server is a stand-alone server that uses the access-by-user administrative model. Access is controlled by setting the dial-in permission of individual user accounts to either Allow access or Deny access. The default remote access policy called Allow access if dial-in permission is enabled is not deleted.

Note

  • The example companies, organizations, products, people and events depicted herein are fictitious. No association with any real company, organization, product, person or event is intended or should be inferred.


Resources

This section covers:

  • Remote access RFCs
  • Remote access RADIUS attributes
  • Netsh commands for remote access
  • Expressing an IP address range with a mask
  • Pattern matching syntax
  • Troubleshooting tools


Remote access RFCs

Requests for Comments (RFCs) are an evolving series of technical reports, proposals for protocols, and protocol standards used by the Internet community. Remote access standards are defined in RFCs published by the Internet Engineering Task Force (IETF) and other working groups.

PPP RFCs

RFC number | Title
1549 | PPP in HDLC Framing
1552 | The PPP Internetwork Packet Exchange Control Protocol (IPXCP)
1334 | PPP Authentication Protocols
1332 | The PPP Internet Protocol Control Protocol (IPCP)
1378 | The PPP AppleTalk Control Protocol (ATCP)
1661 | The Point-to-Point Protocol (PPP)
1990 | The PPP Multilink Protocol (MP)
1877 | PPP Internet Protocol Control Protocol Extensions for Name Server Addresses
1994 | PPP Challenge Handshake Authentication Protocol (CHAP)
2097 | The PPP NetBIOS Frames Control Protocol (NBFCP)
2118 | Microsoft Point-to-Point Compression (MPPC) Protocol
2125 | The PPP Bandwidth Allocation Protocol (BAP)/The PPP Bandwidth Allocation Control Protocol (BACP)
1570 | PPP LCP Extensions

SLIP RFCs

RFC number | Title
1055 | A Nonstandard for Transmission of IP Datagrams Over Serial Lines: SLIP
1144 | Compressing TCP/IP Headers for Low-Speed Serial Links

PPTP RFCs

RFC number | Title
2637 | Point-to-Point Tunneling Protocol--PPTP

L2TP RFCs

RFC number | Title
2661 | Layer Two Tunneling Protocol "L2TP"

RADIUS RFCs

RFC number | Title
2138 | Remote Authentication Dial-In User Service (RADIUS)
2139 | RADIUS Accounting
2548 | Microsoft Vendor-specific RADIUS Attributes

EAP RFCs

RFC number | Title
2284 | PPP Extensible Authentication Protocol (EAP)

EAP Internet drafts

Draft name | Title
draft-ietf-pppext-eaptls-x.txt | PPP EAP TLS Authentication Protocol
draft-ietf-radius-ext-0x.txt | RADIUS Extensions

Obtaining RFCs

You can obtain RFCs from the Request for Comments Web site (http://www.rfc-editor.org/). This Web site is currently maintained by members of the Information Sciences Institute (ISI) who publish a classified listing of all RFCs. RFCs are classified as one of the following: approved Internet standard, proposed Internet standard (circulated in draft form for review), Internet best practices, or For Your Information (FYI) document.

You can find Internet drafts on the Internet Drafts Web site (ftp://ftp.ietf.org/internet-drafts/).

Note


Remote access RADIUS attributes

The following lists the RADIUS attributes that are supported by the remote access server running Windows 2000 for the various RADIUS packet types. For more information about these attributes, see RFC 2138, "Remote Authentication Dial-in User Service (RADIUS)" and RFC 2548, "Microsoft Vendor-specific RADIUS Attributes."

Access-Request

  • User-Name (RADIUS attribute 1)

    • A string value that contains the user principal name or the Windows NT name without the domain.

  • User-Password (RADIUS attribute 2)

    • A string value that contains the user password and is only sent if Password Authentication Protocol (PAP) is negotiated as the authentication protocol.

  • CHAP-Password (RADIUS attribute 3)

    • Contains the response value provided by the Challenge Handshake Authentication Protocol (CHAP) in response to the challenge.

  • NAS_IP_Addresss (RADIUS attribute 4)

    • Contains the IP address of the remote access server.

  • NAS-Port (RADIUS attribute 5)

    • Indicates the number of the port on the remote access server on which the incoming call was received.

  • Service-Type (RADIUS attribute 6)

    • The only value that is sent is "Framed" (2).

  • Framed-Protocol (RADIUS attribute 7)

    • The only value that is sent is "PPP" (1).

  • Framed-MTU (RADIUS attribute 12)

    • Used in conjunction with EAP authentication to notify the RADIUS server of the maximum transmission unit (MTU) negotiated with the client, so that the RADIUS server does not send EAP messages that cannot be delivered over the link.

  • State (RADIUS attribute 24)

    • The remote access server never sends this attribute in the initial Access-Request. If EAP is used as the authentication protocol and a State attribute is received in an Access-Challenge packet, that State attribute is returned unmodified in the next Access-Request packet sent.

  • Called-Station-Id (RADIUS attribute 30)

    • Telephone number on which the call was received. For virtual private network (VPN) connections, the IP address of the VPN server.

  • Calling-Station-Id (RADIUS attribute 31)

    • Telephone number on which the call was made. For virtual private network (VPN) connections, the IP address of the VPN client.

  • NAS-Identifier (RADIUS attribute 32)

    • The fully qualified domain name of the remote access server.

  • CHAP-Challenge (RADIUS attribute 60)

    • The challenge sent by the remote access server during CHAP authentication.

  • NAS-Port-Type (RADIUS attribute 61)

    • The only values sent are Async (0), ISDN Sync (2), ISDN Async V.120 (3) ISDN Async V.110 (4), and Virtual (5). Virtual port is used to indicate VPN connections.

  • Tunnel-Type (RADIUS attribute 64)

    • The only values sent are PPTP (1) and L2TP (3).

  • Tunnel-Medium-Type (RADIUS attribute 65)

    • The only value sent is IP (1).

  • Tunnel-Client-EndPoint (RADIUS attribute 66) (PPTP only)
  • Tunnel-Server-EndPoint (RADIUS attribute 67) (PPTP only)
  • Connect-Info (RADIUS attribute 77)

    • Contains whatever data TAPI returns about the call.

  • EAP-Message (RADIUS attribute 79)
  • Signature (RADIUS attribute 80)

    • Always sent if EAP is used for authentication. Otherwise, it is configurable on the properties of the RADIUS server.

  • MS-CHAP-Response (vendor type 1)
  • MS-CHAP-CPW-2 (vendor type 4)
  • MS-Chap-LM-Enc-Pw (vendor type 5)
  • MS-CHAP-NT-Enc-PW (vendor type 6)
  • MS-Ras-Vendor (vendor type 9)
  • MS-Chap-Challenge (vendor type 11)
  • MS-Ras-Version (vendor type 18)

Access-Accept

  • Service-Type (RADIUS attribute 6)

    • Only Framed (2) and Callback Framed (4) are accepted. If any other Service-Type is received, the call is dropped.

  • Framed-Protocol (RADIUS attribute 7)

    • Only PPP (1) is accepted. If any other Framed-Protocol is received, the call is dropped.

  • Framed-IP-Address (RADIUS attribute 8)

    • The only acceptable values are 0xFFFFFFFF (user selects address) and 0xFFFFFFFE (remote access server selects address). If any other Framed-IP-Address is received, the call is dropped.

  • Framed-MTU (RADIUS attribute 12)

    • Not used.

  • Framed-Compression (RADIUS attribute 13)

    • The only recognized values are None (0) and VJ TCP/IP header compression (1). All other values are ignored.

  • Reply-Message (RADIUS attribute 18)

    • Returned in CHAP, PAP, and MS-CHAP (both v1 and v2) Success packets and in the EAP Notification message.

  • Framed-Route (RADIUS attribute 22)
  • State (RADIUS attribute 24)

    • Returned to the remote access server unchanged.

  • Class (RADIUS attribute 25)

    • Sent unchanged to accounting server in Accounting Start message.

  • Session-Timeout (RADIUS attribute 27)
  • Idle-Timeout (RADIUS attribute 28)
  • Termination-Action (RADIUS attribute 29)

    • Not used.

  • Port-Limit (RADIUS attribute 62)
  • EAP-Message (RADIUS attribute 79)
  • Signature (RADIUS attribute 80)

    • Only accepted if EAP is used for authentication.

  • Acct-Interim-Interval (RADIUS attribute 85)
  • MS-MPPE-Encryption-Policy (vendor type 7)
  • MS-MPPE-Encryption-Types (vendor type 8)
  • MS-CHAP-Domain (vendor type 10)
  • MS-BAP-Usage (vendor type 13)
  • MS-Link-Utilization-Threshold (vendor type 14)
  • MS-Link-Drop-Time-Limit (vendor type 15)
  • MS-Filter (vendor type 22)

Access-Challenge

The Access-Challenge is only used with EAP. Otherwise, the receipt of an Access-Challenge is treated as Access-Reject.

  • State (RADIUS attribute 24)
  • Session-Timeout (RADIUS attribute 27)
  • EAP-Message (RADIUS attribute 79)
  • Signature (RADIUS attribute 80)

Accounting-Request

  • User-Name (RADIUS attribute 1)
  • NAS_IP_Addresss (RADIUS attribute 4)
  • NAS-Port (RADIUS attribute 5)
  • Service-Type (RADIUS attribute 6)
  • Framed-Protocol (RADIUS attribute 7)
  • Framed-IP-Address (RADIUS attribute 8)
  • Framed-MTU (RADIUS attribute 12)
  • Framed-Compression (RADIUS attribute 13)
  • Framed-Route (RADIUS attribute 22)
  • Class (RADIUS attribute 25)
  • Session-Timeout (RADIUS attribute 27)
  • Idle-Timeout (RADIUS attribute 28)
  • Termination-Action (RADIUS attribute 29)
  • Called-Station-Id (RADIUS attribute 30)
  • Calling-Station-Id (RADIUS attribute 31)
  • NAS-Identifier (RADIUS attribute 32)
  • NAS-Port-Type (RADIUS attribute 61)
  • Port-Limit (RADIUS attribute 62)
  • Tunnel-Type (RADIUS attribute 64)
  • Tunnel-Medium-Type (RADIUS attribute 65)
  • Tunnel-Client-EndPoint (RADIUS attribute 66)
  • Tunnel-Server-EndPoint (RADIUS attribute 67)
  • Connect-Info (RADIUS attribute 77)
  • Acct-Status-Type (RADIUS attribute 40)

    • "On" is sent when the Routing and Remote Access service is started. "Off" is sent if the Routing and Remote Access service is gracefully stopped. "Start" and "Stop" are sent at the beginning and end of a user connection. "Interim-Update" is sent at approximately the interval specified in the Acct-Interim-Interval attribute (some random jitter is applied) and only if the Acct-Interim-Interval attribute was returned in the Access-Accept message.

  • Acct-Delay-Time (RADIUS attribute 41)

    • Five seconds are added on every retransmission (regardless of the actual time between retransmissions).

  • Acct-Input-Octets (RADIUS attribute 42)
  • Acct-Output-Octets (RADIUS attribute 43)
  • Acct-Session-Id (RADIUS attribute 44)
  • Acct-Authentic (RADIUS attribute 45)
  • Acct-Session-Time (RADIUS attribute 46)
  • Acct-Input-Packets (RADIUS attribute 47)
  • Acct-Output-Packets (RADIUS attribute 48)
  • Acct-Termination-Cause (RADIUS attribute 49)

    • The only values sent are 1 (User Request), 4 (Idle Timeout), 5 (Session Timeout), 6 (Admin Reset), and 8 (Port Error).

  • Acct-Multi-Session-Id (RADIUS attribute 50)
  • Acct-Link-Count (RADIUS attribute 51)
  • MS-Ras-Vendor (vendor type 9)
  • MS-CHAP-Domain (vendor type 10)
  • MS-Ras-Version (vendor type 18)
  • MS-Filter (vendor type 22)


Expressing an IP address range with a mask

In some cases, Windows 2000 allows you to enter a range of IP addresses as a starting and ending range. For example, when creating a DHCP scope, you enter the IP address range as 10.0.0.1 through 10.0.0.199. In this case, a suitable range for an arbitrary number of required IP addresses is specified.

In other cases, Windows 2000 requires you to enter a range of IP addresses as an IP address and mask. In these cases, a range for an arbitrary number of required IP addresses cannot be specified due to the mathematical relationship between the IP address and the mask. When expressing an IP address range in this way, you must choose a base IP address and a mask.

  • An IP address is a 32-bit number that is expressed as a series of 4 octets converted to base 10 and separated by the period character. This is commonly known as dotted decimal notation. The base IP address contains a series of bits that are fixed and a series of bits that are variable. The bits that are fixed must be a set of contiguous bits starting from the high order bit. The range of IP addresses formed from the base IP address is the set of addresses defined by all of the possible values of the variable bits.
  • The mask is a 32-bit number (also expressed in dotted decimal notation) that is used to explicitly define which bits in the base IP address are fixed and which bits are variable. In the mask, a 1 bit is used to indicate a bit in the IP address that is fixed. A fixed bit cannot be used to express the range. A 0 bit in the mask is used to indicate a bit in the IP address that is variable.

Because the bits that are fixed in the base IP address must be contiguous from the high order bit, a mask must consist of a series of contiguous 1 bits that represent the fixed portion of the address followed by a series of contiguous 0 bits that represent the variable portion of the address.

The following table shows examples of valid masks.

Subnet mask (binary) | Subnet mask (decimal)
11111111 11111111 11110000 00000000 | 255.255.240.0
11111111 11111111 11111111 00000000 | 255.255.255.0
11111111 11111111 11111111 11100000 | 255.255.255.224

The following table shows examples of invalid masks.

Subnet mask (binary) | Subnet mask (decimal)
11111111 11111111 10110000 00000000 | 255.255.176.0
11111111 11111111 11110000 11110000 | 255.255.240.240
11111111 11111111 11111111 00000111 | 255.255.255.7

The base IP address, the mask, and the range of addresses are related to each other by a mathematical operation called a bit-wise logical AND. In a bit-wise logical AND, the 32 bits of an IP address are lined up with the 32 bits of the mask. For each bit, a logical AND is performed. In a logical AND, the result is a 1 if both bits being compared are a 1 and a 0 otherwise.

Because the variable bits in the mask are always 0, the bit-wise logical AND of any IP address in the range (including the base IP address) and the mask always produces the same result: the base IP address.

The base IP address cannot have a 1 where there is a 0 in the mask. A bit-wise logical AND of a 1 with a 0 always produces a 0. Therefore, a base IP address with a 1 where there is a 0 in the mask will, when a bit-wise logical AND is used with the mask, not produce the base IP address. This is the reason for the error message: "The network mask entered is not valid. The destination address cannot be more specific than the network mask."

The base IP address that contains a 1 where there is a 0 is more specific than the mask. A base IP address can be less specific than the mask, but not more specific.

The following table shows an example of a valid address range.

 | Binary | Decimal
Base IP address | 11000000 10101000 10011100 00000000 | 192.168.156.0
Mask | 11111111 11111111 11111100 00000000 | 255.255.252.0

In this example, the first 22 bits are fixed and the last 10 bits are variable. Notice how the bit-wise logical AND of the base IP address and the mask produces the base IP address (192.168.156.0 AND 255.255.252.0 = 192.168.156.0).

The following table shows an example of a invalid address range.

 | Binary | Decimal
Base IP address | 11000000 10101000 00111001 00000000 | 192.168.57.0
Mask | 11111111 11111111 11110000 00000000 | 255.255.240.0

In this example, there are two bits in the base IP address set to 1 that are not included in the mask. Notice how the bit-wise logical AND of the base IP address and the mask does not produce the base IP address (192.168.57.0 AND 255.255.240.0 = 192.168.48.0).

Multicast scopes

The base IP address and mask that you choose for multicast scopes depends on two factors:

  1. The originating address space

    2. The originating address space is the original set of addresses from which a range is being defined. For example, when defining multicast scopes, the originating address space is from 239.0.0.0 through 239.254.255.255.

  2. The number of addresses needed

    3. The following table lists the mask needed based on a required number of addresses.

Number of addresses required | Number of fixed bits | Number of variable bits | Mask
1–2 | 31 | 1 | 255.255.255.254
3–4 | 30 | 2 | 255.255.255.252
5–8 | 29 | 3 | 255.255.255.248
9–16 | 28 | 4 | 255.255.255.240
17–32 | 27 | 5 | 255.255.255.224
33–64 | 26 | 6 | 255.255.255.192
65–128 | 25 | 7 | 255.255.255.128
129–256 | 24 | 8 | 255.255.255.0
257–512 | 23 | 9 | 255.255.254.0
513–1,024 | 22 | 10 | 255.255.252.0
1,025–2,048 | 21 | 11 | 255.255.248.0
2,049–4,096 | 20 | 12 | 255.255.240.0
4,097–8,192 | 19 | 13 | 255.255.224.0
8,193–16,384 | 18 | 14 | 255.255.192.0
16,385–32,768 | 17 | 15 | 255.255.128.0
32,769–65,536 | 16 | 16 | 255.255.0.0
65,537–131,072 | 15 | 17 | 255.254.0.0
131,073–262,144 | 14 | 18 | 255.252.0.0
262,145–524,288 | 13 | 19 | 255.248.0.0
524,289–1,048,576 | 12 | 20 | 255.240.0.0
1,048,577–2,097,152 | 11 | 21 | 255.224.0.0
2,097,153–4,194,304 | 10 | 22 | 255.192.0.0
4,194,305–8,388,608 | 9 | 23 | 255.128.0.0
8,388,609–16,777,216 | 8 | 24 | 255.0.0.0

Based on the base IP address, the range is defined as follows:

  • The first IP address in the range is the base IP address.
  • The last IP address in the range is the address obtained by setting all the variable bits to a 1 and then expressing the result in dotted decimal notation.

The following table shows an example for a multicast scope.

 | Decimal | Binary
IP address | 239.0.64.0 | 11101111 00000000 01000000 00000000
Mask | 255.255.192.0 | 11111111 11111111 11000000 00000000
First IP address | 239.0.64.0 | 11101111 00000000 01000000 00000000
Last IP address | 239.0.128.255 | 11101111 00000000 01111111 11111111


Troubleshooting tools

To help you gather information to troubleshoot problems with the remote access server, the following troubleshooting tools are available:

  • Authentication and accounting logging. For more information see Logging.
  • Event logging records errors, warnings, and events in the system event log.
  • PPP logging creates a log file of the PPP control messages that are sent and received during a PPP connection.
  • Tracing records the sequence of programming functions called during a process to a file. For more information, see Using tracing.
  • Network Monitor captures traffic sent between a remote access server and dial-up client during the PPP connection process and during data transfer.

Event logging

You can use Windows 2000 event logging to record remote access server errors, warnings, and other detailed information in the Windows 2000 system event log. You can enable event logging on the Event Logging tab on the properties of a remote access server. For more information, see To view properties of the remote access server.

PPP logging

PPP logging records the series of programming functions and PPP control messages during a PPP connection and is a valuable source of troubleshooting information when you are troubleshooting the failure of a PPP connection. To enable PPP logging, select the Enable Point-to-Point Protocol (PPP) logging option on the PPP tab on the properties of a remote access server. For more information, see To view properties of the remote access server.

The PPP log in Windows NT 4.0 has been replaced by the tracing function. To duplicate the PPP log, you need to enable file tracing for the PPP key. By default, the PPP log is stored as the ppp.log file in the systemroot\Tracing folder. For more information on tracing options, see Using tracing.

Network Monitor

Network Monitor can capture the network traffic between a dial-up networking client and the remote access server. By analyzing remote access traffic, you can find answers to remote access problems and possible solutions or workarounds.

Note

  • The proper interpretation of remote access traffic with Network Monitor requires an in-depth understanding of PPP and other protocols. For more information, see the Windows 2000 Resource Kit or Remote access RFCs. You can save Network Monitor traces as files and send them to Microsoft Product Support Services for analysis.


Troubleshooting

What problem are you having?

Unable to establish a remote access connection.

Cause: Your modem is not working properly.

Solution: Verify that your modem is working properly.

See also: Troubleshooting modems

Cause: The Routing and Remote Access service is not started on the remote access server.

Solution: Verify the state of the Routing and Remote Access service on the remote access server.

See also: To monitor the Routing and Remote Access service

Cause: Remote access is not enabled on the remote access server.

Solution: Enable remote access on the remote access server.

See also: To enable the remote access server

Cause: Dial-in, PPTP, or L2TP ports are not enabled for inbound remote access connections.

Solution: Enable PPTP or L2TP ports, or both, for inbound remote access connections.

See also: To configure ports for remote access

Cause: The LAN protocols being used by the remote access clients are not configured on the remote access server to allow remote access connections.

Solution: Verify that remote access connections are allowed on the IP, IPX, AppleTalk, or NetBEUI tabs on the properties of a server. If you do not have one or more of these tabs, then the corresponding network protocol is not installed on the server.

See also: To view properties of the remote access server

Cause: All of the remote access ports on the remote access server are already being used by currently connected remote access clients or demand-dial routers.

Solution: You can verify that all of the remote access ports on the remote access server are not already being used by clicking Ports in Routing and Remote Access.

Cause: The remote access client and the remote access server in conjunction with a remote access policy are not configured to use at least one common authentication method.

Solution: Configure the remote access client and the remote access server in conjunction with a remote access policy to use at least one common authentication method.

If a remote access client running Windows 95 is attempting a dial-up connection, verify that the remote access server is not requiring only MS-CHAP v2 authentication. A remote access client running Windows 95 supports the use of MS-CHAP v2 over virtual private network (VPN) connections, not the use of MS-CHAP v2 over dial-up connections.

Cause: The remote access client and the remote access server in conjunction with a remote access policy are not configured to use at least one common encryption strength.

Solution: Configure the remote access client and the remote access server in conjunction with a remote access policy to use at least one common encryption strength.

See also: To configure encryption

Cause: The remote access connection does not have the appropriate permissions through dial-in properties of the user account and remote access policies.

Solution: Verify that the remote access connection has the appropriate permissions through dial-in properties of the user account and remote access policies.

In order for the connection to be established, the settings of the connection attempt must:

  • Match all of the conditions of at least one remote access policy.
  • Be granted remote access permission through the user account (set to Allow access), or through the user account (set to Control access through Remote Access Policy) and the remote access permission of the matching remote access policy (set to Grant remote access permission).
  • Match all the settings of the profile.
  • Match all the settings of the dial-in properties of the user account.

See also: Introduction to remote access policies; Accepting a connection attempt

Cause: The settings of the remote access policy profile are in conflict with properties of the remote access server.

Solution: Verify that the settings of the remote access policy profile are not in conflict with properties of the remote access server.

The properties of the remote access policy profile and the properties of the remote access server both contain settings for:

  • Multilink
  • Bandwidth allocation protocol
  • Authentication protocols

If the settings of the profile of the matching remote access policy are in conflict with the settings of the remote access server, the connection attempt is rejected. For example, if the matching remote access policy profile specifies that the EAP-TLS authentication protocol must be used and EAP is not enabled on the remote access server, the connection attempt is rejected.

See also: To enable authentication protocols; To configure authentication

Cause: The credentials of the remote access client (user name, password, and domain name) are incorrect and cannot be validated by the remote access server.

Solution: Verify that the credentials of the remote access client (user name, password, and domain name) are correct and can be validated by the remote access server.

Cause: There are not enough addresses in the static IP address pool.

Solution: If the remote access server is configured with a static IP address pool, verify that there are enough addresses in the pool. If all of the addresses in the static pool have been allocated to connected remote access clients, the remote access server is unable to allocate an IP address, and the connection attempt is rejected. Modify the static IP address pool if needed.

See also: TCP/IP and remote access; To create a static IP address pool

Cause: The remote access client is configured to request its own IPX node number and the remote access server is not configured to allow IPX clients to request their own IPX node number.

Solution: Configure the remote access server to allow IPX clients to request their own IPX node number.

See also: IPX and remote access

Cause: The remote access server is configured with a range of IPX network numbers that are being used elsewhere on your IPX internetwork.

Solution: Configure the remote access server with a range of IPX network numbers that is unique to your IPX internetwork.

See also: IPX and remote access

Cause: The authentication provider of the remote access server is improperly configured.

Solution: Verify the configuration of the authentication provider. You can configure the remote access server to use either Windows 2000 or Remote Authentication Dial-In User Service (RADIUS) to authenticate the credentials of the remote access client.

See also: Authentication and accounting providers; To use RADIUS authentication

Cause: The remote access server cannot access Active Directory.

Solution: For a remote access server that is a member server in a mixed-mode or native-mode Windows 2000 domain that is configured for Windows 2000 authentication, verify that:

  • The RAS and IAS Servers security group exists. If not, then create the group and set the group type to Security and the group scope to Domain local.
  • The RAS and IAS Servers security group has Read permission to the RAS and IAS Servers Access Check object.
  • The computer account of the remote access server computer is a member of the RAS and IAS Servers security group. You can use the netsh ras show registeredserver command to view the current registration. You can use the netsh ras add registeredserver command to register the server in a specified domain.

    • If you add or remove the remote access server computer to the RAS and IAS Servers security group, the change does not take effect immediately (due to the way that Windows 2000 caches Active Directory information). For the change to take effect immediately, you need to restart the remote access server computer.

  • For a native-mode domain, the remote access server has joined the domain.

See also: To add a group; To verify permissions for the RAS and IAS security group; Netsh commands for remote access

Cause: A Windows NT 4.0 remote access server cannot validate connection requests.

Solution: If remote access clients are dialing in to a remote access server running Windows NT 4.0 that is a member of a Windows 2000 mixed-mode domain, verify that the Everyone group is added to the Pre-Windows 2000 Compatible Access group with the net localgroup "Pre-Windows 2000 Compatible Access" command. If not, type net localgroup "Pre-Windows 2000 Compatible Access" everyone /add at a Windows 2000 command prompt on a domain controller computer and then restart the domain controller computer.

See also: Windows NT 4.0 remote access server in a Windows 2000 domain

Cause: The Windows 2000 Fax service is enabled and your modem does not support adaptive answer.

Solution: If the Windows 2000 Fax service and the Routing and Remote Access service are sharing the same modem, verify that the modem supports adaptive answer. If the modem does not support adaptive answer, you must disable fax on the modem to receive incoming remote access connections.

Cause: You are using MS-CHAP v1 and a user password over 14 characters long.

Solution: Either use a different authentication protocol such as MS-CHAP v2 or change your password so that it is 14 characters or less.

See also: MS-CHAP; Enable authentication protocols

Unable to access resources beyond the remote access server.

Cause: For IP-based remote access clients, IP routing is not enabled.

Solution: Verify that IP routing is enabled on the IP tab on the properties of the server.

See also: To view properties of the remote access server

Cause: For IPX, AppleTalk, or NetBEUI-based remote access clients, network access is not allowed.

Solution: Verify that network access is allowed on the IPX, AppleTalk, or NetBEUI tabs on the properties of a server. If you do not have one or more of these tabs, then the corresponding network protocol is not installed on the server.

See also: To view properties of the remote access server

Cause: A static IP address pool is configured but there are no routes back to the remote access clients.

Solution: If the remote access server is configured to use a static IP address pool, verify that the routes to the ranges of addresses of the static IP address pool are reachable by the hosts and routers of the intranet. If not, then IP routes consisting of the address ranges of the static IP address pool, as defined by the IP address and mask of each range, must be added to the routers of the intranet or the routing protocol of your routed infrastructure on the remote access server must be enabled. If the routes to the remote access client subnets are not present, remote access clients cannot receive traffic from locations on the intranet. A route for the network is implemented either through static routing entries or through a routing protocol, such as Open Shortest Path First (OSPF) or Routing Information Protocol (RIP).

If the remote access server is configured to use DHCP for IP address allocation and no DHCP server is available, the remote access server allocates addresses from the Automatic Private IP Addressing (APIPA) address range from 169.254.0.1 through 169.254.255.254. Allocating APIPA addresses for remote access clients works only if the network to which the remote access server is attached is also using APIPA addresses.

If the remote access server is using APIPA addresses when a DHCP server is available, verify that the proper adapter is selected from which to obtain DHCP-allocated IP addresses. By default, the remote access server randomly chooses the adapter to use to obtain IP addresses through DHCP. If there is more than one LAN adapter, then the Routing and Remote Access service may choose a LAN adapter for which there is no DHCP server available.

If the static IP address pool consists of ranges of IP addresses that are a subset of the range of IP addresses for the network to which the remote access server is attached, verify that the ranges of IP addresses of the static IP address pool are not assigned to other TCP/IP nodes, either through static configuration or through DHCP.

See also: TCP/IP and remote access; To create a static IP address pool

Cause: Packet filters on the remote access policy profile are preventing the flow of IP traffic.

Solution: Verify that there are no configured TCP/IP packet filters on the profile properties of the remote access policies on the remote access server (or the RADIUS server if Internet Authentication Service is used) that are preventing the sending or receiving of TCP/IP traffic.

You can use remote access policies to configure TCP/IP input and output packet filters that control the exact nature of TCP/IP traffic allowed on the remote access connection. Verify that the profile TCP/IP packet filters are are not preventing the flow of needed traffic.

See also: To configure IP options

Callback is not working.

Cause: Callback is improperly configured on the dial-in properties of the user account.

Solution: Verify the callback configuration on the dial-in properties of the user account.

See also: To configure caller ID and callback

Cause: Link control protocol (LCP) extensions is disabled on the PPP tab for the properties of the remote access server.

Solution: Enable Link control protocol (LCP) extensions on the PPP tab for the properties of the remote access server.

See also: To view properties of the remote access server

Cause: Callback numbers may be truncated when a remote access server running Windows NT 4.0 requests dial-in properties of a user account in a Windows 2000 native-mode domain.

Solution: Reconfigure callback numbers on the dial-in properties of the user account.

See also: To configure caller ID and callback

For more information on troubleshooting remote access VPN connections, see Troubleshooting remote access VPNs.

To reset a Windows 2000 remote access server back to default values, see To reset the Routing and Remote Access service.